<?php

namespace App\Http\Controllers;
use DB;
use Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Str;

class Adcontroller extends Controller{
    public function showsalesettings() {
        $result = DB::table('comm_tbl_smthub_ticket')->where('category', '=', 0)->where('ce_status', '!=', 1)->where('status', '=', 'Received')->orderBy('tickets_received', 'desc')->get();
        $lastEntry = DB::table('comm_action')->where('show_hide',1)->get();
        $stafflist = DB::table('comm_staffs')->get();
        $mail_temp = DB::table('comm_mail_templates')->get();    
        
        $user = Auth::guard('staff')->user(); 
        // dd($user->uid);
        $values = DB::table('comm_staffs')->where('uid','!=',$user->uid)->get();
        $userid = DB::table('comm_staffs')->where('uid','=',$user->uid)->get();
        $idsss = $_GET['user_id'] ?? null;
        // dd($idsss);
        if($idsss == null) {
            $array = array([
            'uid' => 0,
            'name' => 'Bot',
            'image' => '/uploads/pexels-photo-8294554.webp' 
            ]);
            $json = json_encode($array);
            $userid1 = json_decode($json);
            // var_dump($userid1);
            
        }else {
            $userid1 = DB::table('comm_staffs')->where('uid','=',$_GET['user_id'])->get();
        }

        $jsonFilePath = public_path('emoji.json');

        // Check if the file exists
        if (file_exists($jsonFilePath)) {
            // Read the contents of the JSON file
            $jsonContents = file_get_contents($jsonFilePath);

            $data = json_decode($jsonContents, true); // true to get associative array

        
        }
      
        $resrsr = DB::table('comm_staffs')->where('uid', $user->id())->get();
        return view('sale-settings', ['emaildata' => $result, '_Suggest' => $resrsr[0]->auto_suggest, 'lastEntry' => $lastEntry, 'stafflist' => $stafflist, 'mailtemp' => $mail_temp, 'message' => 'Hello, World!','emoji' =>$data['emojis'], 'logUser' => $user->uid, 'user_id' => $userid[0]->uid,'image' => $userid[0]->image , 'username' => $userid[0]->name, 'value' => $values, 'msg_userid' => $userid1[0]->uid, 'msg_name' => $userid1[0]->name, 'msg_image'=>$userid1[0]->image]);
    }

// ********************** Agedetails *******************

    public function showagedetails() {
        $result = DB::table('comm_tbl_smthub_ticket')->where('status', '=', 'Received')->orderBy('tickets_received', 'desc')->get();
        $lastEntry = DB::table('comm_action')->where('show_hide',1)->get();
        $stafflist = DB::table('comm_staffs')->get();
        $mail_temp = DB::table('comm_mail_templates')->get();    
        
        $user = Auth::guard('staff')->user(); 
        // dd($user->uid);
        $values = DB::table('comm_staffs')->where('uid','!=',$user->uid)->get();
        $userid = DB::table('comm_staffs')->where('uid','=',$user->uid)->get();
        $idsss = $_GET['user_id'] ?? null;
        // dd($idsss);
        if($idsss == null) {
            $array = array([
            'uid' => 0,
            'name' => 'Bot',
            'image' => '/uploads/pexels-photo-8294554.webp' 
            ]);
            $json = json_encode($array);
            $userid1 = json_decode($json);
            // var_dump($userid1);
            
        }else {
            $userid1 = DB::table('comm_staffs')->where('uid','=',$_GET['user_id'])->get();
        }

        $jsonFilePath = public_path('emoji.json');

        // Check if the file exists
        if (file_exists($jsonFilePath)) {
            // Read the contents of the JSON file
            $jsonContents = file_get_contents($jsonFilePath);

            $data = json_decode($jsonContents, true); // true to get associative array
        }


        $result_r = DB::table('comm_tbl_smthub_ticket AS mail')
            ->select('mail.id', 'mail.uname', 'mail.uid', 'act.action_name', 'mail.tickets_received', 'cu.name AS assigned_to')
            ->join('comm_action AS act', 'mail.action_id', '=', 'act.id')
            ->leftJoin('comm_staffs AS cu', 'mail.assigned_to', '=', 'cu.uid')
            ->where('mail.status', '=', 'Received')
            ->where('mail.action_id', '!=', '')
            ->orderBy('mail.tickets_received', 'DESC')
            ->get();



        
        return view('agedetails', ['emaildata' => $result, 'report' => $result_r, 'lastEntry' => $lastEntry, 'stafflist' => $stafflist, 'mailtemp' => $mail_temp, 'message' => 'Hello, World!','emoji' =>$data['emojis'], 'logUser' => $user->uid, 'user_id' => $userid[0]->uid,'image' => $userid[0]->image , 'username' => $userid[0]->name, 'value' => $values, 'msg_userid' => $userid1[0]->uid, 'msg_name' => $userid1[0]->name, 'msg_image'=>$userid1[0]->image]);
    }




// ********************** Superagedetails *******************

public function showsuperagedetails() {
    $result = DB::table('comm_tbl_smthub_ticket')->where('category', '=', 0)->where('ce_status', '!=', 1)->where('status', '=', 'Received')->orderBy('tickets_received', 'desc')->get();
    $lastEntry = DB::table('comm_action')->where('show_hide',1)->get();
    $stafflist = DB::table('comm_staffs')->get();
    $mail_temp = DB::table('comm_mail_templates')->get();    
    
    $user = Auth::guard('staff')->user(); 
    // dd($user->uid);
    $values = DB::table('comm_staffs')->where('uid','!=',$user->uid)->get();
    $userid = DB::table('comm_staffs')->where('uid','=',$user->uid)->get();
    $idsss = $_GET['user_id'] ?? null;
    // dd($idsss);
    if($idsss == null) {
        $array = array([
        'uid' => 0,
        'name' => 'Bot',
        'image' => '/uploads/pexels-photo-8294554.webp' 
        ]);
        $json = json_encode($array);
        $userid1 = json_decode($json);
        // var_dump($userid1);
        
    }else {
        $userid1 = DB::table('comm_staffs')->where('uid','=',$_GET['user_id'])->get();
    }

    $jsonFilePath = public_path('emoji.json');

    // Check if the file exists
    if (file_exists($jsonFilePath)) {
        // Read the contents of the JSON file
        $jsonContents = file_get_contents($jsonFilePath);

        $data = json_decode($jsonContents, true); // true to get associative array
    }


    // $result_r = DB::table('comm_tbl_smthub_ticket AS mail')
    //     ->select('mail.id', 'mail.uname', 'mail.uid', 'act.action_name', 'mail.tickets_received', 'cu.name AS assigned_to')
    //     ->join('comm_action AS act', 'mail.action', '=', 'act.id')
    //     ->leftJoin('comm_staffs AS cu', 'mail.assigned_to', '=', 'cu.uid')
    //     ->where('mail.category', '=', 0)
    //     ->where('mail.status', '=', 'Received')
    //     ->where('ce_status', '=', 0)
    //     ->orderBy('mail.tickets_received', 'DESC')
    //     ->get();

        
    $result_r = DB::table('comm_tbl_smthub_ticket AS mail')
            ->select('mail.id', 'mail.uname', 'mail.uid', 'act.action_name', 'mail.tickets_received', 'cu.name AS assigned_to')
            ->join('comm_action AS act', 'mail.action', '=', 'act.id')
            ->leftJoin('comm_staffs AS cu', 'mail.assigned_to', '=', 'cu.uid')
            ->where('mail.category', '=', 0)
            ->where('mail.status', '=', 'Received')
            ->where('ce_status', '=', 0)
            ->orderBy('mail.tickets_received', 'DESC')
            ->get();


    
    return view('super-agedetails', ['emaildata' => $result, 'report' => $result_r, 'lastEntry' => $lastEntry, 'stafflist' => $stafflist, 'mailtemp' => $mail_temp, 'message' => 'Hello, World!','emoji' =>$data['emojis'], 'logUser' => $user->uid, 'user_id' => $userid[0]->uid,'image' => $userid[0]->image , 'username' => $userid[0]->name, 'value' => $values, 'msg_userid' => $userid1[0]->uid, 'msg_name' => $userid1[0]->name, 'msg_image'=>$userid1[0]->image]);
}
}