<?php

namespace App\Http\Controllers;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use DB;
use Auth;
use Illuminate\Support\Facades\Redirect;
use App\Models\User;
use PDF;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Hash;
use GuzzleHttp\Client as GuzzleClient;
use GuzzleHttp\Client;
use Mail;
class ContentmappingController extends Controller
{
    public function link(Request $request)
    {
      $uniqueIdentifier = Str::random(10); 
      $link = route('Contentmappingform', ['key' => $uniqueIdentifier]);
     $values = array('unique_identifier_value' => $uniqueIdentifier);
     DB::table('comm_unique_identifier')->insert($values);
     return response()->json(['link' => $link]);
    }

    public function form(Request $request)
    {   
        $fullUrl = $request->fullUrl();
        $parsedUrl = parse_url($fullUrl, PHP_URL_PATH);

        // Isolate the word before the '?'
        $path = strtok($parsedUrl, '?');

        // Extract the last part of the path
        $segments = explode('/', $path);
        $formname = end($segments);

        $key = $request['key'];
     
        $data = DB::table('comm_unique_identifier')->select('created_at')->where('unique_identifier_value',$request['key'])->get();    
        $formattedDate = $data[0]->created_at;
 
        return view('form',compact('formattedDate','key','formname'));

        // $key = $request['key'];
        // $data = DB::table('comm_unique_identifier')->select('created_at')->where('unique_identifier_value',$request['key'])->get();    
        // $formattedDate = $data[0]->created_at;
 
        // return view('form',compact('formattedDate','key'));
    }
    public function forms(Request $request,$key,$username)
    {     
        
        $data = DB::table('comm_content_mapping')->where('keys1',$key)->get();
        $users = DB::table('users')->where('name',$username)->first();
        $upclist = DB::table('release_table')->where('uid',$users->uid)->get();
        $upcDetails = [];  // This will hold the final result with the concatenated string

        foreach ($upclist as $upc) {
            // Get album name
            $album = DB::table('album_metadata')
                        ->select('value')
                        ->where('upc_id', $upc->upc) // Use $upc->upc to access the UPC
                        ->where('tag', 'album')
                        ->first(); // Use first() instead of get()
        
            // Get album version
            $albumver = DB::table('album_metadata')
                          ->select('value')
                          ->where('upc_id', $upc->upc)
                          ->where('tag', 'albumversion')
                          ->first(); // Use first() instead of get()
        
            // Get artist title
            $artist = DB::table('album_metadata')
                        ->select('value')
                        ->where('upc_id', $upc->upc)
                        ->where('tag', 'artist')
                        ->first(); // Use first() instead of get()
        
            // Concatenate the values to form the desired string
            if ($album && $albumver && $artist) {
                // Form the desired format: "album + version, artist"
                $upcDetails[] = $upc->upc .' - '. $album->value . ' + ' . $albumver->value . ' , ' . $artist->value;
            }
        }
    

        if(count($data) >= 1){
            $data = 0;
            return view('contentforms',compact('data','key','users','upcDetails'));
        }
        $data=1;
        return view('contentforms',compact('data','key','users','upcDetails'));

    }

    public function formdetails()
    {     
        

        $data = DB::table('comm_content_mapping') ->get();
    $data1 = DB::table('comm_store_details')->get();
    $data2 = DB::table('comm_form_status')->get();
//dd( DB::table('release')->where('name','sellerrnn')->get());
        return view('contentmapping',compact('data','data1','data2'));

    }
    public function updatestore(Request $request)
    {  
        $data = DB::table('comm_content_mapping')->where('id',$request['formid'])->get();
        if($data[0]->sent_store){
            $result = DB::table('comm_content_mapping')->where('id',$request['formid'])->update([
                "sent_store" => $data[0]->sent_store.','.$request['name']
    
            ]);
        }else{
            $result = DB::table('comm_content_mapping')->where('id',$request['formid'])->update([
                "sent_store" => $request['name']
    
            ]);
        }
     
        $data = DB::table('comm_content_mapping') ->get();
        $data1 = DB::table('comm_store_details')->get();
        return response()->json(['data'=>$data,'data1'=>$data1]);
    }
    public function updatereleasestatus(Request $request)
    {  

        $data =  DB::table('comm_content_mapping')->where('id',$request['formid'])->get();
        $username = $data[0]->username;
        $userID = $data[0]->userid;
        $body1 = preg_replace("/Many Warm Regards,\s*The RouteNote Team/", "", $request['text']);

        $result = DB::table('comm_content_mapping')->where('id',$request['formid'])->update(["release_check" => '1']);

        $body = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <meta name="format-detection" content="telephone=no" /> <!-- disable auto telephone linking in iOS -->
            <title>Your Release requires your action.</title>
            <style type="text/css">
            #emailstart{margin-top: -1rem;}
            #emailstar1:hover{color: #deb217;}
            #emailstar1:hover~a{color: #deb217;}
            #emailstar1:checked~a{color: #ffc700;}
            </style>
            <style type="text/css">
                /* RESET STYLES */
                html { background-color:#EEEEEE; margin:0; padding:0; }
                body, #bodyTable, #bodyCell, #bodyCell{height:100% !important; margin:0; padding:0; width:100% !important; font-family: Arial,Helvetica,sans-serif;;}
                table{border-collapse:collapse;}
                table[id=bodyTable] {width:100%!important;margin:auto;max-width:500px!important;color:#000000;font-weight:normal;}
                img, a img{border:0; outline:none; text-decoration:none;height:auto; line-height:100%;}
                a {text-decoration:none !important;border-bottom: 1px solid; font-size:16px !important;}
                h1, h2, h3, h4, h5, h6{color:#1355ac; font-weight:bold; font-family: Arial,Helvetica,sans-serif; font-size:20px; line-height:125%; text-align:left; letter-spacing:normal;margin-top:0;margin-right:0;margin-bottom:10px;margin-left:0;padding-top:0;padding-bottom:0;padding-left:0;padding-right:0;}

                /* CLIENT-SPECIFIC STYLES */
                .ReadMsgBody{width:100%;} .ExternalClass{width:100%;} /* Force Hotmail/Outlook.com to display emails at full width. */
                .ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div{line-height:100%;} /* Force Hotmail/Outlook.com to display line heights normally. */
                table, td{mso-table-lspace:0pt; mso-table-rspace:0pt;} /* Remove spacing between tables in Outlook 2007 and up. */
                #outlook a{padding:0;} /* Force Outlook 2007 and up to provide a "view in browser" message. */
                img{-ms-interpolation-mode: bicubic;display:block;outline:none; text-decoration:none;} /* Force IE to smoothly render resized images. */
                body, table, td, p, a, li, blockquote{-ms-text-size-adjust:100%; -webkit-text-size-adjust:100%; font-weight:normal!important;} /* Prevent Windows- and Webkit-based mobile platforms from changing declared text sizes. */
                .ExternalClass td[class="ecxflexibleContainerBox"] h3 {padding-top: 10px !important;} /* Force hotmail to push 2-grid sub headers down */

                /* /\/\/\/\/\/\/\/\/ TEMPLATE STYLES /\/\/\/\/\/\/\/\/ */

                /* ========== Page Styles ========== */
                h1{display:block;font-size:24px;font-style:normal;font-weight:normal;line-height:100%;}
                h2{display:block;font-size:20px;font-style:normal;font-weight:normal;line-height:120%;}
                h3{display:block;font-size:16px;font-style:normal;font-weight:normal;line-height:110%;}
                h4{display:block;font-size:14px;font-style:italic;font-weight:normal;line-height:100%;}
                .flexibleImage{height:auto;}
                .linkRemoveBorder{border-bottom:0 !important;}
                table[class=flexibleContainerCellDivider] {padding-bottom:0 !important;padding-top:0 !important;}

                body, #bodyTable{background-color:#EEEEEE;}
                #emailHeader{background-color:#FFFFFF;}
                #emailBody{background-color:#FFFFFF;}
                #emailFooter{background-color:#E1E1E1;}
                .nestedContainer{background-color:#F8F8F8; border:2px solid #1355ac;}
                .emailButton{background-color:#205478; border-collapse:separate;}
                .buttonContent{color:#FFFFFF; font-family: Arial,Helvetica,sans-serif; font-size:18px; font-weight:bold; line-height:100%; padding:15px; text-align:center;}
                .buttonContent a{color:#FFFFFF; display:block; text-decoration:none!important; border:0!important;}
                .emailCalendar{background-color:#FFFFFF; border:2px solid #1355ac;}
                .emailCalendarMonth{background-color:#1355ac; color:#FFFFFF; font-family: Arial,Helvetica,sans-serif; font-size:16px; font-weight:bold; padding-top:10px; padding-bottom:10px; text-align:center;}
                .emailCalendarDay{color:#1355ac; font-family: Arial,Helvetica,sans-serif; font-size:60px; font-weight:bold; line-height:100%; padding-top:20px; padding-bottom:20px; text-align:center;}
                .imageContentText {margin-top: 10px;line-height:0;}
                .imageContentText a {line-height:0;}
                #invisibleIntroduction {display:none !important;} /* Removing the introduction text from the view */

                /*FRAMEWORK HACKS & OVERRIDES */
                span[class=ios-color-hack] a {color:#1355ac!important;text-decoration:none!important;} /* Remove all link colors in IOS (below are duplicates based on the color preference) */
                span[class=ios-color-hack2] a {color:#1355ac!important;text-decoration:none!important;}
                span[class=ios-color-hack3] a {color:#1355ac!important;text-decoration:none!important;}
                /* A nice and clean way to target phone numbers you want clickable and avoid a mobile phone from linking other numbers that look like, but are not phone numbers.  Use these two blocks of code to "unstyle" any numbers that may be linked.  The second block gives you a class to apply with a span tag to the numbers you would like linked and styled.
                Inspired by Campaign Monitor\'s article on using phone numbers in email: http://www.campaignmonitor.com/blog/post/3571/using-phone-numbers-in-html-email/.
                */
                .a[href^="tel"], a[href^="sms"] {text-decoration:none!important;color:#1355ac!important;pointer-events:none!important;cursor:default!important;}
                .mobile_link a[href^="tel"], .mobile_link a[href^="sms"] {text-decoration:none!important;color:#1355ac!important;pointer-events:auto!important;cursor:default!important;}


                /* MOBILE STYLES */
                @media only screen and (max-width: 480px){
                    table[id="emailHeader"],
                    table[id="emailBody"],
                    table[id="emailFooter"],
                    table[class="flexibleContainer"],
                    td[class="flexibleContainerCell"] {width:100% !important;}
                    td[class="flexibleContainerBox"], td[class="flexibleContainerBox"] table {display: block;width: 100%;text-align: left;}
              
                    td[class="imageContent"] img {height:auto !important; width:100% !important; max-width:100% !important; }
                    img[class="flexibleImage"]{height:auto !important; width:100% !important;max-width:100% !important;}
                    img[class="flexibleImageSmall"]{height:auto !important; width:auto !important;}


                    /*
                    Create top space for every second element in a block
                    */
                    table[class="flexibleContainerBoxNext"]{padding-top: 10px !important;}

                    /*
                    Make buttons in the email span the
                    full width of their container, allowing
                    for left- or right-handed ease of use.
                    */
                    table[class="emailButton"]{width:100% !important;}
                    td[class="buttonContent"]{padding:0 !important;}
                    td[class="buttonContent"] a{padding:15px !important;}

                }

                /*  CONDITIONS FOR ANDROID DEVICES ONLY
                *   http://developer.android.com/guide/webapps/targeting.html
                *   http://pugetworks.com/2011/04/css-media-queries-for-targeting-different-mobile-devices/ ;
                =====================================================*/

                @media only screen and (-webkit-device-pixel-ratio:.75){
                    /* Put CSS for low density (ldpi) Android layouts in here */
                }

                @media only screen and (-webkit-device-pixel-ratio:1){
                    /* Put CSS for medium density (mdpi) Android layouts in here */
                }

                @media only screen and (-webkit-device-pixel-ratio:1.5){
                    /* Put CSS for high density (hdpi) Android layouts in here */
                }
                /* end Android targeting */

                /* CONDITIONS FOR IOS DEVICES ONLY
                =====================================================*/
                @media only screen and (min-device-width : 320px) and (max-device-width:568px) {

                }
                /* end IOS targeting */
            </style>
            <!--
                Outlook Conditional CSS

                These two style blocks target Outlook 2007 & 2010 specifically, forcing
                columns into a single vertical stack as on mobile clients. This is
                primarily done to avoid the \'page break bug\' and is optional.

                More information here:
                http://templates.mailchimp.com/development/css/outlook-conditional-css
            -->
            <!--[if mso 12]>
                <style type="text/css">
                    .flexibleContainer{display:block !important; width:100% !important;}
                </style>
            <![endif]-->
            <!--[if mso 14]>
                <style type="text/css">
                    .flexibleContainer{display:block !important; width:100% !important;}
                </style>
            <![endif]-->
        </head>
        <body bgcolor="#E1E1E1" leftmargin="0" marginwidth="0" topmargin="0" marginheight="0" offset="0">

            <!-- CENTER THE EMAIL // -->
            <!--
            1.  The center tag should normally put all the
                content in the middle of the email page.
                I added "table-layout: fixed;" style to force
                yahoomail which by default put the content left.

            2.  For hotmail and yahoomail, the contents of
                the email starts from this center, so we try to
                apply necessary styling e.g. background-color.
            -->
            <center style="background-color:#FFFFFF;">
                <table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%" id="bodyTable" style="table-layout: fixed;max-width:100% !important;width: 100% !important;min-width: 100% !important;">
                    <tr>
                        <td align="center" valign="top" id="bodyCell">

                            <!-- EMAIL HEADER // -->
                            <!--
                                The table "emailBody" is the email\'s container.
                                Its width can be set to 100% for a color band
                                that spans the width of the page.
                            -->
                            <table bgcolor="#FFFFFF" border="0" cellpadding="0" cellspacing="0" width="500" id="emailHeader">

                                <!-- HEADER ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="10" cellspacing="0" width="500" class="flexibleContainer">
                                                        <tr>
                                                            <td valign="top" width="500" class="flexibleContainerCell">

                                                                <!-- CONTENT TABLE // -->
                                                                <table align="left" border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                    <tr>
                                  
                                                                        <td align="left" valign="middle" id="invisibleIntroduction" class="flexibleContainerBox" style="display:none !important; mso-hide:all;">
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width:100%;">
                                                                                <tr>
                                                                                    <td align="left" class="textContent">
                                                                                        <div style="font-family: Arial,Helvetica,sans-serif;font-size:13px;color:#828282;text-align:center;line-height:120%;">
                                                                                            Your release has been flagged by our moderation team and requires your attention.
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                        <td align="right" valign="middle" class="flexibleContainerBox">
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width:100%;">
                                                                                <tr>
                                                                                    <td align="left" class="textContent">
                                                                                        <!-- CONTENT // -->
                                                                                        <div style="font-family: Arial,Helvetica,sans-serif;font-size:13px;color:#000000;text-align:center;line-height:120%;">
                                                                                            If you can&#39;t see this message&#44; <a href="test" target="_blank" style="text-decoration:none;border-bottom:1px solid #000000;color:#000000;"><span style="color:#000000;font-size:14px;">view&nbsp;it&nbsp;in&nbsp;your&nbsp;browser</span></a>.
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // END -->

                            </table>
                            <!-- // END -->

      
                            <table bgcolor="#FFFFFF"  border="0" cellpadding="0" cellspacing="0" width="500" id="emailBody">

                                <tr>
                                    <td align="center" valign="top">
                                    
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" style="color:#FFFFFF;" bgcolor="#1355ac">
                                            <tr>
                                                <td align="center" valign="top">
                                                
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#1355ac">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">

                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#1355AC">
                                                                    <tr>
                                                                        <td align="center" valign="top" class="textContent">
                                                                            <a href="https://routenote.com/" target="_blank"><img src="https://www.routenote.com/rn/images/activation_email_rnlogo.jpg" width="500" class="flexibleImage" style="max-width:500px;width:100%;display:block;color:#ffffff;" alt="RouteNote" title="RouteNote" /></a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                                
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->

                                <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#FFFFFF">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                                    <tr>
                                                                        <td align="center" valign="top">

                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                                                <tr>
                                                                                    <td valign="top" class="textContent">
                                                                                        <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$username.'&#44;</strong></h3><br>
                                                                                        <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>'. $body1.'</p><br>
    <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
    <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
    </p></div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->

                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->


                                    <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#000000">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#000000">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#000000">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#000000">
                                                                    <tr>
                                                                        <td align="center" valign="top">

                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                                <tr>
                                                                                    <td valign="top" class="textContent">
                                                                                        <!--
                                                                                            The "mc:edit" is a feature for MailChimp which allows
                                                                                            you to edit certain row. It makes it easy for you to quickly edit row sections.
                                                                                            http://kb.mailchimp.com/templates/code/create-editable-content-areas-with-mailchimps-template-language
                                                                                        -->
                                                                                        <h3 mc:edit="header" style="color:#FFFFFF;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:16px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:center;"><a href="https://routenote.com/" style="color:#FFFFFF;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;text-align:center; text-decoration:none !important;" target="_blank"><strong>Visit your Account &#62;</strong></a></h3><br>
                                                                                        <div mc:edit="body" style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;color:#FFFFFF;line-height:150%;">Head over to your account now to continue working through your releases.<br></div>

                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->

                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->


                                <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#ffffff">
                                                    <tr>
                                                    <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#ffffff">
                                                        <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                            <tr>
                                                                <td align="center" valign="top">
        
                                                                    <!-- CONTENT TABLE // -->
                                                                    <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                        <tr>
                                                                            <td valign="top" class="textContent">
                                                                                <div style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:15px;margin-bottom:0;margin-top:3px;color:#5F5F5F;line-height:135%;">
                                                                                If we exceeded your expectations, please consider leaving us a review on <a href="" style="color:#1355ac;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Routenote reviews</a>
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <!-- // CONTENT TABLE -->
        
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    </tr>

                                                    <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#ffffff">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                    <tr>
                                                                        <td align="center" valign="top">

                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                                <tr>
                                                                                    <td valign="top" class="textContent">
                                                                                        <div style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:15px;margin-bottom:0;margin-top:3px;color:#5F5F5F;line-height:135%;">
                                                                                        <a href="https://www.facebook.com/routenote?_rdr=p" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Facebook</a>
                                                                                        <a href="https://www.youtube.com/user/routenote" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:16px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Youtube</a>
                                                                                        <a href="https://twitter.com/routenote" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Twitter</a>
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->

                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                                <table>
                                                            
                                                                
                                                            
                                                            </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->

                            </table>
                            <!-- // END -->

                            <!-- EMAIL FOOTER // -->
                            <!--
                                The table "emailBody" is the email\'s container.
                                Its width can be set to 100% for a color band
                                that spans the width of the page.
                            -->
                            <table bgcolor="#E1E1E1" border="0" cellpadding="0" cellspacing="0" width="500" id="emailFooter">

                                <!-- FOOTER ROW // -->
                                <!--
                                    To move or duplicate any of the design patterns
                                    in this email, simply move or copy the entire
                                    MODULE ROW section for each content block.
                                -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#E1E1E1">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#E1E1E1">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%">
                                                                    <tr>
                                                                        <td valign="top" bgcolor="#FAFAFA">

                                                                            <div style="font-family: Arial,Helvetica,sans-serif;font-size:12px;color:#828282;text-align:center;line-height:120%;">
                                                                                <div>Copyright &#169; '.date("Y").' <a href="https://routenote.com/" target="_blank" style="text-decoration:none;color:#000000;" target="_blank"><span style="color:#1355ac;font-size:12px;">RouteNote</span></a>. All&nbsp;rights&nbsp;reserved.</div>
                                                                            </div>

                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>

                            </table>
                            <!-- // END -->

                        </td>
                    </tr>
                </table>
            </center>
        </body>
    </html>';
    $to = $data[0]->email;
if($to == 'mcldevtest@gmail.com'){
    $to ='mcldev24@gmail.com';
}

    
     
$subject = '';
     Mail::send([], [], function ($message) use ($to, $body, $subject) {       
         $message->from('noreply@smarthub.com', 'noreply@smarthub.com');
         $message->to($to);
         $message->subject($subject);
         $message->setBody($body, 'text/html');
         $message->replyTo($to);
     });




    
        return response()->json();
    }
        
    public function checkreleasestatus(Request $request)
    {     
       $upc = $request['upc'];

        $sql = DB::table('approving_user_updates')->where('upc', $upc)->get();
        $sql_num = $sql->count();
        $disapp_status = '21';
        $useraction_status = null;
        $usacst_status = null;
        $pend_mod_status = null;

        if ($sql_num != 0) {
            $disapp_stats = DB::table('discography_api_report')
                ->where('upc', $upc)
                ->where('release_status', 'Your Action Needed')
                ->first();
        
            $disapp_status = $disapp_stats ? $disapp_stats->release_status : null;
        } else {
            $useraction_stats = DB::table('discography_api_report')
                ->where('upc', $upc)
                ->where('release_status', 'Your Action Needed')
                ->first();
        
            $useraction_status = $useraction_stats ? $useraction_stats->release_status : null;
        }
        
        $sql1 = DB::table('user_action')->where('upc', $upc)->get();
        $sql1_num = $sql1->count();
        
        if ($sql1_num != 0) {
            $useactready_stats = DB::table('discography_api_report')
                ->where('upc', $upc)
                ->where('release_status', 'Pending Moderation')
                ->first();
        
            $usacst_status = $useactready_stats ? $useactready_stats->release_status : null;
        } else {
            $pendaction_stats = DB::table('discography_api_report')
                ->where('upc', $upc)
                ->where('release_status', 'Pending Moderation')
                ->first();
        
            $pend_mod_status = $pendaction_stats ? $pendaction_stats->release_status : null;
        }


  
            $premod = DB::table('upc_distribution')
                ->where('upcid', $upc)
                ->get();
      if(count($premod) > 0){
        $premod = $premod ? $premod->main_dis_option : null;
      }
      else{
        $premod = null;
      }
          
  
        
        
      
return response()->json([
    'disapp_status' => $disapp_status,
    'useraction_status' => $useraction_status,
    'usacst_status' => $usacst_status,
    'pend_mod_status' => $pend_mod_status,
    'premod' => $premod,
]);

    }
   
    


  
    public function contentformsubmit(Request $request)
    {    


$datas = json_decode($request->input('AllData'));
// $urls = [];

function generateRandomString($length = 16) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    return substr(str_shuffle(str_repeat($characters, ceil($length / strlen($characters)))), 0, $length);
}

//    dd($datas);
$i = 0;
// Loop through the decoded array to get the URL fields
foreach ($datas as $store) {
    foreach ($store->Choosedata as $key => $iem) {

        if (isset($iem->JioSaavn0)) {

            $base64String = $iem->JioSaavn0;
            if (preg_match('/^data:image\/(\w+);base64,/', $base64String, $type)) {
                // Remove the prefix
                $data = substr($base64String, strpos($base64String, ',') + 1);
                // Decode the base64 string
                $data = base64_decode($data);

                if ($data === false) {
                    echo "Base64 decode failed";
                }

                // Generate a unique filename
                $filename = '/uploadfiles/' . 'downloaded_image_' . generateRandomString(8) . '.jpg';

                // Save the image to the public path
                $path = public_path($filename);
                file_put_contents($path, $data);
                $iem->JioSaavn0 = $filename;
            }

        } else if (isset($iem->Zing0)) {
            $base64String = $iem->Zing0;
            if (preg_match('/^data:image\/(\w+);base64,/', $base64String, $type)) {
                // Remove the prefix
                $data = substr($base64String, strpos($base64String, ',') + 1);
                // Decode the base64 string
                $data = base64_decode($data);

                if ($data === false) {
                    echo "Base64 decode failed";
                }

                // Generate a unique filename
                $filename = '/uploadfiles/' . 'downloaded_image_' . generateRandomString(8) . '.jpg';

                // Save the image to the public path
                $path = public_path($filename);
                file_put_contents($path, $data);
                $iem->Zing0 = $filename;
            }
        }else if (isset($iem->Boomplay3)) {
            $base64String = $iem->Boomplay3;
            if (preg_match('/^data:image\/(\w+);base64,/', $base64String, $type)) {
                // Remove the prefix
                $data = substr($base64String, strpos($base64String, ',') + 1);
                // Decode the base64 string
                $data = base64_decode($data);

                if ($data === false) {
                    echo "Base64 decode failed";
                }

                // Generate a unique filename
                $filename = '/uploadfiles/' . 'downloaded_image_' . generateRandomString(8) . '.jpg';

                // Save the image to the public path
                $path = public_path($filename);
                file_put_contents($path, $data);
                $iem->Boomplay3 = $filename;
            }
        }
    }
    $i++;
}

$data = DB::table('comm_tbl_smthub_ticket')->where('keys1', $request->input('key'))->get();



$sid = DB::table('comm_content_mapping')->insertGetId([
    'id' => $data[0]->id,
    'userid' => $request->input('Uid'),
    'username' => $request->input('Usernameid'),
    'email' => $request->input('Emailid'),
    'keys1' => $request->input('key'),
    'action_needed' => $request->input('Action_need'),
]);
DB::table('comm_tbl_smthub_ticket')->where('keys1', $request->input('key'))->update(['status' => "Admin Action Needed"]);
foreach($datas as $items) {
    $upc = $items->upc;
    $artistname = $items->artistname;
    $Choosedata = json_encode($items->Choosedata);

    $values = [
        'tbl_content_mapping_id' => $sid,
        'upc' => $upc,
        'artist_name' => $artistname,
        'choose_store' => $Choosedata,
    ];


    $id = DB::table('comm_store_details')->insert($values);
   
}

return response()->json(['message' => 'Completed..'], 200);


     
        return redirect()->back()->with('success', 'Content Mapping Request Form Submitted Successfully.');

    }

    public function exportform2(Request $request)
    {       
     
       $data = DB::table('comm_content_mapping')
        ->join('comm_store_details', 'comm_store_details.tbl_content_mapping_id', '=', 'comm_content_mapping.id')
   ->where('comm_content_mapping.id',$request['id'])->get();

        $pdf = PDF::loadView('exportform2',compact('data'));
       return $pdf->download('exportform.pdf'); 
        
    }


   
  
}



