<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Str;

class Dashcontroller extends Controller{
  
    public function showdashboard() {
       
        
    $userid = Auth::user();

    $typeuser = Auth::guard('staff')->user();
    $usertype = $typeuser->type;
    if($usertype == 'Staff'){
        $totalcount = DB::table('comm_tbl_smthub_ticket')->where('assigned_to', $userid->uid)->where('tag_id','1')->count();

        $totalcount1 = DB::table('comm_tbl_smthub_ticket')->where('assigned_to', $userid->uid)->where('tag_id','2')->count();
    
        $totalcount2 = DB::table('comm_tbl_smthub_ticket')->where('assigned_to', $userid->uid)->where('tag_id','3')->count();
    
        $totalcount3 = DB::table('comm_tbl_smthub_ticket')->where('assigned_to', $userid->uid)->where('tag_id','4')->count();
    
        // $user_ids
    
        $currentMonth = (int)date('m'); 
        $months = [
            'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun',
            'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'
        ];
        
        $monthsUpToCurrent = array_slice($months, 0, $currentMonth);
    
        $currentYear = date('Y');
    
        
        $months = [
            'Jan' => '01',
            'Feb' => '02',
            'Mar' => '03',
            'Apr' => '04',
            'May' => '05',
            'Jun' => '06',
            'Jul' => '07',
            'Aug' => '08',
            'Sep' => '09',
            'Oct' => '10',
            'Nov' => '11',
            'Dec' => '12'
        ];
        
        $monthsUpToCurrents = array_slice(array_keys($months), 0, $currentMonth);
        
        $monthlyCounts = [];
        
    
    
        foreach ($monthsUpToCurrents as $month) {
            $monthNumber = $months[$month];
            $count = DB::table('comm_tbl_smthub_ticket')
                    ->whereYear('tickets_received', $currentYear)
                    ->whereMonth('tickets_received', $monthNumber)
                    //->whereNULL('completed_at')
                    //->orwhere('completed_at','=','')
                    ->where('assigned_to', $userid->uid)
                    ->where('tag_id','!=','')
                    ->count();
        
        $monthlyCounts[$month] = $count;
    
        }
       
    
        $requestreceived = json_encode(array_values($monthlyCounts));
       
        foreach ($monthsUpToCurrents as $month) {  
            $monthNumber = $months[$month];  
        $data = DB::table('comm_tbl_smthub_ticket') 
        ->whereYear('tickets_received', $currentYear)
        ->whereMonth('tickets_received', $monthNumber)
        ->whereNotNULL('completed_at')
        ->where('assigned_to', $userid->uid)
        ->count();
       
        $monthlyCounts[$month] = $data;
        }
    
        $requestcompleted = json_encode(array_values($monthlyCounts));
    
    
    
    
        foreach ($monthsUpToCurrents as $month) {
            $monthNumber = $months[$month];
    
    $forms1 = DB::table('comm_form_status as cfs')
            ->join('comm_account_closure as cac', 'cfs.form_id', '=', 'cac.form_id')
            ->whereYear('cfs.submitted_at', $currentYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cac.userID', $userid->uid)       
            ->where('cfs.type', 'account')->whereIN('cfs.status', ['approve','reject'])                     
            ->count();
             $forms2 = DB::table('comm_form_status as cfs')
            ->join('comm_content_mapping as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $currentYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cfs.type', 'content')   
            ->where('cac.userid', $userid->uid)    
            ->whereIN('cfs.status', ['approve','reject'])                       
            ->count();
    
            $forms3 = DB::table('comm_form_status as cfs')
            ->join('comm_oac_form as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $currentYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)   
            ->where('cac.userid', $userid->uid)      
            ->where('cfs.type', 'oac')->whereIN('cfs.status', ['approve','reject'])                
            ->count();
    
            $forms4 = DB::table('comm_form_status as cfs')
            ->join('comm_revenue_form as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $currentYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cac.userid', $userid->uid)       
            ->where('cfs.type', 'revenue')->whereIN('cfs.status', ['approve','reject'])                         
            ->count();
    
    
        $monthlyCounts[$month] = $forms1+$forms2+$forms3+$forms4;
        }
    
    $formcomp = json_encode(array_values($monthlyCounts));
    
    
    foreach ($monthsUpToCurrents as $month) {
    $monthNumber = $months[$month];
    
    $forms1 = DB::table('comm_form_status as cfs')
    ->join('comm_account_closure as cac', 'cfs.form_id', '=', 'cac.form_id')
    ->whereYear('cfs.submitted_at', $currentYear)   
    ->whereMonth('cfs.submitted_at', $monthNumber)        
    ->where('cfs.type', 'account')    ->where('cfs.status', 'request') 
    ->where('cac.userID', $userid->uid)                   
    ->count();
    $forms2 = DB::table('comm_form_status as cfs')
    ->join('comm_content_mapping as cac', 'cfs.form_id', '=', 'cac.id')
    ->whereYear('cfs.submitted_at', $currentYear)   
    ->whereMonth('cfs.submitted_at', $monthNumber)        
    ->where('cfs.type', 'content')  ->where('cfs.status', 'request') 
    ->where('cac.userid', $userid->uid)                       
    ->count();
    
    $forms3 = DB::table('comm_form_status as cfs')
    ->join('comm_oac_form as cac', 'cfs.form_id', '=', 'cac.id')
    ->whereYear('cfs.submitted_at', $currentYear)   
    ->whereMonth('cfs.submitted_at', $monthNumber)        
    ->where('cfs.type', 'oac')    ->where('cfs.status', 'request')   
    ->where('cac.userid', $userid->uid)                  
    ->count();
    
    $forms4 = DB::table('comm_form_status as cfs')
    ->join('comm_revenue_form as cac', 'cfs.form_id', '=', 'cac.id')
    ->whereYear('cfs.submitted_at', $currentYear)   
    ->whereMonth('cfs.submitted_at', $monthNumber)
    ->where('cac.userid', $userid->uid)        
    ->where('cfs.type', 'revenue')
    ->where('cfs.status', 'request')                    
    ->count();
    
    // ->where('assigned_to', $userid->uid)
    $monthlyCounts[$month] = $forms1+$forms2+$forms3+$forms4;
    }
    
    $formwaiting = json_encode(array_values($monthlyCounts));
    
    
    
    foreach ($monthsUpToCurrents as $month) {
    $monthNumber = $months[$month];
    
    $formIds = DB::table('comm_form_status')
    ->where('type', 'account')
    ->pluck('form_id');    
    
    
       $forms1 = DB::table('comm_account_closure')
                    ->whereYear('submitted_at', $currentYear)
                    ->whereMonth('submitted_at', $monthNumber)
                    ->whereNotIN('form_id', $formIds) 
                    ->where('userID', $userid->uid) 
                    ->count();
    
                    $formIds = DB::table('comm_form_status')
                    ->where('type', 'content')
                    ->pluck('form_id');    
                
                
                       $forms2 = DB::table('comm_content_mapping')
                                    ->whereYear('submitted_at', $currentYear)
                                    ->whereMonth('submitted_at', $monthNumber)
                                    ->whereNotIN('id', $formIds) 
                                    ->count();
                                  
                           
    $formIds = DB::table('comm_form_status')
    ->where('type', 'revenue')
    ->pluck('form_id');    
    
    
       $forms3 = DB::table('comm_revenue_form')
                    ->whereYear('submitted_at', $currentYear)
                    ->whereMonth('submitted_at', $monthNumber)
                    ->whereNotIN('id', $formIds) 
                    ->count();
                  
    
                    $formIds = DB::table('comm_form_status')
                    ->where('type', 'oac')
                    ->pluck('form_id');    
                
                
                       $forms4 = DB::table('comm_oac_form')
                                    ->whereYear('submitted_at', $currentYear)
                                    ->whereMonth('submitted_at', $monthNumber)
                                    ->whereNotIN('id', $formIds) 
                                    ->count();
                                  
                
    
    
    
                    $monthlyCounts[$month] = $forms1+$forms2+$forms3+$forms4;
    
    }
    
    $formadminneeded = json_encode(array_values($monthlyCounts));


    $currentYears = date('Y');
        $startYear = $currentYears - 1; 

        $monthss = [
            'Jan' => '01', 'Feb' => '02', 'Mar' => '03', 'Apr' => '04',
            'May' => '05', 'Jun' => '06', 'Jul' => '07', 'Aug' => '08',
            'Sep' => '09', 'Oct' => '10', 'Nov' => '11', 'Dec' => '12'
        ];

        $monthsUpToCurrentss = array_slice(array_keys($months), 0, 12);
        
        $monthlyCountss = [];
        
    
    
        foreach ($monthsUpToCurrentss as $month) {
            $monthNumber = $monthss[$month];
            $count = DB::table('comm_tbl_smthub_ticket')
                    ->whereYear('tickets_received', $startYear)
                    ->whereMonth('tickets_received', $monthNumber)
                    //->whereNULL('completed_at')
                    //->orwhere('completed_at','=','')
                    ->where('assigned_to', $userid->uid)
                    ->where('tag_id','!=','')
                    ->count();
        
        $monthlyCountss[$month] = $count;
    
        }

        foreach ($monthsUpToCurrentss as $month) {  
            $monthNumber = $monthss[$month];  
        $data = DB::table('comm_tbl_smthub_ticket') 
        ->whereYear('tickets_received', $startYear)
        ->whereMonth('tickets_received', $monthNumber)
        ->whereNotNULL('completed_at')
        ->where('assigned_to', $userid->uid)
        ->count();
       
        $monthlyCountses[$month] = $data;
        }
    
        $requestReceivedJson = json_encode(array_values($monthlyCountss));
        $requestCompletedJson = json_encode(array_values($monthlyCountses));
        // dd($requestCompletedJson);


    foreach ($monthsUpToCurrentss as $month) {
            $monthNumber = $monthss[$month];
    
    $forms1 = DB::table('comm_form_status as cfs')
            ->join('comm_account_closure as cac', 'cfs.form_id', '=', 'cac.form_id')
            ->whereYear('cfs.submitted_at', $startYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cac.userID', $userid->uid)       
            ->where('cfs.type', 'account')->whereIN('cfs.status', ['approve','reject'])                     
            ->count();
             $forms2 = DB::table('comm_form_status as cfs')
            ->join('comm_content_mapping as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $startYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cfs.type', 'content')   
            ->where('cac.userid', $userid->uid)    
            ->whereIN('cfs.status', ['approve','reject'])                       
            ->count();
    
            $forms3 = DB::table('comm_form_status as cfs')
            ->join('comm_oac_form as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $startYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)   
            ->where('cac.userid', $userid->uid)      
            ->where('cfs.type', 'oac')->whereIN('cfs.status', ['approve','reject'])                
            ->count();
    
            $forms4 = DB::table('comm_form_status as cfs')
            ->join('comm_revenue_form as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $startYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cac.userid', $userid->uid)       
            ->where('cfs.type', 'revenue')->whereIN('cfs.status', ['approve','reject'])                         
            ->count();
    
    
        $monthlyCountsss[$month] = $forms1+$forms2+$forms3+$forms4;
        }
    
    $formcompJson = json_encode(array_values($monthlyCountsss));

    foreach ($monthsUpToCurrentss as $month) {
        $monthNumber = $monthss[$month];
        
        $forms1 = DB::table('comm_form_status as cfs')
        ->join('comm_account_closure as cac', 'cfs.form_id', '=', 'cac.form_id')
        ->whereYear('cfs.submitted_at', $startYear)   
        ->whereMonth('cfs.submitted_at', $monthNumber)        
        ->where('cfs.type', 'account')    ->where('cfs.status', 'request') 
        ->where('cac.userID', $userid->uid)                   
        ->count();
        $forms2 = DB::table('comm_form_status as cfs')
        ->join('comm_content_mapping as cac', 'cfs.form_id', '=', 'cac.id')
        ->whereYear('cfs.submitted_at', $startYear)   
        ->whereMonth('cfs.submitted_at', $monthNumber)        
        ->where('cfs.type', 'content')  ->where('cfs.status', 'request') 
        ->where('cac.userid', $userid->uid)                       
        ->count();
        
        $forms3 = DB::table('comm_form_status as cfs')
        ->join('comm_oac_form as cac', 'cfs.form_id', '=', 'cac.id')
        ->whereYear('cfs.submitted_at', $startYear)   
        ->whereMonth('cfs.submitted_at', $monthNumber)        
        ->where('cfs.type', 'oac')    ->where('cfs.status', 'request')   
        ->where('cac.userid', $userid->uid)                  
        ->count();
        
        $forms4 = DB::table('comm_form_status as cfs')
        ->join('comm_revenue_form as cac', 'cfs.form_id', '=', 'cac.id')
        ->whereYear('cfs.submitted_at', $startYear)   
        ->whereMonth('cfs.submitted_at', $monthNumber)
        ->where('cac.userid', $userid->uid)        
        ->where('cfs.type', 'revenue')
        ->where('cfs.status', 'request')                    
        ->count();
        
        // ->where('assigned_to', $userid->uid)
        $monthlyCountes[$month] = $forms1+$forms2+$forms3+$forms4;
        }
        
        $formwaitingJson = json_encode(array_values($monthlyCountes));
        
        
        
        foreach ($monthsUpToCurrentss as $month) {
        $monthNumber = $monthss[$month];
        
        $formIds = DB::table('comm_form_status')
        ->where('type', 'account')
        ->pluck('form_id');    
        
        
           $forms1 = DB::table('comm_account_closure')
                        ->whereYear('submitted_at', $startYear)
                        ->whereMonth('submitted_at', $monthNumber)
                        ->whereNotIN('form_id', $formIds) 
                        ->where('userID', $userid->uid) 
                        ->count();
        
                        $formIds = DB::table('comm_form_status')
                        ->where('type', 'content')
                        ->pluck('form_id');    
                    
                    
                           $forms2 = DB::table('comm_content_mapping')
                                        ->whereYear('submitted_at', $startYear)
                                        ->whereMonth('submitted_at', $monthNumber)
                                        ->whereNotIN('id', $formIds) 
                                        ->count();
                                      
                               
        $formIds = DB::table('comm_form_status')
        ->where('type', 'revenue')
        ->pluck('form_id');    
        
        
           $forms3 = DB::table('comm_revenue_form')
                        ->whereYear('submitted_at', $startYear)
                        ->whereMonth('submitted_at', $monthNumber)
                        ->whereNotIN('id', $formIds) 
                        ->count();
                      
        
                        $formIds = DB::table('comm_form_status')
                        ->where('type', 'oac')
                        ->pluck('form_id');    
                    
                    
                           $forms4 = DB::table('comm_oac_form')
                                        ->whereYear('submitted_at', $startYear)
                                        ->whereMonth('submitted_at', $monthNumber)
                                        ->whereNotIN('id', $formIds) 
                                        ->count();
                                      
                    
        
        
        
                        $monthlyCountees[$month] = $forms1+$forms2+$forms3+$forms4;
        
        }
        
        $formadminneededJson = json_encode(array_values($monthlyCountees));

    // dd($formwaitingJson);
    
    
    }else{


        $totalcount = DB::table('comm_tbl_smthub_ticket')->where('tag_id','1')->count();

        $totalcount1 = DB::table('comm_tbl_smthub_ticket')->where('tag_id','2')->count();
    
        $totalcount2 = DB::table('comm_tbl_smthub_ticket')->where('tag_id','3')->count();
    
        $totalcount3 = DB::table('comm_tbl_smthub_ticket')->where('tag_id','4')->count();
    
        // $user_ids
    
        $currentMonth = (int)date('m'); 
        $months = [
            'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun',
            'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'
        ];
        
        $monthsUpToCurrent = array_slice($months, 0, $currentMonth);
    
        $currentYear = date('Y');
    
        
        $months = [
            'Jan' => '01',
            'Feb' => '02',
            'Mar' => '03',
            'Apr' => '04',
            'May' => '05',
            'Jun' => '06',
            'Jul' => '07',
            'Aug' => '08',
            'Sep' => '09',
            'Oct' => '10',
            'Nov' => '11',
            'Dec' => '12'
        ];
        
        $monthsUpToCurrents = array_slice(array_keys($months), 0, $currentMonth);
        
        $monthlyCounts = [];
        
    
    
        foreach ($monthsUpToCurrents as $month) {
            $monthNumber = $months[$month];
            $count = DB::table('comm_tbl_smthub_ticket')
                    ->whereYear('tickets_received', $currentYear)
                    ->whereMonth('tickets_received', $monthNumber)
                    //->whereNULL('completed_at')
                    //->orwhere('completed_at','=','')
                    
                    ->where('tag_id','!=','')
                    ->count();
        
        $monthlyCounts[$month] = $count;
    
        }
       
    
        $requestreceived = json_encode(array_values($monthlyCounts));

       
       
        foreach ($monthsUpToCurrents as $month) {  
            $monthNumber = $months[$month];  
        $data = DB::table('comm_tbl_smthub_ticket') 
        ->whereYear('tickets_received', $currentYear)
        ->whereMonth('tickets_received', $monthNumber)
        ->whereNotNULL('completed_at')
        
        ->count();
       
        $monthlyCounts[$month] = $data;
        }
    
        $requestcompleted = json_encode(array_values($monthlyCounts));
    
    
    
    
        foreach ($monthsUpToCurrents as $month) {
            $monthNumber = $months[$month];
    
    $forms1 = DB::table('comm_form_status as cfs')
            ->join('comm_account_closure as cac', 'cfs.form_id', '=', 'cac.form_id')
            ->whereYear('cfs.submitted_at', $currentYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cac.userID', $userid->uid)       
            ->where('cfs.type', 'account')->whereIN('cfs.status', ['approve','reject'])                     
            ->count();
             $forms2 = DB::table('comm_form_status as cfs')
            ->join('comm_content_mapping as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $currentYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cfs.type', 'content')   
            ->where('cac.userid', $userid->uid)    
            ->whereIN('cfs.status', ['approve','reject'])                       
            ->count();
    
            $forms3 = DB::table('comm_form_status as cfs')
            ->join('comm_oac_form as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $currentYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)   
            ->where('cac.userid', $userid->uid)      
            ->where('cfs.type', 'oac')->whereIN('cfs.status', ['approve','reject'])                
            ->count();
    
            $forms4 = DB::table('comm_form_status as cfs')
            ->join('comm_revenue_form as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $currentYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cac.userid', $userid->uid)       
            ->where('cfs.type', 'revenue')->whereIN('cfs.status', ['approve','reject'])                         
            ->count();
    
    
        $monthlyCounts[$month] = $forms1+$forms2+$forms3+$forms4;
        }
    
    $formcomp = json_encode(array_values($monthlyCounts));
    
    
    foreach ($monthsUpToCurrents as $month) {
    $monthNumber = $months[$month];
    
    $forms1 = DB::table('comm_form_status as cfs')
    ->join('comm_account_closure as cac', 'cfs.form_id', '=', 'cac.form_id')
    ->whereYear('cfs.submitted_at', $currentYear)   
    ->whereMonth('cfs.submitted_at', $monthNumber)        
    ->where('cfs.type', 'account')    ->where('cfs.status', 'request') 
    ->where('cac.userID', $userid->uid)                   
    ->count();
    $forms2 = DB::table('comm_form_status as cfs')
    ->join('comm_content_mapping as cac', 'cfs.form_id', '=', 'cac.id')
    ->whereYear('cfs.submitted_at', $currentYear)   
    ->whereMonth('cfs.submitted_at', $monthNumber)        
    ->where('cfs.type', 'content')  ->where('cfs.status', 'request') 
    ->where('cac.userid', $userid->uid)                       
    ->count();
    
    $forms3 = DB::table('comm_form_status as cfs')
    ->join('comm_oac_form as cac', 'cfs.form_id', '=', 'cac.id')
    ->whereYear('cfs.submitted_at', $currentYear)   
    ->whereMonth('cfs.submitted_at', $monthNumber)        
    ->where('cfs.type', 'oac')    ->where('cfs.status', 'request')   
    ->where('cac.userid', $userid->uid)                  
    ->count();
    
    $forms4 = DB::table('comm_form_status as cfs')
    ->join('comm_revenue_form as cac', 'cfs.form_id', '=', 'cac.id')
    ->whereYear('cfs.submitted_at', $currentYear)   
    ->whereMonth('cfs.submitted_at', $monthNumber)
    ->where('cac.userid', $userid->uid)        
    ->where('cfs.type', 'revenue')
    ->where('cfs.status', 'request')                    
    ->count();
    
    // ->where('assigned_to', $userid->uid)
    $monthlyCounts[$month] = $forms1+$forms2+$forms3+$forms4;
    }
    
    $formwaiting = json_encode(array_values($monthlyCounts));
    
    
    
    foreach ($monthsUpToCurrents as $month) {
    $monthNumber = $months[$month];
    
    $formIds = DB::table('comm_form_status')
    ->where('type', 'account')
    ->pluck('form_id');    
    
    
       $forms1 = DB::table('comm_account_closure')
                    ->whereYear('submitted_at', $currentYear)
                    ->whereMonth('submitted_at', $monthNumber)
                    ->whereNotIN('form_id', $formIds) 
                    ->where('userID', $userid->uid) 
                    ->count();
    
                    $formIds = DB::table('comm_form_status')
                    ->where('type', 'content')
                    ->pluck('form_id');    
                
                
                       $forms2 = DB::table('comm_content_mapping')
                                    ->whereYear('submitted_at', $currentYear)
                                    ->whereMonth('submitted_at', $monthNumber)
                                    ->whereNotIN('id', $formIds) 
                                    ->count();
                                  
                           
    $formIds = DB::table('comm_form_status')
    ->where('type', 'revenue')
    ->pluck('form_id');    
    
    
       $forms3 = DB::table('comm_revenue_form')
                    ->whereYear('submitted_at', $currentYear)
                    ->whereMonth('submitted_at', $monthNumber)
                    ->whereNotIN('id', $formIds) 
                    ->count();
                  
    
                    $formIds = DB::table('comm_form_status')
                    ->where('type', 'oac')
                    ->pluck('form_id');    
                
                
                       $forms4 = DB::table('comm_oac_form')
                                    ->whereYear('submitted_at', $currentYear)
                                    ->whereMonth('submitted_at', $monthNumber)
                                    ->whereNotIN('id', $formIds) 
                                    ->count();
                                  
                
    
    
    
                    $monthlyCounts[$month] = $forms1+$forms2+$forms3+$forms4;
    
    }
    
    $formadminneeded = json_encode(array_values($monthlyCounts));



        $currentYears = date('Y');
        $startYear = $currentYears - 1; 

        $monthss = [
            'Jan' => '01', 'Feb' => '02', 'Mar' => '03', 'Apr' => '04',
            'May' => '05', 'Jun' => '06', 'Jul' => '07', 'Aug' => '08',
            'Sep' => '09', 'Oct' => '10', 'Nov' => '11', 'Dec' => '12'
        ];

        $monthsUpToCurrentss = array_slice(array_keys($months), 0, 12);
        
        $monthlyCountss = [];
        
    
    
        foreach ($monthsUpToCurrentss as $month) {
            $monthNumber = $monthss[$month];
            $count = DB::table('comm_tbl_smthub_ticket')
                    ->whereYear('tickets_received', $startYear)
                    ->whereMonth('tickets_received', $monthNumber)
                    //->whereNULL('completed_at')
                    //->orwhere('completed_at','=','')
                    
                    ->where('tag_id','!=','')
                    ->count();
        
        $monthlyCountss[$month] = $count;
    
        }

        foreach ($monthsUpToCurrentss as $month) {  
            $monthNumber = $monthss[$month];  
        $data = DB::table('comm_tbl_smthub_ticket') 
        ->whereYear('tickets_received', $startYear)
        ->whereMonth('tickets_received', $monthNumber)
        ->whereNotNULL('completed_at')
        
        ->count();
       
        $monthlyCountses[$month] = $data;
        }
    
        $requestReceivedJson = json_encode(array_values($monthlyCountss));
        $requestCompletedJson = json_encode(array_values($monthlyCountses));
        // dd($requestCompletedJson);


    foreach ($monthsUpToCurrentss as $month) {
            $monthNumber = $monthss[$month];
    
    $forms1 = DB::table('comm_form_status as cfs')
            ->join('comm_account_closure as cac', 'cfs.form_id', '=', 'cac.form_id')
            ->whereYear('cfs.submitted_at', $startYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cac.userID', $userid->uid)       
            ->where('cfs.type', 'account')->whereIN('cfs.status', ['approve','reject'])                     
            ->count();
             $forms2 = DB::table('comm_form_status as cfs')
            ->join('comm_content_mapping as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $startYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cfs.type', 'content')   
            ->where('cac.userid', $userid->uid)    
            ->whereIN('cfs.status', ['approve','reject'])                       
            ->count();
    
            $forms3 = DB::table('comm_form_status as cfs')
            ->join('comm_oac_form as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $startYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)   
            ->where('cac.userid', $userid->uid)      
            ->where('cfs.type', 'oac')->whereIN('cfs.status', ['approve','reject'])                
            ->count();
    
            $forms4 = DB::table('comm_form_status as cfs')
            ->join('comm_revenue_form as cac', 'cfs.form_id', '=', 'cac.id')
            ->whereYear('cfs.submitted_at', $startYear)   
            ->whereMonth('cfs.submitted_at', $monthNumber)  
            ->where('cac.userid', $userid->uid)       
            ->where('cfs.type', 'revenue')->whereIN('cfs.status', ['approve','reject'])                         
            ->count();
    
    
        $monthlyCountsss[$month] = $forms1+$forms2+$forms3+$forms4;
        }
    
    $formcompJson = json_encode(array_values($monthlyCountsss));

    foreach ($monthsUpToCurrentss as $month) {
        $monthNumber = $monthss[$month];
        
        $forms1 = DB::table('comm_form_status as cfs')
        ->join('comm_account_closure as cac', 'cfs.form_id', '=', 'cac.form_id')
        ->whereYear('cfs.submitted_at', $startYear)   
        ->whereMonth('cfs.submitted_at', $monthNumber)        
        ->where('cfs.type', 'account')    ->where('cfs.status', 'request') 
        ->where('cac.userID', $userid->uid)                   
        ->count();
        $forms2 = DB::table('comm_form_status as cfs')
        ->join('comm_content_mapping as cac', 'cfs.form_id', '=', 'cac.id')
        ->whereYear('cfs.submitted_at', $startYear)   
        ->whereMonth('cfs.submitted_at', $monthNumber)        
        ->where('cfs.type', 'content')  ->where('cfs.status', 'request') 
        ->where('cac.userid', $userid->uid)                       
        ->count();
        
        $forms3 = DB::table('comm_form_status as cfs')
        ->join('comm_oac_form as cac', 'cfs.form_id', '=', 'cac.id')
        ->whereYear('cfs.submitted_at', $startYear)   
        ->whereMonth('cfs.submitted_at', $monthNumber)        
        ->where('cfs.type', 'oac')    ->where('cfs.status', 'request')   
        ->where('cac.userid', $userid->uid)                  
        ->count();
        
        $forms4 = DB::table('comm_form_status as cfs')
        ->join('comm_revenue_form as cac', 'cfs.form_id', '=', 'cac.id')
        ->whereYear('cfs.submitted_at', $startYear)   
        ->whereMonth('cfs.submitted_at', $monthNumber)
        ->where('cac.userid', $userid->uid)        
        ->where('cfs.type', 'revenue')
        ->where('cfs.status', 'request')                    
        ->count();
        
        // ->where('assigned_to', $userid->uid)
        $monthlyCountes[$month] = $forms1+$forms2+$forms3+$forms4;
        }
        
        $formwaitingJson = json_encode(array_values($monthlyCountes));
        
        
        
        foreach ($monthsUpToCurrentss as $month) {
        $monthNumber = $monthss[$month];
        
        $formIds = DB::table('comm_form_status')
        ->where('type', 'account')
        ->pluck('form_id');    
        
        
           $forms1 = DB::table('comm_account_closure')
                        ->whereYear('submitted_at', $startYear)
                        ->whereMonth('submitted_at', $monthNumber)
                        ->whereNotIN('form_id', $formIds) 
                        ->where('userID', $userid->uid) 
                        ->count();
        
                        $formIds = DB::table('comm_form_status')
                        ->where('type', 'content')
                        ->pluck('form_id');    
                    
                    
                           $forms2 = DB::table('comm_content_mapping')
                                        ->whereYear('submitted_at', $startYear)
                                        ->whereMonth('submitted_at', $monthNumber)
                                        ->whereNotIN('id', $formIds) 
                                        ->count();
                                      
                               
        $formIds = DB::table('comm_form_status')
        ->where('type', 'revenue')
        ->pluck('form_id');    
        
        
           $forms3 = DB::table('comm_revenue_form')
                        ->whereYear('submitted_at', $startYear)
                        ->whereMonth('submitted_at', $monthNumber)
                        ->whereNotIN('id', $formIds) 
                        ->count();
                      
        
                        $formIds = DB::table('comm_form_status')
                        ->where('type', 'oac')
                        ->pluck('form_id');    
                    
                    
                           $forms4 = DB::table('comm_oac_form')
                                        ->whereYear('submitted_at', $startYear)
                                        ->whereMonth('submitted_at', $monthNumber)
                                        ->whereNotIN('id', $formIds) 
                                        ->count();
                                      
                    
        
        
        
                        $monthlyCountees[$month] = $forms1+$forms2+$forms3+$forms4;
        
        }
        
        $formadminneededJson = json_encode(array_values($monthlyCountees));

    // dd($formwaitingJson);
      
    }
   



    $typeuser = Auth::guard('staff')->user();
    $usertype = $typeuser->type;

   return view('dashboard', ['formadminneeded'=>$formadminneeded,'formwaiting'=>$formwaiting,'formcomp'=>$formcomp,'usertype'=>$usertype,'monthsUpToCurrent'=>$monthsUpToCurrent,'requestreceived'=>$requestreceived,'requestcompleted'=>$requestcompleted,'totalcount' => $totalcount,'totalcount1' => $totalcount1,'totalcount2' => $totalcount2,'totalcount3' => $totalcount3,'requestReceivedJson' => $requestReceivedJson,'requestCompletedJson' => $requestCompletedJson,'formcompJson' => $formcompJson,'formwaitingJson' => $formwaitingJson,'formadminneededJson' => $formadminneededJson]);

}
}