

import React, { useEffect, useRef, useState } from "react";
import { TaskLog1 } from "./utils/getjson";
import { FormatDate } from "./utils/NameInitials";
// import EscalateModal from './EscalateModal'; // Import the modal component
// import { Table } from 'antd';

export const TimeFormat = ({ format }) => {
    const [days, text, time] = format.split(" ");
    // console.log(days, text, time)
    return (<>{days} {text} <br /> {time}</>);
}

export const Moderationageing = () => {
    
    const [takedata, settakedata] = useState([{
        id: '',
        User: "",
        Email: "",
        status: '',
        Created_Time: "",
        moderation_time: ""
    }]);
    const [takedata1, settakedata1] = useState([{
        id: '',
        User: "",
        Email: "",
        status: '',
        Created_Time: "",
        moderation_time: ""
    }]);
    const [filter, setFilter] = useState('');
    const [sortType, setSortType] = useState('asc');
    const [showModal, setShowModal] = useState(false); // State for modal visibility
    const [selectedItemId, setSelectedItemId] = useState(null); // State to track the selected item ID
    const [dropdownValue, setDropdownValue] = useState('');
    const [subDropdownValue, setSubDropdownValue] = useState('');
    const [infilter, setinfilter] = useState(false);
    const [infilter1, setinfilter1] = useState(false);
    const [infilter2, setinfilter2] = useState(false);
    const [emailSearch, setemailSearch] = useState(false);
    const inputRef = useRef();
    const [opet, setopet] = useState('');
    const [Duration, setDuration] = useState('');


    const handleButtonClick = (id) => {
        const updatedData = takedata.map(item =>
            item.id === id ? { ...item, escalated: true } : item
        );
        settakedata(updatedData);
    };
    const handleConfirmEscalate = () => {
        const updatedData = takedata.map(item =>
            item.id === selectedItemId ? { ...item, escalated: true, buttonClass: 'bg-green-400' } : item
        );
        settakedata(updatedData);
        setShowModal(false); // Close the modal after confirming escalation
    };

    // const ReportlistCl = async () => {
    //     try {
    //         const response = await TaskLog1();
    //         const updatedData = response.map(item => {
    //             const { daysRemaining, status, totalSeconds } = calculateEscalationTime(item.Created_Time, item.moderation_time);
    //             return { ...item, daysRemaining, status, totalSeconds };

    //         });
    //         console.log('updatedData', updatedData)
    //         settakedata(updatedData);
    //         settakedata1(updatedData);
    //     } catch (error) {
    //         // console.error('Error:', error);
    //     }
    // }

    const createcalling = async (id, name, upc, email) => {
        const response1 = await axios.post('/slackcreate', {
            id: id,
            name: name,
            email: email,
            message: `List of Moderation which are all going to be Overdue in next 48 hours
                Id: ${id}
                Username: ${name}
                UPC: ${upc}
                Email: ${email}
            `
        });
        if (response1.data.slack.ok) {
            ReportlistCl()
        }
    }
    const subcreatecalling = async (id, name, upc, email) => {
        const response1 = await axios.post('/asanacreate', {
            id: id,
            name: name,
            email: email,
            message: `Over Due Moderation List
            Id: ${id}
            Username: ${name}
            UPC: ${upc}
            Email: ${email} `
        });
        console.log('response1', response1.data)
    }

    useEffect(() => {
        const fetchin = async () => {
            try {
                const response = await TaskLog1();

                const today = new Date();
                response.forEach(item => {
                    var time_difference = new Date(item.Created_Time).getTime() - new Date(today).getTime();
                    var days_difference = time_difference / (1000 * 60 * 60 * 24);
                    const state = item.moderation_time - Math.abs(days_difference);

                    if (state > 0 && state <= 2) {
                        // console.log('today1', new Date(item.Created_Time), item.moderation_time - Math.abs(days_difference))
                        // createcalling();
                    }
                })



                const updatedData = await response.map(item => {
                    const { daysRemaining, status, totalSeconds } = calculateEscalationTime(item.Created_Time, item.moderation_time, item.usertype, item.upctype, item.elapsetime1, item.elapsetime2);
                    return { ...item, daysRemaining, status, totalSeconds };
                });
                settakedata(updatedData);
                settakedata1(updatedData);
                const createCallingData = {
                    ids: [],
                    users: [],
                    upc: [],
                    emails: []
                };

                const subCreateCallingData = {
                    ids: [],
                    users: [],
                    upc: [],
                    emails: []
                };

                // Process each item and accumulate data based on conditions
                updatedData.forEach(item => {
                    const daysslice = item.daysRemaining.split(' ');
                    const dayss = daysslice[2].split(':')[0];

                    // Collect data
                    const id = item.id;
                    const user = item.User;
                    const upc = item.upc;
                    const email = item.Email;

                    if (dayss < 0) {
                        // if (daysslice[0] >= 0 && daysslice[0] <= 2) {
                        // Accumulate data for createcalling
                        createCallingData.ids.push(id);
                        createCallingData.users.push(user);
                        createCallingData.upc.push(upc);
                        createCallingData.emails.push(email);
                        // }
                    } else {
                        // Accumulate data for subcreatecalling
                        subCreateCallingData.ids.push(id);
                        subCreateCallingData.users.push(user);
                        subCreateCallingData.upc.push(upc);
                        subCreateCallingData.emails.push(email);
                    }
                });

                // After processing all items, call the functions with accumulated data
                if (createCallingData.ids.length > 0) {
                    createcalling(createCallingData.ids, createCallingData.users, createCallingData.upc, createCallingData.emails);
                }
                
                if (subCreateCallingData.ids.length > 0) {
                    subcreatecalling(subCreateCallingData.ids, subCreateCallingData.users, subCreateCallingData.upc, subCreateCallingData.emails);
                }


            } catch (error) {
                console.error('Error:', error);
            }
        }
        fetchin();
    }, []);

    // useEffect(() => {
    //     const timer = setInterval(() => {
    //         const updatedData = takedata.map(item => {
    //              //// if (item.totalSeconds > 0) {
    //             const updatedTotalSeconds = item.totalSeconds - 1;

    //             const { daysRemaining, status } = convertSecondsToTime(updatedTotalSeconds);
    //             // console.log('updatedTotalSeconds', daysRemaining, status)
    //             return { ...item, daysRemaining, status, totalSeconds: updatedTotalSeconds };
    //             //}
    //             // return { ...item, daysRemaining: "00:00:00", status: "red", totalSeconds: 0 };
    //         });

    //         settakedata(updatedData);
    //         // settakedata1(updatedData);
    //     }, 1000);

    //     return () => clearInterval(timer);
    // }, [takedata]);
    // const calculateEscalationTime = (createdTime, moderationTime) => {
    //     const createdDate = new Date(createdTime);

    //     const currentDate = new Date();   console.log(currentDate);
    //     const moderationDays = parseInt(moderationTime, 10);
    //     const escalationDate = new Date(createdDate.getTime() + moderationDays * 24 * 60 * 60 * 1000);

    //     const timeDiff = (currentDate - createdDate) / (1000 * 60 * 60 * 24);
    //     const daysRemaining = moderationDays - timeDiff;
    //     const totalSeconds = daysRemaining * 24 * 60 * 60;



    //     return { ...convertSecondsToTime(totalSeconds), totalSeconds };
    // };
    // useEffect(() => {
    //     const timer = setInterval(() => {
    //         const updatedData = takedata.map(item => {
    //             // Calculate elapsed time since creation
    //             const { daysElapsed, status } = calculateEscalationTime(item.Created_Time, item.moderation_time, item.usertype, item.upctype);

    //             // Convert days elapsed into total seconds to show
    //             const totalSeconds = daysElapsed * 24 * 60 * 60;
    //             const { days, hours, minutes, seconds } = convertSecondsToTime(totalSeconds);

    //             return { 
    //                 ...item, 
    //                 daysRemaining: `${days} days ${hours}:${minutes}:${seconds}`, 
    //                 status, 
    //                 totalSeconds 
    //             };
    //         });

    //         settakedata(updatedData);
    //     }, 1000);

    //     // Cleanup interval on component unmount
    //     return () => clearInterval(timer);
    // }, [takedata]);


    useEffect(() => {
        const timer = setInterval(() => {
            const updatedData = takedata.map(item => {
                const updatedTotalSeconds = item.totalSeconds + 1;
                const { days, hours, minutes, seconds } = convertSecondsToTime(updatedTotalSeconds);
                // Determine status based on updated totalSeconds
                const { daysElapsed, status } = calculateEscalationTime(item.Created_Time, item.moderation_time, item.usertype, item.upctype, item.elapsetime1, item.elapsetime2);

                return {
                    ...item,
                    daysRemaining: `${days} days ${hours}:${minutes}:${seconds}`,
                    status,
                    totalSeconds: updatedTotalSeconds
                };
            });

            settakedata(updatedData);
        }, 1000);

        // Cleanup interval on component unmount
        return () => clearInterval(timer);
    }, [takedata]);


    const ReportlistCl = async () => {
        try {
            const response = await TaskLog1();
            const updatedData = response.map(item => {
                const { daysElapsed, status, totalSeconds } = calculateEscalationTime(item.Created_Time, item.moderation_time, item.usertype, item.upctype, item.elapsetime1, item.elapsetime2);
                return { ...item, daysElapsed, status, totalSeconds };
            });
            console.log('updatedData', updatedData);
            settakedata(updatedData);
            settakedata1(updatedData);
        } catch (error) {
            console.error('Error:', error);
        }
    };

    const convertSecondsToTime = (totalSeconds) => {
        const days = Math.floor(totalSeconds / (24 * 60 * 60));
        const hours = Math.floor((totalSeconds % (24 * 60 * 60)) / (60 * 60));
        const minutes = Math.floor((totalSeconds % (60 * 60)) / 60);
        const seconds = Math.floor(totalSeconds % 60);

        // Adjust hours and days for correct representation
        const adjustedDays = days + Math.floor(hours / 24);
        const adjustedHours = hours % 24;

        return {
            days: adjustedDays.toString().padStart(2, '0'),
            hours: adjustedHours.toString().padStart(2, '0'),
            minutes: minutes.toString().padStart(2, '0'),
            seconds: seconds.toString().padStart(2, '0')
        };
    };

    // const convertSecondsToTime = (totalSeconds) => {
    //     const days = Math.floor(totalSeconds / (24 * 60 * 60));
    //     const hours = Math.floor((totalSeconds % (24 * 60 * 60)) / (60 * 60));
    //     const minutes = Math.floor((totalSeconds % (60 * 60)) / 60);
    //     const seconds = Math.floor(totalSeconds % 60);

    //     return {
    //         days: days.toString().padStart(2, '0'),
    //         hours: hours.toString().padStart(2, '0'),
    //         minutes: minutes.toString().padStart(2, '0'),
    //         seconds: seconds.toString().padStart(2, '0')
    //     };
    // };

    useEffect(()=> {
        const tetet = async() => {
            try {
                const response = await axios.post('/time-process');
                console.log('response', response);
            } catch (error) {
                console.error('Error:', error);
            }
        }
        tetet();
    }, [])


    const calculateEscalationTime = (createdTime, moderationTime, usertype, upctype, elapsetime1, elapsetime2) => {
        const createdDate = new Date(createdTime);
        const currentDate = new Date;

        const moderationDays = parseInt(moderationTime, 10);

        // Calculate elapsed days since creation
        const timeDiff = (currentDate - createdDate) / (1000 * 60 * 60 * 24);
        const daysElapsed = timeDiff;
        const totalSeconds = timeDiff * 24 * 60 * 60;


        



        // Status based on elapsed days
        let status;
        if (daysElapsed > 25) {
            status = "red";
        } else if (daysElapsed >= elapsetime1 && usertype == 'Enterprise' || daysElapsed > elapsetime2 && usertype == 'Priority' && upctype != 'Premium' || daysElapsed > elapsetime1 && usertype == 'Normal' || daysElapsed > elapsetime1 && usertype == 'Priority' && upctype == 'Premium' || daysElapsed > elapsetime2 && usertype == 'Priority' && upctype == 'Normal') {
            status = "orange";  // More than 5 days but less than or equal to 25 days
            
        } else if (daysElapsed >= 4 && usertype == 'Enterprise' || daysElapsed >= 6 && usertype == 'Priority' && upctype != 'Premium' || daysElapsed >= 6 && usertype == 'Priority' && upctype == 'Normal' || daysElapsed >= 4 && usertype == 'Priority' && upctype == 'Premium' || daysElapsed >= 11 && usertype == 'Normal') {
            status = "yellow";  // More than 4 days but less than or equal to 5 days
        } else {
            status = "grey";  // 4 days or less
        }
        const { days, hours, minutes, seconds } = convertSecondsToTime(daysElapsed);
        const daysRemaining = `${days} days ${hours}:${minutes}:${seconds}`;
        
        return { daysRemaining, daysElapsed, status, totalSeconds };
    };
    // const convertSecondsToTime = (totalSeconds) => {
    //     const days = Math.floor(totalSeconds / (24 * 60 * 60));
    //     const hours = Math.floor((totalSeconds % (24 * 60 * 60)) / (60 * 60));
    //     const minutes = Math.floor((totalSeconds % (60 * 60)) / 60);
    //     const seconds = Math.floor(totalSeconds % 60);

    //     return {
    //         days: days.toString().padStart(2, '0'),
    //         hours: hours.toString().padStart(2, '0'),
    //         minutes: minutes.toString().padStart(2, '0'),
    //         seconds: seconds.toString().padStart(2, '0')
    //     };
    // };

    //     const convertSecondsToTime = (totalSeconds) => {
    //         var today = new Date();
    //         var dd = String(today.getDate()).padStart(2, '0');
    //         let days;

    // //         const hours = Math.floor(totalSeconds / (60 * 60));
    // // const minutes = Math.floor((totalSeconds % (60 * 60)) / 60);
    // // const seconds = Math.floor(totalSeconds % 60);
    //        const hours = Math.floor((totalSeconds % (24 * 60 * 60)) / (60 * 60));
    //        const minutes = Math.floor((totalSeconds % (60 * 60)) / 60);
    //        const seconds = Math.floor(totalSeconds % 60);
    // //if(hours <= 24){
    //      days = Math.floor(totalSeconds / (24 * 60 * 60));
    // // }else{
    // //      days = Math.floor(0 / (24 * 60 * 60));
    // // }
    //         let daysRemaining;

    //         if (days < 0) {
    //                            daysRemaining = `${Math.abs(days)} days ${ Math.abs(hours).toString().padStart(2, '0')}:${ Math.abs(minutes).toString().padStart(2, '0')}:${ Math.abs(seconds).toString().padStart(2, '0')}`;

    //             // if(days == '-1'){
    //             //     daysRemaining = `${Math.abs(days)} day ${ Math.abs('00').toString().padStart(2, '0')}:${ Math.abs('01').toString().padStart(2, '0')}:${ Math.abs('02').toString().padStart(2, '0')}`;

    //             // }else{
    //             //     daysRemaining = `${Math.abs(days)} days ${ Math.abs(hours).toString().padStart(2, '0')}:${ Math.abs(minutes).toString().padStart(2, '0')}:${ Math.abs(seconds).toString().padStart(2, '0')}`;

    //             // }
    //         } else if (Math.abs(days) == 1 ) {
    //             daysRemaining = `${Math.abs(days)} days ${ Math.abs(hours).toString().padStart(2, '0')}:${ Math.abs(minutes).toString().padStart(2, '0')}:${ Math.abs(seconds).toString().padStart(2, '0')}`;

    //         }else {
    //             daysRemaining = `${Math.abs(days)} days ${Math.abs(hours).toString().padStart(2, '0')}:${Math.abs(minutes).toString().padStart(2, '0')}:${Math.abs(seconds).toString().padStart(2, '0')}`;
    //         }

    //          //const status = (days >= 0 && hours >= 0) ? (Math.abs(days - Number(dd)) > 2 ? "grey" : "orange") : "red";
    //          const status = days == 0 ? "orange" : days >= 2 ? "grey" : hours > 0 ? "orange" : "red";


    //         // console.log('days', days, hours, status)
    //         return { daysRemaining, status };
    //     };

    const toggleSortType = () => {
        setSortType('asc');
        sortData('asc');
    };

    const toggleSortType1 = () => {
        setSortType('desc');
        sortData('desc');
    };

    const sortData = (type) => {
        const sortedData = [...takedata].sort((a, b) => {
            if (type === 'asc') {
                return a.User.localeCompare(b.User);
            } else {
                return b.User.localeCompare(a.User);
            }
        });
        settakedata(sortedData);
    };

    const handleInputChange = (e) => {
        setFilter(e.target.value.toUpperCase());
    };


    const [checkedIndex, setCheckedIndex] = useState(null);
    const handleCheckboxChange = (index, type, start, end) => {
        setCheckedIndex(prevIndex => (prevIndex === index ? null : index));
        // console.log('checkedIndex', checkedIndex, type, start, end)
    };

    const handleMouseOver = (e) => {
        const tooltip = e.currentTarget.querySelector('.tooltiptext');
        if (tooltip) {
            tooltip.style.visibility = 'visible';
            tooltip.style.opacity = '1';
        }
    };

    const handleMouseOut = (e) => {
        const tooltip = e.currentTarget.querySelector('.tooltiptext');
        if (tooltip) {
            tooltip.style.visibility = 'hidden';
            tooltip.style.opacity = '0';
        }
    };
    const ModerationTime = (type) => {
        const sortedData = [...takedata].sort((a, b) => {
            if (type === 'asc') {
                return b.moderation_time - a.moderation_time;
            } else {
                return a.moderation_time - b.moderation_time;
            }
        });
        settakedata(sortedData);
    };

    const CreatedTime = (type) => {
        const sortedData = [...takedata].sort((a, b) => {
            if (type === 'asc') {
                return new Date(b.Created_Time) - new Date(a.Created_Time);
            } else {
                return new Date(a.Created_Time) - new Date(b.Created_Time);
            }
        });
        settakedata(sortedData);
    };
    const emailSearchbtn = () => {
        if (inputRef.current.value == '') return
        const text = inputRef.current.value.toUpperCase();
        const sortedData = takedata.filter(m => m.Email.toUpperCase() == text);
        // console.log(sortedData)
        settakedata(sortedData);
    }



    useEffect(() => {
        const secondsInADay = 24 * 60 * 60;
        if (opet != '') {
            if (opet == 'Overdue') {
                let filteredData = [];
                settakedata(takedata1.filter(m => m.status == 'red'));
                filteredData = takedata1.filter(m => m.status === 'red');
                console.log('Filtered by status red:', filteredData);
                if (Duration != '') {
                    const durationInSeconds = Number(Duration) * secondsInADay;

                    filteredData = settakedata(takedata1.filter(m => m.status == 'red' && m.totalSeconds <= durationInSeconds))

                }
            } else if (opet == 'Indue') {
                settakedata(takedata1.filter(m => m.status != 'red'));
                if (Duration != '') {
                    const durationInSeconds = Number(Duration) * secondsInADay;

                    settakedata(takedata1.filter(m => m.status != 'red' && m.totalSeconds <= durationInSeconds))
                }
            }
        } else {
            settakedata(takedata1)
        }
    }, [opet, Duration]);


    useEffect(() => {

    }, [])



    return (
        <>
            <div className="p-4 py-6" style={{ overflowX: 'auto', maxHeight: '700px' }}>
                <div className="flex items-center justify-between w-full ">
                    <h1 className="font-bold text-gray-900 text-2xl">Moderation Auto Escalation</h1>
                </div>
                <span className="text-gray-400 text-xs font-medium">Weekly mod velocity = 12 days (System Computed Value)</span>

                <div className="relative flex items-center justify-between gap-1 mt-4">
                    <div className="flex items-center gap-4">
                        <span>Type:</span>
                        <select
                            onChange={(e) => setopet(e.target.value)}
                            className="w-full bg-transparent placeholder:text-slate-400 text-slate-700 text-sm border border-slate-200 rounded-md px-3 py-2 transition duration-300 ease focus:outline-none focus:border-slate-500 hover:border-slate-300 shadow-lg shadow-gray-100 ring-4 ring-transparent focus:ring-slate-100"
                        >
                            <option value="">All</option>
                            <option value="Overdue">Over Due</option>
                            <option value="Indue">In Review</option>
                        </select>
                        <select style={{ left: '11px', position: 'relative' }}
                            onChange={(e) => setDuration(e.target.value)}
                            className="w-full bg-transparent placeholder:text-slate-400 text-slate-700 text-sm border border-slate-200 rounded-md px-3 py-2 transition duration-300 ease focus:outline-none focus:border-slate-500 hover:border-slate-300 shadow-lg shadow-gray-100 ring-4 ring-transparent focus:ring-slate-100"
                        >
                            <option value="">Duration</option>
                            <option value="10">&lt; 10 days</option>
                            <option value="20">&lt; 20 days</option>
                            <option value="30">&lt; 30 days</option>
                            <option value="40">&lt; 40 days</option>
                            <option value="50">&lt; 50 days</option>
                            <option value="60">&lt; 60 days</option>
                            <option value="70">&lt; 70 days</option>
                            <option value="80">&lt; 80 days</option>
                            <option value="90">&lt; 90 days</option>
                            <option value="100">&lt; 100 days</option>
                            <option value="110">&lt; 110 days</option>
                            <option value="120">&lt; 120 days</option>
                            <option value="130">&lt; 130 days</option>
                            <option value="140">&lt; 140 days</option>
                            <option value="150">&lt; 150 days</option>
                        </select>
                    </div>
                    <div className="flex items-center gap-1">
                        <div className="relative h-10 w-full min-w-[200px]">
                            <div className="absolute inset-y-0 start-0 flex items-center ps-3 pointer-events-none">
                                <svg className="w-4 h-4 text-gray-500" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20">
                                    <path stroke="currentColor" strokeLinecap="round" strokeLinejoin="round" strokeWidth="2" d="m19 19-4-4m0-7A7 7 0 1 1 1 8a7 7 0 0 1 14 0Z"></path>
                                </svg>
                            </div>
                            <input type="search" id="myInput" onChange={handleInputChange} placeholder="Search" className="ps-10 peer h-full w-full rounded-[7px] !border !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700 shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2 focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                        </div>
                    </div>
                </div>

                <div className="relative overflow-x-auto shadow-md sm:rounded-lg h-[28rem] mt-4">
                    <table id="myTable" className="border-collapse border w-full text-sm text-left rtl:text-right text-gray-500">
                        <thead className="text-xs text-gray-700 uppercase bg-gray-50 shadow sticky top-0" style={{ zIndex: '1000' }}>
                            <tr>
                                <th scope="col" className="border border-slate-300 px-4 py-2 bg-black text-white">
                                    <div className="flex items-center justify-between gap-2">
                                        <span>User</span>
                                        <div className="flex flex-col h-[20px]">
                                            <svg xmlns="http://www.w3.org/2000/svg" onClick={toggleSortType} width="14" height="14" fill="#fff" className="bi bi-caret-up-fill cursor-pointer -mb-[2px]" viewBox="0 0 16 16">
                                                <path d="m7.247 4.86-4.796 5.481c-.566.647-.106 1.659.753 1.659h9.592a1 1 0 0 0 .753-1.659l-4.796-5.48a1 1 0 0 0-1.506 0z" />
                                            </svg>
                                            <svg xmlns="http://www.w3.org/2000/svg" onClick={toggleSortType1} width="14" height="14" fill="#fff" className="bi bi-caret-down-fill cursor-pointer" viewBox="0 0 16 16">
                                                <path d="M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" />
                                            </svg>
                                        </div>
                                    </div>
                                </th>
                                <th scope="col" className="border border-slate-300 px-4 py-2 bg-black text-white">
                                    <div className="flex items-center gap-2 justify-between">
                                        <span className="w-max">User Type</span>
                                        <div className="flex flex-col h-[20px]">
                                            <svg xmlns="http://www.w3.org/2000/svg" onClick={() => CreatedTime('asc')} width="14" height="14" fill="#fff" className="bi bi-caret-up-fill cursor-pointer -mb-[2px]" viewBox="0 0 16 16">
                                                <path d="m7.247 4.86-4.796 5.481c-.566.647-.106 1.659.753 1.659h9.592a1 1 0 0 0 .753-1.659l-4.796-5.48a1 1 0 0 0-1.506 0z" />
                                            </svg>
                                            <svg xmlns="http://www.w3.org/2000/svg" onClick={() => CreatedTime('des')} width="14" height="14" fill="#fff" className="bi bi-caret-down-fill cursor-pointer" viewBox="0 0 16 16">
                                                <path d="M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" />
                                            </svg>
                                        </div>
                                    </div>
                                </th>
                                <th scope="col" className="border border-slate-300 px-6 py-2 bg-black text-white">
                                    <div className="flex items-center gap-2 justify-between">
                                        <span>Email</span>
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" fill="#fff" onClick={() => setemailSearch(!emailSearch)} className="cursor-pointer" height="16" viewBox="0 0 24 24">
                                            <path d="M10 18a7.952 7.952 0 0 0 4.897-1.688l4.396 4.396 1.414-1.414-4.396-4.396A7.952 7.952 0 0 0 18 10c0-4.411-3.589-8-8-8s-8 3.589-8 8 3.589 8 8 8zm0-14c3.309 0 6 2.691 6 6s-2.691 6-6 6-6-2.691-6-6 2.691-6 6-6z"></path>
                                        </svg>
                                    </div>
                                    <div className={`fixed grid gap-2 w-48 ${emailSearch ? 'h-24 p-2 border shadow-lg' : 'h-0'} bg-white rounded-md overflow-hidden transition-all`}>
                                        <div className="">
                                            <div className="relative h-10 w-full ">
                                                <input type="email" placeholder="Email Address" ref={inputRef}
                                                    className="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                                            </div>
                                        </div>
                                        <div className="flex itesm-center justify-between">
                                            <div onClick={emailSearchbtn} className="relative grid w-max select-none items-center whitespace-nowrap rounded-lg bg-blue-500 py-1.5 px-3 text-xs font-bold uppercase text-white">
                                                <span className="">Search</span>
                                            </div>
                                            <div onClick={() => { settakedata(takedata1), inputRef.current.value = '', setemailSearch(!emailSearch) }} className="relative grid w-max select-none items-center whitespace-nowrap rounded-lg bg-blue-500 py-1.5 px-3 text-xs font-bold uppercase text-white">
                                                <span className="">Reset</span>
                                            </div>
                                        </div>
                                    </div>
                                </th>

                                <th scope="col" className="border border-slate-300 px-4 py-2 bg-black text-white">
                                    <div className="flex items-center gap-2 justify-between">
                                        <span>UPC</span>
                                        <div className="flex flex-col h-[20px]">
                                            <svg xmlns="http://www.w3.org/2000/svg" onClick={() => CreatedTime('asc')} width="14" height="14" fill="#fff" className="bi bi-caret-up-fill cursor-pointer -mb-[2px]" viewBox="0 0 16 16">
                                                <path d="m7.247 4.86-4.796 5.481c-.566.647-.106 1.659.753 1.659h9.592a1 1 0 0 0 .753-1.659l-4.796-5.48a1 1 0 0 0-1.506 0z" />
                                            </svg>
                                            <svg xmlns="http://www.w3.org/2000/svg" onClick={() => CreatedTime('des')} width="14" height="14" fill="#fff" className="bi bi-caret-down-fill cursor-pointer" viewBox="0 0 16 16">
                                                <path d="M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" />
                                            </svg>
                                        </div>
                                    </div>
                                </th>
                                <th scope="col" className="border border-slate-300 px-4 py-2 bg-black text-white">
                                    <div className="flex items-center gap-2 justify-between">
                                        <span>UPC Type</span>
                                        <div className="flex flex-col h-[20px]">
                                            <svg xmlns="http://www.w3.org/2000/svg" onClick={() => CreatedTime('asc')} width="14" height="14" fill="#fff" className="bi bi-caret-up-fill cursor-pointer -mb-[2px]" viewBox="0 0 16 16">
                                                <path d="m7.247 4.86-4.796 5.481c-.566.647-.106 1.659.753 1.659h9.592a1 1 0 0 0 .753-1.659l-4.796-5.48a1 1 0 0 0-1.506 0z" />
                                            </svg>
                                            <svg xmlns="http://www.w3.org/2000/svg" onClick={() => CreatedTime('des')} width="14" height="14" fill="#fff" className="bi bi-caret-down-fill cursor-pointer" viewBox="0 0 16 16">
                                                <path d="M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" />
                                            </svg>
                                        </div>
                                    </div>
                                </th>

                                <th scope="col" className="border border-slate-300 px-4 py-2 bg-black text-white">
                                    <div className="flex items-center gap-2 justify-between">
                                        <span className="">Created Time</span>
                                        <div className="flex flex-col h-[20px]">
                                            <svg xmlns="http://www.w3.org/2000/svg" onClick={() => CreatedTime('asc')} width="14" height="14" fill="#fff" className="bi bi-caret-up-fill cursor-pointer -mb-[2px]" viewBox="0 0 16 16">
                                                <path d="m7.247 4.86-4.796 5.481c-.566.647-.106 1.659.753 1.659h9.592a1 1 0 0 0 .753-1.659l-4.796-5.48a1 1 0 0 0-1.506 0z" />
                                            </svg>
                                            <svg xmlns="http://www.w3.org/2000/svg" onClick={() => CreatedTime('des')} width="14" height="14" fill="#fff" className="bi bi-caret-down-fill cursor-pointer" viewBox="0 0 16 16">
                                                <path d="M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" />
                                            </svg>
                                        </div>
                                    </div>
                                </th>
                                <th scope="col" className="border border-slate-300 px-4 py-2 bg-black text-white">
                                    <div className="flex items-center justify-between gap-2">
                                        <span>Time for Escalation</span>
                                        <div className="hidden">
                                            <button onClick={() => setinfilter(!infilter)}
                                                className="relative select-none rounded-lg text-center align-middle text-xs font-medium text-gray-900 transition-all active:bg-gray-900/20 disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none">
                                                <svg viewBox="64 64 896 896" focusable="false" data-icon="filter" width="1em" height="1em" fill="#fff" aria-hidden="true"><path d="M349 838c0 17.7 14.2 32 31.8 32h262.4c17.6 0 31.8-14.3 31.8-32V642H349v196zm531.1-684H143.9c-24.5 0-39.8 26.7-27.5 48l221.3 376h348.8l221.3-376c12.1-21.3-3.2-48-27.7-48z"></path></svg>
                                            </button>
                                            {infilter &&
                                                <div className="fixed right-44 mt-2 z-10 w-40 h-max p-2 bg-white shadow-lg rounded-lg">
                                                    <div>
                                                        <div className="flex items-center gap-1">
                                                            <div onClick={() => setinfilter1(!infilter1)} className="hover:bg-gray-100 p-2 rounded-lg">
                                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" className={`transition-all w-3 h-3 bi bi-caret-down-fill ${!infilter1 && '-rotate-[90deg]'}`} viewBox="0 0 16 16">
                                                                    <path d="M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" />
                                                                </svg>
                                                            </div>
                                                            <span>Overdue</span>
                                                        </div>
                                                        <div className={`${infilter1 ? 'h-16' : 'h-0'} text-gray-500 overflow-hidden flex flex-col gap-2 items-center transition-all m-1`}>
                                                            <div>
                                                                <input type="checkbox" checked={checkedIndex === 0} onChange={() => handleCheckboxChange(0, 'Overdue', 0, 10)} /> &nbsp;
                                                                <span>00 - 10</span>
                                                            </div>
                                                            <div>
                                                                <input type="checkbox" checked={checkedIndex === 1} onChange={() => handleCheckboxChange(1, 'Overdue', 10, 20)} /> &nbsp;
                                                                <span>10 - 20</span>
                                                            </div>
                                                            <div>
                                                                <input type="checkbox" checked={checkedIndex === 2} onChange={() => handleCheckboxChange(2, 'Overdue', 20, 30)} /> &nbsp;
                                                                <span>20 - 30</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div>
                                                        <div className="flex items-center gap-1">
                                                            <div onClick={() => setinfilter2(!infilter2)} className="hover:bg-gray-100 p-2 rounded-lg">
                                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" className={`transition-all w-3 h-3 bi bi-caret-down-fill ${!infilter2 && '-rotate-[90deg]'}`} viewBox="0 0 16 16">
                                                                    <path d="M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" />
                                                                </svg>
                                                            </div>
                                                            <span>Indue</span>
                                                        </div>
                                                        <div className={`${infilter2 ? 'h-16' : 'h-0'} text-gray-500 overflow-hidden flex flex-col gap-2 items-center transition-all m-1`}>
                                                            <div>
                                                                <input type="checkbox" checked={checkedIndex === 3} onChange={() => handleCheckboxChange(3, 'Indue', 0, 10)} /> &nbsp;
                                                                <span>00 - 10</span>
                                                            </div>
                                                            <div>
                                                                <input type="checkbox" checked={checkedIndex === 4} onChange={() => handleCheckboxChange(4, 'Indue', 10, 20)} /> &nbsp;
                                                                <span>10 - 20</span>
                                                            </div>
                                                            <div>
                                                                <input type="checkbox" checked={checkedIndex === 5} onChange={() => handleCheckboxChange(5, 'Indue', 20, 30)} /> &nbsp;
                                                                <span>20 - 30</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            }
                                        </div>
                                    </div>
                                </th>
                                <th scope="col" className="border border-slate-300 px-4 py-2 bg-black text-white">
                                    Escalation Level 1 (ASANA)
                                </th>
                                <th scope="col" className="border border-slate-300 px-4 py-2 bg-black text-white">
                                    Escalation Level 2 (SLACK)
                                </th>
                            </tr>
                        </thead>
                                          
                        <tbody className="overflow-y-auto ">
                            {takedata.length > 0 ? takedata.map((item, index) => {
                                const textColorClass = item.status === "red"
                                    ? "text-red-600"
                                    : item.status === "orange"
                                        ? "text-orange-500"
                                        : item.status === "yellow"
                                            ? "text-yellow-500"
                                            : "text-gray-800";
                                //  const textColorClass = item.status === "red" ? "text-red-600" : item.status === "orange" ? "text-orange-500" :  item.status === "yellow" ?  "text-yellow-500" : "text-gray-800";
                                // const buttonClass = item.status === "red" ? "bg-red-500" : item.status === "orange" ? "bg-orange-500" : "bg-gray-400";
                                const isDisabled = item.status === "grey";
                                //   const buttonClass = item.escalated ? "bg-green-400" : item.status === "red" ? "bg-red-700" : item.status === "orange" ? "bg-orange-400" : "bg-gray-900";
                                const buttonClass = item.escalated ? "bg-red-400" : "bg-blue-500";

                                const txtValue = item.User.toUpperCase();
                                const display = txtValue.indexOf(filter) > -1 ? '' : 'none';

                                // console.log('takedata1', takedata1)

                                return (
                                    <tr key={index} style={{ display }} className=" border-b">
                                        <td scope="row" className="border border-slate-300 px-3 py-3 font-medium text-gray-900 whitespace-nowrap">
                                            {item.User}
                                        </td>
                                        <td className="border border-slate-300 px-2 py-5 text-center" style={{ width: '10%' }}>




                                            {item.usertype === 'Enterprise' ? (
                                                <span className="w-max"
                                                    style={{
                                                        fontWeight: '600',
                                                        position: 'relative',
                                                        display: 'flex',
                                                        gap: '2px',
                                                        background: 'linear-gradient(344deg, #e6b94340, #ddae38)',
                                                        padding: '5px 10px',
                                                        borderRadius: '20px',
                                                        color: 'black',
                                                        cursor: 'pointer',
                                                        letterSpacing: '1px',


                                                    }}

                                                >
                                                    <img src="images/crown1 (1).png" alt="crown" style={{ height: '19px' }} />
                                                    {item.usertype}
                                                    <span
                                                        style={{
                                                            visibility: 'hidden',
                                                            width: '120px', // Adjust width as needed
                                                            backgroundColor: '#333',
                                                            color: '#fff',
                                                            textAlign: 'center',
                                                            borderRadius: '5px',
                                                            padding: '5px',
                                                            position: 'absolute',
                                                            zIndex: '1',
                                                            bottom: '125%', // Position above the span
                                                            left: '50%',
                                                            marginLeft: '-60px', // Center the tooltip
                                                            opacity: '0',
                                                            transition: 'opacity 0.3s',
                                                            whiteSpace: 'nowrap',
                                                        }}
                                                        className="tooltiptext"
                                                    >
                                                        Enterprise User
                                                    </span>
                                                </span>
                                            ) : item.usertype === 'Priority' ? (

                                                <span
                                                    className="w-max"
                                                    style={{
                                                        fontWeight: '600',
                                                        letterSpacing: '3px',
                                                        position: 'relative',
                                                        display: 'flex',
                                                        gap: '5px',
                                                        background: 'linear-gradient(335deg, #e6b94305, green)',
                                                        padding: '5px 10px',
                                                        borderRadius: '20px',
                                                        color: '#fff',
                                                        cursor: 'pointer',
                                                    }}
                                                // onMouseOver={handleMouseOver}
                                                // onMouseOut={handleMouseOut}
                                                >
                                                    <img src="images/priority.png" alt="crown" style={{ objectFit: 'cover', filter: 'brightness(10)', width: '28px', height: '18px' }} />
                                                    <p>{item.usertype}</p>
                                                    <span
                                                        style={{
                                                            visibility: 'hidden',
                                                            width: '120px', // Adjust width as needed
                                                            backgroundColor: '#333',
                                                            color: '#fff',
                                                            textAlign: 'center',
                                                            borderRadius: '5px',
                                                            padding: '5px',
                                                            position: 'absolute',
                                                            zIndex: '1',
                                                            bottom: '125%', // Position above the span
                                                            left: '50%',
                                                            marginLeft: '-60px', // Center the tooltip
                                                            opacity: '0',
                                                            transition: 'opacity 0.3s',
                                                            whiteSpace: 'nowrap',
                                                        }}
                                                        className="tooltiptext"
                                                    >
                                                        Priority User
                                                    </span>
                                                </span>

                                            ) : (
                                                <span className="w-max" style={{
                                                    fontWeight: '600',
                                                    letterSpacing: '1px', position: 'relative', display: 'flex', gap: '10px', background: 'rgb(203, 201, 210)', padding: '5px 10px', borderRadius: '20px', color: '#000', padding: '5px 10px'
                                                }}  ><img src="images/user_icon.jpg" style={{ objectFit: 'cover', width: '28px', height: '17px' }} />{item.usertype == "Normal" && "Free"}  <span
                                                    style={{
                                                        visibility: 'hidden',
                                                        backgroundColor: '#333',
                                                        color: '#fff',
                                                        textAlign: 'center',
                                                        borderRadius: '5px',
                                                        padding: '5px',
                                                        position: 'absolute',
                                                        zIndex: '1',
                                                        bottom: '125%', // Position above the span
                                                        left: '50%',
                                                        marginLeft: '-60px', // Center the tooltip
                                                        opacity: '0',
                                                        transition: 'opacity 0.3s',
                                                        whiteSpace: 'nowrap',
                                                    }}
                                                    className="tooltiptext"
                                                >
                                                        Normal User
                                                    </span></span>)}

                                        </td>



                                        <td className="border border-slate-300 px-2 py-3 text-start">
                                            {item.Email}
                                        </td>

                                        <td className="border border-slate-300 px-2 py-4 text-start" >
                                            {item.upc}
                                        </td>
                                        <td className="border border-slate-300 px-2 py-5">




                                            {item.upctype === 'Premium' ? (
                                                <span
                                                    className="w-max"
                                                    style={{
                                                        fontWeight: '600',
                                                        position: 'relative',
                                                        display: 'flex',
                                                        gap: '2px',
                                                        background: 'linear-gradient(344deg, #e6b94340, #ddae38)',
                                                        padding: '5px 10px',
                                                        borderRadius: '20px',
                                                        color: 'black',
                                                        cursor: 'pointer',
                                                        letterSpacing: '1px'

                                                    }}

                                                >
                                                    <img src="images/crown1 (1).png" alt="crown" style={{ height: '19px' }} />
                                                    {item.upctype}
                                                    <span
                                                        style={{
                                                            visibility: 'hidden',
                                                            width: '120px', // Adjust width as needed
                                                            backgroundColor: '#333',
                                                            color: '#fff',
                                                            textAlign: 'center',
                                                            borderRadius: '5px',
                                                            padding: '5px',
                                                            position: 'absolute',
                                                            zIndex: '1',
                                                            bottom: '125%', // Position above the span
                                                            left: '50%',
                                                            marginLeft: '-60px', // Center the tooltip
                                                            opacity: '0',
                                                            transition: 'opacity 0.3s',
                                                            whiteSpace: 'nowrap',
                                                        }}
                                                        className="tooltiptext"
                                                    >
                                                        Premium User
                                                    </span>
                                                </span>
                                            ) : item.upctype === 'Priority' ? (

                                                <span
                                                    style={{
                                                        fontWeight: '600',
                                                        letterSpacing: '3px',
                                                        position: 'relative',
                                                        display: 'flex',
                                                        gap: '5px',
                                                        background: 'linear-gradient(335deg, #e6b94305, green)',
                                                        padding: '5px 10px',
                                                        borderRadius: '20px',
                                                        color: '#fff',
                                                        cursor: 'pointer',
                                                    }}
                                                // onMouseOver={handleMouseOver}
                                                // onMouseOut={handleMouseOut}
                                                >
                                                    <img src="images/priority.png" alt="crown" style={{ objectFit: 'cover', filter: 'brightness(10)', width: '28px', height: '18px' }} />
                                                    <p>{item.upctype}</p>
                                                    <span
                                                        style={{
                                                            visibility: 'hidden',
                                                            width: '120px', // Adjust width as needed
                                                            backgroundColor: '#333',
                                                            color: '#fff',
                                                            textAlign: 'center',
                                                            borderRadius: '5px',
                                                            padding: '5px',
                                                            position: 'absolute',
                                                            zIndex: '1',
                                                            bottom: '125%', // Position above the span
                                                            left: '50%',
                                                            marginLeft: '-60px', // Center the tooltip
                                                            opacity: '0',
                                                            transition: 'opacity 0.3s',
                                                            whiteSpace: 'nowrap',
                                                        }}
                                                        className="tooltiptext"
                                                    >
                                                        Priority User
                                                    </span>
                                                </span>

                                            ) : (
                                                <span className="w-max" style={{
                                                    fontWeight: '600',
                                                    letterSpacing: '1px', position: 'relative', display: 'flex', gap: '10px', background: 'rgb(203, 201, 210)', padding: '5px 10px', borderRadius: '20px', color: '#000', padding: '5px 10px'
                                                }}  ><img src="images/user_icon.jpg" style={{ objectFit: 'cover', width: '28px', height: '17px' }} />{item.upctype == "Normal" && "Free"}  <span
                                                    style={{
                                                        visibility: 'hidden',
                                                        backgroundColor: '#333',
                                                        color: '#fff',
                                                        textAlign: 'center',
                                                        borderRadius: '5px',
                                                        padding: '5px',
                                                        position: 'absolute',
                                                        zIndex: '1',
                                                        bottom: '125%', // Position above the span
                                                        left: '50%',
                                                        marginLeft: '-60px', // Center the tooltip
                                                        opacity: '0',
                                                        transition: 'opacity 0.3s',
                                                        whiteSpace: 'nowrap',
                                                    }}
                                                    className="tooltiptext w-max"
                                                >
                                                        Normal User
                                                    </span></span>)}

                                        </td>

                                        <td className="border border-slate-300 px-3 py-3 cursor-pointer text-center" onClick={() => { window.onbeforeunload = null; window.location.href = '/autonomous-level'; }}>
                                            {item.Created_Time && <FormatDate dateString={item.Created_Time} />}
                                        </td>


                                        <td className="group relative border border-slate-300 px-0 py-3" style={{ textAlign: 'center' }}>
                                            <p className={textColorClass}>
                                                {item.status === 'red' ? (<div className="group-hover:block hidden absolute z-[9999] p-2 border rounded-md font-medium bg-white -top-3 left-4">Over Due</div>) : (<>In Review<br/></>)}
                                                <b className="group text-xs">{item.daysRemaining && <TimeFormat format={item.daysRemaining}/>}</b>
                                            </p>
                                        </td>
                                        <td className="border border-slate-300 px-2 py-4 text-center">
                                            {item.Level2 != 0 ?
                                                <button className="group text-sm py-1.5 px-1.5 bg-blue-500 text-white border-2 border-blue-500 rounded-md hover:text-blue-500 hover:bg-white" >
                                                    <a href={`${item.Level2}`} className="group-hover:text-blue-500 group-hover:bg-white font-medium"> View in Asana</a>
                                                </button>
                                                : '-'}
                                        </td>
                                        <td className="border border-slate-300 px-6 py-4 text-center">
                                            {item.Level1 > 0 ? (<p className="text-blue-600 font-medium">Escalated on {item.level1_at} </p>) : '-'}
                                        </td>


                                    </tr>
                                );
                            }) : 
                            <tr>
                                <td className="text-center" colSpan={9}>No Data Found</td>
                            </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
            {/* Modal component */}
            {/* <EscalateModal
                isOpen={showModal}
                onClose={() => setShowModal(false)}
                onConfirm={handleConfirmEscalate}
            /> */}

        </>
    );
};






// INSERT INTO `task_manager_report`(`User`, `Email`, `Created_Time`, `moderation_time`) VALUES ('test','test@gmail.com','2024-06-23 07:03:38','2')
