import { useEffect, useRef, useState } from "react";
import NameInitials, { FormatDate, GetRandomColor, TruncateEmail } from "../utils/NameInitials";
import { AddThread, GetIddata, TaskAdd, TaskLog, TrashTaskname, UpadteStatus, UpdateTaskname, jsonvalues } from "../utils/getjson";
import { message, notification } from "antd";


export const CardView = ({ lowfill, Assigfill, srfrrfrt, json, maintask, subtask, tag }) => {


    const [time, settime] = useState(json.map(() => false));
    const [tname, setname] = useState(false);
    const [staite, setstaite] = useState(false);
    const [assignUsers, setassignUsers] = useState(null);
    const [visiable, setvisiable] = useState(false);
    const [selectMem, setselectMem] = useState(false);
    const [DatePicker, setAddDatePicker] = useState(false);
    const [hoveredIndex, setHoveredIndex] = useState(null);
    const [isFocused, setIsFocused] = useState(false);
    const [Addflag, setAddflag] = useState(false);
    const [proritylist, setproritylist] = useState(null);
    const [addTaskContent, setAddTaskContent] = useState('');
    const [taskname, settaskname] = useState('');
    const [date, setdate] = useState('');
    const [count, setcount] = useState(1);
    const [profile, setprofile] = useState(false);
    const [readone, setreadone] = useState(true);
    const [viewDetails, setviewDetails] = useState(false);
    const [viewdata, setviewdata] = useState(null);
    const [xfdfgbv, setxfdfgbv] = useState(null);
    const [takedata, settakedata] = useState([{
        "id": '',
        "Maintask": "",
        "Subtask": "",
        "Status": '',
        "Taskname": "",
        "Assignee": "",
        "Datetime": "",
        "Priority": "",
        "Thread": ""
    }]);
    const [takedata1, settakedata1] = useState([{
        "id": '',
        "Maintask": "",
        "Subtask": "",
        "Status": '',
        "Taskname": "",
        "Assignee": "",
        "Datetime": "",
        "Priority": "",
        "Thread": ""
    }]);

    const [profileUsers, setprofileUsers] = useState([{ name: "" }]);

    const popupRef = useRef(null);
    const editRefs = useRef([]);
    const dueDate = useRef(null);




    useEffect(() => {
        const jsondata = [
            {
                name: "Admin1",
                "users": "#be185d",
            },
            {
                name: "Admin2",
                "users": "#4338ca",
            },
            {
                name: "maxi",
                "users": "#0f766e",
            },
            {
                name: "sellerr",
                "users": "#1d4ed8",
            }
        ];
        setprofileUsers(jsondata);


        const fetchin = async () => {
            try {
                const response = await TaskLog();
                const response1 = await jsonvalues(tag);
                // settakedata(response);
                settakedata(response1.data1 == undefined ? response : response1.data1);
                settakedata1(response1.data1 == undefined ? response : response1.data1);
                // console.log('response1',response1.data1 == undefined ? response : response1.data1)
            } catch (error) {
                console.error('Error:', error);
            }
        }

        fetchin();

        // setTimeout(() => {
        //     fetchin();
        //   }, 3000);



    }, []);


    const submittion = async (ids) => {

        const ststus = ids - 1;
        try {
            if (taskname == '' && ststus == '') { throw new Error('IDs cannot be empty'); }
            const response = await TaskAdd(taskname, assignUsers, date, proritylist, ststus, maintask, subtask, tag);
            settakedata(response.result);
            settaskname('');
            setassignUsers(null);
            setdate('');
            setproritylist(null);
            // const newProcStates = [...time];
            // newProcStates[ids] = !newProcStates[ids];
            // settime(newProcStates);
        } catch (error) {
            console.error('Error:', error);
        }

    }

    const openNotificationWithIcon = (data) => {
        message.success(data);
    };

    const handleBlur = async (ids, value) => {
        try {
            if (ids == '' && value == '') { throw new Error('IDs cannot be empty'); }
            const response = await UpdateTaskname(ids, value);
            settakedata(response.result);
            openNotificationWithIcon(response.response);
            setreadone(true);
        } catch (error) {
            console.error('Error:', error);
        }
    };

    const handleremovetask = async (ids) => {
        try {
            if (ids == '') { throw new Error('IDs cannot be empty'); }
            const response = await TrashTaskname(ids);
            settakedata(response.result);
            openNotificationWithIcon(response.response);
        } catch (error) {
            console.error('Error:', error);
        }
    }




    const handleUpadteStatus = async (ids, status1) => {
        try {
            if (ids == '' && status1 == '') { throw new Error('IDs cannot be empty'); }
            const response = await UpadteStatus(ids, status1, tag);
            // settakedata(response.result);
        } catch (error) {
            console.error('Error:', error);
        }
    }




    const onDragStart = (event, id) => {
        event.dataTransfer.setData('id', id.toString());
    };

    const onDragOver = event => {
        event.preventDefault();
    };

    const onDrop = (event, status) => {
        const id = event.dataTransfer.getData('id');
        const updatedTasks = takedata.map(task => {

            if (task.id === parseInt(id)) {
                task.Status = status;
                handleUpadteStatus(task.id, task.Status);
            }
            return task;
        });


        settakedata(updatedTasks);


    };


    useEffect(() => {
        const assigneeName1 = takedata1.filter(m => m.Priority == lowfill);
        settakedata(assigneeName1);
    }, [lowfill])




    useEffect(() => {
        const assigneeName = takedata1.filter(task => task.Assignee === Assigfill);
        settakedata(assigneeName);
    }, [Assigfill])


    useEffect(() => {
        
        if (srfrrfrt != '') {
            const filteredTasks = takedata1.filter(task => {
                return task.Taskname.trim().charAt(0).toLowerCase() === srfrrfrt.toLowerCase();
            });
            settakedata(filteredTasks);
          
        }else {
            settakedata(takedata1);
        }
       
    }, [srfrrfrt])






    return (
        <>
            <Modelview key={viewdata} show={viewDetails} id={viewdata} internal={xfdfgbv} onClose={() => setviewDetails(false)} />
            {/* <Modelview key={viewdata} show={viewDetails} id={viewdata} internal={xfdfgbv} onClose={() => setviewDetails(false)} /> */}
            {json.map((item, i) => (
                <div key={item.ids} className={`bg-[${item.bg}] rounded-lg w-1/4 h-max transition-all p-2 space-y-2`}>
                    <div className="flex items-center justify-between ">
                        <div className="flex items-center gap-2 ">
                            <div className={`flex items-center gap-1 px-1 bg-[${item.flag}] h-6 w-max justify-center rounded-[4px]`} >
                                <div className={`h-4 w-4 rounded-full bg-[${item.taskicon}] flex items-center justify-center`}><div className={`h-3 w-3 rounded-full bg-[${item.taskicon}] border border-[${item.flag}]`}></div></div>
                                <span className={`text-[12px] text-[${item.color}] cursor-pointer uppercase`}>{item.name}</span>
                            </div>
                            {/* <span className="text-[12px] cursor-pointer">0</span> */}
                        </div>
                        <div className="flex items-center gap-1">
                            <div className="h-6 w-6 hover:bg-[#dedfe1] flex items-center justify-center rounded-[6px] cursor-pointer">
                                <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" fill="currentColor" class="bi bi-chevron-left" viewBox="0 0 16 16">
                                    <path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0" />
                                </svg>
                            </div>
                            <div className="h-6 w-6 hover:bg-[#dedfe1] flex items-center justify-center rounded-[6px] cursor-pointer">
                                <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" fill="currentColor" class="bi bi-three-dots" viewBox="0 0 16 16">
                                    <path d="M3 9.5a1.5 1.5 0 1 1 0-3 1.5 1.5 0 0 1 0 3m5 0a1.5 1.5 0 1 1 0-3 1.5 1.5 0 0 1 0 3m5 0a1.5 1.5 0 1 1 0-3 1.5 1.5 0 0 1 0 3" />
                                </svg>
                            </div>
                            <div className="h-6 w-6 hover:bg-[#dedfe1] flex items-center justify-center rounded-[6px] cursor-pointer" >
                                <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" fill="currentColor" class="bi bi-plus" viewBox="0 0 16 16">
                                    <path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4" />
                                </svg>
                            </div>
                        </div>
                    </div>
                    <div className={`space-y-1 overflow-y-auto m-h-[23rem] pb-2`} onDragOver={event => onDragOver(event)} onDrop={event => onDrop(event, item.id - 1)}>
                        {takedata.length > 0 && takedata[0].id != '' &&
                            takedata.filter(e => e.Status == item.id - 1).map((m, index) => <>
                                <div onMouseEnter={() => setHoveredIndex(index)} onMouseLeave={() => setHoveredIndex(null)} draggable onDragStart={event => onDragStart(event, m.id)} className="block task relative drop-items h-40 w-full border border-[#14878a] rounded-lg p-2 bg-white">
                                    {hoveredIndex == index && <div className="absolute right-2 h-6 w-max px-2 rounded-[4px] shadow flex gap-2 items-center justify-center cursor-pointer">
                                        <svg onClick={() => { setreadone(!readone); editRefs.current[index].focus(); }} xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="#14878a" viewBox="0 0 24 24">
                                            <path d="M8.707 19.707 18 10.414 13.586 6l-9.293 9.293a1.003 1.003 0 0 0-.263.464L3 21l5.242-1.03c.176-.044.337-.135.465-.263zM21 7.414a2 2 0 0 0 0-2.828L19.414 3a2 2 0 0 0-2.828 0L15 4.586 19.414 9 21 7.414z"></path>
                                        </svg>
                                        <svg onClick={() => handleremovetask(m.id)} xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="#14878a" viewBox="0 0 24 24">
                                            <path d="M5 20a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V8h2V6h-4V4a2 2 0 0 0-2-2H9a2 2 0 0 0-2 2v2H3v2h2zM9 4h6v2H9zM8 8h9v12H7V8z"></path>
                                            <path d="M9 10h2v8H9zm4 0h2v8h-2z"></path>
                                        </svg>
                                        <svg onClick={() => { setviewDetails(!viewDetails); setviewdata(m.id); setxfdfgbv(m.Thread) }} xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="#14878a" class="bi bi-arrow-up-right-circle-fill" viewBox="0 0 16 16">
                                            <path d="M0 8a8 8 0 1 0 16 0A8 8 0 0 0 0 8m5.904 2.803a.5.5 0 1 1-.707-.707L9.293 6H6.525a.5.5 0 1 1 0-1H10.5a.5.5 0 0 1 .5.5v3.975a.5.5 0 0 1-1 0V6.707z" />
                                        </svg>
                                    </div>}
                                    <div className="flex items-center justify-between" >
                                        <input key={m.id} ref={(element) => editRefs.current[index] = element} onBlur={(e) => handleBlur(m.id, e.target.value)} class="text-[12.5px] capitalize outline-none w-3/4 " onChange={(e) => settakedata(prevData => {
                                            const newData = [...prevData].filter(e => e.Status == 0);
                                            newData[index].Taskname = e.target.value;
                                            return newData;
                                        })} value={m.Taskname} />
                                    </div>
                                    <div class="p-2 pt-4 flex items-center gap-2 h-7 text-[#87909e] rounded-[5px] cursor-pointer">
                                        {m.Status == 0 ?
                                            <div className=" h-4 w-4 rounded-full border-2 border-gray-500"></div> : m.Status == 1 ?
                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="#5F55EE">
                                                    <path d="M12 22c5.514 0 10-4.486 10-10S17.514 2 12 2 2 6.486 2 12s4.486 10 10 10zm0-18c4.411 0 8 3.589 8 8s-3.589 8-8 8-8-3.589-8-8 3.589-8 8-8z"></path>
                                                    <path d="M19 12a7 7 0 0 0-7-7v14a7 7 0 0 0 7-7z"></path>
                                                </svg> : m.Status == 2 &&
                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="green" class="bi bi-check-circle-fill" viewBox="0 0 16 16">
                                                    <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0m-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" />
                                                </svg>}
                                        <span class="!text-[12px]">{item.name}</span>
                                    </div>
                                    <div class="p-2 mt-1 flex items-center gap-2 h-7 text-[#87909e] rounded-[5px] hover:bg-[#dedfe1] cursor-pointer">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="#687280" viewBox="0 0 24 24">
                                            <path d="M12 2A10.13 10.13 0 0 0 2 12a10 10 0 0 0 4 7.92V20h.1a9.7 9.7 0 0 0 11.8 0h.1v-.08A10 10 0 0 0 22 12 10.13 10.13 0 0 0 12 2zM8.07 18.93A3 3 0 0 1 11 16.57h2a3 3 0 0 1 2.93 2.36 7.75 7.75 0 0 1-7.86 0zm9.54-1.29A5 5 0 0 0 13 14.57h-2a5 5 0 0 0-4.61 3.07A8 8 0 0 1 4 12a8.1 8.1 0 0 1 8-8 8.1 8.1 0 0 1 8 8 8 8 0 0 1-2.39 5.64z"></path>
                                            <path d="M12 6a3.91 3.91 0 0 0-4 4 3.91 3.91 0 0 0 4 4 3.91 3.91 0 0 0 4-4 3.91 3.91 0 0 0-4-4zm0 6a1.91 1.91 0 0 1-2-2 1.91 1.91 0 0 1 2-2 1.91 1.91 0 0 1 2 2 1.91 1.91 0 0 1-2 2z"></path>
                                        </svg>
                                        <div onMouseEnter={() => setselectMem(true)} onMouseLeave={() => setselectMem(false)} className={`w-6 h-6 rounded-full bg-[${item.users}] flex items-center justify-center text-[10px] text-white`}>
                                            <NameInitials fullName={m.Assignee} />
                                        </div>
                                    </div>
                                    <div class="p-2 pt-2 flex items-center gap-2 h-7 text-[#87909e] rounded-[5px] hover:bg-[#dedfe1] cursor-pointer">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="#687280" viewBox="0 0 24 24">
                                            <path d="M7 11h2v2H7zm0 4h2v2H7zm4-4h2v2h-2zm0 4h2v2h-2zm4-4h2v2h-2zm0 4h2v2h-2z"></path>
                                            <path d="M5 22h14c1.103 0 2-.897 2-2V6c0-1.103-.897-2-2-2h-2V2h-2v2H9V2H7v2H5c-1.103 0-2 .897-2 2v14c0 1.103.897 2 2 2zM19 8l.001 12H5V8h14z"></path>
                                        </svg>
                                        <span class="!text-[12px]">{m.Datetime != '' ? m.Datetime : '-'}</span>
                                    </div>
                                    <div class="p-2 pt-2 flex items-center gap-2 h-7 text-[#87909e] rounded-[5px] hover:bg-[#dedfe1] cursor-pointer">
                                        {
                                            m.Priority == 'Urgent' ?
                                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#B13A41" className="w-5 h-5" viewBox="0 0 24 24">
                                                    <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                </svg> : m.Priority == 'High' ?
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#cf940a" className="w-5 h-5" viewBox="0 0 24 24">
                                                        <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                    </svg> : m.Priority == 'Normal' ?
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#46f" className="w-5 h-5" viewBox="0 0 24 24">
                                                            <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                        </svg> : m.Priority == 'Low' ?
                                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#87909e" className="w-5 h-5" viewBox="0 0 24 24">
                                                                <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                            </svg> : <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-flag" viewBox="0 0 16 16">
                                                                <path d="M14.778.085A.5.5 0 0 1 15 .5V8a.5.5 0 0 1-.314.464L14.5 8l.186.464-.003.001-.006.003-.023.009a12 12 0 0 1-.397.15c-.264.095-.631.223-1.047.35-.816.252-1.879.523-2.71.523-.847 0-1.548-.28-2.158-.525l-.028-.01C7.68 8.71 7.14 8.5 6.5 8.5c-.7 0-1.638.23-2.437.477A20 20 0 0 0 3 9.342V15.5a.5.5 0 0 1-1 0V.5a.5.5 0 0 1 1 0v.282c.226-.079.496-.17.79-.26C4.606.272 5.67 0 6.5 0c.84 0 1.524.277 2.121.519l.043.018C9.286.788 9.828 1 10.5 1c.7 0 1.638-.23 2.437-.477a20 20 0 0 0 1.349-.476l.019-.007.004-.002h.001M14 1.221c-.22.078-.48.167-.766.255-.81.252-1.872.523-2.734.523-.886 0-1.592-.286-2.203-.534l-.008-.003C7.662 1.21 7.139 1 6.5 1c-.669 0-1.606.229-2.415.478A21 21 0 0 0 3 1.845v6.433c.22-.078.48-.167.766-.255C4.576 7.77 5.638 7.5 6.5 7.5c.847 0 1.548.28 2.158.525l.028.01C9.32 8.29 9.86 8.5 10.5 8.5c.668 0 1.606-.229 2.415-.478A21 21 0 0 0 14 7.655V1.222z" />
                                                            </svg>
                                        }
                                        <span class="!text-[12px]">{m.Priority != null ? m.Priority : '-'}</span>
                                    </div>

                                </div>
                            </>)
                        }
                    </div>
                    <div className={`${time[i] ? "block" : 'hidden'}`}>
                        <div className="h-34 w-full border border-[#14878a] rounded-lg p-2 bg-white space-y-2">
                            <div className="flex items-center w-full gap-2">
                                <input id="taskname" value={taskname} onChange={(e) => { settaskname(e.target.value) }} onKeyUp={(e) => { e.target.value != '' ? setname(true) : setname(false) }} type="text" className="w-[80%] text-[14px] outline-none" placeholder="Task name..." />
                                <button onClick={() => submittion(item.id)} className={`flex w-[20%] items-center justify-center rounded-lg bg-[#14878a] px-[3px] py-[3px] text-[10px] text-white ${!tname && 'disabled:bg-[#14878a5e]'}`} disabled={!tname}>
                                    <span class="text-[12px] cursor-pointer">Save</span>
                                </button>
                            </div>
                            <div key={item.ids} className="relative">
                                <div className="p-2 flex items-center gap-2 h-7 text-[#87909e] rounded-[5px] hover:bg-[#dedfe1] cursor-pointer">
                                    <svg xmlns="http://www.w3.org/2000/svg" onClick={() => { setvisiable(!visiable); setAddflag(false); }} width="16" height="16" fill="#687280" viewBox="0 0 24 24">
                                        <path d="M12 2A10.13 10.13 0 0 0 2 12a10 10 0 0 0 4 7.92V20h.1a9.7 9.7 0 0 0 11.8 0h.1v-.08A10 10 0 0 0 22 12 10.13 10.13 0 0 0 12 2zM8.07 18.93A3 3 0 0 1 11 16.57h2a3 3 0 0 1 2.93 2.36 7.75 7.75 0 0 1-7.86 0zm9.54-1.29A5 5 0 0 0 13 14.57h-2a5 5 0 0 0-4.61 3.07A8 8 0 0 1 4 12a8.1 8.1 0 0 1 8-8 8.1 8.1 0 0 1 8 8 8 8 0 0 1-2.39 5.64z"></path>
                                        <path d="M12 6a3.91 3.91 0 0 0-4 4 3.91 3.91 0 0 0 4 4 3.91 3.91 0 0 0 4-4 3.91 3.91 0 0 0-4-4zm0 6a1.91 1.91 0 0 1-2-2 1.91 1.91 0 0 1 2-2 1.91 1.91 0 0 1 2 2 1.91 1.91 0 0 1-2 2z"></path>
                                    </svg>
                                    {assignUsers == null ?
                                        <span className="!text-[12px] flex items-center">Add assignee</span>
                                        :
                                        <div className="relative">
                                            <div onMouseEnter={() => setselectMem(true)} onMouseLeave={() => setselectMem(false)} className="w-6 h-6 rounded-full bg-orange-500 flex items-center justify-center text-[10px] text-white">
                                                <NameInitials fullName={assignUsers} />
                                            </div>
                                            <div onClick={() => setassignUsers(null)} className={`${selectMem ? 'block' : 'hidden'} absolute -top-1 -right-1 bg-zinc-300 rounded-full`}>
                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="#000" class="bi bi-x" viewBox="0 0 16 16">
                                                    <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708" />
                                                </svg>
                                            </div>
                                        </div>
                                    }

                                </div>
                                <ul ref={popupRef}
                                    class={` ${visiable ? 'block userlist' : 'hidden'}  absolute left-2 z-10 min-w-[320px] h-72 overflow-hidden rounded-md border border-blue-gray-50 bg-white font-sans text-sm font-normal text-blue-gray-500 shadow-lg shadow-blue-gray-500/10 focus:outline-none`}>
                                    <li role="menuitem"
                                        class="flex items-center text-zinc-400  justify-between gap-8 w-full cursor-pointer select-none rounded-md  text-sm leading-tight transition-all hover:bg-blue-gray-50 hover:bg-opacity-80 hover:text-blue-gray-900 focus:bg-blue-gray-50 focus:bg-opacity-80 focus:text-blue-gray-900 active:bg-blue-gray-50 active:bg-opacity-80 active:text-blue-gray-900">
                                        <div class="relative h-14 p-2 w-full min-w-[100px] border-b">
                                            <label className="absolute left-3 top-5">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
                                                    <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001q.044.06.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1 1 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0" />
                                                </svg>
                                            </label>
                                            <input type="search" placeholder="Search tasks..."
                                                class="peer h-full w-full rounded-[7px] pl-8  !border-none pr-8  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-gray-900 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-100 placeholder-shown:border-t-blue-gray-200 focus:outline-0 disabled:border-0 disabled:bg-blue-gray-50" />
                                        </div>
                                    </li>
                                    <li role="menuitem"
                                        class="flex items-center py-4 pl-3 overflow-hidden justify-between gap-8 w-full cursor-pointer select-none rounded-md  pt-[9px] pb-2 text-start leading-tight transition-all hover:bg-blue-gray-50 hover:bg-opacity-80 hover:text-blue-gray-900 focus:bg-blue-gray-50 focus:bg-opacity-80 focus:text-blue-gray-900 active:bg-blue-gray-50 active:bg-opacity-80 active:text-blue-gray-900">
                                        <ul className="h-52 overflow-y-auto w-full space-y-1" style={{ "scrollbarWidth": "thin" }}>
                                            {profileUsers.map(items =>
                                                <li onClick={() => { setassignUsers(items.name); setvisiable(false); }}>
                                                    <div onMouseEnter={() => setprofile(true)} onMouseLeave={() => setprofile(false)} className="flex items-center gap-2 hover:bg-gray-300 p-1 px-2 rounded-[6px]">
                                                        <div>
                                                            <div className={`w-8 h-8 rounded-full bg-[${items.users}] flex items-center justify-center text-[11px] text-white`}><NameInitials fullName={items.name} /></div>
                                                        </div>
                                                        <div className="flex items-center justify-between w-full">
                                                            <span><TruncateEmail email={items.name} /></span>
                                                            {profile && <button className="py-1 px-2 rounded-[4px] bg-white">Profile</button>}
                                                        </div>
                                                    </div>
                                                </li>)}
                                        </ul>
                                    </li>
                                </ul>
                                <div className="p-2 flex items-center gap-2 h-7 text-[#87909e] rounded-[5px] hover:bg-[#dedfe1] cursor-pointer">
                                    <svg onClick={() => { setAddDatePicker(!DatePicker); setAddflag(false); }} xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="#687280" viewBox="0 0 24 24">
                                        <path d="M7 11h2v2H7zm0 4h2v2H7zm4-4h2v2h-2zm0 4h2v2h-2zm4-4h2v2h-2zm0 4h2v2h-2z"></path>
                                        <path d="M5 22h14c1.103 0 2-.897 2-2V6c0-1.103-.897-2-2-2h-2V2h-2v2H9V2H7v2H5c-1.103 0-2 .897-2 2v14c0 1.103.897 2 2 2zM19 8l.001 12H5V8h14z"></path>
                                    </svg>
                                    {/* <span className="text-[12px]">Add dates</span> */}
                                    <input ref={dueDate} type="date" onChange={(e) => setdate(e.target.value)} className="text-[12px] outline-none bg-transparent " placeholder="Add dates" name="" id="" />
                                </div>
                                {/* <input type="datetime-local" className="hidden" name="" id="" /> */}
                                {/* <div inline-datepicker="true" key={id} onClick={(e) => {console.log('datepicker',new Date('1715106600000').toLocaleString(),e)}} className={`absolute z-10 ${DatePicker ? 'block' : 'hidden'}`} data-date="06/08/2024"></div> */}
                                {/* <input datepicker="true" id="inline222-datepicker" type="text" onChange={(e) => {console.log('datepicker',e.target.value)}} class="hidden bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full ps-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Select date" /> */}

                                <div className="p-2 flex items-center gap-2 h-7 text-[#87909e] rounded-[5px] hover:bg-[#dedfe1] cursor-pointer">
                                    {proritylist == null ?
                                        <svg onClick={() => setAddflag(!Addflag)} xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-flag" viewBox="0 0 16 16">
                                            <path d="M14.778.085A.5.5 0 0 1 15 .5V8a.5.5 0 0 1-.314.464L14.5 8l.186.464-.003.001-.006.003-.023.009a12 12 0 0 1-.397.15c-.264.095-.631.223-1.047.35-.816.252-1.879.523-2.71.523-.847 0-1.548-.28-2.158-.525l-.028-.01C7.68 8.71 7.14 8.5 6.5 8.5c-.7 0-1.638.23-2.437.477A20 20 0 0 0 3 9.342V15.5a.5.5 0 0 1-1 0V.5a.5.5 0 0 1 1 0v.282c.226-.079.496-.17.79-.26C4.606.272 5.67 0 6.5 0c.84 0 1.524.277 2.121.519l.043.018C9.286.788 9.828 1 10.5 1c.7 0 1.638-.23 2.437-.477a20 20 0 0 0 1.349-.476l.019-.007.004-.002h.001M14 1.221c-.22.078-.48.167-.766.255-.81.252-1.872.523-2.734.523-.886 0-1.592-.286-2.203-.534l-.008-.003C7.662 1.21 7.139 1 6.5 1c-.669 0-1.606.229-2.415.478A21 21 0 0 0 3 1.845v6.433c.22-.078.48-.167.766-.255C4.576 7.77 5.638 7.5 6.5 7.5c.847 0 1.548.28 2.158.525l.028.01C9.32 8.29 9.86 8.5 10.5 8.5c.668 0 1.606-.229 2.415-.478A21 21 0 0 0 14 7.655V1.222z" />
                                        </svg>
                                        : proritylist == 'Urgent' ?
                                            <svg onClick={() => setAddflag(!Addflag)} xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#B13A41" className="w-5 h-5" viewBox="0 0 24 24">
                                                <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                            </svg> : proritylist == 'High' ?
                                                <svg onClick={() => setAddflag(!Addflag)} xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#cf940a" className="w-5 h-5" viewBox="0 0 24 24">
                                                    <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                </svg> : proritylist == 'Normal' ?
                                                    <svg onClick={() => setAddflag(!Addflag)} xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#46f" className="w-5 h-5" viewBox="0 0 24 24">
                                                        <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                    </svg> : proritylist == 'Low' &&
                                                    <svg onClick={() => setAddflag(!Addflag)} xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#87909e" className="w-5 h-5" viewBox="0 0 24 24">
                                                        <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                    </svg>}
                                    <span className="text-[12px]">{proritylist == null ? 'Add priority' : proritylist}</span>
                                </div>

                                {Addflag && <ul role="menu" data-popover="menu" data-popover-placement="bottom"
                                    class="absolute z-10 min-w-[180px] overflow-auto rounded-md border border-blue-gray-50 bg-white p-3 font-sans text-sm font-normal text-blue-gray-500 shadow-lg shadow-blue-gray-500/10 focus:outline-none">
                                    <li role="menuitem" onClick={() => { setproritylist('Urgent'); setAddflag(false); }}
                                        class="block w-full cursor-pointer select-none rounded-md px-3 pt-[9px] pb-2 text-start leading-tight transition-all hover:bg-blue-gray-50 hover:bg-opacity-80 hover:text-blue-gray-900 focus:bg-blue-gray-50 focus:bg-opacity-80 focus:text-blue-gray-900 active:bg-blue-gray-50 active:bg-opacity-80 active:text-blue-gray-900">
                                        <div className="flex items-center gap-2">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#B13A41" className="w-5 h-5" viewBox="0 0 24 24">
                                                <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                            </svg>
                                            <span>Urgent</span>
                                        </div>
                                    </li>
                                    <li role="menuitem" onClick={() => { setproritylist('High'); setAddflag(false); }}
                                        class="block w-full cursor-pointer select-none rounded-md px-3 pt-[9px] pb-2 text-start leading-tight transition-all hover:bg-blue-gray-50 hover:bg-opacity-80 hover:text-blue-gray-900 focus:bg-blue-gray-50 focus:bg-opacity-80 focus:text-blue-gray-900 active:bg-blue-gray-50 active:bg-opacity-80 active:text-blue-gray-900">
                                        <div className="flex items-center gap-2">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#cf940a" className="w-5 h-5" viewBox="0 0 24 24">
                                                <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                            </svg>
                                            <span>High</span>
                                        </div>
                                    </li>
                                    <li role="menuitem" onClick={() => { setproritylist('Normal'); setAddflag(false); }}
                                        class="block w-full cursor-pointer select-none rounded-md px-3 pt-[9px] pb-2 text-start leading-tight transition-all hover:bg-blue-gray-50 hover:bg-opacity-80 hover:text-blue-gray-900 focus:bg-blue-gray-50 focus:bg-opacity-80 focus:text-blue-gray-900 active:bg-blue-gray-50 active:bg-opacity-80 active:text-blue-gray-900">
                                        <div className="flex items-center gap-2">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#46f" className="w-5 h-5" viewBox="0 0 24 24">
                                                <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                            </svg>
                                            <span>Normal</span>
                                        </div>
                                    </li>
                                    <li role="menuitem" onClick={() => { setproritylist('Low'); setAddflag(false); }}
                                        class="block w-full cursor-pointer select-none rounded-md px-3 pt-[9px] pb-2 text-start leading-tight transition-all hover:bg-blue-gray-50 hover:bg-opacity-80 hover:text-blue-gray-900 focus:bg-blue-gray-50 focus:bg-opacity-80 focus:text-blue-gray-900 active:bg-blue-gray-50 active:bg-opacity-80 active:text-blue-gray-900">
                                        <div className="flex items-center gap-2">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#87909e" className="w-5 h-5" viewBox="0 0 24 24">
                                                <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                            </svg>
                                            <span>Low</span>
                                        </div>
                                    </li>
                                </ul>}
                            </div>
                        </div>
                    </div>
                    <div>
                        <div onClick={() => {
                            const newProcStates = [...time];
                            newProcStates[i] = !newProcStates[i];
                            settime(newProcStates);
                        }} className="flex items-center gap-1 h-7 px-2 hover:bg-[#dedfe1] rounded-[6px] cursor-pointer">
                            <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" fill="currentColor" class="bi bi-plus" viewBox="0 0 16 16">
                                <path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4" />
                            </svg>
                            <span className="text-[12px]">Add task</span>
                        </div>
                    </div>
                </div>
            ))}
        </>
    );
}






export const Modelview = ({ show, id, onClose, internal }) => {



    const list = [
        {
            name: "Hareesha R created this task",
            date: "Jun 17 at 5:41 pm"
        },
        {
            name: "harish Mcl changed status from to bounce-back",
            date: "Jun 17 at 5:41 pm"
        },
        {
            name: "harish Mcl set the due date to May 31",
            date: "Jun 17 at 5:41 pm"
        },
        {
            name: "harish Mcl set the due date to May 31",
            date: "Jun 17 at 5:41 pm"
        },
        {
            name: "harish Mcl set the due date to May 31",
            date: "Jun 17 at 5:41 pm"
        },
        {
            name: "harish Mcl set the due date to May 31",
            date: "Jun 17 at 5:41 pm"
        },
        {
            name: "harish Mcl removed the due date of May 31",
            date: "Jun 17 at 5:41 pm"
        }
    ];

    const [strip, setstrip] = useState(false);
    const [more, setmore] = useState(false);
    const [interThread, setinterThread] = useState(false);
    const [comment, setcomment] = useState(false);
    const [comtval, setcomtval] = useState(null);
    const [value, setgdfgdfgfg] = useState([{
        "id": '',
        "Maintask": "",
        "Subtask": "",
        "Status": '',
        "Taskname": "",
        "Assignee": "",
        "Datetime": "",
        "Priority": ""
    }]);
    const [value1, setgdfgdfgfg1] = useState({
        "uid": "",
        "name": "",
        "mail": "",
        "email_verified_at": "",
        "created_at": "",
        "updated_at": "",
        "image": "",
        "read_count": "",
        "mail_signature": "",
        "auto_suggest": ""
    });

    useEffect(() => {
        const userdet = async () => {
            try {
                const response = await axios.get('/getuserdet');
                setgdfgdfgfg1(response.data);
            } catch (error) {
                console.error('Error:', error);
            }
        };

        userdet()


    }, [])


    const handleremovetask1 = async (id) => {
        try {
            if (id == '') { throw new Error('IDs cannot be empty'); }
            const response = await GetIddata(id);
            setgdfgdfgfg(response);
        } catch (error) {
            console.error('Error:', error);
        }
    }
    useEffect(() => {
        handleremovetask1(id);
    }, [id]);


    // console.log(value)






    // const fetchin1 = async () => {
    //     try {
    //         const response1 = await jsonvalues(tag);
    //         settakedata(response1);
    //     } catch (error) {
    //         console.error('Error:', error);
    //     }
    // }
    // fetchin1();







    const myfunction = async () => {

        // const data = value == null ? [] : JSON.parse(internal);
        // const json = { "message": comtval, "name": value1.name, "userid": value1.uid };
        // data.push(json);
        // const comtval1 = JSON.stringify(data);
        // try {
        //     if (comtval == '' && id == '') { throw new Error('IDs cannot be empty'); }
        //     const response = await AddThread(comtval1, id);
        //     setgdfgdfgfg(response);
        //     // console.table(response)
        // } catch (error) {
        //     console.error('Error:', error);
        // }
    }

    return (
        <>
            {show &&
                <div
                    className="fixed inset-0 z-[999] grid h-screen w-screen place-items-center bg-black bg-opacity-60 opacity-1 backdrop-blur-sm transition-opacity duration-300">
                    <div data-dialog="dialog-xl"
                        className="relative m-4 w-3/4 min-w-[75%] max-w-[75%] overflow-hidden h-[36rem] rounded-lg bg-white font-sans text-base font-light leading-relaxed text-blue-gray-500 antialiased shadow-2xl">
                        <div className="flex items-center justify-between p-4 border-b font-sans text-2xl antialiased font-semibold leading-snug shrink-0 text-blue-gray-900">
                            <ul className="text-[14px] flex items-center gap-2 font-normal tracking-[.8px]">
                                <li>
                                    <div className="text-xs bg-pink-200 h-6 w-6 rounded-[4px] flex items-center justify-center">S</div>
                                </li>
                                <li>Smart-Hub</li>
                                <li>/</li>
                                <li>Commentary</li>
                            </ul>
                            <div className="flex items-center gap-2">
                                <button onClick={() => setstrip(!strip)}
                                    class="relative h-10 max-h-[40px] w-10 max-w-[40px] select-none rounded-lg text-center align-middle font-sans text-xs font-medium uppercase text-gray-900 transition-all hover:bg-gray-900/10 active:bg-gray-900/20 disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none">
                                    <i class="text-lg leading-none fas fa-bell"></i>
                                </button>
                                {strip && <ul role="menu"
                                    class="fixed z-10 top-32 right-60 flex min-w-[180px] flex-col gap-2 overflow-auto rounded-md border border-blue-gray-50 bg-white p-3 font-sans text-sm font-normal text-blue-gray-500 shadow-lg shadow-blue-gray-500/10 focus:outline-none">
                                    <button role="menuitem"
                                        class="flex items-center w-full gap-4 px-3 py-2 pl-2 pr-8 leading-tight transition-all rounded-md outline-none cursor-pointer select-none text-start hover:bg-blue-gray-50 hover:bg-opacity-80 hover:text-blue-gray-900 focus:bg-blue-gray-50 focus:bg-opacity-80 focus:text-blue-gray-900 active:bg-blue-gray-50 active:bg-opacity-80 active:text-blue-gray-900">
                                        <img alt="tania andrew"
                                            src="https://images.unsplash.com/photo-1633332755192-727a05c4013d?ixlib=rb-1.2.1&amp;ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&amp;auto=format&amp;fit=crop&amp;w=1480&amp;q=80"
                                            class="relative inline-block h-12 w-12 !rounded-full object-cover object-center" />
                                        <div class="flex flex-col gap-1">
                                            <p class="block font-sans text-sm antialiased font-semibold leading-normal text-gray-700">
                                                Tania send you a message
                                            </p>
                                            <p class="flex items-center gap-1 font-sans text-sm antialiased font-medium text-blue-gray-500">
                                                <svg width="16" height="17" viewBox="0 0 16 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                    <path fill-rule="evenodd" clip-rule="evenodd"
                                                        d="M7.99998 14.9C9.69736 14.9 11.3252 14.2257 12.5255 13.0255C13.7257 11.8252 14.4 10.1974 14.4 8.49998C14.4 6.80259 13.7257 5.17472 12.5255 3.97449C11.3252 2.77426 9.69736 2.09998 7.99998 2.09998C6.30259 2.09998 4.67472 2.77426 3.47449 3.97449C2.27426 5.17472 1.59998 6.80259 1.59998 8.49998C1.59998 10.1974 2.27426 11.8252 3.47449 13.0255C4.67472 14.2257 6.30259 14.9 7.99998 14.9ZM8.79998 5.29998C8.79998 5.0878 8.71569 4.88432 8.56566 4.73429C8.41563 4.58426 8.21215 4.49998 7.99998 4.49998C7.7878 4.49998 7.58432 4.58426 7.43429 4.73429C7.28426 4.88432 7.19998 5.0878 7.19998 5.29998V8.49998C7.20002 8.71213 7.28434 8.91558 7.43438 9.06558L9.69678 11.3288C9.7711 11.4031 9.85934 11.4621 9.95646 11.5023C10.0536 11.5425 10.1577 11.5632 10.2628 11.5632C10.3679 11.5632 10.472 11.5425 10.5691 11.5023C10.6662 11.4621 10.7544 11.4031 10.8288 11.3288C10.9031 11.2544 10.9621 11.1662 11.0023 11.0691C11.0425 10.972 11.0632 10.8679 11.0632 10.7628C11.0632 10.6577 11.0425 10.5536 11.0023 10.4565C10.9621 10.3593 10.9031 10.2711 10.8288 10.1968L8.79998 8.16878V5.29998Z"
                                                        fill="#90A4AE"></path>
                                                </svg>
                                                13 minutes ago
                                            </p>
                                        </div>
                                    </button>
                                    <button role="menuitem"
                                        class="flex items-center w-full gap-4 px-3 py-2 pl-2 pr-8 leading-tight transition-all rounded-md outline-none cursor-pointer select-none text-start hover:bg-blue-gray-50 hover:bg-opacity-80 hover:text-blue-gray-900 focus:bg-blue-gray-50 focus:bg-opacity-80 focus:text-blue-gray-900 active:bg-blue-gray-50 active:bg-opacity-80 active:text-blue-gray-900">
                                        <img alt="natali craig"
                                            src="https://images.unsplash.com/photo-1580489944761-15a19d654956?ixlib=rb-1.2.1&amp;ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&amp;auto=format&amp;fit=crop&amp;w=1061&amp;q=80"
                                            class="relative inline-block h-12 w-12 !rounded-full object-cover object-center" />
                                        <div class="flex flex-col gap-1">
                                            <p class="block font-sans text-sm antialiased font-semibold leading-normal text-gray-700">
                                                Natali replied to your email.
                                            </p>
                                            <p class="flex items-center gap-1 font-sans text-sm antialiased font-medium text-blue-gray-500">
                                                <svg width="16" height="17" viewBox="0 0 16 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                    <path fill-rule="evenodd" clip-rule="evenodd"
                                                        d="M7.99998 14.9C9.69736 14.9 11.3252 14.2257 12.5255 13.0255C13.7257 11.8252 14.4 10.1974 14.4 8.49998C14.4 6.80259 13.7257 5.17472 12.5255 3.97449C11.3252 2.77426 9.69736 2.09998 7.99998 2.09998C6.30259 2.09998 4.67472 2.77426 3.47449 3.97449C2.27426 5.17472 1.59998 6.80259 1.59998 8.49998C1.59998 10.1974 2.27426 11.8252 3.47449 13.0255C4.67472 14.2257 6.30259 14.9 7.99998 14.9ZM8.79998 5.29998C8.79998 5.0878 8.71569 4.88432 8.56566 4.73429C8.41563 4.58426 8.21215 4.49998 7.99998 4.49998C7.7878 4.49998 7.58432 4.58426 7.43429 4.73429C7.28426 4.88432 7.19998 5.0878 7.19998 5.29998V8.49998C7.20002 8.71213 7.28434 8.91558 7.43438 9.06558L9.69678 11.3288C9.7711 11.4031 9.85934 11.4621 9.95646 11.5023C10.0536 11.5425 10.1577 11.5632 10.2628 11.5632C10.3679 11.5632 10.472 11.5425 10.5691 11.5023C10.6662 11.4621 10.7544 11.4031 10.8288 11.3288C10.9031 11.2544 10.9621 11.1662 11.0023 11.0691C11.0425 10.972 11.0632 10.8679 11.0632 10.7628C11.0632 10.6577 11.0425 10.5536 11.0023 10.4565C10.9621 10.3593 10.9031 10.2711 10.8288 10.1968L8.79998 8.16878V5.29998Z"
                                                        fill="#90A4AE"></path>
                                                </svg>
                                                1 hour ago
                                            </p>
                                        </div>
                                    </button>
                                    <div className="flex items-center gap-2">
                                        <div class="w-72">
                                            <div class="relative h-10 w-full min-w-[200px] ">
                                                <input type="email" placeholder="Email Address"
                                                    class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                                            </div>
                                        </div>
                                        <div class="relative grid select-none items-center whitespace-nowrap rounded-lg bg-gray-900 py-3 px-4 font-sans text-xs font-bold uppercase text-white">
                                            <span class="">chip</span>
                                        </div>
                                    </div>
                                </ul>}
                                <svg onClick={onClose} xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-x-lg cursor-pointer " viewBox="0 0 16 16">
                                    <path d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8z" />
                                </svg>
                            </div>
                        </div>
                        <div className="flex items-start h-[32rem]">
                            <div className="w-[60%] border-r h-full">
                                <div
                                    className="flex items-center p-4 w-full font-sans text-2xl antialiased capitalize font-semibold leading-snug shrink-0 text-blue-gray-900">
                                    {value.length > 0 ? value[0].Taskname : ''}
                                </div>
                                <div
                                    className="relative p-4  font-sans text-base text-[#656f7d] antialiased font-light leading-relaxed border-t-blue-gray-100 border-b-blue-gray-100 text-blue-gray-500">
                                    <ul className="w-1/2 space-y-4 font-normal tracking-[1px]">
                                        <li className="flex items-center justify-between">
                                            <div className="flex items-center gap-1">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="#656f7d"><path d="M12 2a10 10 0 1 0 10 10A10 10 0 0 0 12 2zm0 18a8 8 0 1 1 8-8 8 8 0 0 1-8 8z"></path><path d="M12 8a4 4 0 1 0 4 4 4 4 0 0 0-4-4zm0 6a2 2 0 1 1 2-2 2 2 0 0 1-2 2z"></path></svg>
                                                <span className="text-[14px]">Status</span>
                                            </div>
                                            {value.length > 0 ?
                                                value[0].Status == 0 ?
                                                    <div className="uppercase text-sm w-max px-2 py-1 rounded-lg bg-gray-400 text-white font-normal">New</div>
                                                    : value[0].Status == 1 ? <div className="uppercase text-sm w-max px-2 py-1 rounded-lg bg-[#5f55ee] text-white font-normal">in progress</div>
                                                        : value[0].Status == 2 ? <div className="uppercase text-sm w-max px-2 py-1 rounded-lg bg-[#1090e0] text-white font-normal">High Profile</div>
                                                            : value[0].Status == 3 && <div className="uppercase text-sm w-max px-2 py-1 rounded-lg bg-green-700 text-white font-normal">Completed</div>
                                                : ''}

                                        </li>
                                        <li className="flex items-center justify-between">
                                            <div className="flex items-center gap-1">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="20" fill="currentColor" height="20" viewBox="0 0 24 24">
                                                    <path d="M3 6v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2h-2V2h-2v2H9V2H7v2H5a2 2 0 0 0-2 2zm16 14H5V8h14z"></path>
                                                </svg>
                                                <span className="text-[14px]">Dates</span>
                                            </div>
                                            <span><FormatDate dateString={value.length > 0 ? value[0].Datetime : '01/01/2000'} /></span>
                                        </li>
                                        <li className="flex items-center justify-between">
                                            <div className="flex items-center gap-1">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-person" viewBox="0 0 16 16">
                                                    <path d="M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6m2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0m4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4m-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10s-3.516.68-4.168 1.332c-.678.678-.83 1.418-.832 1.664z" />
                                                </svg>
                                                <span className="text-[14px]">Assignee</span>
                                            </div>
                                            <span>{value.length > 0 ? <div className="h-8 w-8 text-sm font-medium bg-teal-500 text-white rounded-full flex items-center justify-center"><NameInitials fullName={value[0].Assignee} /></div> : 'Empty'}</span>
                                        </li>
                                        <li className="flex items-center justify-between">
                                            <div className="flex items-center gap-1">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="currentColor"><path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1zm-1 9H6V6h12v7z"></path></svg>
                                                <span className="text-[14px]">Priority</span>
                                            </div>
                                            <span className="flex items-center gap-1">{value.length > 0 ?
                                                value[0].Priority == 'Urgent' ?
                                                    <><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#B13A41" className="w-5 h-5" viewBox="0 0 24 24">
                                                        <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                    </svg><span>{value[0].Priority}</span></> : value[0].Priority == 'High' ?
                                                        <><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#cf940a" className="w-5 h-5" viewBox="0 0 24 24">
                                                            <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                        </svg><span>{value[0].Priority}</span></> : value[0].Priority == 'Normal' ?
                                                            <><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#46f" className="w-5 h-5" viewBox="0 0 24 24">
                                                                <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                            </svg><span>{value[0].Priority}</span></> : value[0].Priority == 'Low' &&
                                                            <><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#87909e" className="w-5 h-5" viewBox="0 0 24 24">
                                                                <path d="M19 4H6V2H4v18H3v2h4v-2H6v-5h13a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1z"></path>
                                                            </svg><span>{value[0].Priority}</span></>
                                                : 'Empty'}</span>
                                        </li>
                                    </ul>
                                    <div className="w-1/4"></div>
                                </div>
                                <div className="p-4">
                                    <div className="border h-20 w-full rounded-lg"></div>
                                </div>

                            </div>
                            <div className="w-[40%] h-full relative">
                                <div className="border-b flex items-center justify-between px-4">
                                    <div className="tracking-[.8px] flex items-center p-4 font-sans text-xl antialiased font-medium leading-snug shrink-0 text-blue-gray-900">
                                        Activity
                                    </div>
                                    {/* <div className="flex items-center gap-3 text-[#656f7d]">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search cursor-pointer" viewBox="0 0 16 16">
                                            <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001q.044.06.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1 1 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0" />
                                        </svg>
                                        <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" fill="currentColor" class="bi bi-filter cursor-pointer" viewBox="0 0 16 16">
                                            <path d="M6 10.5a.5.5 0 0 1 .5-.5h3a.5.5 0 0 1 0 1h-3a.5.5 0 0 1-.5-.5m-2-3a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5m-2-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5" />
                                        </svg>
                                    </div> */}
                                </div>
                                <div className="h-[28.5rem] overflow-y-auto p-5">
                                    <ul className={`list-disc ${more ? 'h-44' : 'h-0'} ease-in duration-300 overflow-y-auto list-inside pl-5 w-[97%] space-y-3`}>
                                        {list.map((item, i) =>
                                            <>
                                                <div className="flex items-center gap-2">
                                                    <div className="h-1 w-1 rounded-full bg-black"></div>
                                                    <li key={i} className="text-[12px] flex items-center w-full justify-between font-semibold text-gray-700">
                                                        <p className="w-[65%]">{item.name}</p>
                                                        <span className="w-[35%]">{item.date}</span>
                                                    </li>
                                                </div>
                                            </>
                                        )}
                                    </ul>
                                    <div className="flex mt-2 items-center pb-4 gap-1 cursor-pointer" onClick={() => setmore(!more)}>
                                        <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" fill="currentColor" className={`bi bi-chevron-right ${more ? '-rotate-90' : ''}`} viewBox="0 0 16 16">
                                            <path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708" />
                                        </svg>
                                        <span className="font-semibold text-[12.45px] text-gray-600">Stats from RN</span>
                                    </div>
                                    <ul className={`list-disc ${interThread ? 'h-max' : 'h-0'} max-h-44 -mt-2 ease-in duration-300 overflow-y-auto list-inside pl-5 w-[97%] space-y-3`}>
                                        <div className="flex items-center gap-2">
                                            <div className="h-1 w-1 rounded-full bg-black"></div>
                                            <li className="text-[12px] flex items-center w-full justify-between font-semibold text-gray-700">
                                                <p className="w-[70%]">harish Mcl removed assignee: Hareesha R </p>
                                                <span className="w-[30%]">Jun 13 at 2:53 pm </span>
                                            </li>
                                        </div>
                                    </ul>
                                    <div className={`flex ${interThread ? 'mt-2' : ''} ease-in duration-300 items-center pb-1 gap-1 cursor-pointer`} onClick={() => setinterThread(!interThread)}>
                                        <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" fill="currentColor" className={`bi bi-chevron-right ${interThread ? '-rotate-90' : ''}`} viewBox="0 0 16 16">
                                            <path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708" />
                                        </svg>
                                        <span className="font-semibold text-[12.45px] text-gray-600">Activity log</span>
                                    </div>

                                    {comment &&
                                        <div className="h-80 relative">
                                            <div className="overflow-y-auto h-64">
                                                <div className="border w-full h-auto rounded-lg p-4 mt-1 space-y-2">
                                                    <div className="flex items-center justify-between">
                                                        <div className="flex items-center gap-2">
                                                            <div className="h-6 w-6 rounded-full bg-yellow-500 uppercase flex items-center text-xs justify-center text-white">j</div>
                                                            <span className="font-normal text-xs">You</span>
                                                        </div>
                                                        <span className="text-sm font-normal text-xs">59 min</span>
                                                    </div>
                                                    <p className="font-normal text-xs">Here we’ve used a custom width and height.</p>
                                                </div>
                                            </div>

                                            <div className="w-full absolute bottom-2">
                                                <label for="default-search" className="mb-2 text-sm font-medium text-gray-900 sr-only dark:text-white">Search</label>
                                                <div className="relative">
                                                    <input type="search" htmlFor="default-search" id="default-search" onChange={(e) => setcomtval(e.target.value)} autoComplete="off" className="block w-full !pr-24 p-3.5 text-sm outline-none text-gray-900 border border-gray-300 rounded-lg bg-gray-50 font-medium" placeholder="Write a comment..." required />
                                                    <button onClick={myfunction} type="submit" className="text-white absolute end-2.5 bottom-2.5 bg-blue-700 hover:bg-blue-800 font-medium rounded-lg text-sm px-3 py-1.5">Send</button>
                                                </div>
                                            </div>
                                        </div>}

                                    <div className={`flex ease-in duration-300 items-center pb-4 gap-1 cursor-pointer`} onClick={() => setcomment(!comment)}>
                                        <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" fill="currentColor" className={`bi bi-chevron-right ${comment ? '-rotate-90' : ''}`} viewBox="0 0 16 16">
                                            <path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708" />
                                        </svg>
                                        <span className="font-semibold text-[12.45px] text-gray-600">Internal Thread</span>
                                    </div>
                                    {/* <div className="relative">
                                        <div className="border w-full h-auto rounded-lg p-4 space-y-2">
                                            <div className="flex items-center justify-between">
                                                <div className="flex items-center gap-2">
                                                    <div className="h-8 w-8 rounded-full bg-yellow-500 uppercase flex items-center justify-center text-white">j</div>
                                                    <span className="font-normal">You</span>
                                                </div>
                                                <span className="text-sm font-normal">59 min</span>
                                            </div>
                                            <p className="font-normal">Utilities for controlling how an element is positioned in the DOM.</p>
                                        </div>
                                        <div className="absolute -bottom-4 left-3 h-8 w-max px-2 gap-2 rounded-full bg-white border flex items-center justify-center cursor-pointer">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-hand-thumbs-up" viewBox="0 0 16 16">
                                                <path d="M8.864.046C7.908-.193 7.02.53 6.956 1.466c-.072 1.051-.23 2.016-.428 2.59-.125.36-.479 1.013-1.04 1.639-.557.623-1.282 1.178-2.131 1.41C2.685 7.288 2 7.87 2 8.72v4.001c0 .845.682 1.464 1.448 1.545 1.07.114 1.564.415 2.068.723l.048.03c.272.165.578.348.97.484.397.136.861.217 1.466.217h3.5c.937 0 1.599-.477 1.934-1.064a1.86 1.86 0 0 0 .254-.912c0-.152-.023-.312-.077-.464.201-.263.38-.578.488-.901.11-.33.172-.762.004-1.149.069-.13.12-.269.159-.403.077-.27.113-.568.113-.857 0-.288-.036-.585-.113-.856a2 2 0 0 0-.138-.362 1.9 1.9 0 0 0 .234-1.734c-.206-.592-.682-1.1-1.2-1.272-.847-.282-1.803-.276-2.516-.211a10 10 0 0 0-.443.05 9.4 9.4 0 0 0-.062-4.509A1.38 1.38 0 0 0 9.125.111zM11.5 14.721H8c-.51 0-.863-.069-1.14-.164-.281-.097-.506-.228-.776-.393l-.04-.024c-.555-.339-1.198-.731-2.49-.868-.333-.036-.554-.29-.554-.55V8.72c0-.254.226-.543.62-.65 1.095-.3 1.977-.996 2.614-1.708.635-.71 1.064-1.475 1.238-1.978.243-.7.407-1.768.482-2.85.025-.362.36-.594.667-.518l.262.066c.16.04.258.143.288.255a8.34 8.34 0 0 1-.145 4.725.5.5 0 0 0 .595.644l.003-.001.014-.003.058-.014a9 9 0 0 1 1.036-.157c.663-.06 1.457-.054 2.11.164.175.058.45.3.57.65.107.308.087.67-.266 1.022l-.353.353.353.354c.043.043.105.141.154.315.048.167.075.37.075.581 0 .212-.027.414-.075.582-.05.174-.111.272-.154.315l-.353.353.353.354c.047.047.109.177.005.488a2.2 2.2 0 0 1-.505.805l-.353.353.353.354c.006.005.041.05.041.17a.9.9 0 0 1-.121.416c-.165.288-.503.56-1.066.56z" />
                                            </svg>
                                            <span>1</span>
                                        </div>
                                    </div> */}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>}
        </>
    );
}