@extends('includes.layout')

@section('title', 'Welcome')

@section('content')
    <!DOCTYPE html>
    <html lang="en">

    
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="shortcut icon" href="../images/favicon.png">
        <title>Smarthub - RN</title>
        <meta name="csrf-token" content="{{ csrf_token() }}">



        {{-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"> --}}
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">


        <style>
            /* slide nav bar css */
            #menu5 span {
                width: max-content !important;
            }

            .ok_btn {
                background-color: #0069d9;
                color: #fff;
                padding: 5px 20px;
                border: none;
                border-radius: 5px;
            }

            .sou-yt-pupop {
                height: 19rem;
                width: 39rem;
                background-color: white;
                position: absolute;
                top: 1rem;
                right: 2rem;
                box-shadow: 4px 6px 11px -1px #ddd;
                border-radius: 8px;
                padding: 1rem;
                display: none;
            }

            .sou-pay-pupop {
                height: 19rem;
                width: 39rem;
                background-color: white;
                position: absolute;
                top: 22rem;
                right: 2rem;
                box-shadow: 4px 6px 11px -1px #ddd;
                border-radius: 8px;
                padding: 1rem;
                display: none;
            }


            html,
            body,
            .main_container {
                font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Helvetica, Arial, sans-serif !important;
                margin: 0;
                padding: 0;
                height: 100%;
            }

            .main {
                font-size: 18px;
                margin: 2rem 0 0;
            }

            .main_body_container {
                display: flex;
                width: 100%;
                height: 100%;
            }

            .compose_btn {
                border-radius: 25px !important;
                font-size: 14px !important;
                height: 30px;
                width: 45%;
                background-color: #4573d2;
                color: #fff;
                border: 2px solid #4573d2;
                font-weight: 500;
            }

            .compose_btn:hover {
                background-color: #fff;
                color: #4573d2;
            }

            .dropdown-content a {
                position: relative !important;
                left: -21px !important;
                padding: 8px 0px 13px 0px !important;
            }

            #yourDataTableId_wrapper {
                top: -27px;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button {
                background-color: #fff !important;
                color: #186ed5 !important;
                border: 1px solid #0d71e9 !important;
                font-weight: 500 !important;
                padding: 2px 10px !important;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button.current {
                background-color: #186ed5 !important;
                color: #fff !important;
                border: 1px solid #0d71e9 !important;
                font-weight: bold !important;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
                background: #82afe5 !important;
                color: #fff !important;
                border: 1px solid #0d71e9 !important;
            }

            #yourDataTableId {
                border-collapse: collapse;
                width: 100%;
                border: 0;
                border-radius: 10px;
                overflow: hidden;
            }

            #yourDataTableId th {
                background: #111827;
                padding: 10px 0;
                text-align: center;
            }

            #yourDataTableId td {
                border: 1px solid #ddd;
                padding: 8px;
                text-align: center;
            }

            .dataTables_info,
            .dataTables_paginate,
            .dataTables_length {
                padding-top: 20px !important;
                padding-bottom: 20px !important;
            }

            .dataTables_wrapper .dataTables_filter {
                padding: 20px 0 !important;
                position: relative !important;
            }

            #yourDataTableId_filter label {
                color: #000 !important;
                display: flex !important;
                margin: auto;
                justify-content: center;
                place-items: center;
            }

            #yourDataTableId_filter input {
                height: 30px !important;
                width: 150px !important;
                border: 1px solid #b1b1b1 !important;
                border-radius: 10px !important;
                box-shadow: inset 0px 0px 7px -2px #716d6d !important;
                padding: 10px !important;
            }

            .dataTables_length select {
                border: 1px solid #efefef !important;
            }

            .test[data-title] {
                position: relative;
            }

            /* Tooltip text */
            .test[data-title]::after {
                content: attr(data-title);
                position: absolute;
                transform: translateX(-50%);
                background-color: black;
                color: white;
                padding: 5px;
                border-radius: 3px;
                white-space: nowrap;
                opacity: 0;
                transition: opacity 0.3s;
                z-index: 1;
            }

            /* Tooltip display on hover */
            .test[data-title]:hover::after {
                opacity: 1;
            }

            textarea {
                text-decoration: none;
            }

            .login {
                border-color: #1345ac !important;
                box-shadow: none;
                background-color: #1345AB !important;
                position: relative;
            }

            .modal-header {
                display: -ms-flexbox;
                display: flex;
                -ms-flex-align: start;
                align-items: flex-start;
                -ms-flex-pack: justify;
                justify-content: space-between;
                padding: 1rem 1rem;
                border-bottom: 1px solid #dee2e6;
                border-top-left-radius: calc(.3rem - 1px);
                border-top-right-radius: calc(.3rem - 1px);
                background-color: #4573d1;
            }

            .modalabel {
                font-size: 14px;
                line-height: 28px;
                font-weight: bold;
                color: #1345ac;
            }

            .modal {
                overflow: auto !important;
            }


            .green {
                padding: 10px;
                background: green;
                color: #fff;
                border-radius: 7px;
            }

            .red {
                padding: 10px;
                background: red;
                color: #fff;
                border-radius: 7px;

            }

            .full {
                width: auto;
                height: auto;
                border-radius: 6px;
                overflow: auto;
            }

            summary {
                height: 50px;
            }

            .number {
                background-color: #ccc;
                position: relative;
                z-index: 1;
                color: #0069d9;
                border: 2px solid;
                border-radius: 20px;
                padding: 7px 13px;
            }

            .open_div {
                padding: 20px 10px;
                display: none;
                color: #000000;
                font-size: 16px;
                background-color: #f8f8f8;
                margin-top: 20px;
                border-radius: 6px;
                box-shadow: 3px 3px 4px -4px;
            }

            #sentence_1 {
                font-weight: 600;
                cursor: pointer;
            }

            .open_div span {
                font-size: 14px;
                font-weight: 500;
            }

            .mail {
                background: lightgreen;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #000;
            }

            .remove {
                background: lightgrey;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #000;
            }

            .actiondone11 {
                background: #0069d9;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #fff;
            }

            .modal-dialog {
                max-width: 500px;
                position: relative;
                left: 0;
            }

            .modal-body {
                z-index: 11;
            }

            .modal-content {
                box-shadow: 0px 0px 10px -2px #000 !important;
            }

            #payment_div,
            #send_mail,
            #request_div {
                padding: 20px;
                background-color: #ffffff00;
                position: relative;
                height: 100%;
                top: 0;
                width: 0%;
                position: absolute;
                left: 50%;
                display: none;
            }

            .email_send_divv {
                padding: 20px;
                background-color: #ffffff00;
                position: relative;
                height: 100%;
                top: 0;
                width: 0%;
                position: absolute;
                left: 50%;
                display: none;
            }
        </style>

        <?php 
          $result = DB::table('comm_store')->where('toggle', '1')->get();
        ?>
        <input type="hidden" name="upclists" value="">



        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
        <script type="module" src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.esm.js"></script>
        <script nomodule src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.js"></script>

        <!-- Include Bootstrap CSS and JS -->
        <link rel="stylesheet" href="{{ asset('css/stackpath.min.css') }}">
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

        <!-- jQuery UI library -->
        <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/themes/smoothness/jquery-ui.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.min.css">
        <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js">
        </script>
        <script>
            $.noConflict();
            jQuery(document).ready(function($) {
                $('#yourDataTableId').DataTable({
                    "pageLength": 10,
                    "stripeClasses": []
                });
            });
        </script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js"></script>

        <script>
            function toggleDiv() {
                $('#div1').toggle();
                // $('#div2').hide();
                // $('#div3').hide();
                // $('#div4').hide();
                // $('#div5').hide();
                // $('#div6').hide();
                $('#Notifyuser').hide();
            }

            function toggleDiv2() {
               // $('#div1').hide();
                $('#div2').toggle();
                // $('#div3').hide();
                // $('#div4').hide();
                // $('#div5').hide();
                // $('#div6').hide();
                $('#Notifyuser').hide();
            }

            function toggleDiv3() {
                // $('#div1').hide();
                // $('#div2').hide();
                $('#div3').toggle();
                // $('#div4').hide();
                // $('#div5').hide();
                // $('#div6').hide();
                $('#Notifyuser').hide();
            }

            function toggleDiv4() {
                // $('#div1').hide();
                // $('#div2').hide();
                // $('#div3').hide();
                $('#div4').toggle();
                // $('#div5').hide();
                // $('#div6').hide();
                $('#Notifyuser').hide();
            }

            function toggleDiv5() {
                // $('#div1').hide();
                // $('#div2').hide();
                // $('#div3').hide();
                // $('#div4').hide();
                $('#div5').toggle();
             //   $('#div6').hide();
                $('#Notifyuser').hide();
            }

            function toggleDiv6() {
                // $('#div1').hide();
                // $('#div2').hide();
                // $('#div3').hide();
                // $('#div4').hide();
                // $('#div5').hide();
               $('#div6').toggle();
               // $('#div6_div').toggle();
                $('#Notifyuser').hide();
            }




            function close_mail() {
              $('#div6').css('grid-template-columns','1fr auto');
                $('#storemail').css('display', 'none');
                $('.modal-dialog').css('max-width', '500px');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');

            }


            function rsentmail() {
                var name = $('#storename').text();
                var elementId = '#storereq' + name;
                $.ajax({
                    type: 'GET',
                    data: {
                        formid: $('#formid').val(),
                        name: name,
                    },
                    url: 'updatestore',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },

                    success: function(result) {


                        $('.modal-dialog').css('max-width', '796px');
                        $('#storebody').html(`
                            <div class="modal-body">
                            Email sent successfully. 
                               </div>
                            `);

                        $('#storebodyfooter').html(`
                          
                            <button type="button" class="btn btn-secondary"
                                            onclick="">Close</button>
                 
                            `);
                        $('.storehead').text('INFO');

                        $(elementId).css('background', 'grey');

                        $('#storereq' + name).text('Request Sent');
                        $('#storemail').css('top', '30rem');
                        $('#storemail').css('right', '2rem');
                      
                       
                        var details = result.data1;
        var matchingEntry1 = details.filter(function(item) {
    return item.tbl_content_mapping_id === Number($('#formid').val());
});

var details1 = result.data;

var matchingEntry = details1.filter(function(item) {
    return item.id === Number($('#formid').val());
});
        


                        const storeList = matchingEntry1.map(item => {


let result = '';
const choose_store = JSON.parse(item.choose_store);


const allLinks = choose_store.map(storeItem => storeItem.potCheck.toLowerCase()); 
console.log(allLinks);
console.log(matchingEntry[0].sent_store);
const isAllSent = matchingEntry[0].sent_store 
  && allLinks.every(link => matchingEntry[0].sent_store
      .toLowerCase()
      .split(',')
      .includes(link));

const overallStatus = isAllSent ? 'completed' : 'not completed';
console.log(overallStatus);
if(overallStatus == 'completed'){
$('.numberlast').css('background-color', '#0069d9');
$('#numberlast').css('color', 'white');
$('.hovertextlast').text('Completed');
$('.svgfirst').css('display', 'none');
$('.svglast').css('display', 'block');
                    
}else{
$('.numberlast').css('background-color', '#ccc');
$('#numberlast').css('color', 'black');
$('.hovertextlast').text('Admin Action needed');
$('.svgfirst').css('display', 'block');
$('.svglast').css('display', 'none');
}
});



                        setTimeout(function() {
                            $('#storemail').hide();
                            $('.modal-dialog').css('max-width', '500px');


                        }, 2000);
                    }
                })
            }
            function request() {
            var analysisData = <?php echo json_encode($data); ?>;
            var formId = $('#formid').val();
            var matchingEntry = analysisData.find(function(item) {
                    return item.id == formId;
                });
                $('#requestto').text(matchingEntry.email);
                $('#requestname').text(`Dear ${matchingEntry.username},
 Content Mapping form request is under-progress status. Please provide the following details to proceed







Many Warm Regards,
The RouteNote Team`);
            $('#requestmail').modal('show');
            $('#analysismodal1').modal('hide');
            $('#approvemodal').modal('hide');
        }

            function reject() {
                var analysisData = <?php echo json_encode($data); ?>;
            var formId = $('#formid').val();
            var matchingEntry = analysisData.find(function(item) {
                    return item.id == formId;
                });
                $('#rejectto').text(matchingEntry.email);
                $('#rejectname').text(`Dear ${matchingEntry.username},
Content Mapping form rejected for the following reasons:






Many Warm Regards,
The RouteNote Team`);
                $('#rejectmail').modal('show');
                $('#analysismodal1').modal('hide');
                $('#approvemodal').modal('hide');

            }

            function mailsent(value) {
                if(value == 'reject'){
                var body = $('#rejectname').val();
                var to = $('#rejectto').text();
            }else if(value == 'request'){
                var body = $('#requestname').val();
                var to = $('#requestto').text();
            }else{
                var body = '';
                var to = $('#approveto').val();
            }
                $.ajax({
                    type: 'GET',
                    data: {
                        formid: $('#formid').val(),
                        value: value,
                        type: 'content',
                        body:body,
                        to:to
                    },
                    url: 'actiondone',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },

                    success: function(result) {
                        console.log(result);
                        $('#mailsentinfo').modal('show');
                        $('#requestmail').modal('hide');
                        $('#rejectmail').modal('hide');
                    }
                })
            }

            function approve() {
              
                var analysisData = <?php echo json_encode($data); ?>;
            var formId = $('#formid').val();
            var matchingEntry = analysisData.find(function(item) {
                    return item.id == formId;
                });
                console.log(matchingEntry);
                $('#approveto').val(matchingEntry.email);
                $.ajax({
                    type: 'GET',
                    data: {
                        formid: $('#formid').val(),
                        value: 'approve',
                        type: 'content',
                        to:$('#approveto').val()
                    },
                    url: 'actiondone',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },

                    success: function(result) {
                        $('#approvemodal').modal('show');
                        $('#analysismodal1').modal('hide');
                    }
                })

            }



            function notifyuser() {
              $('#setwidth').css('grid-template-columns','1fr 2fr');
                var formId = $('#formid').val();
                var details = {!! json_encode($data) !!};
                var detail = details.find(function(item) {
                    return item.id == formId;
                });
                $('#Notifyuser').css('display', 'block');
                $('#notito').text(detail.email);
$('#notiemail').text(`Dear ${detail.username},
Your release status has not been approved yet.


Many Warm Regards,
The RouteNote Team
`);
                $('#div3').css('width', '100%');
                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
            }
            function notifysentmailclose(){
              $('#setwidth').css('grid-template-columns','1fr auto');
              $('#Notifyuser').hide();
              $('#div3').css('width', '100%');
                            $('.modal-dialog').css('left', '0');
                            $('.modal-dialog').css('max-width', '500px');
                            $('.modal-dialog').css('transition', 'max-width 0.4s ease');
          
            }

            function notifysentmail() {
              $('#setwidth').css('grid-template-columns','1fr auto');
                $.ajax({
                    url: 'updatereleasestatus',
                    method: 'GET',
                    data: {
                        formid: $('#formid').val(),
                        text: $('#notiemail').text()
                    },
                    dataType: 'json',
                    success: function(response) {
                        $('.modal-dialog').css('max-width', '796px');
                        //$('#div3').css('width', '55%');
                        $('#Notifyuser').html(`<div id=" " style=" width: 300px;">
                        <div class="modal-content" style="border: none !important;">
                            <div class="modal-header">
                                <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                                <button type="button" class="close">
                                    <span onclick="close_mail()" style="color: #fff"></span>
                                </button>
                            </div>
                            <div class="modal-body">
                            Email sent successfully. 
                               </div>
                             
                        </div>
                    </div>`);
                        $('#Notifyuser').css('top', '15rem');
                        $('#Notifyuser').css('right', '5rem');
                        $('#notifyuser').css({
                            'pointer-events': 'none',
                            'cursor': 'not-allowed',
                        });
                        $('#div3text').text('Completed');
                        $('.div3done').css('display', 'block');
                        $('.div3notdone').css('display', 'none');
                        $('#numberdiv3').css('background-color', '#0069d9');
                        $('#div3number').css('color', 'white');
                        
                        $('#notifybutton').text('Notification Sent');
                        $('#notifybutton').css('cursor','not-allowed');
                        setTimeout(function() {
                            

                            $('#Notifyuser').hide();
                            $('.modal-dialog').css('left', '0');
                            $('.modal-dialog').css('max-width', '500px');
                            $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                        }, 2000);
                    }
                })
            }


            $(document).ready(function() {
                var analysisData = <?php echo json_encode($data); ?>;
                var analysisData1 = <?php echo json_encode($data1); ?>;
                var analysisData2 = <?php echo json_encode($data2); ?>;




                $('.view').click(function() {
                    var formId = $(this).data('form-id');
                    var details = analysisData;
                    var matchingEntry = details.find(function(item) {
                        return item.id == formId;
                    });

                    $('#email').text(matchingEntry.email);

                   // $('#upc').text(matchingEntry.upc);
                  //  $('#artist_name').text(matchingEntry.artist_name);
                    $('#action_needed').text(matchingEntry.action_needed);



                    var matchingEntry1 = analysisData1.filter(function(item) {
                            return item.tbl_content_mapping_id === matchingEntry.id;
                        });
                        const artistList = matchingEntry1.map(item => `
  <li ><p>${JSON.parse(item.artist_name).join('')}</p></li>
`).join('');
        $('#artist_name').html(`        
<ul style="text-align: left;">
${artistList}
</ul>
`);
// const upclist = matchingEntry1.map(item => `
//   <li ><p> ${item.upc}</p></li>
// `).join('');
//         $('#upc').html(`        
// <ul style="text-align: left;">
// ${upclist}
// </ul>
// `);


const keyLabelMapping = {
  youtube: {
    youtube0: 'Primary Genre',
    youtube1: 'Secondary Genre',
    youtube2: 'City',
    youtube3: 'State',
    youtube4: 'Country',
    youtube5: 'Website Link',
    youtube6: 'Artist Link',
    youtube7: 'Release Link'
  },
  AWA: {
    AWA0: 'Artist Link',
    AWA1: 'Release Link'
  },
  Pandora: {
    Pandora6: 'Primary Genre',
    Pandora7: 'Secondary Genre',
    Pandora0: 'City',
    Pandora1: 'State',
    Pandora2: 'Country',
    Pandora3: 'Website Link',
    Pandora4: 'Artist Link',
    Pandora5: 'Release Link'
  },
  Spotify: {
    Spotify0: 'Artist Link',
    Spotify1: 'Release Link'
  },
  iTunes: {
    iTunes0: 'Artist Link',
    iTunes1: 'Release Link'
  },
  Deezer: {
    Deezer0: 'Artist Link',
    Deezer1: 'Release Link'
  },
  Anghami: {
    Anghami0: 'Artist Link',
    Anghami1: 'Release Link'
  },
  Tidal: {
    Tidal0: 'Artist Link',
    Tidal1: 'Release Link'
  },
  Nuuday: {
    Nuuday0: 'Artist Link',
    Nuuday1: 'Release Link'
  },
  Napster: {
    Napster0: 'Artist Link',
    Napster1: 'Release Link'
  },
  Claro: {
    Claro0: 'Artist Link',
    Claro1: 'Release Link'
  },
  Kanjian: {
    Kanjian0: 'Artist Link',
    Kanjian1: 'Release Link'
  },
  Melon: {
    Melon0: 'Artist Link',
    Melon1: 'Release Link'
  }, 
  iHeart: {
    iHeart0: 'Artist Link',
    iHeart1: 'Release Link'
  }, 
  Netease: {
    Netease0: 'Artist Link',
    Netease1: 'Release Link'
  },
  Bugs: {
    Bugs0: 'Artist Link',
    Bugs1: 'Release Link'
  },
  Tencent: {
    Tencent0: 'Artist Link',
    Tencent1: 'Release Link'
  },
  Vibe: {
    Vibe0: 'Artist Link',
    Vibe1: 'Release Link'
  },
  Amazon: {
    Amazon0: 'Artist Link',
    Amazon1: 'Release Link'
  },
  Qobuz: {
    Qobuz0: 'Artist Link',
    Qobuz1: 'Release Link'
  },
  Zing: {
    Zing0: 'Artist Photo',
    Zing1: 'Artist Link',
    Zing2: 'Release Link'
  },
  KKBOX: {
    KKBOX0: 'Artist Link',
    KKBOX1: 'Release Link'
  },
  FLO: {
    FLO0: 'Artist Link',
    FLO1: 'Release Link'
  },
  Boomplay: {
    Boomplay0: 'Artist name:',
    Boomplay1: 'Artist Country:',
    Boomplay2: 'Artist Gender',
    Boomplay3: 'Artist Biography',
    Boomplay4: 'Artist Photo',
    Boomplay5: 'Artist Link',
    Boomplay6: 'Release Link'
  },
  JioSaavn: {
    JioSaavn0: 'Artist Photo',
    JioSaavn1: 'Artist Link',
    JioSaavn2: 'Release Link'
  }
};
const createStoreDetails = (storeItem, prefix) => {
  const labelMapping = keyLabelMapping[prefix] || {};

  // Define custom order for Pandora keys
  let customOrder = Object.keys(storeItem);
  if (prefix === 'Pandora') {
    customOrder = [
      'Pandora6', // Primary Genre
      'Pandora7', // Secondary Genre
      'Pandora0', // City
      'Pandora1', // State
      'Pandora2', // Country
      'Pandora3', // Website Link
      'Pandora4', // Artist Link
      'Pandora5'  // Release Link
    ];
  }

  return customOrder
    .filter(key => key.startsWith(prefix) && storeItem[key])
    .map(key => {
      const label = labelMapping[key] || key;
      if (label === "Artist Photo") {
        return `
          <div style="width: 100%; display: flex; gap: 10px;">
            <span style="width: 50%;">${label}</span>
            <a href="${storeItem[key]}" data-lightbox="image" target="_blank">
              <span style="font-weight: bold; color: #0e82ff;">View</span>
            </a>
          </div>`;
      } else {
        return `
          <div style="width: 100%; display: flex; gap: 10px;">
            <span style="width: 50%;">${label}</span>
            <span style="width: 50%;">: ${storeItem[key]}</span>
          </div>`;
      }
    })
    .join('');
};

// const createStoreDetails = (storeItem, prefix) => {
//   const labelMapping = keyLabelMapping[prefix] || {};
  
//   return Object.keys(storeItem)
//     .filter(key => key.startsWith(prefix))
//     .map(key => {
//       const label = labelMapping[key] || key;  
//       if (label === "Artist Photo") {
//         return `
//           <div style="width: 70%; display: flex; gap: 10px;">
//             <span style="width: 50%;">${label}</span>
//             <a href="${storeItem[key]}" data-lightbox="image" target="_blank">
//                                         <span style="font-weight: bold; color: #0e82ff;">View</span>
//                                     </a>
          
//           </div>`;
//       } else {
//         return `
//           <div style="width: 70%; display: flex; gap: 10px;">
//             <span style="width: 50%;">${label}</span>
//             <span style="width: 50%;">: ${storeItem[key]}</span>
//           </div>`;
//       }
//     })
//     .join('');
// };


const createStoreRequestButton = (link, isSent) => {

  const buttonText = isSent ? 'Request Sent' : 'Send request';
  return `
  <span style="font-size: 20px; font-weight: bold; padding-top: 20px;">${link.replace(/_/g, ' ')}</span>
   `;
};

const storeList = matchingEntry1.map(item => {
  let result = '';
  const choose_store = JSON.parse(item.choose_store);
  result += '<br><div style="display:flex;gap: 15px"><b>UPC:</b>'+item.upc+'</div><br>';
  choose_store.forEach(storeItem => {
    const link = storeItem.potCheck;
    const isSent = matchingEntry.sent_store && matchingEntry.sent_store.toLowerCase() === link.toLowerCase();

    

    if (link === "Youtube") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "youtube");
    } else if (link === "JioSaavn") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "JioSaavn");
    }
    else if (link === "Pandora") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Pandora");
    }
    else if (link === "Spotify") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Spotify");
    }
    else if (link === "iTunes") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "iTunes");
    }
    else if (link === "Deezer") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Deezer");
    }
    else if (link === "Anghami") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Anghami");
    }else if (link === "Tidal") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Tidal");
    }
    else if (link === "Nuuday") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Nuuday");
    }
    else if (link === "Napster") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Napster");
    }else if (link === "Claro") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Claro");
    }
    else if (link === "Kanjian") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Kanjian");
    }
    else if (link === "Melon") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Melon");
    }
    else if (link === "iHeart_Radio") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "iHeart");
    } else if (link === "Netease") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Netease");
    } else if (link === "Bugs") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Bugs");
    } else if (link === "Tencent") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Tencent");
    } else if (link === "Vibe") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Vibe");
    } else if (link === "Amazon") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Amazon");
    }
    else if (link === "AWA") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "AWA");
    }else if (link === "Qobuz") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Qobuz");
    }else if (link === "Zing_MP3") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Zing");
    }else if (link === "KKBOX") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "KKBOX");
    }
    else if (link === "FLO") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "FLO");
    }else if (link === "Boomplay") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Boomplay");
    }
  });

  return result;
}).join('');


const listHTML = `<div>${storeList}</div>`;


$('#totalpage').html(`
    ${listHTML}
`);





                    var link = $('#exportdata');

                    link.attr('href', '{{ route('exportform2') }}?id=' + matchingEntry.id);
                    $('#viewpop').modal('show');
                });



                $('.analysis').click(function() {
                    var formId = $(this).data('form-id');

                    var matchingEntry = analysisData.find(function(item) {
                        return item.id === formId;
                    });
                    $('#formid').val(matchingEntry.id)
                    if (matchingEntry) {

                        $('#div1').html(`
                <span style="padding: 10px;">EMAIL: ${matchingEntry.email}</span><br>
                <span style="padding: 10px;">USER NAME: ${matchingEntry.username}</span><br>
                <span style="padding: 10px;">USER ID: ${matchingEntry.userid}</span>
            `);
            // $('#div3').html(`

            // <ul style="text-align: left;display: flow-root;"><li><b>Is that release status has Pending Moderation?</b><span style="padding: 3px 8px; background: #f40505; color: #fff; border-radius: 5px; font-weight: 600;">No</span></li><li><b>Is that release status has Update Review?</b> <br><span style="display: flex;gap: 10px;"><span>User Action</span> <span style="padding: 3px 1rem; background: #f40505; color: #fff; border-radius: 5px; font-weight: 600;"> No</span></span><span style="display: flex;gap: 10px;"><span>User Action (Ready)</span>  <span style="padding: 3px 1rem; background: #f40505; color: #fff; border-radius: 5px; font-weight: 600;">No</span></span<span style="display: flex;gap: 10px;"><span>PremMod</span>  <span style="padding: 3px 1rem; background: #f40505; color: #fff; border-radius: 5px; font-weight: 600;">No</span></span><span style="display: flex;gap: 10px;"><span>Disapproved Update Review statuses</span>   <span style="padding: 3px 1rem; background: #f40505; color: #fff; border-radius: 5px; font-weight: 600;">No</span></span></li></ul>


            // `);

                        $('#div2').html(`
            <ul><li>${matchingEntry.action_needed}</li></ul>
            `);
                        var upc = matchingEntry.upc;
                        $.ajax({
                            url: 'checkreleasestatus',
                            method: 'GET',
                            data: {
                                upc: upc
                            },
                            dataType: 'json',
                            success: function(response) {
                                console.log(response);

                                $('#div3').html(`<ul style="text-align: left;display: flow-root;"><li style="justify-content: space-between;display: flex;"><b>Has the release been approved?</b> </li>
                                <div id="min-div" class="grid gap-2 py-2"></div>
                                <li style="display: grid;gap: 10px">
                                <b>Is that release status has Update Review?</b>
                                
                                <span style="display: flex;gap: 10px;justify-content: space-between;">
                                <span>User Action</span>
                                <span style="padding: 3px 1rem; background: ${response.useraction_status === null || response.useraction_status === '' ? '#f40505' : 'green'}; color: #fff; border-radius: 5px; font-weight: 600;">${response.useraction_status === null || response.useraction_status === '' ? 'No' : 'Yes'}</span>
                                </span>
                                
                                <span style="display: flex;gap: 10px;justify-content: space-between;">
                                <span>User Action (Ready)</span> 
                                <span style="padding: 3px 1rem; background: ${response.usacst_status === null || response.usacst_status === '' ? '#f40505' : 'green'}; color: #fff; border-radius: 5px; font-weight: 600;">${response.usacst_status === null || response.usacst_status === '' ? 'No' : 'Yes'}</span>
                                </span>
                                
                                <span style="display: flex;gap: 10px;justify-content: space-between;">
                                <span>PremMod</span>
                                <span style="padding: 3px 1rem; background: ${response.pend_mod_status === null || response.pend_mod_status === '' ? '#f40505' : 'green'}; color: #fff; border-radius: 5px; font-weight: 600;">${response.pend_mod_status === null || response.pend_mod_status === '' ? 'No' : 'Yes'}</span>
                                </span>
                                
                                <span style="display: flex;gap: 10px;justify-content: space-between;">
                                <span>Disapproved Update Review statuses</span>  
                                <span style="padding: 3px 1rem; background: ${response.disapp_status === null || response.disapp_status === '' ? '#f40505' : 'green'}; color: #fff; border-radius: 5px; font-weight: 600;">${response.disapp_status === null || response.disapp_status === '' ? 'No' : 'Yes'}</span>
                                </span>
                                
                                </li></ul><span style="cursor: pointer;padding: 3px 1rem;background: #0069d9;color: #fff;border-radius: 5px;font-weight: 600;position: relative;width: fit-content" onclick="notifyuser()" id="notifybutton">Notify User</span>

            `);

                                
            // $('.div3done').css('display', 'none');
            //                               $('.div3notdone').css('display', 'block');
            //                               $('#numberdiv3').css('background-color', '#ccc');
            //                               $('#div3number').css('color', 'black');
            //                               $('#div3text').text('Admin Action Needed');
            //                               $('#notifybutton').css('display', 'block');
            //                               $('#notifybutton').text('Notify User');
                                const upclists = $('input[name="upclists"]').val().split(',');
                                 
                                 console.log('upclists', upclists)
                                $("#min-div").empty();
                                upclists.map((m, index) => {
                                  const upc = m.match(/^\d+/)?.[0];
                                  if (upc) {
                                  $.ajax({
                                    url: '{{ route("upcrelease") }}',
                                    method: 'POST',
                                    headers: {
                                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                    },
                                    data: {
                                      upclists: upc
                                    },
                                    success: function(result) {
                                      console.log('function', result);
                                      
                                      $("#min-div").append(`<li key="${index}" class="flex items-center justify-between">${upc} <span style="padding: 3px 1rem;height: fit-content; background: ${result != 'Approved' ? '#f40505' : 'green'}; color: #fff; border-radius: 5px; font-weight: 600;">${ result != 'Approved' ? 'No' : 'Yes' }</span></li>`);

                                      if (response.pend_mod_status === null && response
                                          .useraction_status === null && response.usacst_status ===
                                          null && response.pend_mod_status === null && response
                                          .disapp_status === null && result == 'Approved') {
                                          $('.div3done').css('display', 'block');
                                          $('.div3notdone').css('display', 'none');
                                          $('#numberdiv3').css('background-color', '#0069d9');
                                          $('#div3number').css('color', 'white');
                                          $('#div3text').text('Completed');
                                          $('#notifybutton').css('display', 'none');
                                          $('#notifybutton').text('Notify User');


                                      } else {
                                          $('.div3done').css('display', 'none');
                                          $('.div3notdone').css('display', 'block');
                                          $('#numberdiv3').css('background-color', '#ccc');
                                          $('#div3number').css('color', 'black');
                                          $('#div3text').text('Admin Action Needed');
                                          $('#notifybutton').css('display', 'block');
                                          $('#notifybutton').text('Notify User');
                                      }
                                    if(matchingEntry.release_check){
                                      $('.div3done').css('display', 'block');
                                          $('.div3notdone').css('display', 'none');
                                          $('#numberdiv3').css('background-color', '#0069d9');
                                          $('#div3number').css('color', 'white');
                                          $('#div3text').text('Completed');
                                        // $('#notifybutton').css('display', 'none');
                                          $('#notifybutton').css({
                                            'pointer-events': 'none',
                                            'cursor': 'not-allowed',
                                        });
                                        $('#notifybutton').text('Notification Sent');
                                    } 
                                  
                                    }
                                  })
                                }
                                })
                                
                                

                                
         

                                 


                            },

                        });
                       
                        var matchingEntry1 = analysisData1.filter(function(item) {
                            return item.tbl_content_mapping_id === matchingEntry.id;
                        });
                        $('input[name="upclists"]').val(matchingEntry1.map(m=>m.upc));
                        // const resultsdfghg = matchingEntry1.map(item => ({
                        //     name: JSON.parse(item.choose_store)[0].potCheck,  // Extract the first store's name
                        //     upc: item.upc                                   // Extract the UPC
                        // }));
                        console.log('matchingEntry12222', matchingEntry1)
                        const artistList = matchingEntry1.map(item => `
  <li style="display: flex;"><div class="grid w-full">
    <p>Artist Name: </p>
    ${JSON.parse(item.artist_name).map(m => {
        return `<p class="relative flex items-center w-full justify-start gap-2"><span>${item.upc.split('-')[0].trim()} - ${m}</span> <svg
class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
xmlns="http://www.w3.org/2000/svg" width="24" height="24"
fill="green" viewBox="0 0 24 24"
style="width: 20px;">
<path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
stroke-width="2"
d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
</path>
</svg></p>`;
      }).join('')}
    </div>&nbsp;&nbsp;<p></p></li>
`).join('');
        $('#div4').html(`        
<ul style="text-align: left;">
${artistList}
</ul>
`);
console.log('artistList', artistList)



const keyLabelMapping = {
  youtube: {
    youtube0: 'Primary Genre',
    youtube1: 'Secondary Genre',
    youtube2: 'City',
    youtube3: 'State',
    youtube4: 'Country',
    youtube5: 'Website Link',
    youtube6: 'Artist Link',
    youtube7: 'Release Link'
  },
  AWA: {
    AWA0: 'Artist Link',
    AWA1: 'Release Link'
  },
  Pandora: {
    Pandora6: 'Primary Genre',
    Pandora7: 'Secondary Genre',
    Pandora0: 'City',
    Pandora1: 'State',
    Pandora2: 'Country',
    Pandora3: 'Website Link',
    Pandora4: 'Artist Link',
    Pandora5: 'Release Link'
  },
  Spotify: {
    Spotify0: 'Artist Link',
    Spotify1: 'Release Link'
  },
  iTunes: {
    iTunes0: 'Artist Link',
    iTunes1: 'Release Link'
  },
  Deezer: {
    Deezer0: 'Artist Link',
    Deezer1: 'Release Link'
  },
  Anghami: {
    Anghami0: 'Artist Link',
    Anghami1: 'Release Link'
  },
  Tidal: {
    Tidal0: 'Artist Link',
    Tidal1: 'Release Link'
  },
  Nuuday: {
    Nuuday0: 'Artist Link',
    Nuuday1: 'Release Link'
  },
  Napster: {
    Napster0: 'Artist Link',
    Napster1: 'Release Link'
  },
  Claro: {
    Claro0: 'Artist Link',
    Claro1: 'Release Link'
  },
  Kanjian: {
    Kanjian0: 'Artist Link',
    Kanjian1: 'Release Link'
  },
  Melon: {
    Melon0: 'Artist Link',
    Melon1: 'Release Link'
  }, 
  iHeart: {
    iHeart0: 'Artist Link',
    iHeart1: 'Release Link'
  }, 
  Netease: {
    Netease0: 'Artist Link',
    Netease1: 'Release Link'
  },
  Bugs: {
    Bugs0: 'Artist Link',
    Bugs1: 'Release Link'
  },
  Tencent: {
    Tencent0: 'Artist Link',
    Tencent1: 'Release Link'
  },
  Vibe: {
    Vibe0: 'Artist Link',
    Vibe1: 'Release Link'
  },
  Amazon: {
    Amazon0: 'Artist Link',
    Amazon1: 'Release Link'
  },
  Qobuz: {
    Qobuz0: 'Artist Link',
    Qobuz1: 'Release Link'
  },
  Zing: {
    Zing0: 'Artist Photo',
    Zing1: 'Artist Link',
    Zing2: 'Release Link'
  },
  KKBOX: {
    KKBOX0: 'Artist Link',
    KKBOX1: 'Release Link'
  },
  FLO: {
    FLO0: 'Artist Link',
    FLO1: 'Release Link'
  },
  Boomplay: {
    Boomplay0: 'Artist name:',
    Boomplay1: 'Artist Country:',
    Boomplay2: 'Artist Gender',
    Boomplay3: 'Artist Biography',
    Boomplay4: 'Artist Photo',
    Boomplay5: 'Artist Link',
    Boomplay6: 'Release Link'
  },
  JioSaavn: {
    JioSaavn0: 'Artist Photo',
    JioSaavn1: 'Artist Link',
    JioSaavn2: 'Release Link'
  }
};

const createStoreDetails = (storeItem, prefix) => {
  const labelMapping = keyLabelMapping[prefix] || {};

  // Define custom order for Pandora keys
  let customOrder = Object.keys(storeItem);
  if (prefix === 'Pandora') {
    customOrder = [
      'Pandora6', // Primary Genre
      'Pandora7', // Secondary Genre
      'Pandora0', // City
      'Pandora1', // State
      'Pandora2', // Country
      'Pandora3', // Website Link
      'Pandora4', // Artist Link
      'Pandora5'  // Release Link
    ];
  }

  return customOrder
    .filter(key => key.startsWith(prefix) && storeItem[key])
    .map(key => {
      const label = labelMapping[key] || key;
      if (label === "Artist Photo") {
        return `
          <div style="width: 100%; display: flex; gap: 10px;">
            <span style="width: 50%;">${label}</span>
            <a href="${storeItem[key]}" data-lightbox="image" target="_blank">
              <span style="font-weight: bold; color: #0e82ff;">View</span>
            </a>
          </div>`;
      } else {
        return `
          <div style="width: 100%; display: flex; gap: 10px;">
            <span style="width: 50%;">${label}</span>
            <span style="width: 50%;">: ${storeItem[key]}</span>
          </div>`;
      }
    })
    .join('');
};

// const createStoreDetails = (storeItem, prefix) => {
//   const labelMapping = keyLabelMapping[prefix] || {};
  
//   return Object.keys(storeItem)
//     .filter(key => key.startsWith(prefix))
//     .map(key => {
//       const label = labelMapping[key] || key;  
//       if (label === "Artist Photo") {
//         return `
//           <div style="width: 70%; display: flex; gap: 10px;">
//             <span style="width: 50%;">${label}</span>
//             <a href="${storeItem[key]}" data-lightbox="image" target="_blank">
//                                         <span style="font-weight: bold; color: #0e82ff;">View</span>
//                                     </a>
          
//           </div>`;
//       } else {
//         return `
//           <div style="width: 100%; display: flex; gap: 10px;">
//             <span style="width: 36%;">${label}</span>
//             <span style="width: 64%;">: ${storeItem[key]}</span>
//           </div>`;
//       }
//     })
//     .join('');
// };


const createStoreRequestButton = (link, isSent) => {
  const buttonStyle = isSent
    ? 'pointer-events:none; cursor:not-allowed; padding: 3px 1rem; background: grey; color: #fff; border-radius: 5px; font-weight: 600; position: relative;'
    : 'cursor: pointer;padding: 3px 1rem; background: #0069d9; color: #fff; border-radius: 5px; font-weight: 600; position: relative;';

  const buttonText = isSent ? 'Request Sent' : 'Send request';
  return `
  <span style="font-size: 20px; font-weight: bold; padding-top: 20px;">${link.replace(/_/g, ' ') == "Youtube" ? "YouTube Music" : link.replace(/_/g, ' ') == "iTunes" ? "Apple Music" : link.replace(/_/g, ' ') }</span>
    <span id="storereq${link}" style="${buttonStyle}" onclick="requeststore('${link}')">
      ${buttonText}
    </span>`;
};


const storeList = matchingEntry1.map(item => {


  let result = '';
  const choose_store = JSON.parse(item.choose_store);


  const allLinks = choose_store.map(storeItem => storeItem.potCheck.toLowerCase()); // Get all potCheck values

const isAllSent = matchingEntry.sent_store 
    && allLinks.every(link => matchingEntry.sent_store
        .toLowerCase()
        .split(',')
        .includes(link));

const overallStatus = isAllSent ? 'completed' : 'not completed';

if(overallStatus == 'completed'){
  $('.numberlast').css('background-color', '#0069d9');
  $('#numberlast').css('color', 'white');
  $('.hovertextlast').text('Completed');
  $('.svgfirst').css('display', 'none');
  $('.svglast').css('display', 'block');
                      
}else{
  $('.numberlast').css('background-color', '#ccc');
  $('#numberlast').css('color', 'black');
  $('.hovertextlast').text('Admin Action needed');
  $('.svgfirst').css('display', 'block');
  $('.svglast').css('display', 'none');
}


  result += '<br><div style="display:flex;gap: 15px"><b>UPC:</b>'+item.upc+'</div><br>';
  choose_store.forEach(storeItem => {
    const link = storeItem.potCheck;
  
   // const isSent = matchingEntry.sent_store && matchingEntry.sent_store.toLowerCase() === link.toLowerCase();
    const isSent = matchingEntry.sent_store 
    && matchingEntry.sent_store
          .toLowerCase()
          .split(',')
          .includes(link.toLowerCase());
    
  
    if (link === "Youtube") {
    
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "youtube");
    } else if (link === "JioSaavn") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "JioSaavn");
    }
    else if (link === "Pandora") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Pandora");
    }
    else if (link === "Spotify") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Spotify");
    }
    else if (link === "iTunes") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "iTunes");
    }
    else if (link === "Deezer") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Deezer");
    }
    else if (link === "Anghami") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Anghami");
    }else if (link === "Tidal") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Tidal");
    }
    else if (link === "Nuuday") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Nuuday");
    }
    else if (link === "Napster") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Napster");
    }else if (link === "Claro") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Claro");
    }
    else if (link === "Kanjian") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Kanjian");
    }
    else if (link === "Melon") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Melon");
    }
    else if (link === "iHeart_Radio") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "iHeart");
    } else if (link === "Netease") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Netease");
    } else if (link === "Bugs") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Bugs");
    } else if (link === "Tencent") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Tencent");
    } else if (link === "Vibe") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Vibe");
    } else if (link === "Amazon") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Amazon");
    }
    else if (link === "AWA") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "AWA");
    }else if (link === "Qobuz") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Qobuz");
    }else if (link === "Zing_MP3") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Zing");
    }else if (link === "KKBOX") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "KKBOX");
    }
    else if (link === "FLO") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "FLO");
    }else if (link === "Boomplay") {
        result += createStoreRequestButton(link, isSent);
      result += createStoreDetails(storeItem, "Boomplay");
    }
  });
result += '<hr>';
  return result;
}).join('');




// Displaying the result
const listHTML = `<div>${storeList}</div>`;



$('#div6').html(`
    ${listHTML}


    <div class="storemail" id="storemail"
                            style="width: 100%;box-shadow: 4px 6px 11px -1px #ddd;display:none;overflow: hidden;border-radius: 7px; ">


                            <div id="" style=" width: 100%;">
                                <div class="modal-content" style="border: none !important;">
                                    <div class="modal-header">
                                        <h5 style="color: white;" id="storemailname1" class="modal-title storehead" id="customPopupLabel">
                                            Request To Store(Zing MP3)</h5>
                                        <button type="button" class="close">
                                            <span onclick="close_mail()" style="color: #fff">&times;</span>
                                        </button>
                                    </div>
                                    <div id="storebody"class="modal-body">
                                        <label class="modalabel">To:</label><br>
                                        <label id="storemailto"disabled class="login-form__input">
                                        </label><br>
                                        <label id="storemailcc1" class="modalabel">CC:</label><br>
                                        <label id="storemailcc" disabled class="login-form__input">
                                        </label><br>

                                        <label class="modalabel">Subject:</label><br>
                                        <span style="display:none" id="storename"></span>
                                        <input class="login-form__input" type="text" name="Email"
                                            id="storemailname" size="59px" value="Request To Store(Zing MP3)">
                                        <br><br>
                                        <label class="modalabel">Body:</label><br>

                                        <textarea id="storemailtext" class="login-form__input" type="text" name="Email" id="name"
                                            style="position: relative;height: 150px;width: 100%;text-align: left">

                                        </textarea>
                                        <p id="attachment"></p>

                                    </div>
                                    <div id="storebodyfooter" class="modal-footer">

                                        <button type="button" class="btn btn-secondary" onclick="close_mail()">Close</button>
                                        <button type="submit" class="btn btn-secondary login maill"
                                            onclick="rsentmail()">Send</button>
                                    </div>
                                </div>
                            </div>

                        </div>

`);
                     


                        if (matchingEntry.release_check == '1') {
                            $('.div3done').css('display', 'block');
                            $('.div3notdone').css('display', 'none');
                            $('#numberdiv3').css('background-color', '#0069d9');
                            $('#div3number').css('color', 'white');
                            $('#div3text').text('Completed');
                            $('#notifybutton').css('display', 'none');
                            $('#notifyuser').css({
                                'pointer-events': 'none',
                                'cursor': 'not-allowed',
                            });

                        }





                        var matchingEntry2 = analysisData2.find(function(item) {
                            return item.form_id === matchingEntry.id && item.type === 'content';
                        })

                        if (matchingEntry2) {
                    $('#reject').css('display', 'none');
                    $('#request').css('display', 'none');
                    $('#approve').css('display', 'none');

                    if (matchingEntry2.status == 'approve') {
                        $('#approve').css({
                            'pointer-events': 'none',
                            'cursor': 'not-allowed',
                        });
                         $('#divlasttext').css('display', 'flex');
                         $('#textfinal').text('Approved');
                       // $('#approvetext').text('Approved & Assigned it to Luna');
                       // $('#reject').css('display', 'none');
                       // $('#request').css('display', 'none');
                    } else if (matchingEntry2.status == 'request') {
                        $('#request').css({
                            'pointer-events': 'none',
                            'cursor': 'not-allowed',
                        });
                        $('#divlasttext').css('display', 'flex');
                         $('#textfinal').text('Requested Information');
                        // $('#requesttext').text('Requested Information');

                        // $('#approve').css('display', 'none');
                        // $('#reject').css('display', 'none');
                        // $('#request').css('display', 'block');
                    } else {
                        $('#reject').css({
                            'pointer-events': 'none',
                            'cursor': 'not-allowed',
                        });
                        $('#divlasttext').css('display', 'flex');
                         $('#textfinal').text('Rejected');
                        // $('#rejecttext').text('Rejected');

                        // $('#approve').css('display', 'none');
                        // // $('#reject').css('display', 'block');
                        // $('#request').css('display', 'none');

                    }
                } else {
                    $('#divlasttext').css('display', 'none');
                    $('#reject').css('display', 'flex');
                    $('#request').css('display', 'flex');
                    $('#approve').css('display', 'flex');

                }




          //               if (matchingEntry2) {
          //                   if (matchingEntry2.status == 'approve') {
          //                       $('#approve').css({
          //                           'pointer-events': 'none',
          //                           'cursor': 'not-allowed',
          //                       });
          //                   //    $('#approve').css('display', 'block');
          //                       $('#approvetext').text('Approved & Assigned to Luna');
          //                       $('#reject').css('display', 'none');
          //                       $('#request').css('display', 'none');
          //                   } else if (matchingEntry2.status == 'request') {
          //                       $('#request').css({
          //                           'pointer-events': 'none',
          //                           'cursor': 'not-allowed',
          //                       });
          //                       $('#requesttext').text('Requested Information');

          //                       $('#approve').css('display', 'none');
          //                       $('#reject').css('display', 'none');
          //                     //  $('#request').css('display', 'block');
          //                   } else {
          //                       $('#reject').css({
          //                           'pointer-events': 'none',
          //                           'cursor': 'not-allowed',
          //                       });
          //                       $('#rejecttext').text('Rejected');

          //                       $('#approve').css('display', 'none');
          //                       //$('#reject').css('display', 'block');
          //                       $('#request').css('display', 'none');

          //                   }
          //               }
          //               else{
                  
          //         $('#reject').css('display', 'flex');
          //         $('#request').css('display', 'flex');
          //         $('#approve').css('display', 'flex');

          // }
                    }

                    $('#analysismodal1').modal('show');
                });


                function generateDetailRow(label, value) {
                    return value ? `
        <div style="width: 100%; display: flex; gap: 10px;">
            <span style="width: 50%;">${label}</span> 
            <span style="width: 50%;">: ${value}</span>
        </div>
    ` : '';
                }

                function isSimilarStore(store1, store2) {
                    store1 = store1.toLowerCase().trim();
                    store2 = store2.toLowerCase().trim();
                    return store1.includes(store2) || store2.includes(store1);
                }





            });


         



            function requeststore(storename) {
              $('#div6').css('grid-template-columns','1fr 1.5fr');
              $('#storebody').html(`
                                        <label class="modalabel">To:</label><br>
                                        <label id="storemailto"disabled class="login-form__input">
                                        </label><br>
                                        <label id="storemailcc1" class="modalabel">CC:</label><br>
                                        <label id="storemailcc" disabled class="login-form__input">
                                        </label><br>

                                        <label class="modalabel">Subject:</label><br>
                                        <span style="display:none" id="storename"></span>
                                        <input class="login-form__input" type="text" name="Email"
                                            id="storemailname" size="59px" value="Request To Store(Zing MP3)">
                                        <br><br>
                                        <label class="modalabel">Body:</label><br>

                                        <textarea id="storemailtext" class="login-form__input" type="text" name="Email" id="name"
                                            style="position: relative;height: 150px;width: 100%;text-align: left">

                                        </textarea>
                                        <p id="attachment"></p>

                                        `);
                                        $('#storebodyfooter').html(`

                                        <button type="button" class="btn btn-secondary" onclick="close_mail()">Close</button>
                                        <button type="submit" class="btn btn-secondary login maill"
                                            onclick="rsentmail()">Send</button>
                                            `);
                $('#storename').text(storename);
                var formId = $('#formid').val();
                var details = {!! json_encode($data1) !!};
                var detail = details.filter(function(item) {
                    return item.tbl_content_mapping_id == formId;
                });

                
                $('#storemailname1').text(`Request To Store(${storename == "Youtube" ? "YouTube Music" : storename == "iTunes" ? "Apple Music" : storename})`);

         if (storename == "Youtube" || storename == "YouTube Music") {
             $('#storemailto').text(' artist-support@youtube.com');
             
             $('#storemailcc').css('display','none');  $('#storemailcc1').css('display','none');
         } else if (storename == "JioSaavn") {
             $('#storemailto').text('anand@saavn.com');
             $('#storemailcc').text('');
         }else if (storename == "Pandora") {
             $('#storemailto').text('jalbertsen@pandora.com');
             $('#storemailcc').text('ajonat@pandora.com');
         }else if (storename == "Spotify") {
             $('#storemailto').text('');
             $('#storemailcc').text('');
         }else if (storename == "iTunes") {
             $('#storemailto').text('');
             $('#storemailcc').text('');
         }else if (storename == "Anghami") {
             $('#storemailto').text('contentupdate@anghami.com');
             $('#storemailcc').text('');
         }else if (storename == "Tidal") {
             $('#storemailto').text('content@tidal.com');
             $('#storemailcc').text('');
         }else if (storename == "Nuuday") {
             $('#storemailto').text('');
             $('#storemailcc').text('');
         }else if (storename == "Napster") {
             $('#storemailto').text('content@napster.com');
             $('#storemailcc').text('');
         }else if (storename == "Claro") {
             $('#storemailto').text('michelle.santos@imusica.com.br');
             $('#storemailcc').text('@imusica.com.br ');
         }else if (storename == "Kanjian") {
             $('#storemailto').text('content@kanjian.com');
             $('#storemailcc').text('');
         }else if (storename == "Melon") {
             $('#storemailto').text('mlb.music@kakaoent.com');
             $('#storemailcc').text('');
         }else if (storename == "iHeart_Radio") {
             $('#storemailto').text('content@iHeartMedia.com');
             $('#storemailcc').text('');
         }else if (storename == "Netease") {
             $('#storemailto').text('qukumusic@163.com');
             $('#storemailcc').text('mathew.daniel@corp.netease.com,wb.majun04@mesg.corp.netease.com,yuguanhua@corp.netease.comf,angziwen@corp.netease.com');
         }else if (storename == "Bugs") {
             $('#storemailto').text('dl_bugsnotice@bugs.co.kr,yoonnaeun@bugs.co.kr');
             $('#storemailcc').text('sojin93@bugs.co.kr ');
         }else if (storename == "Tencent") {
             $('#storemailto').text('ericahong@tencent.com');
             $('#storemailcc').text('');
         }else if (storename == "Vibe") {
             $('#storemailto').text('ynlee@ygmail.netheeseo@ygmail.net');
             $('#storemailcc').text('');
         }else if (storename == "Amazon") {
             $('#storemailto').text('');
             $('#storemailcc').text('');
         }else if (storename == "AWA") {
             $('#storemailto').text('awa_marketing@av.avex.co.jp');
             $('#storemailcc').text('');
         }else if (storename == "Qobuz") {
             $('#storemailto').text('audio.content@qobuz.com');
             $('#storemailcc').text('');
         }else if (storename == "Zing_MP3") {
             $('#storemailto').text('roland@zalo.me');
             $('#storemailcc').text('');
         }else if (storename == "KKBOX") {
             $('#storemailto').text('content-upload@kkbox.com');
             $('#storemailcc').text('');
         }else if (storename == "FLO") {
             $('#storemailto').text('jw.choe@sk.com');
             $('#storemailcc').text('mcp.content@dreamuscompany.com');
         }else if (storename == "Boomplay") {
             $('#storemailto').text('support.content@boomplay.com');
             $('#storemailcc').text('');
         }

         var gwsrvr = @json($result).filter(n => n.name.toLowerCase().includes(storename.toLowerCase()));
               
console.log('gwsrvr', gwsrvr, storename)
                
         $('#storemailname').val(gwsrvr[0].subject);
         $('#storemailto').text(gwsrvr[0].to_mail);


const keyLabelMapping1 = {
  youtube: {
    youtube0: 'Primary Genre',
    youtube1: 'Secondary Genre',
    youtube2: 'City',
    youtube3: 'State',
    youtube4: 'Country',
    youtube5: 'Website Link',
    youtube6: 'Artist Link',
    youtube7: 'Release Link'
  },
  AWA: {
    AWA0: 'Artist Link',
    AWA1: 'Release Link'
  },
  Pandora: {
    Pandora6: 'Primary Genre',
    Pandora7: 'Secondary Genre',
    Pandora0: 'City',
    Pandora1: 'State',
    Pandora2: 'Country',
    Pandora3: 'Website Link',
    Pandora4: 'Artist Link',
    Pandora5: 'Release Link'
  },
  Spotify: {
    Spotify0: 'Artist Link',
    Spotify1: 'Release Link'
  },
  iTunes: {
    iTunes1: 'Artist Link',
    iTunes1: 'Release Link'
  },
  Deezer: {
    Deezer0: 'Artist Link',
    Deezer1: 'Release Link'
  },
  Anghami: {
    Anghami0: 'Artist Link',
    Anghami1: 'Release Link'
  },
  Tidal: {
    Tidal0: 'Artist Link',
    Tidal1: 'Release Link'
  },
  Nuuday: {
    Nuuda0y: 'Artist Link',
    Nuuday1: 'Release Link'
  },
  Napster: {
    Napster0: 'Artist Link',
    Napster1: 'Release Link'
  },
  Claro: {
    Claro0: 'Artist Link',
    Claro1: 'Release Link'
  },
  Kanjian: {
    Kanjian0: 'Artist Link',
    Kanjian1: 'Release Link'
  },
  Melon: {
    Melon1: 'Artist Link',
    Melon1: 'Release Link'
  }, 
  iHeart: {
    iHeart0: 'Artist Link',
    iHeart1: 'Release Link'
  }, 
  Netease: {
    Netease0: 'Artist Link',
    Netease1: 'Release Link'
  },
  Bugs: {
    Bugs0: 'Artist Link',
    Bugs1: 'Release Link'
  },
  Tencent: {
    Tencent0: 'Artist Link',
    Tencent1: 'Release Link'
  },
  Vibe: {
    Vibe0: 'Artist Link',
    Vibe1: 'Release Link'
  },
  Amazon: {
    Amazon0: 'Artist Link',
    Amazon1: 'Release Link'
  },
  Qobuz: {
    Qobuz0: 'Artist Link',
    Qobuz1: 'Release Link'
  },
  Zing: {
    Zing0: 'Artist Photo',
    Zing1: 'Artist Link',
    Zing2: 'Release Link'
  },
  KKBOX: {
    KKBOX0: 'Artist Link',
    KKBOX1: 'Release Link'
  },
  FLO: {
    FLO0: 'Artist Link',
    FLO1: 'Release Link'
  },
  Boomplay: {
    Boomplay0: 'Artist name:',
    Boomplay1: 'Artist Country:',
    Boomplay2: 'Artist Gender',
    Boomplay3: 'Artist Biography',
    Boomplay4: 'Artist Photo',
    Boomplay5: 'Artist Link',
    Boomplay6: 'Release Link'
  },
  JioSaavn: {
    JioSaavn0: 'Artist Photo',
    JioSaavn1: 'Artist Link',
    JioSaavn2: 'Release Link'
  }
};

    const createStoreDetails1 = (storeItem, prefix) => {
        
      const labelMapping = keyLabelMapping1[prefix] || {};
      let contents = '';
      $('#attachment').html(``);
      Object.keys(storeItem)
        .filter(key => key.startsWith(prefix))
        .forEach(key => {
          const label = labelMapping[key] || key;
          const value = storeItem[key];

          if (label === 'Artist name') {
            
            contents += `Artist name: ${value}\n`;
          }
          if (label === 'Primary Genre') {
            contents += `Primary Genre: ${value}\n`;
          }
          if (label === 'Secondary Genre') {
            contents += `Secondary Genre: ${value}\n`;
          }
          if (label === 'City') {
            contents += `City: ${value}\n`;
          }
          if (label === 'State') {
            contents += `State: ${value}\n`;
          }
          if (label === 'Country') {
            contents += `Country: ${value}\n`;
          }
          if (label === 'Website Link') {
            contents += `Website Links: ${value}\n`;
          }
          if (label === 'Artist Biography') {
            contents += `Artist Biography: ${value}\n`;
          }
          if (label === 'Artist Photo') {
            contents += `Please find the attachment of the artist photo.\n`;
            $('#attachment').html(`ATTACHMENT: <a href="https://smarthub.rn-test.com${value}" target="_blank">${value}</a>`);
          }
          if (label === 'Artist Link' || label === 'Release Link') {
            contents += `${label}: ${value}\n`;
          }
        });

      return contents;
    };
    
                if (detail.length > 0) {
    

    var allMatchedStores = [];

  detail.forEach(function (item) {
    // Parsing the choose_store JSON string for each item
    var stores = JSON.parse(item.choose_store);

    // Filter the stores based on potCheck == storename
    var matchedStore = stores.filter(function (store) {
      return store.potCheck === storename;
    });

    // Add the matched stores to the array if any
    if (matchedStore.length > 0) {
      allMatchedStores = allMatchedStores.concat(matchedStore);
    }
  });

    if (allMatchedStores.length > 0) {
      var storeItem = allMatchedStores[0];
      var link = storeItem.potCheck;

      // Using a switch statement for cleaner conditional checking
      let prefix = '';
      switch (link) {
        case 'Youtube':
          prefix = 'youtube';
          break;
        case 'JioSaavn':
            prefix = 'JioSaavn';
          break;
        case 'Pandora':
            prefix = 'Pandora';
          break;
        case 'Spotify':
            prefix = 'Spotify';
          break;
        case 'iTunes':
            prefix = 'iTunes';
          break;
        case 'Deezer':
            prefix = 'Deezer';
          break;
        case 'Anghami':
            prefix = 'Anghami';
          break;
        case 'Tidal':
            prefix = 'Tidal';
          break;
        case 'Nuuday':
            prefix = 'Nuuday';
          break;
        case 'Napster':
            prefix = 'Napster';
          break;
        case 'Claro':
            prefix = 'Claro';
          break;
        case 'Kanjian':
            prefix = 'Kanjian';
          break;
        case 'Melon':
            prefix = 'Melon';
          break;
        case 'iHeart_Radio':
            prefix = 'iHeart';
          break;
        case 'Netease':
            prefix = 'Netease';
          break;
        case 'Bugs': 
            prefix = 'Bugs';
          break;
        case 'Tencent':
            prefix = 'Tencent';
          break;
        case 'Vibe':
            prefix = 'Vibe';
          break;
        case 'Amazon':
            prefix = 'Amazon';
          break;
        case 'AWA':
            prefix = 'AWA';
          break;
        case 'Qobuz':
            prefix = 'Qobuz';
          break;
        case 'Zing_MP3':
            prefix = 'Zing';
          break;
        case 'KKBOX':
            prefix = 'KKBOX';
          break;
        case 'FLO':
            prefix = 'FLO';
          break;
        case 'Boomplay':
            prefix = 'Boomplay';
          break;
        default:
          console.log('Store not found in keyLabelMapping.');
      }

    



      $('#storemailtext').html(`
Dear support,
Can this release please be moved to the correct artist page?

       
${createStoreDetails1(storeItem, prefix)}

Many Warm Regards,
The RouteNote Team
`);
    }
  }


               
               
               

                $('#storemail').css('display', 'block');
                $('.storemail').css('right', '11rem');
                $('.storemail').css('z-index', '999');
                $('.storemail').css('top', '4rem');


                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');

            }
        </script>

    <body>



        <!-- Full Container Start -->
        <div class="full_container_start" style="width: 100%;overflow: scroll;height: 75vh;    padding: 17px;">

            <h4>Content Mapping OTL Forms</h4><br>




            <table id="yourDataTableId" style="font-size: 14px;" class="stripe bordered">
                <thead
                    style="width: 100%;background-color: #807a7a; justify-content: space-between;color: #fff;font-size: 14px; font-weight: 500;text-align: center;">
                    <tr>
                        <th style="width:5%">#</th>
                        <th style="width:10%">Form Type</th>
                        <th style="width:10%">UserName</th>
                        <th style="width:10%">Submitted On</th>

                        <th style="width:15%">Form Details</th>
                        <th style="width:10%">Smarthub Report</th>
                    </tr>
                </thead>
                <tbody id="tbody">
                    @foreach ($data as $item)
                        <tr>
                            <td>{{ $item->id }}</td>
                            <td>Content Mapping Form</td>
                            <td>{{ $item->username }}
                            </td>
                            <td>{{ $item->submitted_at }}</td>
                            <td><button class="btn btn-secondary view" style="border-radius: 9px;background-color: #0069d9;"
                                    data-form-id="{{ $item->id }}">View Details</button></td>
                            <td><button class="btn btn-secondary analysis"
                                    style="width: 128px;height: 37px;border-radius: 9px;background-color: #0069d9;"
                                    data-form-id="{{ $item->id }}">View Details</button></td>

                        </tr>
                    @endforeach

                </tbody>
            </table>

        </div>


        <script>
            function revenue_request() {
                $('#revenueshare').toggle();
            }

            function revenue_request_close() {
                $('#revenueshare').toggle();
            }
        </script>



        <!-- Modal HTML -->
        <div class="modal fade" id="analysismodal1" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width: 127%;height: ;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Processing the Content
                            Mapping Request</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span style="color: #fff">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">




                        <div class="full">
                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">
                                    <span class="number" style="background-color: #0069d9;"> <span
                                            style="color:#fff;font-weight: bold">1</span></span>

                                    <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                            d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>
                                    <span class="hover_txt">Completed</span>

                                </div>

                                <div style="padding: 20px;">
                                    <span id="sentence_1" onclick="toggleDiv()" style="font-size: medium;"> Checking
                                        Email Address</span>
                                    <div class="open_div" id="div1" style="display:grid;">

                                    </div>

                                </div>
                            </div>
                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">
                                    <span class="number" style="background-color: #0069d9;"> <span
                                            style="color:#fff;font-weight: bold">2</span></span>

                                    <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>
                                    <span class="hover_txt">Completed</span>

                                </div>

                                <div style="padding: 20px;">
                                    <span id="sentence_1" onclick="toggleDiv2()" style="font-size: medium;"> Action
                                        Required</span>

                                    <div class="open_div" id="div2" style="display:grid;">

                                    </div>
                                </div>
                            </div>
                            <div  style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">

                                    <span class="number" id="numberdiv3" style="background-color: #0069d9;"><span
                                            id="div3number" style="color:white;font-weight: bold">3</span></span>
                                    <input type="hidden" id="formid">
                                    <svg class="div3done w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="display:none;position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>


                                    <svg class="div3notdone exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24"
                                        height="24" fill="#fff" viewBox="0 0 24 24"
                                        style="display:none;position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                        <path stroke="red" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>

                                    <span id="div3text" class="hover_txt">
                                        Completed</span>
                                </div>

                                <div style="padding: 20px;width: 100%;gap: 10px;">
                                    <span id="sentence_1" onclick="toggleDiv3()" style="font-size: medium;">
                                        Release Status</span>

                                    <div id="setwidth" style="width: 100%;display: grid;grid-template-columns: 1fr auto;gap: 10px">
                                        <div id="div3" class="open_div" style="display:grid; width: 100%;height: fit-content;z-index:11">
                                              
                                        </div>

                                        <div id="Notifyuser"  style="display:none;overflow: hidden;border-radius: 7px;">


<div id=" " style=" width: 100%;">
    <div class="modal-content" style="border: none !important;">
        <div class="modal-header">
            <h5 style="color: white;" class="modal-title" id="customPopupLabel">Release
                status</h5>
            <button type="button" class="close">
                <span onclick="notifysentmailclose()" style="color: #fff">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <label class="modalabel">To:</label><br>
            <label disabled id="notito" class="login-form__input">
            </label><br>


            <label class="modalabel">Subject:</label><br>
            <input class="login-form__input" type="text" name="Email" id="name"
                size="59px" value="Release Status">
            <br><br>
            <label class="modalabel">Body:</label><br>

            <textarea class="login-form__input" type="text" name="notiemail" id="notiemail"
                style="position: relative;height: 150px;width: 100%;text-align: left">
             
              
                </textarea>

        </div>
        <div class="modal-footer">

            <button type="button" class="btn btn-secondary"
            onclick="notifysentmailclose()">Close</button>
            <button type="submit" class="btn btn-secondary login maill"
                onclick="notifysentmail()">Send</button>
        </div>
    </div>
</div>

</div>
                                        

                                        <div class="box svg" style="display: none;margin-top: -31px;"></div>


                                    </div>
                                </div>
                            </div>
                        </div>
                     <!-- /   box-shadow: 4px 6px 11px -1px #ddd; -->
                      

                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">
                                <span class="number" style="background-color: #0069d9;"> <span
                                        style="color:#fff;font-weight: bold">4</span></span>

                                <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>
                                <span class="hover_txt">Completed</span>

                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv4()" style="font-size: medium;"> Does the artist name on the release match the request? </span>

                                <div class="open_div" id="div4" style="display:grid;">

                                </div>
                            </div>
                        </div>
                        <!-- <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">
                                <span class="number" style="background-color: #0069d9;"> <span
                                        style="color:#fff;font-weight: bold">5</span></span>

                                <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>
                                <span class="hover_txt">Completed</span>

                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv5()" style="font-size: medium;"> Have the
                                    correct links been provided? </span>

                                <div class="open_div" id="div5" style="width: 148%;">

                                </div>
                            </div>
                        </div> -->

                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">
                                <span class="number numberlast" style="background-color: #ccc;"> <span id="numberlast"
                                        style="color:black;font-weight: bold">5</span></span>
                                <svg class="svgfirst exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                    aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    fill="#fff" viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                    <path stroke="red" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                                </svg>

                                <svg class="svglast w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="display:none;position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>

                                <span class="hovertextlast hover_txt">Admin Action Needed</span>

                            </div>

                            <div style="width:100%;padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv6()" style="font-size: medium;"> Processing
                                    the request</span>
                           
                                <div class="open_div" id="div6" style="width: 100%;display: grid;grid-template-columns: 1fr auto;">





                                </div>
                            </div>
                        </div>
                        <div id="divlasttext" style="display: none;">
                            <div style="padding: 20px;position: relative; " class="hover_div">

                                <span class="number " style="background:#0069d9"><span 
                                        style="color:white;font-weight: bold">6</span></span>

                                <svg class="divlastdone w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>
                           

                                <span class="hover_txt" >Completed</span>

                            </div>

                            <div style="padding: 20px;">
                                <span id="textfinal" style=" font-weight: 600;font-size: medium;"></span>

                                <div style="width: 100%;display:flex;">
                                   
                                  


                                </div>
                            </div>
                        </div>

                       






                        <div class="bar"
                            style="width: 6px;left: 52px;position: absolute;background-color: #0069d9;top: 30px;bottom: 30px;">
                        </div>
                    </div>

                    <style>
                        .frm_vals {
                            padding: 3px 5px;
                            background: #eee;
                            border: none;
                            border-radius: 5px;
                            display: block;
                            width: 100%;
                        }

                        .ap_rej_btns {
                            padding: 5px 5px;
                            border: 1px solid;
                            border-radius: 8px;
                            color: #fff;
                        }

                        .form_input input {
                            width: 95%;
                            border: 1px solid #ccc;
                            padding: 5px;
                            border-radius: 6px;
                            margin-top: 5px;
                        }

                        .user_detailss {
                            display: flex;

                            background: #f7f7f7;
                            border-radius: 10px;
                            padding: 10px;
                        }

                        .user_detailss span {
                            margin: auto 0;
                        }
                    </style>

                    <div style="display: flex;padding: 10px;justify-content: end;gap: 10px;">
                      <button id="approve" onclick="approve()" class="!h-[2.5rem] w-max rounded-md bg-green-600 !py-2 !px-4 border border-transparent text-center text-sm text-white transition-all shadow-md hover:shadow-lg focus:bg-green-700 focus:shadow-none active:bg-green-700 hover:bg-green-700 active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none !ml-2 flex items-center gap-1" type="button">
                                <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none"
                                    viewBox="0 0 24 24">
                                    <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                                        stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"></path>
                                </svg>
                                <div id="approvetext" class="font-sans text-xs">Approve & Confirm the Request</div>
                            </button>
                            <button id="request" onclick="request()" class="!h-[2.5rem] w-max rounded-md bg-[#fcba03] !py-2 !px-4 border border-transparent text-center text-sm text-slate-800 transition-all shadow-md hover:shadow-lg focus:bg-amber-700 focus:shadow-none active:bg-amber-700 hover:bg-amber-700 active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none !ml-2 flex items-center gap-1" type="button">
                                <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd"></path>
                                </svg>
                                <div id="rejecttext" class="text-white font-sans text-xs">Request Information</div>
                            </button>
                            <button id="reject" onclick="reject()" class="!h-[2.5rem] w-max rounded-md bg-red-600 !py-2 !px-4 border border-transparent text-center text-sm text-white transition-all shadow-md hover:shadow-lg focus:bg-red-700 focus:shadow-none active:bg-red-700 hover:bg-red-700 active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none !ml-2 flex items-center gap-1" type="button">
                                <svg class="w-6 h-6 text-gray-800 dark:text-white " aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd"></path></svg>
                                <div id="rejecttext" class="font-sans text-xs">Reject</div>
                            </button>
                        {{--<button id="approve" class="ap_rej_btns" style="background: #00a000;height: 40px;display: flex;" onclick="approve()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none"
                                viewBox="0 0 24 24">
                                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                                    stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                            </svg>


                            <span id="approvetext"> Approve & Confirm the Request</span></button>


                        <button id="reject" class="ap_rej_btns" style="background: #d41111;height: 40px;display: flex;" onclick="reject()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd" />
                            </svg>


                            <span id="rejecttext"> Reject</span>
                        </button>

                        <button id="request" class="ap_rej_btns" style="background: #fcba03;height: 40px;display: flex;" onclick="request()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd" />
                            </svg>


                            <span id="requesttext"> Request Information</span>
                        </button>--}}
                    </div>


                </div>

            </div>
        </div>
        </div>





        <style>
            .hover_div:hover {
                cursor: pointer;
            }

            .hover_div:hover .hover_txt {
                display: block;
                cursor: pointer;
                color: #01216a;
            }

            .hover_txt {
                width: max-content;
                left: 50px;
                top: 20px;
                display: none;
                position: absolute;
                z-index: 9999;
                background: white;
                padding: 3px 14px;
                box-shadow: 0px 0px 15px 0px;
                border-radius: 7px;
            }

            input {
                width: 100%;
            }
        </style>




        </div>











        <!-- Modal HTML -->
        <div class="modal fade" id="approvemodal" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width:130%">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">
                            INFO</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="modal-body">
                        <input type="hidden" id="approveto">
                            Content Mapping Request Sent To Store Successfully..
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>

                    </div>
                </div>
            </div>
        </div>




        <!-- Modal HTML -->
        <div class="modal fade" id="rejectmail" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width:123% !important;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Email Confirmation
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label class="modalabel">To:</label>
                        <label disabled class="login-form__input" id="rejectto"> mcldev2024@gmail.com</label><br>
                        <label class="modalabel">Subject:</label>
                        <input class="login-form__input" type="text" name="Email" id="name" size="59px"
                            value=" Content Mapping Request Form - Reject">
                        <br><br>
                        <label class="modalabel">Body:</label><br>
                        <textarea class="login-form__input" type="text" name="Email" id="rejectname"
                            style="position: relative;height: 205px;width: 100%;">
                    Dear sellerrnn,

                    Content Mapping Request form request is rejected for the following reasons: 
                        1) 







                    Many Warm Regards,
                    The RouteNote Team
                    </textarea>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-secondary login" onclick="mailsent('reject')"
                            data-dismiss="modal">Send</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="mailsentinfo" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document"
                style="max-width: 500px !important;left: 0 !important;transition: max-width 0.4s ease 0s;">
                <div class="modal-content" style="">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        Email sent successfully.
                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" id="approvesend"
                            data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="requestmail" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width:123% !important;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Email Confirmation
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label class="modalabel">To:</label>
                        <label disabled class="login-form__input" id="requestto"> mcldev2024@gmail.com</label><br>
                        <label class="modalabel">Subject:</label>
                        <input class="login-form__input" type="text" name="Email" id="name" size="59px"
                            value=" Content Mapping Request Form - Request for Information">
                        <br><br>
                        <label class="modalabel">Body:</label><br>
                        <textarea class="login-form__input" type="text" name="Email" id="requestname"
                            style="position: relative;height: 205px;width: 100%;">
                    Dear sellerrnn,

                    Content Mapping Request form request is rejected for the following reasons: 
                        1) 







                    Many Warm Regards,
                    The RouteNote Team
                    </textarea>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-secondary login" onclick="mailsent('request')"
                            data-dismiss="modal">Send</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>






        </div>







        </div>
        </div>
        <!-- Full Container End -->



        <div class="modal fade" id="viewpop" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" style="margin-right: auto;" role="document">
                <div class="modal-content" style="width:auto !important;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Content Mapping Form
                            Details</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div style="right: 10px;position: absolute;"><a id="exportdata" href=""> <img
                                    src="{{ asset('images/upload.png') }}" style="width: 30px;border-radius: 50%;box-shadow: 0 0 10px #bbb;"></a></div><br>
                        <div>
                            <div style="display: flex;">
                                <strong style="width: 30%">
                                    Email
                                </strong>
                                <span id="email" style="width: 70%">
                                </span>
                            </div>
                            <hr>
                            <!-- <div style="display: flex; ">
                                <strong style="width: 30%">
                                    UPC
                                </strong>
                                <span id="upc" style="width: 70%">
                                </span>
                            </div> -->
                            <div style="display: flex;">
                                <strong style="width: 30%">
                                    Artist Name
                                </strong>
                                <span id="artist_name" style="width: 70%">
                                </span>
                            </div>
                            <hr>
                            <div style="display: flex;">
                                <strong style="width: 30%">
                                    Action needed?
                                </strong>
                                <span id="action_needed" style="width: 70%">
                                </span>
                            </div>
                            <hr>
                            <!-- <div id="totalinks"></div>


                            <hr> -->



                            <div id="totalpage">



                            </div> 

                        </div>

                    </div>


                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>

            </div>
        </div>








        </div>


    </body>

    </html>

@endsection
