<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="../images/favicon.png">
    <title>Smarthub - RN</title>

    <style type="text/css">
        html,
        body,
        .main_container {
            font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Helvetica, Arial, sans-serif !important;
            margin: 0;
            padding: 10;
            height: 100%;
        }

        .modalabel {
            font-size: 14px;
            line-height: 28px;
            font-weight: bold;
            color: #1345ac;
        }

        .frm_vals {
            padding: 3px 5px;
            background: #eee;
            border: none;
            border-radius: 5px;
            display: block;
            width: 100%;
        }

        .ap_rej_btns {
            padding: 5px 15px;
            border: 1px solid;
            border-radius: 8px;
            color: #fff;
        }

        .form_input {
            column-count: 5 !important;
        }

        .form_input input {
            width: 95%;
            border: 1px solid #ccc;
            padding: 5px;
            border-radius: 6px;
            margin-top: 5px;
        }

        .user_detailss {
            display: flex;

            background: #f7f7f7;
            border-radius: 10px;
            padding: 10px;
        }

        .user_detailss span {
            margin: auto 0;
        }
    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js"></script>

    <script>
        function extractfull(data) {
            return data.map(item => {
                // Remove outer quotes and unescape the JSON string
                const cleanedJsonString = item.RevenueShareTo.replace(/^"|"$/g, '').replace(/\\"/g, '"');

                // Parse the JSON string into an object
                const jsonObject = JSON.parse(cleanedJsonString);

                // Return the UPCid value
                return jsonObject;
            });
        }
        $(document).ready(function() {



        });
    </script>
</head>

<body>


    <div>


        <div>
            <h2 style="color: black;text-align:center">Revenue Share Request Details</h2>
        </div>

        @foreach ($data as $item)
            <div style="display: flex;">
                <strong style="width: 30%">
                    Email :
                </strong>
                <span style="width: 70%">
                    {{ $item->email }}
                </span>
            </div>
            <div style="display: flex;">
                <strong style="width: 30%">
                    User ID :
                </strong>
                <span style="width: 70%">
                    {{ $item->userid }}
                </span>
            </div>
            <div style="display: flex;">
                <strong style="width: 30%">
                    User Name :
                </strong>
                <span style="width: 70%">
                    {{ $item->username }}
                </span>
            </div>
            <hr>
            <!-- <div style="display: flex; ">
                    <strong style="width: 30%">
                        UPC
                    </strong>
                    <span style="width: 70%">
                    {{ $item->upc }}
                    </span>
                </div>
                <div style="display: flex;">
                    <strong style="width: 30%">
                        ISRC
                    </strong>
                    <span style="width: 70%">
                    {{ $item->isrc }}
                    </span>
                </div>
                <hr> -->
        @endforeach
        <div style="font-weight: bold;font-size: 26px;padding: 20px 0;text-align: center;">
            Revenue Share To
        </div>


        <?php
        // Convert Laravel Collection to a PHP array
        $data1Array = $data1->toArray();
        function getValue($array, $pattern)
        {
            foreach ($array as $key => $value) {
                if (preg_match('/' . $pattern . '/', $key)) {
                    return $value;
                }
            }
            return '';
        }
        
        // Generate HTML content
        $htmlContent1 = '';
        
        $htmlContent1 .= '<div style="column-count: 5">';
        
        // Convert Laravel Collection to a PHP array if needed
        $data1Array = is_array($data1) ? $data1 : $data1->toArray();
        
        foreach ($data1Array as $record) {
            // Decode JSON string in RevenueShareTo
            $decodedRecord = json_decode($record->RevenueShareTo);
        
            // Debugging: Output the decoded record
        
            $datas = json_decode($decodedRecord, true);
        
            $UPCid = $datas['UPCid'];
            $ISRC = $datas['ISRC'];
            $RevenueShareTo = $datas['RevenueShareTo'];
        
            // Add UPCid and ISRC to HTML content
            $htmlContent1 .= ' <div style="margin-bottom: 30px;border-radius: 10px;padding: 10px;border: 1px solid #5f5e5e;column-count: 5; display: flex;"> <div style="text-align: center;border-bottom: 1px solid grey;; padding: 10px;"> <span>UPCid: <strong>' . $UPCid . '</strong></span> <span>ISRC: <strong>' . $ISRC . '</strong></span>  </div>  <br>  ';
        
      
            $totalRevenueShare = 85;
            $totalPercentageUsed = 0;

            foreach ($RevenueShareTo as $user) {
                $userId = getValue($user, 'Userid');
                $userName = getValue($user, 'Username');
                $percentage = getValue($user, 'Percentage');
        
                $result = ($percentage / 100) * $totalRevenueShare;
                $balance = $totalRevenueShare - $result;
        


                $totalPercentageUsed += $result;

                $remainingPercentage = $totalRevenueShare - $totalPercentageUsed;
            }


            foreach ($RevenueShareTo as $user) {
                // Extract values dynamically based on patterns
                $userId = getValue($user, 'Userid');
                $userName = getValue($user, 'Username');
                $percentage = getValue($user, 'Percentage');
                // $result = ($percentage / 100) * 85;
               //$balance = 85 - $result;



               $result = ($percentage / 100) * $totalRevenueShare;
               $balance = $totalRevenueShare - $result;
       
   

       
                
$htmlContent1 .= '<div style="width: 50%; gap: 40px; display: flex; text-align: center; margin-bottom: 20px;"><div>UserID:<br> <strong class="frm_vals">'.$userId.'</strong></div><div>UserName: <br><strong class="frm_vals">'.$userName.'</strong></div><div>Percentage: <br><strong class="frm_vals">'.$result.'%</strong></div></div>';
            
               
          


            }
            foreach ($data as $item)
            {
              
                $htmlContent1 .= '<div style="width: 50%; gap: 40px; display: flex; text-align: center; margin-bottom: 20px;"><div>UserID:<br> <strong class="frm_vals">'.$item->userid.'</strong></div><div>UserName: <br><strong class="frm_vals">'.$item->username.'</strong></div><div>Percentage: <br><strong class="frm_vals">'.$remainingPercentage.'%</strong></div></div>';
            }
               
            $htmlContent1 .= '<div style="width: 10%; gap: 40px; text-align: center; margin-bottom: 20px;"><div style="display: flex;gap: 13%;">RN: <strong class="frm_vals">15%</strong></div></div>';

            $htmlContent1 .= '</div> ';
        }
        

          
        $htmlContent1 .= ' </div>';
        
        ?>

        

        <div id="div7sub" style=" " class="form_input">
            <?php echo $htmlContent1; ?>
        </div>



    </div>

    </div>




</body>

</html>
