<head>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <style>

         ol{
            border-left: 5px solid #0066cc !important;
            background: #f0f8ff !important;
        }   
         

        .chatbot {
            display: none;
            bottom: 5rem;
            right: 5%;
            position: absolute;
            z-index: 1000;
            height: 0;
            width: 0;
            overflow: hidden;
            transition: all 2s ease-in-out;
        }

        .chat-box-size {
            font-family: Arial, Helvetica, sans-serif;
            font-size: 16px;
            line-height: 24px;
        }

        .chat-box-font-family {
            font-family: Arial, Helvetica, sans-serif;
        }

        .chatbot.open {
            /* height: 72vh; */
            height: 560.45px !important;
            width: auto;
            padding: 5px;
            transition: all .5s ease-in-out;
        }

        .chat-container {
            width: auto;
            /* border-radius: 25px; */
            overflow: hidden;
            display: flex;
            flex-direction: column;
            background-color: #fff;
            /* box-shadow: 0px 0px 8px #949494;  */
            transition: all 2s ease-in-out;

        }

        .chat-header {
            background-color: #000;
            color: white;
            padding: 10px;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        .chat-header div {
            display: flex;
            place-items: center;
            gap: 10px;
        }

        .chat-header img {
            width: 30px;
            height: 30px;
            margin-right: 10px;
        }

        .chat-box {
            flex: 1;
            padding: 10px;
            height: auto !important;
            overflow-y: auto;
            display: flex;
            flex-direction: column;
            gap: 10px;
            background: white;
            scrollbar-width: none;
            scrollbar-color: #d1d5db transparent;
            width: 420px;
            max-height: unset;
        }

        .chat-box1 {
            flex: 1;
            padding: 10px;
            height: auto;
            overflow-y: auto;
            display: flex;
            flex-direction: column;
            gap: 10px;
            /* background: white; */
            scrollbar-width: none;
            scrollbar-color: #d1d5db transparent;
            width: 420px;
        }

        .chat-box_head {
            font-size: 12px;
            color: #103b92;
            padding: 10px;
            background: #eaeaea57;
            line-height: 20px;
            border-radius: 6px;
            width: 400px;
        }

        .chat-box_head b {
            font-size: 13px;
        }

        .message {
            padding: 2px 10px;
            /* border-radius: 10px; */
            /* max-width: 80%; */
            font-weight: 400;
            position: relative;
            font-size: 14px;
            /* filter: drop-shadow(0px 2px 3px #ccc); */
            word-wrap: anywhere;
        }

        .sent {
            align-self: flex-end;
            display: grid;
            place-items: end;
        }

        .sent p {
            align-self: flex-end;
            background-color: #103b92;
            color: #fff;
            border: 0;
            position: relative;
            padding: 10px;
            border-radius: 10px 10px 0px 10px;
            margin-top: 5px;
        }

        .received {
            align-self: flex-start;
            display: grid;
            place-items: start;
        }

        .received p {
            align-self: flex-end;
            background-color: #2682ff3d;
            color: #103b92;
            border: 0;
            position: relative;
            padding: 10px;
            border-radius: 10px 10px 10px 1px;
            margin-top: 5px;
        }

        .loading {
            align-self: flex-start;
            display: flex;
            align-items: center;
            gap: 5px;
            position: relative;
        }

        .input {
            border: 1px solid #bbb;
            padding: 10px;
            flex: 1;
            /* border-radius: 50px; */
        }

        .send_btn {
            border: none;
            cursor: pointer;
            background-color: #103b92a6;
            color: white;
            border-radius: 0 0 5px 5px;
            position: absolute;
            right: 5px;
            padding: 8px;
            /* border-radius: 50px; */
        }

        .fav_btn {
            border: none;
            cursor: pointer;
            background-color: #666bfb;
            color: white;
            border-radius: 5px 5px 5px 0px !important;
            padding: 8px;
            border-radius: 50px;
            width: 8%;
        }

        .button:hover {
            background-color: #103b92;
        }

        .loading img {
            width: 60px;
            height: 30px;
            object-fit: cover;
        }

        .loading {
            font-weight: bold;
            font-size: 14px;
        }

        .chat_bottom {
            position: relative;
            display: flex;
            place-items: center;
            margin: 5px;
            gap: 5px;
        }

        .star-btn {
            cursor: pointer;
            margin-left: 10px;
            color: gray;
            font-size: 16px;
        }

        .star-btn.active {
            color: #dfbc00;
            position: relative;
        }

        .favorites-container {
            display: none;
            position: absolute;
            top: 60px;
            left: 10px;
            right: 10px;
            background: white;
            border: 1px solid #ccc;
            padding: 10px;
            z-index: 1001;
            overflow-y: auto;
            border-radius: 5px;
            max-height: 395px;
            height: 395px;
        }

        .fav-message {
            display: grid;
            grid-template-columns: 10fr 1fr 1fr;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 5px;
            padding: 10px;
            border: 1px solid #dbdbdb;
            border-radius: 10px;
            word-wrap: anywhere;
            font-size: 12px;
            place-items: start;
        }

        .fav-message button {
            margin-left: 5px;
            padding: 10px;
            border-radius: 10px;
            border: 0;
            color: #000;
            display: grid;
            place-items: center;
        }

        .fav_cont {
            text-align: center;
            color: #103b92;
        }

        textarea {
            border: 1px solid #bbb;
            border-radius: 10px;
            padding: 10px;
        }

        .message-container {
            display: flex;
            align-items: center;
            margin-bottom: 10px;
            /* Space between messages */
        }

        .message-icon {
            width: 24px;
            height: 24px;
            border-radius: 50px;
            border: 1px solid #ccc;
            padding: 2px;
        }

        .sentt {
            rotate: 40deg;
        }

        .bi-send-fill {
            width: 18px !important;
            height: 56px !important;
            margin-top: -7px !important;
        }

        .send_btn {
            color: #4c4c4c !important;
        }

        .sent p {
            background-color: #5456b6 !important;
            border-radius: 10px 10px 0px 10px !important;
        }

        .received p {
            background-color: #e6e7f4;
            !important;
            border-radius: 10px 10px 10px 1px !important;
        }

        path {
            /* rotate: 40deg !important; */
        }



        .rounded-full {
            border-radius: 9999px !important;
        }

        .send_btn {
            background-color: transparent !important;
        }

        .\!bg-\[\#e5e5e570\] {
            background-color: #fff !important;
        }

        .\!border-none {
            border-style: solid #ccc !important
        }

        .send_btn {

            color: black !important;

        }

        .button:hover {
            display: none !important;
        }
    </style>
    <input type="hidden" name="book-Check" value="">
    <script>
        function chatbot(e) {
            $('.chatbot').toggle();
            $(e).hide();
            setTimeout(() => {
                $('.chatbot').toggleClass('open');
            }, 1);
            $('#mini-tog').hide();
            $('span[name="chatbot_close"]').css('rotate', '180deg');
            document.getElementById('user-input').focus();
        };

        function chatbot_close(e) {
            chatbot()
            document.getElementById('asstants-togg').style.display = "grid";
        }

        function addbookmark(id) {
            document.getElementById('emptystar' + id).style.display = "none";
            document.getElementById('addedstar' + id).style.display = "block";
            var k = document.getElementById('bookmark_content' + id).textContent;
            $.ajax({
                type: "POST",
                url: "/add-bookmark",
                headers: {
                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
                },
                data: {
                    message: k,
                    userid: "<?php echo Auth::guard('staff')->user()->uid; ?>"
                },
            });
        }
        const responses = {
            "hello": "Hello! How can I assist you today?",
            "how are you": "I'm just a bunch of code, but I'm here to help!",
            "bye": "Goodbye! Have a great day!",
            "default": "I'm sorry, I don't understand that. Can you ask something else?"
        };

        const nameQuestions = ["Can you tell me your name?", "What's your name", "What's your name?",
            "May I know your name?", "Could you share your name?", "Would you mind telling me your name?",
            "I’d like to know your name.", "Could you provide your name?", "Can I get your name, please?",
            "Do you have a name?", "Name, please?", "May I ask what you’re called?", "Your name, if you don’t mind?",
            "What do you go by?", "How should I address you?", "Who am I speaking with?", "What's the name you go by?",
            "How do you refer to yourself?", "Tell me your name.", "What name should I call you by?", "Name?",
            "Your name", "Your name?", "whats your name", "whats your name?", "what is your name?", "what is your name"
        ];

        const assistanceQuestions = ["what can you do for me?", "what can you do for me",
            "What types of tasks can you help me with?", "How can you make my work easier?",
            "What can you handle for me?", "How can you support my project?", "What kind of expertise can you offer?",
            "Can you help me with my current projects?", "In what areas can you assist me?",
            "What value can you add to my work?", "What kinds of solutions can you provide?",
            "What problems can you help me solve?", "What resources can you offer me?",
            "How can you be of service in my tasks?", "Can you provide insights or guidance on my work?",
            "What areas are you skilled in that could help me?", "How can you assist me in reaching my goals?",
            "What can I rely on you for?", "Are there specific projects you can help me complete?",
            "How might you improve my workflow?", "What questions can you answer for me?",
            "What kind of support are you able to provide?", "How is Going?", "How is Going.", "How is Going"
        ];

        const helpPhrases = ["how can you help me", "how can you help me?", "Can you help me?", "How could you assist me?",
            "In what ways can you help me?", "Are you able to help me?", "How might you be able to help me?",
            "What can you do to help me?", "Could you offer me help?", "Are there ways you can help me?",
            "What support can you provide?", "Can you provide any help?", "How can you be of assistance?",
            "Can you assist me?", "In what ways can you offer support?", "What kind of help can you give me?",
            "Are you capable of helping me?", "How would you be able to help me?", "Can I count on you to help me?",
            "What could you do to assist me?", "Could you be of assistance to me?", "Is there help you can offer me?",
            "help", "helps", "help?", "helps?"
        ];

        const scopeQuestions = ["scopes", "scopes.", "scopes?", "scope", "scope.", "scope?", "scope here", "scope here.",
            "scope here?", "your scope", "your scope.", "your scope?", "Your scope here", "Your scope here.",
            "What’s your scope here?", "Your scope here?", "What’s the range of your capabilities here?",
            "What can you handle here?", "What is your role here?", "How broad is your scope here?",
            "What areas can you cover here?", "Where does your scope lie here?", "What are you able to manage here?",
            "What’s the extent of your role here?", "What’s within your scope here?",
            "What’s your area of expertise here?", "How much can you handle here?",
            "What’s included in your scope here?", "What can you support here?", "What does your scope include here?",
            "What are your capabilities here?", "How wide is your range here?",
            "What kind of support can you offer here?", "What’s the limit of your abilities here?",
            "what is your scope here?", "what is your scope here"
        ];



        // Function to add a message to the chat
        let i = 0;

        function addMessage(content, className, text) {

            if (className == "user-message") {
              //  const isTextInArray = nameQuestions.map(question => question.toLowerCase()).includes(content.toLowerCase());
               // const isTextInArray_1 = assistanceQuestions.map(question => question.toLowerCase()).includes(content
                  //  .toLowerCase());
                const isTextInArray_2 = helpPhrases.map(question => question.toLowerCase()).includes(content.toLowerCase());
               // const isTextInArray_3 = scopeQuestions.map(question => question.toLowerCase()).includes(content
                  //  .toLowerCase());

                const chatBox = document.getElementById('chat-box');
                let date = new Date();
                // Convert to 12-hour format with AM/PM
                let timeString = date.toLocaleTimeString('en-US', {
                    hour: 'numeric',
                    minute: 'numeric',
                    hour12: true
                });
                $(chatBox).append(`
                        <div class="refrash-msg message flex flex-col items-end justify-end ${className} gap-[2px]">
                            <div class="grid items-baseline gap-2">
                                <span id="bookmark_content${i}" class="w-fit block py-2 px-4 bg-[#e6e7f4] text-[#5456b6] font-medium !rounded-t-lg !rounded-l-lg text-xs chat-box-font-family">${content}</span>
                            </div>
                            <div class="flex items-center gap-2">
                                <svg xmlns="http://www.w3.org/2000/svg" id="emptystar${i}" onclick="addbookmark(${i})" width="14"   height="14" fill="currentColor" class="bi bi-star cursor-pointer block" viewBox="0 0 16 16">
                                    <path d="M2.866 14.85c-.078.444.36.791.746.593l4.39-2.256 4.389 2.256c.386.198.824-.149.746-.592l-.83-4.73 3.522-3.356c.33-.314.16-.888-.282-.95l-4.898-.696L8.465.792a.513.513 0 0 0-.927 0L5.354 5.12l-4.898.696c-.441.062-.612.636-.283.95l3.523 3.356-.83 4.73zm4.905-2.767-3.686 1.894.694-3.957a.56.56 0 0 0-.163-.505L1.71 6.745l4.052-.576a.53.53 0 0 0 .393-.288L8 2.223l1.847 3.658a.53.53 0 0 0 .393.288l4.052.575-2.906 2.77a.56.56 0 0 0-.163.506l.694 3.957-3.686-1.894a.5.5 0 0 0-.461 0z"/>
                                </svg>
                                <span id="addedstar${i}" class="hidden">⭐</span>
                            </div>
                        </div>
                    `);
                $('#chat-box').append(`
                        <div class="refrash-msg bot-load-card message flex flex-col items-start justify-start bot-message space-y-2">
                            <div class="w-fit flex items-baseline gap-2">
                                <div class="h-8 w-8 rounded-full grid place-items-center" style="background: linear-gradient(90deg, #162dd5 -6%, #c65149 30%, #601ca5 85%, #3c6ff0 120%);">
                                    <img src="https://routenote.com/use_luna_image/ai-sparkle.svg" alt="bot" class="rounded-full obj-cover">    
                                </div>
                                <div class="loading">
                                    <img src="/images/txtload1.gif" alt="loading" class="w-8 h-8 mix-blend-darken" style="scale: 1.8;"/>
                                </div>
                            </div>
                        </div>
                    `);
                chatBox.scrollTop = chatBox.scrollHeight; // Auto-scroll to the bottom
                // document.getElementById('user-input').disabled = true;
                // document.getElementById('user-input').style.cursor = 'no-drop';


                var checker = JSON.parse(document.querySelector('input[name=book-Check]').value)

                if (checker.includes(content)) {
                    $('#addedstar' + i).show();
                    $('#emptystar' + i).hide();
                } else {
                    $('#emptystar' + i).show();
                    $('#addedstar' + i).hide();
                }
                // console.log('res', checker.includes('hai'))
                // if (isTextInArray) {
                //     const chatBox = document.getElementById('chat-box');
                //     $('#chat-box').append(`
                //         <div class="refrash-msg message flex flex-col items-start justify-start bot-message space-y-2">
                //             <div class="w-fit grid items-baseline gap-1">
                //                 <div>
                //                     <span class="block py-2 px-2 bg-[#a6a6a617] text-[#8f8f8f] text-[12px] font-normal !rounded-b-lg !rounded-r-lg chat-box-font-family">I'm Assistly AI</span>
                //                 </div>
                //             </div>
                //         </div>
                //     `);
                //     chatBox.scrollTop = chatBox.scrollHeight;
                //     const lastBotLoadCard = document.querySelector('.bot-load-card');
                //     lastBotLoadCard.remove();
                //     document.getElementById('user-input').disabled = false;
                //     document.getElementById('user-input').style.cursor = 'auto';
                // } else 
                
                     // else if (isTextInArray_3) {
                //     const chatBox = document.getElementById('chat-box');
                //     $('#chat-box').append(`
                //         <div class="refrash-msg message flex flex-col items-start justify-start bot-message space-y-2">
                //             <div class="w-fit grid items-baseline gap-1">
                //                 <div>
                //                     <span class="block py-2 px-2 bg-[#a6a6a617] text-[#8f8f8f] text-[12px] font-normal !rounded-b-lg !rounded-r-lg chat-box-font-family">
                //                         <p class="chat-box-font-family">I’m here to help you with support tickets and OTL forms. Whether you need details about users, tickets, or anything else, </p>
                //                         <p class="chat-box-font-family">I’ve got your back to make sure things run smoothly—so you can focus on what matters most.</p>
                //                     </span>
                //                 </div>
                //             </div>
                //         </div>
                //     `);
                //     chatBox.scrollTop = chatBox.scrollHeight;
                //     const lastBotLoadCard = document.querySelector('.bot-load-card');
                //     lastBotLoadCard.remove();
                //     document.getElementById('user-input').disabled = false;
                //     document.getElementById('user-input').style.cursor = 'auto';
                // } 
                
                if (isTextInArray_1) {
                    const chatBox = document.getElementById('chat-box');
                    $('#chat-box').append(`
                        <div class="refrash-msg message flex flex-col items-start justify-start bot-message space-y-2">
                            <div class="w-fit grid items-baseline gap-1">
                                <div>
                                    <span class="block py-2 px-2 bg-[#a6a6a617] text-[#8f8f8f] text-[12px] font-normal !rounded-b-lg !rounded-r-lg chat-box-font-family">
                                        <p class="chat-box-font-family">I’m here to help you with support tickets and OTL forms. Whether you need details about users, tickets, or anything else, </p>
                                        <p class="chat-box-font-family">I’ve got your back to make sure things run smoothly—so you can focus on what matters most.</p>
                                        <p class="chat-box-font-family">Here are some things you can ask me:</p>
                                        <li class="chat-box-font-family">How many tickets are currently waiting for user response?</li>
                                        <li class="chat-box-font-family">Show the Existing Shares split for the UPC 1234567890?</li>
                                    </span>
                                </div>
                            </div>
                        </div>
                    `);
                    chatBox.scrollTop = chatBox.scrollHeight;
                    const lastBotLoadCard = document.querySelector('.bot-load-card');
                    lastBotLoadCard.remove();
                    document.getElementById('user-input').disabled = false;
                    document.getElementById('user-input').style.cursor = 'auto';
                } 
                
           
                
                else {
                    $.ajax({
                        type: "POST",
                        url: "/get-response",
                        headers: {
                            'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute(
                                'content')
                        },
                        data: {
                            // _token: document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
                            message: content
                        },
                        beforeSend: function() {
                            document.querySelectorAll('.bot-load-card').forEach(m => m.remove());
                            // console.log('', document.querySelectorAll('.bot-load-card'))
                            const chatBox = document.getElementById('chat-box');
                            $('#chat-box').append(`
                                <div class="refrash-msg bot-load-card message flex flex-col items-start justify-start bot-message space-y-2">
                                    <div class="w-fit flex items-baseline gap-2">
                                        <div class="h-8 w-8 rounded-full grid place-items-center" style="background: linear-gradient(90deg, #162dd5 -6%, #c65149 30%, #601ca5 85%, #3c6ff0 120%);">
                                            <img src="https://routenote.com/use_luna_image/ai-sparkle.svg" alt="bot" class="rounded-full obj-cover">    
                                        </div>
                                        <div class="loading">
                                            <img src="/images/txtload1.gif" alt="loading" class="w-8 h-8 mix-blend-darken" style="scale: 1.8;"/>
                                        </div>
                                    </div>
                                </div>
                            `);
                            chatBox.scrollTop = chatBox.scrollHeight;
                        },
                        success: function(result) {
                            // console.log('result', result.reply);
                            if (result.reply.trim().toLowerCase() == "help") {
                                guideline_page();
                                const chatBox = document.getElementById('chat-box');
                                $('#chat-box').append(`
                                    <div class="refrash-msg message flex flex-col items-start justify-start bot-message space-y-2">
                                        <div class="w-fit grid items-baseline gap-1">
                                            <div>
                                                <span class="block py-2 px-2 bg-[#a6a6a617] text-[#8f8f8f] text-[12px] font-normal !rounded-b-lg !rounded-r-lg chat-box-font-family">I opened the help box for you. Please check.</span>
                                            </div>
                                        </div>
                                    </div>
                                `);
                                chatBox.scrollTop = chatBox.scrollHeight;
                                const lastBotLoadCard = document.querySelector('.bot-load-card');
                                lastBotLoadCard.remove();
                                document.getElementById('user-input').disabled = false;
                                document.getElementById('user-input').style.cursor = 'auto';
                            } else {
                                const lastBotLoadCard = document.querySelector('.bot-load-card:last-child');
                                lastBotLoadCard.remove();
                                const chatBox = document.getElementById('chat-box');
                                $(chatBox).append(`
                                    <div class="refrash-msg message flex flex-col items-start justify-start bot-message space-y-2">
                                        <div class="w-fit grid items-baseline gap-1">
                                            <div>
                                                <span class="block py-2 px-2 bg-[#a6a6a617] text-[#8f8f8f] text-[12px] font-normal !rounded-b-lg !rounded-r-lg chat-box-font-family">${result.reply}</span>
                                            </div>
                                        </div>
                                    </div>
                                `);
                                chatBox.scrollTop = chatBox.scrollHeight; // Auto-scroll to the bottom
                                document.getElementById('user-input').disabled = false;
                                document.getElementById('user-input').style.cursor = 'auto';
                            }
                        },
                        error: function(error) {
                            console.log(error);
                        }
                    })
                }
            }

            i++;
        }

        // Function to send the user's message and get a response
        async function sendMessage(text) {

            const userInput = text ? text : document.getElementById('user-input').value.trim().toLowerCase();
            if (userInput) {
                await addMessage(userInput, 'user-message'); // Show user message
                starbtn_close();
                const botResponse = responses[userInput] || responses["default"];
                //qq
                const chatBox = document.getElementById('chat-box');
                chatBox.scrollTop = chatBox.scrollHeight;
                // addMessage(botResponse, 'bot-message', text);
                document.getElementById('user-input').value = ''; // Clear input field
                document.getElementById('user-input').innerHTML = ''; // Clear input field
                document.getElementById('user-input').style.height = "40px";

                document.getElementById('hit-icon').style.display = "none";
                document.getElementById('bull-icon').style.display = "block";
                document.getElementById("user-input").autofocus
            }
        }

        function Fetchcall() {
            $.ajax({
                type: "POST",
                url: "/get-booklist",
                headers: {
                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
                },
                data: {
                    id: "<?php echo Auth::guard('staff')->user()->uid; ?>"
                },
                success: function(result) {
                    document.querySelector('#chat-box1 ul').innerHTML = '';
                    var res = result.datas_list.map(m => m.userMessage);
                    document.querySelector('input[name=book-Check]').value = JSON.stringify(res);

                    result.datas_list.forEach((element, i) => {
                        $('#chat-box1 ul').append(`
                            <li class="text-sm" key="${i}">
                                <div class="py-3 px-2 h-max border rounded-[6px] hover:bg-gray-200 bg-[#f7f7f7] flex items-center justify-between">
                                    <span class="cursor-pointer max-w-[18rem] break-words" style="font-size: calc(14px);" id="edit-text${i}" onclick="apply_list(this, ${i})">${element.userMessage}</span>
                                    <div id="bookmark_edit${i}" class="hidden gap-2">
                                        <input type="text" id="edit-data${i}" class="h-[2.3rem] w-[18rem] px-2 border rounded-[3px]"> 
                                    </div>
                                    <div id="change_OPt${i}" class="flex items-center gap-4">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" onclick="Edit_contents(${i})"fill="currentColor" class="bi bi-pencil-fill cursor-pointer" viewBox="0 0 16 16">
                                            <path d="M12.854.146a.5.5 0 0 0-.707 0L10.5 1.793 14.207 5.5l1.647-1.646a.5.5 0 0 0 0-.708zm.646 6.061L9.793 2.5 3.293 9H3.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.207zm-7.468 7.468A.5.5 0 0 1 6 13.5V13h-.5a.5.5 0 0 1-.5-.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.5-.5V10h-.5a.5.5 0 0 1-.175-.032l-.179.178a.5.5 0 0 0-.11.168l-2 5a.5.5 0 0 0 .65.65l5-2a.5.5 0 0 0 .168-.11z"/>
                                        </svg>
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" onclick="bookmark_trash(${element.id})"fill="currentColor" class="bi bi-trash3-fill cursor-pointer" viewBox="0 0 16 16">
                                            <path d="M11 1.5v1h3.5a.5.5 0 0 1 0 1h-.538l-.853 10.66A2 2 0 0 1 11.115 16h-6.23a2 2 0 0 1-1.994-1.84L2.038 3.5H1.5a.5.5 0 0 1 0-1H5v-1A1.5 1.5 0 0 1 6.5 0h3A1.5 1.5 0 0 1 11 1.5m-5 0v1h4v-1a.5.5 0 0 0-.5-.5h-3a.5.5 0 0 0-.5.5M4.5 5.029l.5 8.5a.5.5 0 1 0 .998-.06l-.5-8.5a.5.5 0 1 0-.998.06m6.53-.528a.5.5 0 0 0-.528.47l-.5 8.5a.5.5 0 0 0 .998.058l.5-8.5a.5.5 0 0 0-.47-.528M8 4.5a.5.5 0 0 0-.5.5v8.5a.5.5 0 0 0 1 0V5a.5.5 0 0 0-.5-.5"/>
                                        </svg>
                                    </div>  
                                    <div id="confirm_OPt${i}" class="hidden items-center gap-1">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="21" height="21" fill="#084" onclick="Edit_contents_ok(${i}, ${element.id})" class="bi bi-check-circle-fill cursor-pointer" viewBox="0 0 16 16">
                                            <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0m-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z"/>
                                        </svg>  
                                        <svg xmlns="http://www.w3.org/2000/svg" width="21" height="21" onclick="Edit_contents_cancel(${i})" fill="#ff0000" class="bi bi-x-circle-fill cursor-pointer" viewBox="0 0 16 16">
                                            <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z"/>
                                        </svg>    
                                    </div>   
                                </div>    
                            </li>
                        `);
                    });
                    document.getElementById('refresh').classList.remove('animate-spin');
                }
            });
        }
        Fetchcall();

        function bookmark_trash(id) {
            $.ajax({
                type: "POST",
                url: "/trash-booklist",
                headers: {
                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
                },
                data: {
                    id: id
                },
                success: function(res) {
                    Fetchcall();
                }
            })
        }

        function Edit_contents(id) {
            document.getElementById('edit-data' + id).value = document.getElementById('edit-text' + id).innerHTML;
            document.querySelector("#bookmark_edit" + id).style.display = "grid";
            document.querySelector("#edit-text" + id).style.display = "none";
            document.querySelector("#change_OPt" + id).style.display = "none";
            document.querySelector("#confirm_OPt" + id).style.display = "flex";
        }

        function Edit_contents_cancel(id) {
            document.querySelector("#bookmark_edit" + id).style.display = "none";
            document.querySelector("#edit-text" + id).style.display = "block";
            document.querySelector("#change_OPt" + id).style.display = "flex";
            document.querySelector("#confirm_OPt" + id).style.display = "none";
        }

        function clear_chat() {
            Fetchcall();
            document.querySelectorAll('.refrash-msg').forEach(m => {
                m.remove()
            });
            document.getElementById('refresh').classList.add('animate-spin');
        }

        function apply_list(e, id) {
            var text = $(e).html();
            // $('#edit-data' + id).val(text);
            starbtn_close();
            sendMessage(text);
            document.getElementById('user-input').focus();
        }
        document.addEventListener('DOMContentLoaded', function() {
            document.getElementById('user-input').addEventListener('keydown', function(e) {
                if (event.key === 'Enter') {
                    if (event.shiftKey) {
                        // Allow new line on Shift + Enter
                        return; // Do nothing, so new line is added
                    } else {
                        // Prevent the default action (new line)
                        event.preventDefault();
                        // Handle the "next row" action here, like moving to another input or processing the input
                        sendMessage('');
                        // You could also focus on another input or trigger some function here
                    }
                }
            });
        });

        function sendMessage_1(event) {
            event.preventDefault();
            sendMessage('');
        }

        function starbtn_open() {
            document.querySelector('.chatbot.open').style.height = "72vh";
            Fetchcall();
            $('#chat-box').toggle();
            $('#chat-box1').toggle();
            document.getElementById('user-input').focus();
        }

        function starbtn_close() {
            document.querySelector('.chatbot.open').style.height = "72vh";
            document.getElementById("chat-box").style.display = "block";
            document.getElementById("chat-box1").style.display = "none";
        }

        function Edit_contents_ok(id, rowid) {
            // console.log($(`#bookmark_edit${id} textarea`).val())
            $.ajax({
                type: "POST",
                url: "/edit-booklist",
                headers: {
                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
                },
                data: {
                    id: rowid,
                    content: $(`#bookmark_edit${id} input`).val()
                },
                success: function(res) {
                    Fetchcall();
                    Edit_contents_cancel(id)
                }
            })
        }
    </script>
</head>
<div>
    <div class="chatbot h-[560.45px] !bottom-8 !right-8">
        <div class="chat-container shadow-md h-full rounded-lg">
            <div class="chat-header h-16"
                style="background: linear-gradient(90deg, #162dd5 -6%, #c65149 30%, #601ca5 85%, #3c6ff0 120%);">
                <div>
                    <img src="https://routenote.com/use_luna_image/ai-sparkle.svg"
                        class="!mr-0 rounded-full obj-cover animate-pulse">
                    <span class="grid items-center">
                        <span class="chat-box-size font-semibold tracking-wider">Assistly</span>
                    </span>
                    <div class="select-none text-[8px] pt-[5px] px-[5px] pb-[4px] rounded-[2px] -mt-4 -ml-2 ">
                        Powered by AI</div>
                </div>
                <div>
                    <!-- family -->
                    <span onclick="guideline_page()">
                        <svg class="MuiSvgIcon-root MuiSvgIcon-fontSizeMedium help-icon css-vubbuv" focusable="false"
                            aria-hidden="true" viewBox="0 0 24 24" data-testid="HelpOutlineIcon" title="Help"
                            fill="#fff" height="24" width="24" style="cursor: pointer;">
                            <path
                                d="M11 18h2v-2h-2zm1-16C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2m0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8m0-14c-2.21 0-4 1.79-4 4h2c0-1.1.9-2 2-2s2 .9 2 2c0 2-3 1.75-3 5h2c0-2.25 3-2.5 3-5 0-2.21-1.79-4-4-4">
                            </path>
                        </svg>
                    </span>
                    <span onclick="clear_chat()">
                        <svg class="MuiSvgIcon-root MuiSvgIcon-fontSizeMedium clear-icon css-vubbuv" id="refresh"
                            focusable="false" aria-hidden="true" viewBox="0 0 24 24" data-testid="RefreshIcon"
                            title="Clear Chat" fill="#fff" height="24" width="24" style="cursor: pointer;">
                            <path
                                d="M17.65 6.35C16.2 4.9 14.21 4 12 4c-4.42 0-7.99 3.58-7.99 8s3.57 8 7.99 8c3.73 0 6.84-2.55 7.73-6h-2.08c-.82 2.33-3.04 4-5.65 4-3.31 0-6-2.69-6-6s2.69-6 6-6c1.66 0 3.14.69 4.22 1.78L13 11h7V4z">
                            </path>
                        </svg>
                    </span>
                    <span title="close" name="chatbot_close" onclick="chatbot_close()">
                        <svg class="MuiSvgIcon-root MuiSvgIcon-fontSizeMedium minimize-icon css-vubbuv"
                            focusable="false" aria-hidden="true" viewBox="0 0 24 24" data-testid="ExpandLessIcon"
                            fill="#fff" height="24" width="24" title="Minimize Chat" style="cursor: pointer;">
                            <path d="m12 8-6 6 1.41 1.41L12 10.83l4.59 4.58L18 14z"></path>
                        </svg>
                    </span>
                </div>
            </div>
            <div id="chat-box1" class="hidden overflow-y-auto p-4 w-[420px]" style="flex:1;">
                <div class="h-max pt-[2px] border rounded-md" style="box-shadow: 0px 1px 9px 0px #ddd;">
                    <div class="mt-2 ml-2 h-8 w-max rounded-full flex items-center justify-center gap-1 cursor-pointer"
                        onclick="starbtn_close()">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                            style="fill: rgba(0, 0, 0, 1);">
                            <path
                                d="m16.192 6.344-4.243 4.242-4.242-4.242-1.414 1.414L10.535 12l-4.242 4.242 1.414 1.414 4.242-4.242 4.243 4.242 1.414-1.414L13.364 12l4.242-4.242z">
                            </path>
                        </svg>
                        <span class="font-medium text-medium pr-2">Favourites</span>
                    </div>
                    <ul class="chat-box1 h-full transition-all delay-300 !w-auto gap-[5px]"></ul>
                </div>
            </div>
            <div class="chat-box" id="chat-box">
                <div class="chat-box_head ">
                    <b class="chat-box-size chat-box-font-family">👋 Hey there! Welcome to Assistly!</b><br>
                    <span class="chat-box-font-family">
                        I’m here to help with your data needs, including user and referral details, financial reports,
                        release info, and more. Here are a few ways I can assist: <br><br>

                        <div class="chat-box-font-family text-gray-900 opacity-40">
                            <b class="chat-box-size chat-box-font-family text-gray-900">User Referral and
                                Engagement:</b><br>

                            Retrieve referral details for users, along with the referrer and referred user information.
                            Get insights on flagged accounts and any suspicious activities.<br><br>

                            <b class="chat-box-size chat-box-font-family text-gray-900">Financial and Payment
                                Data:</b><br>

                            Check outstanding and total amounts for user accounts.
                            Look up PayPal email addresses for payout processing.<br><br>

                            <b class="chat-box-size chat-box-font-family text-gray-900">UPC and Release
                                Information:</b><br>

                            View release statuses and shared data for specific UPCs.
                            Access ISRC codes linked to releases for distribution tracking.<br><br>

                            <b class="chat-box-size chat-box-font-family text-gray-900">Support Ticket
                                Management:</b><br>

                            Get a list of open and closed support tickets, with priority and subject details.
                            See which staff members handled specific tickets, along with their contact
                            information.<br><br>

                            <b class="chat-box-size chat-box-font-family text-gray-900">Form and Approval
                                Statuses:</b><br>

                            Track OTL form statuses, including approved, rejected, or awaiting additional user
                            information.
                            See which staff members closed OTL forms related to approvals or rejections.<br><br>

                            <b class="chat-box-size chat-box-font-family text-gray-900">User Groups and
                                Engagement:</b><br>

                            Identify which user groups a specific user belongs to, aiding in group-level engagement and
                            management.
                            Let me know which area you'd like to explore, and I'll guide you through!<br><br>
                        </div>
                    </span>
                    <div class="text-gray-600 opacity-40">let’s get started together!🎶</div>
                </div><br><br><br><br><br><br>
            </div>
            <div class="chat_bottom !bg-[#e5e5e570] p-1">
                <div class="w-full flex items-center gap-2">
                    <script>
                        // Your JavaScript code here
                        const check_ddd = (w) => {
                            // console.log(w.value)
                            if (w.value) {
                                document.getElementById('hit-icon').style.display = "block";
                                document.getElementById('bull-icon').style.display = "none";
                            } else {
                                document.getElementById('hit-icon').style.display = "none";
                                document.getElementById('bull-icon').style.display = "block";
                            }
                        }
                    </script>
                    <form id="myform" onsubmit="sendMessage_1(event)" class="w-full flex items-center gap-2">
                        <input type="text" id="user-input" oninput="check_ddd(this)" autocomplete="off"
                            class="box-border overflow-hidden resize-none rounded-md border p-3 w-full text-xs !outline-none"
                            placeholder="Ask Something..."style="" />
                        <button class="hidden" id="hit-icon" type="submit">
                            <svg width="20" height="20" disabled fill="#0056b3" focusable="false"
                                aria-hidden="true" viewBox="0 0 24 24" data-testid="SendIcon"
                                style="cursor: pointer; font-size: 24px; color: rgb(0, 86, 179); pointer-events: auto;">
                                <path d="M2.01 21 23 12 2.01 3 2 10l15 2-15 2z"></path>
                            </svg>
                        </button>
                        <button id="bull-icon" type="button" class="cursor-auto">
                            <svg class="MuiSvgIcon-root MuiSvgIcon-fontSizeMedium send-icon css-vubbuv" width="20"
                                height="20" fill="#ccc" focusable="false" aria-hidden="true"
                                viewBox="0 0 24 24" data-testid="SendIcon">
                                <path d="M2.01 21 23 12 2.01 3 2 10l15 2-15 2z"></path>
                            </svg>
                        </button>
                    </form>
                    <button class="ml-1">
                        <svg xmlns="http://www.w3.org/2000/svg" onclick="starbtn_open()" id="bookmark_open_icon"
                            width="18" height="18" fill="#6021a9" class="bi bi-chat-left-text-fill"
                            viewBox="0 0 16 16">
                            <path
                                d="M0 2a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H4.414a1 1 0 0 0-.707.293L.854 15.146A.5.5 0 0 1 0 14.793zm3.5 1a.5.5 0 0 0 0 1h9a.5.5 0 0 0 0-1zm0 2.5a.5.5 0 0 0 0 1h9a.5.5 0 0 0 0-1zm0 2.5a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1z" />
                        </svg>
                    </button>
                </div>
            </div>
            <div id="favorites-container" class="favorites-container"></div>
        </div>
    </div>
    <div id="mini-tog" class="hidden fixed z-[100] bottom-28 right-16 py-3 p-4 rounded-[2px] text-white space-y-1"
        style="background: linear-gradient(90deg, #162dd5 -6%, #c65149 30%, #601ca5 85%, #3c6ff0 120%);">
        <div class="flex items-center gap-4">
            <img src="https://routenote.com/use_luna_image/ai-sparkle.svg" alt="bot"
                class="rounded-full obj-cover h-4 w-4">
            <span class="text-[15px] font-medium tracking-wide">Ask AI Assistly</span>
        </div>
        <p class="text-xs">Hi! I'm AI Assistly. Click here to access your data <br> details instantly.</p>
    </div>
    <div id="asstants-togg" onclick="chatbot(this)"
        class="fixed z-10 h-12 w-12 rounded-full bottom-8 right-8 cursor-pointer flex justify-center items-center"
        style="background: linear-gradient(90deg, #162dd5 -6%, #c65149 30%, #601ca5 85%, #3c6ff0 120%);">
        <img src="https://routenote.com/use_luna_image/ai-sparkle.svg" id="bot_open" alt="bot"
            style="height: 30px">
    </div>
</div>
<div id="Guide-line-list"
    class="hidden fixed inset-0 w-full h-screen bg-black z-[9999] bg-opacity-60 backdrop-blur-sm transition-opacity duration-300 grid place-items-center">
    <div id="Guide-line-model" class="h-[90%] overflow-y-auto !font-sans w-1/2 bg-white rounded-lg p-4">
        <div class="flex items-center justify-between" style="padding-bottom: 1rem;">
            <h2 class="font-medium text-xl !font-sans">AI Assistly User Guidelines</h2>
            <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                onclick="guideline_page_close()" class="bi bi-x-lg cursor-pointer" viewBox="0 0 16 16">
                <path
                    d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8z" />
            </svg>
        </div>
        <div class=" h-max p-4 bg-white space-y-3 ">
            <div class="p-4 border rounded-lg" style="box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);border: 1px solid #cce7ff;">
            <h1 class="text-2xl font-semibold text-left !font-sans text-[#0066cc] mb-[10px] ">👋 Welcome to Your Assistly AI Help Guide</h1>
            <p class="text-sm font-medium text-gray-700 !font-sans">Use this guide to make precise requests, from
                retrieving user referrals to managing tickets and approvals. Follow the sections for examples, and use
                specific details like user IDs or ticket numbers to ensure quick, accurate responses.</p>
            </div>

            <div class="space-y-3 !font-sans p-4 border rounded-lg"  style="box-shadow:0 0 10px rgba(0, 0, 0, 0.1);border: 1px solid #cce7ff;">

                <p class="!font-sans font-semibold text-[#06c]">1. User Referral and Engagement</p>
                <p class="text-sm font-medium text-gray-700 !font-sans">To retrieve referral details, account flags,
                    and suspicious activities, provide the following:</p>
                <ol
                    class="w-full h-max bg-gray-100 p-2 space-y-1 list-disc pl-8 text-[13px] font-medium text-gray-600 space-y-1">
                    <li class="text-sm font-medium text-gray-700 !font-sans">User ID, email, or username to view
                        referral data.</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">Request flagged accounts or users with
                        suspicious activity.</li>
                </ol>
                <p class="!font-sans font-semibold text-[#06c]">Sample Question :</p>
                <ol
                    class="w-full h-max bg-gray-100 p-2 space-y-1 list-disc pl-8 text-[13px] font-medium text-gray-600 space-y-1">
                    <li class="text-sm font-medium text-gray-700 !font-sans">Retrieve referral details & percentages
                        for [user ID/email/username].</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">Get the split for UPC 5054316798316.</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">Is this email (mcldevtest@gmail.com)
                        associated with any other accounts?</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">is the user "seller" flagged as approved?
                    </li>
                </ol>
            </div>
           
            <div class="space-y-3 !font-sans p-4 border rounded-lg"  style="box-shadow:0 0 10px rgba(0, 0, 0, 0.1);border: 1px solid #cce7ff;">

                 <p class="!font-sans font-semibold text-[#06c]">2. Financial and Payment Data</p>
                <p class="text-sm font-medium text-gray-700 !font-sans">Request information regarding financial data,
                    outstanding amounts, and PayPal details by specifying the user ID, email, or name.</p>
                <p class="!font-sans font-semibold text-[#06c]">Sample Question :</p>
                <ol
                    class="w-full h-max bg-gray-100 p-2 space-y-1 list-disc pl-8 text-[13px] font-medium text-gray-600 space-y-1">
                    <li class="text-sm font-medium text-gray-700 !font-sans">list the paypal email linked to user
                        "steve"</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">What is the total amount for user
                        "seller"?</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">Get details for user "seller" and their
                        outstanding balance.</li>
                </ol>
            </div>

            
            <div class="space-y-3 !font-sans p-4 border rounded-lg" style="box-shadow:0 0 10px rgba(0, 0, 0, 0.1);border: 1px solid #cce7ff;">
                <p class="!font-sans font-semibold text-[#06c]">3. UPC and Release Information</p>
                <p class="text-sm font-medium text-gray-700 !font-sans">Provide a UPC to get details about a specific
                    release. This includes the release status (e.g., pending, in review, approved) and the ISRC
                    (International Standard Recording Code).</p>
                <p class="!font-sans font-semibold text-[#06c]">Sample Question :</p>
                <ol
                    class="w-full h-max bg-gray-100 p-2 space-y-1 list-disc pl-8 text-[13px] font-medium text-gray-600 space-y-1">
                    <li class="text-sm font-medium text-gray-700 !font-sans">Retrieve the ISRC code for release
                        identified by UPC 5054316798316.</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">What is the release status and ISRC code
                        for UPC 5054316798316?</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">What is the status of UPC 5054316798316?
                    </li>
                </ol>
            </div>

            
            <div class="space-y-3 !font-sans p-4 border rounded-lg" style="box-shadow:0 0 10px rgba(0, 0, 0, 0.1);border: 1px solid #cce7ff;">
                <p class="!font-sans font-semibold text-[#06c]">4. Support Ticket Management</p>
                <p class="text-sm font-medium text-gray-700 !font-sans">You can request summaries of support tickets,
                    including ticket statuses (open/closed), priority levels, subjects, and assigned staff. Specify
                    ticket IDs, keywords, or status to narrow down the request.</p>
                <p class="!font-sans font-semibold text-[#06c]">Sample Question :</p>
                <ol
                    class="w-full h-max bg-gray-100 p-2 space-y-1 list-disc pl-8 text-[13px] font-medium text-gray-600 space-y-1">
                    <li class="text-sm font-medium text-gray-700 !font-sans">Show me all open support tickets.</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">List all tickets related to "Account."
                    </li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">who is handling the ticket related to user
                        sellerrnn?</li>
                </ol>
            </div>

            
            <div class="space-y-3 !font-sans p-4 border rounded-lg" style="box-shadow:0 0 10px rgba(0, 0, 0, 0.1);border: 1px solid #cce7ff;">
                <p class="!font-sans font-semibold text-[#06c]">5. Form and Approval Statuses</p>
                <p class="text-sm font-medium text-gray-700 !font-sans">Track the status of forms, such as Account
                    Closure, Content Mapping, Revenue Share, or YouTube OAC Forms. You can inquire about the staff
                    member who reviewed or closed the form by providing form IDs or user information.</p>
                <p class="!font-sans font-semibold text-[#06c]">Sample Question :</p>
                <ol
                    class="w-full h-max bg-gray-100 p-2 space-y-1 list-disc pl-8 text-[13px] font-medium text-gray-600 space-y-1">
                    <li class="text-sm font-medium text-gray-700 !font-sans">Who approved the OTL form for [user]?</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">List all approved OTL forms submitted by
                        "sellerrnn."</li>
                </ol>
            </div>

            
            <div class="space-y-3 !font-sans p-4 border rounded-lg" style="box-shadow:0 0 10px rgba(0, 0, 0, 0.1);border: 1px solid #cce7ff;">
                <p class="!font-sans font-semibold text-[#06c]">6. User Groups and Engagement</p>
                <p class="text-sm font-medium text-gray-700 !font-sans">To inquire about which user groups a specific
                    user belongs to, provide their user ID or username.</p>
                <p class="!font-sans font-semibold text-[#06c]">Sample Question :</p>
                <ol
                    class="w-full h-max bg-gray-100 p-2 space-y-1 list-disc pl-8 text-[13px] font-medium text-gray-600 space-y-1">
                    <li class="text-sm font-medium text-gray-700 !font-sans">Which group does "sellerrnn" belong to?
                    </li>
                    <li class="text-sm font-medium text-gray-700 !font-sans">Are there any support tickets related to
                        premium users?</li>
                </ol>
            </div>

           
            <div class="space-y-3 !font-sans p-4 border rounded-lg"  style="box-shadow:0 0 10px rgba(0, 0, 0, 0.1);border: 1px solid #cce7ff;">
                <p class="!font-sans font-semibold text-[#06c]">How to Interact with AI Assistly</p>
                <ol class="w-full h-max bg-gray-100 p-2 space-y-1 list-disc pl-8 text-[13px] font-medium text-gray-600 space-y-1">
                    <li class="text-sm font-medium text-gray-700 !font-sans">
                        <b class="!font-sans">Starting a Request
                            : </b><br>
                            Clearly state your question or request. For example, "Get details for user [xxxx]" or
                        "Show me all open support tickets."</li>
                    <li class="text-sm font-medium text-gray-700 !font-sans"><b class="!font-sans">Data Requests :</b><br>
                        Specify the type of data you need (e.g., “User payment details” or “Status of release UPC
                        12345”). Include relevant details like user IDs, ticket numbers, or UPCs to ensure accuracy.
                    </li>
                    <li class="text-sm font-medium text-gray-700 !font-sans"><b class="!font-sans">Clarification :</b><br>
                        If a request is unclear or too broad, AI Assistly will ask for more information to narrow down
                        the request (e.g., asking for specific user IDs or dates).</li>
                </ol>
            </div>

            <div class="space-y-3 !font-sans p-4 border rounded-lg" style="box-shadow:0 0 10px rgba(0, 0, 0, 0.1);border: 1px solid #cce7ff;">
            <p class="!font-sans font-semibold text-[#06c]">Tips for Efficient Requests</p>
            <ol
                class="w-full h-max bg-gray-100 p-2 space-y-1 list-disc pl-8 text-[13px] font-medium text-gray-600 space-y-1">
                <li class="text-sm font-medium text-gray-700 !font-sans"><b class="!font-sans">Be Specific :</b><br>
                    The more detailed your request (e.g., user IDs, ticket numbers, UPCs), the quicker and more accurate the
                    response.</li>
                <li class="text-sm font-medium text-gray-700 !font-sans"><b class="!font-sans">Break it Down :</b><br>
                    For multiple requests, submit them one by one for faster processing.</li>
                <li class="text-sm font-medium text-gray-700 !font-sans"><b class="!font-sans">Follow-Up :</b><br>
                    If you need additional information after receiving the initial results, feel free to ask for clarifications
                    or follow-up questions.</li>
            </ol>
            <p class="text-sm font-medium text-gray-700 !font-sans">For efficient assistance, always be clear and
                specific in your requests with AI Assistly.</p>
            </div>
        </div>
    </div>
</div>
<script>
    $('#asstants-togg').hover(function() {
        $('#mini-tog').show();
    }, function() {
        $('#mini-tog').hide();
    })

    function guideline_page() {
        // document.getElementById("Guide-line-list").style.display = "grid";
        document.getElementById("Guide-line-list").classList.remove("hidden");
    }

    function guideline_page_close() {
        // document.getElementById("Guide-line-list").style.display = "none";
        document.getElementById("Guide-line-list").classList.add("hidden");
    }
    document.addEventListener('click', function(event) {
        const guideline = document.getElementById("Guide-line-list");
        const model = document.getElementById("Guide-line-model");

        // If the click is outside the modal (but not on the open button), close the modal
        if (!model.contains(event.target) && !event.target.closest('span')) {
            guideline_page_close();
        }
    });

    // Prevent the popup from closing when clicking inside the modal (guide content)
    document.getElementById("Guide-line-model").addEventListener('click', function(event) {
        event.stopPropagation(); // Prevent the event from bubbling up and triggering the outside click listener
    });
    // document.addEventListener('click', (event) => {
    //     if (document.getElementById("Guide-line-list").style.display === 'grid' && !document.getElementById("Guide-line-model").contains(event.target) && event.target !== openPopupButton) {
    //         document.getElementById("Guide-line-list").style.display = 'none';
    //     }
    // });
    setTimeout(() => {
        // console.clear()
    }, 5000);
</script>
