
<?php $__env->startSection('content'); ?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="/css/allmail.css" media="screen" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/themes/smoothness/jquery-ui.css">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <script src="https://cdn.jsdelivr.net/npm/alpinejs@3.x.x/dist/cdn.min.js"></script>
    <script src="/js/move.js"></script>
    <style>
    #All_mail_cont tr:hover td {
        background: #d2d2d2cf !important;
        color: #000 !important;
    }

    .hide_allcate {
        display: none !important;
    }

    .sched_hov_div:hover .sched_hov {
        display: block !important;
    }

    .sched_hov {
        display: none;
    }

    /* Optional: Styling for the search box */
    .search-box {
        margin-bottom: 10px;
        padding: 8px;
        width: 100%;
        max-width: 300px;
        border: 1px solid #ccc;
        border-radius: 4px;
    }

    .sch_title {
        position: absolute;
        width: max-content;
        padding: 10px;
        top: -45px;
        background: #fff;
        border: 1px solid;
        border-radius: 10px;
        display: none;
        font-weight: 600;
    }

    .sch_title_hov:hover .sch_title {
        display: grid;
    }

    .hov_date_div:hover .hov_date {
        display: grid;
    }

    .hov_date {
        display: none;
    }



    .over_due {
        position: absolute;
        top: -35px;
        left: 0;
        background: #fff;
        padding: 5px 10px;
        border: 1px solid;
        border-radius: 10px;
        display: none;
    }

    .over_due_span:hover .over_due {
        display: grid;
    }
    </style>
    <style>
    #sss {
        right: 0px;
        left: 100%;
        width: 50%;
        height: 100%;
        top: 0px;
        position: absolute;
        transition: left 0.3s;
        background: white;
        z-index: 1;
        border-radius: 12px;
        box-shadow: 2px 0px 15px -5px #4d4d4d;
        overflow-y: auto;
    }

    #mag-assign div:nth-child(1) {
        height: 30px;
        width: 30px;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 1rem;
        font-size: 12px
    }

    .commodel {
        right: 0px;
        left: 100%;
        width: 50%;
        height: 100%;
        top: 0px;
        position: absolute;
        transition: left 0.3s;
        background: white;
        z-index: 30;
        border-radius: 12px;
        box-shadow: 2px 0px 15px -5px #4d4d4d;
        overflow-y: auto;
        padding: 1rem;
    }

    .click_bg {
        filter: blur(4px) !important;
    }

    .dropdown_ {
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        width: max-content;
        background: white;
        border: 1px solid #ddd;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        z-index: 10;
    }

    .dropdown-item_:hover {
        background: #f1f1f1;
    }

    .popup_tirgger {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: #383838d1;
        display: grid;
        place-items: center;
    }

    .popup_div {
        width: 35%;
        background: #fff;
        border: 0;
        border-radius: 10px;
        overflow: hidden;
    }
    </style>


    <script>
    function w21JGnaiI4ggg(events) {
        var action = $(events).data('action');
        var uid = $(events).data('uid');
        var ac_name = $(events).data('acname');
        var Userid = $(events).data('Userid');
        updateAction(action, uid, ac_name, <?php echo Auth::guard('staff')->id(); ?>);
    }



    function searchTable() {
        var input, filter, table, tbody, tr, td, i, txtValue;
        input = document.getElementById("mail_search");
        filter = input.value.toUpperCase();
        table = document.getElementById("table_groups");
        tbody = table.getElementsByTagName("tbody")[0];
        tr = tbody.getElementsByTagName("tr");

        for (i = 0; i < tr.length; i++) {
            td = tr[i].getElementsByTagName("td")[2];
            if (td) {
                txtValue = td.textContent || td.innerText;
                if (txtValue.toUpperCase().indexOf(filter) > -1) {
                    tr[i].style.display = "";
                } else {
                    tr[i].style.display = "none";
                }
            }
        }
    }

    function actup1(events) {
        document.getElementById('popup_tirgger').classList.toggle('popup_tirgger');
        $('#schedulename').html($(events).data('action1'));
        $('#popup_tirgger').show();
        $('#schedule_pop_div').show();
        $('#uxupdate_schedule').css('display', 'block');
        $('#uxupdate_inside_schedule').css('display', 'block');
        $('#action-text-word').text($(events).data('sub'));
        var row_ii = $(events).data('value');
        $('#action-text-id').text(row_ii);
        $('#rowid').attr('data-id', $(events).data('id'));
        var schedule_id = $(events).data('value');
        $('#schedule_id').html(schedule_id);
        $('#schedule_hid_id').html($(events).data('id'));
        $('#smart_schedule').val($(events).data('smart_schedule'));
        $('.sch_hid').hide();
        $('#sch_label').html('Scheduled At');
        $('#sch_ok').html('Update');
        
        
    }

    function actup2(events) {
        document.getElementById('popup_tirgger').classList.toggle('popup_tirgger');
        $('#schedulename').html($(events).data('action1'));
        $('#popup_tirgger').show();
        $('#schedule_pop_div').show();
        $('#uxupdate_schedule').css('display', 'block');
        $('#uxupdate_inside_schedule').css('display', 'block');
        $('#action-text-word').text($(events).data('sub'));
        var row_ii = $(events).data('value');
        $('#action-text-id').text(row_ii);
        $('#rowid').attr('data-id', $(events).data('id'));
        $('#rowids').val($(events).data('id'));
        var schedule_id = $(events).data('value');
        $('#schedule_id').html(schedule_id);
        $('#schedule_hid_id').html($(events).data('id'));
        $('#smart_schedule').val($(events).data('smart_schedule'));
        $('.sch_hid').show();

        $('#sch_label').html('Select Date');
        $('#sch_ok').html('Submit');
    }

    function close_digo21() {
        $('#uxupdate_schedule').css('display', 'none');
        $('#uxupdate_inside_schedule').css('display', 'none');
        TBallmail('d');
    }

    function otl_form_close() {
            $('#catg_popup1').hide();
        $('#bg_blur').css('display', 'none');  

    }

    

    function createotlddd() {
        $('#uxupdate_legentsdfvs22222222').hide()

    }

    function insta_act_btn(eventa) {

        $('#insta_act_id').html($(eventa).data('id'));
        $('#inst_id').val($(eventa).data('id'));

        document.getElementById('popup_tirgger').classList.toggle('popup_tirgger');
        $('#popup_tirgger').toggle();
        $('#insta_action_pop_div').show();

        var uid = $(eventa).data('uid');
        var action_name = $(eventa).data('action_name');

        $('#sdfsdfs').text($(eventa).data('from_addr'));

$('#toaddr_id_otl').text($(eventa).data('from_addr'));


$('#rowids').val($(eventa).data('id'))

$('#hjdafkdf').text(uid);



$('#flag_input').val('');
$('#flag_input1').val('');
$('#flag_input11').val('');
$('#flag_input111').val('');


        if (action_name === 'Content Mapping') {
            $('#ac_name_id').val('2');
        }
        if (action_name === 'Account Closure') {
            $('#ac_name_id').val('1');
        }
        if (action_name === 'Revenue Share') {
            $('#ac_name_id').val('3');
        }
        if (action_name === 'Youtube OAC') {
            $('#ac_name_id').val('4');
        }
        if (action_name === 'Adds a flag to the account') {
            $('#addflagcomm').css('display', 'grid');
            $('#addflagcomm1').css('display', 'grid');
            $('#flag_input').css('display', 'block');
            $('#flag_input11').css('display', 'block');
            $('.flag_input').text('Flag');
            $('#flag_input1').css('display', 'block');
            $('#flag_input111').css('display', 'block');
            $('.flag_input1').text('Flag');


        } else if (action_name === 'Adds a note to all RFS releases') {
            $('#addflagcomm').css('display', 'block');
            $('#flag_input').css('display', 'none');
            $('#flag_input11').css('display', 'none');
            $('.flag_input').text('');
            $('#addflagcomm1').css('display', 'grid');
            $('#flag_input1').css('display', 'block');
            $('#flag_input1').val($(eventa).data('notes'));
            $('#flag_input111').val($(eventa).data('notes'));
            $('.flag_input1').text('');


        } else {
            $('#addflagcomm').css('display', 'none');
            $('#addflagcomm1').css('display', 'none');
            $('.flag_input1').text('');
           
        }
        $('#ac_name_span').text(action_name)
      
        $('#insta_act_uid').html(uid);
        $('#insta_act_uid1').html(uid);
        $('#insta_act_name').html(action_name);
    }

    function ConfirmDialog(action, ac_name, id, User_id) {
        $('#ac_name_id').val(action)
        $('#ghfdh').val(action)

        var uid = $("#user_uid").val();
        if (action == '1' || action == '2' || action == '3' || action == '4') {
        $.ajax({

type: "post",
url: "<?php echo e(route('uncategorised')); ?>",
headers: {
    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
},
data: {
    ref: "redcheck",
    tickid: $('#rowids').val(),
},
success: function(result) {


    if (result.redflag == '1') {
        $('#uxupdate_legentsdfvs22222222').css('display', 'grid');
        $('#popup_tirgger').toggle();
    } 
    else{
        document.getElementById('popup_tirgger').classList.toggle('popup_tirgger');
       
       $('#popup_tirgger').toggle();
       $('#action_pop_div').show();
       $('#ac_name_id').val(action)
        $('#ghfdh').val(action)
        $('#uxupdate_legentsdfvs22222222').css('display', 'none');

        var uid = $("#user_uid").val();
        if (action == '1' || action == '2' || action == '3' || action == '4') {
            $('#ac_name_span').html('Generate OTL');
        } else {
            $('#ac_name_span').html(ac_name)
        }

           
          
        


        if ($('#ac_name_span').text().trim() === 'Adds a flag to the account') {
            $('#addflagcomm').css('display', 'grid');
            $('#addflagcomm1').css('display', 'grid');
            $('#flag_input').css('display', 'block');
            $('#flag_input11').css('display', 'block');
            $('.flag_input').text('Flag');
            $('#flag_input1').css('display', 'block');
            $('#flag_input111').css('display', 'block');
            $('.flag_input1').text('Flag');

        } else if ($('#ac_name_span').text().trim() === 'Adds a note to all RFS releases') {
            $('#addflagcomm').css('display', 'block');
            $('#flag_input').css('display', 'none');
            $('#flag_input11').css('display', 'none');
            $('.flag_input').text('');
            $('#addflagcomm1').css('display', 'grid');
            $('#flag_input1').css('display', 'block');
            $('#flag_input1').val($('#notes').val());
            $('#flag_input111').val( $('#notes').val());
            $('.flag_input1').text('');

        } else {
            $('#addflagcomm').css('display', 'none'); $('#addflagcomm1').css('display', 'none');
        }
        var html = '';
        }

}
});
        }else{
            document.getElementById('popup_tirgger').classList.toggle('popup_tirgger');
       
       $('#popup_tirgger').toggle();
       $('#action_pop_div').show();
       $('#uxupdate_legentsdfvs22222222').css('display', 'none');

            $('#ac_name_id').val(action)
        $('#ghfdh').val(action)

        var uid = $("#user_uid").val();
        if (action == '1' || action == '2' || action == '3' || action == '4') {
            $('#ac_name_span').html('Generate OTL');
        } else {
            $('#ac_name_span').html(ac_name)
        }

           
          
        


        if ($('#ac_name_span').text().trim() === 'Adds a flag to the account') {
            $('#addflagcomm').css('display', 'grid');
            $('#addflagcomm1').css('display', 'grid');
            $('#flag_input').css('display', 'block');
            $('#flag_input11').css('display', 'block');
            $('.flag_input').text('Flag');
            $('#flag_input1').css('display', 'block');
            $('#flag_input111').css('display', 'block');
            $('.flag_input1').text('Flag');

        } else if ($('#ac_name_span').text().trim() === 'Adds a note to all RFS releases') {
            $('#addflagcomm').css('display', 'block');
            $('#flag_input').css('display', 'none');
            $('#flag_input11').css('display', 'none');
            $('.flag_input').text('');
            $('#addflagcomm1').css('display', 'grid');
            $('#flag_input1').css('display', 'block');
            $('#flag_input1').val($('#notes').val());
            $('#flag_input111').val( $('#notes').val());
            $('.flag_input1').text('');

        } else {
            $('#addflagcomm').css('display', 'none'); $('#addflagcomm1').css('display', 'none');
        }
        var html = '';
        }

       
       
    
    }



    function instant_act(event) {
        document.getElementById('popup_tirgger').classList.toggle('popup_tirgger');
        $('#popup_tirgger').show();
        $('#insta_action_pop_div').show();


        var value = $(event).data('row');
        var data = $(event).data('value');
        var rofd = $(event).data('name');
        var User_id = $(event).attr('jsonid');
        $('#action_value').val(value)
        $('#before_value').val($(event).data('action'))
        ConfirmDialog(data, rofd, value, User_id);
    }




    function close_digo() {
        $('#KBHhVHFCT').css('display', 'none');
    }

    function top_to_bottom(eventsd) {
        var rowBodyVal = $('#row_body_val' + eventsd);
        if (rowBodyVal.css('display') === 'none') {
            $('.row_body_bd').css('display', 'none');
            $('.row_body_tde td').css({
                'height': '35px'
            });

            $('#row_body_tr' + eventsd + ' td').css({
                "cursor": "pointer",
                "height": "100px",
                "position": "relative",
                "transition": "height 0.5s ease"
            });

            rowBodyVal.css('display', 'block');
        } else {
            $('#row_body_tr' + eventsd + ' td').css({
                "cursor": "pointer",
                "height": "35px",
                "position": "relative",
                "transition": "height 0.5s ease"
            });
            rowBodyVal.css('display', 'none');
        }

    }


    function loadTemplate(event) {
        $('#sub-name').html($(event).data('subject'));
        var sub2 = $(event).data('subject');
        var sub1 = 'Re : ';
        $('#sub-name2').val(sub1 + sub2);
        $('#row-id-ste').html($(event).data('id'));
        $('#rowids').val($(event).data('id'));
        $('#rowids1').val($(event).data('id'));
        $('#msg-body').html($(event).data('body'));

        var internal_thread = $(event).data('internal_thread');
        console.log('internal_thread', internal_thread);
        $('#comments_div').html($(event).data('internal_thread'));

        davggadvsrvsrvf($(event).data('id'))


        $('#row-idfvbvff-ste').attr('data-clipboard-text', $(event).data('id'));

        $('#action_value').val($(event).data('id'));


        const data44 = new FormData();
        data44.append('rowid44', $(event).data('id'));

        fetch('/Fetchloadtemplate', {
                method: 'POST',
                body: data44,
                headers: {
                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute(
                        'content') // CSRF token for security
                }
            })
            .then(response => response.json())
            .then(data => {
                console.log('alldata1', data.data1);
                if(data.data[0].due_date){
                    let new_due_date = new Date(new Date(data.data[0].due_date).setDate(new Date(data.data[0]
                    .due_date).getDate() + 1)).toISOString().split('T')[0];

                $('#due_date').val(new_due_date);
                }else{
                  
                $('#due_date').val();
                }
               

                var priority = data.data[0].priority;
                if (priority) {
                    $('#textbox_1').html(priority);
                } else {
                    $('#textbox_1').html('N/A');
                }
                $('#hjdafkdf').text($(event).data('user_email'));

                $('#toaddr_id_otl').text($(event).data('user_email'));
                //$('#hjdafkdf').text(data.data[0].uid);

                $('#hjdafkdf1').text(data.data[0].uid);
               
                $('#sdfsdfs1').text($(event).data('user_email'));
                $('#msg-name22').val($(event).data('user_email'));

                var status = data.data[0].status;

                if (status == 'Completed') {
                    $('#Action_btn').hide();
                    $('#req_conf_btn').hide();
                    $('#Action_btn2').show();
                    $('#req_conf_btn2').show();
                    $('#msg-stauts').html(`Completed<img src="/images/checkmark-outline.svg" id="checkicon" class="bg-[#34df3e] rounded-full border p-[2px]" style="height: 20px;cursor: pointer;display: block;" alt="check">`);
                    

                } else {
                    $('#Action_btn').show();
                    $('#req_conf_btn').show();
                    $('#Action_btn2').hide();
                    $('#req_conf_btn2').hide();
                    $('#msg-stauts').html(status);
                }
       
               
               
                var ac_name_id = data.data[0].action_id;

$('#ac_name_id').val(ac_name_id)
                if(ac_name_id == '1' || ac_name_id == '2' || ac_name_id == '3' || ac_name_id == '4'){

$('.tag_shows').css('display','block');
$('#Action_btn').hide();
                $('#Action_btn2').hide();

}
else{
    $('.tag_shows').css('display','none');
}

var conf_email = data.conf_email;
                if (conf_email == '1') {
                    $('#otl_sent').show();
                    $('#dtghrdthr').hide();
                } else {
                    $('#dtghrdthr').show();
                    $('#otl_sent').hide();
                }

                $('#notes').val(data.data[0].notes);

if(data.data1[0].name){
                    var assigned = data.data1[0].name;
                    $('#textbox_').html(assigned);
                $('#two_char').html(assigned.substring(0, 2));

                }
                

            })
            .catch(error => {
                console.error('Error:', error);
                $('#two_char').html('!');
                $('#textbox_').html('No Assignee');
            });


           


        var ind = $(event).data('ind');

        $('input[name=sfvdthbfhb]').val(ind)

        var form_addr = $(event).data('user_email');

        $('#toaddr_id_otl').text($(event).data('user_email'));

        var priority = $(event).data('priority');
        var priority_type = $(event).data('priority_type');
        var stauts = $(event).data('status');





        $.ajax({
            type: "post",
            url: "<?php echo e(route('uncategorised')); ?>",
            headers: {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            dataType: "json",
            data: {
                ref: 'pos_neg',
                emailid: form_addr,

            },
            success: function(response) {
                console.log('ccccccccc', response)
                
                $('#insta_act_uid1').text(response.uid);
                $('#dearname').html(`Dear ${response.name},`); 
                $('#mailpos').empty();
                $('#mailpos').html(`
                                    
                                        <li>Country - UK</li>
                                        <li>Account opened - ${response.created ?? ''}</li>
                                        <li>User Name - ${response.name ?? ''}</li>
                                        <li>User ID - ${response.uid ?? ''}</li>
                                        <li>Have Premium Releases? - ${response.premium > 0 ? '<span onclick="primum_flag()" class="text-blue-500 underline cursor-pointer">Yes</span>' : 'No'}</li>
                                    
                                `);
                $('#mailneg').empty();
                if (response.premium_id.length > 0) {
                    document.getElementById('upcCodes').value = JSON.stringify(response.premium_id);
                    $('#upc-results').empty();
                    response.premium_id.forEach((m, i) => {
                        $('#upc-results').append(`
                                    <a href="https://routenotetest.com/rn22/addart/form/${m.upc}"
                                                    target="_blank"
                                                    class="h-10 w-full px-2 bg-black hover:bg-white hover:border hover:text-blue-500 hover:underline cursor-pointer rounded-lg grid place-items-center font-medium text-white">
                                                    ${m.upc}</a>`);
                    });
                } else {

                }


                let flagImages = '';

                if (response.flagcolors && Array.isArray(response.flagcolors) && response.flagcolors
                    .length > 0) {
                    console.log('Processing flagcolors:', response.flagcolors); // Log the flagcolors array

                    // Loop through the flagcolors
                    response.flagcolors.forEach(flagObj => {
                        const flag = flagObj.flag_color;
                        console.log('Processing flag:', flag);
                        let flagImageSrc = '';
                        let flagTitle = '';

                        // Map flag type to corresponding image and title
                        switch (flag) {
                            case 'Approved':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/Flag-Approved.png';
                                flagTitle = 'Approved';
                                break;
                            case 'Blacklisted':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/flag-blacklist.png';
                                flagTitle = 'Blacklisted';
                                break;
                            case 'FraudStrike':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/Flag-Fraud.png';
                                flagTitle = 'FraudStrike';
                                break;
                            case 'fraud_streaming':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/Fraud_Streaming.png';
                                flagTitle = 'Fraud Streaming';
                                break;
                            case 'Suspicious':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/Flag-suspicious.png';
                                flagTitle = 'Suspicious';
                                break;
                            case 'Warning':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/Flag-Warning.png';
                                flagTitle = 'Warning';
                                break;
                            case 'Priority':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/Flag-priority.png';
                                flagTitle = 'Priority';
                                break;
                            case 'star_artist':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/star_artist.png';
                                flagTitle = 'Star artist';
                                break;
                            case 'yt_network_abuse':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/ytblockflag.png';
                                flagTitle = 'YouTube Network Abuse';
                                break;
                            case 'xpress':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/XPressflag.png';
                                flagTitle = 'Xpress';
                                break;
                            case 'support_note':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/support_note.png';
                                flagTitle = 'Support Note';
                                break;
                            case 'payment':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/payment-icon.png';
                                flagTitle = 'Payment';
                                break;
                            case 'Publishing Information':
                                flagImageSrc =
                                    'https://routenotetest.com/rn22/themes/rnmusic/images/publishing.svg';
                                flagTitle = 'Publishing Information';
                                break;
                            default:
                                console.log('Unmatched flag:', flag); // Log unmatched flags
                                break;
                        }

                        if (flagImageSrc) {
                            flagImages += `
                                                <img class="cursor-pointer" style="display:inline;cursor:pointer" src="${flagImageSrc}" title="${flagTitle}" alt="${flagTitle}">
                                            `;
                        }
                    });
                } else {
                    if (!flagImages && response.flagcolors !== '' && response.uid !== '') {
                        flagImages = `
                                        <img class="cursor-pointer"  style="display:inline;cursor:pointer"  src="https://routenotetest.com/rn22/themes/rnmusic/images/Flag-Approved.png" title="Approved" alt="Approved">
                                    `;
                    }

                }
                $('#mailneg').html(`
                                   
                                <li>Flags - ${flagImages}
                                </li>
                                <li>Have earnings? - ${response.earnings ?? 'No'}</li>
                                <li>Number of tracks - ${response.count ?? ''} </li>
                                <li>Payout ever happened - ${response.payout_status ?? ''}</li>
                                <li>Fraud streaming -  ${response.fsacheck ?? ''}</li>
                               

                        
    `);
                if (response.fsacheck == 'No') {

                    $('.mail_tick_').attr('src', "/images/approve_tik.svg");
                } else if (response.fsacheck == 'Yes') {

                    $('.mail_tick_').attr('src', "/images/reject_tik.svg");
                }



            }
        });




        if (priority == '') {
            $('#msg-priority').html(
                '<p style="padding: 3px 10px; background-color: #aeaeae; border-radius: 25px;color: #fff;font-size:12px;font-weight: 700;width: fit-content"> Not Assigned </p>'
            );
        } else {
            $('#msg-priority').html(
                '<p style="padding: 3px 10px; background-color: #aeaeae; border-radius: 25px;color: #fff;font-size:12px;font-weight: 700;width: fit-content"> Assigned </p>'
            );
        }

        var list = $('#ass-user-list' + ind).html();
        var cgfgb = $('#row_body_val' + ind).text();

        $('#msg-body div').html(cgfgb);
        $('#msg-name').html(form_addr);
        $('#msg-name2').val(form_addr);
        $('#mag-assign').html(list);
        if (stauts == 'Completed') {
            $('#msg-stauts').html(stauts +
                '<img src="/images/checkmark-outline.svg" id="checkicon" class="bg-[#34df3e] rounded-full border p-[2px]" style="height: 20px;cursor: pointer;display: block;" alt="check">'
            );
        } else {
            $('#msg-stauts').html(stauts);
        }



        $('#msg-due').html(
            '<input type="date" id="due_date" onchange="duudate_onkeyup(this.value)" class="cursor-pointer">'
        );



        message_realtime($(event).data('id'));
        $('#sss').attr('data-id', $(event).data('id'));
        $("#sss").css({
            "left": "50%",
            "position": "absolute",
            "transition": "left 0.3s ease"
        });

        $('#subject').val($(event).attr('subject'));
        $('#to_addr').val($(event).data('faddr'));
        $('#to_name').val($(event).attr('name'));

        $('#email_ids').val($(event).data('id'))

        var statuss = $(event).data('stdddatus');
        if (statuss == 'requested') {
            $("#req_conf_btn").text("Requested");
            $("#req_conf_btn").prop("disabled", true);

            $("#action_sel_btn").prop("disabled", true);
            $("#action_sel_btn").css("display", "none");
        } else if (statuss == 'accepted') {
            $("#req_conf_btn").text("Accepted");
            $("#req_conf_btn").prop("disabled", true);

            $("#action_sel_btn").prop("disabled", false);
            $("#action_sel_btn").css("display", "block");
        } else if (statuss == 'rejected') {
            $("#req_conf_btn").text("Rejected");
            $("#req_conf_btn").prop("disabled", true);

            $("#action_sel_btn").prop("disabled", true);
            $("#action_sel_btn").css("display", "none");

        } else {
            $("#req_conf_btn").text("Request for more information");
            $("#req_conf_btn").prop("disabled", false);

            $("#action_sel_btn").prop("disabled", false);
            $("#action_sel_btn").css("display", "block");
        }

    }

    function close_side_menu() {
        $("#sss").css({
            "left": "100%",
            "position": "absolute",
            "transition": "left 0.3s ease"
        });
    }



    function message_realtime(id) {
        $('.commentry-list').html('');
        $.ajax({
            type: "post",
            url: "<?php echo e(route('autonomous-level')); ?>",
            headers: {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            data: {
                ref: 'message_realtime',
                id: id,
            },
            success: function(result) {
                var coudd = JSON.parse(result.message[0].commentry) || [];

                $('#jsonvlaueue').val(result.message[0].commentry || []);
                coudd.forEach((items, i) => {
                    var list = `
                    <div class="flex items-center gap-2">
                        <img src="${items.image}" alt="logo" height="40" width="40" class="rounded-full"/>
                        <div>
                            <p class="text-sm text-gray-900 ">${items.name}</p>
                            <p class="meaages-point text-sm text-gray-500 w-full">${items.message}</p>
                        </div>
                    </div>
                    <br>
                `;
                    $('.commentry-list').append(list);
                })
            }
        });
    }


    function Assignlits() {
        $('#KBHhVHFCT_assign').show()
        $('#ihgvguGN8_assign').show()
    }

    function close_digo_action() {
        $('#KBHhVHFCT_assign').hide()
        $('#ihgvguGN8_assign').hide()

    }

    function generateRandomColor() {
        var red = Math.floor(Math.random() * 128) + 128; // 128 to 255
        var green = Math.floor(Math.random() * 128) + 128; // 128 to 255
        var blue = Math.floor(Math.random() * 128) + 128; // 128 to 255 
        var color = "rgb(" + red + "," + green + "," + blue + ")";

        return color;
    }




    function composer_dev() {
        $(".commodel").css({
            "left": "50%",
            "position": "absolute",
            "transition": "left 0.3s ease"
        });
    }

    function close_composer() {
        $(".commodel").css({
            "left": "100%",
            "position": "absolute",
            "transition": "left 0.3s ease"
        });
    }

    function showField(e) {
        if ($(e).is(":checked")) {
            $('#row_upcid').show();
        } else {
            $('#row_upcid').hide();
        }
    }



    function TBallmail1() {
    
        $.ajax({
            type: 'post',
            url: "<?php echo e(route('allmailplayai')); ?>",
            headers: {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            data: {
                ref: "allmailplay_data",
                page: "all",
                message:$('#type_search').val()

            },
            success: function(result) {
                if (result.sfsfsfd) {
                    $('#loading').show();
                    $('#All_mail_cont').html(result.sfsfsfd)
                    if(e == "ref") {
                        jQuery('#refresh-in').removeClass('animate-spin');
                    }
                    // show_hide_column(0, false)
                    jQuery('#selected-ids').val('');
                    $('select[name="user"]').val('');
                    // console.log('location', location)

                    if (location.search != "") {

                    const gegrw = "<?= $_GET['id'] ?? ''; ?>";
                    if (gegrw !== "") {
                        const element = jQuery(`#tigger${gegrw}`);
                        element.click();
                    }
                       
                    }
                    
                    
                }
            }
        })
    }





    function TBallmail(e) {
        if(e == "ref") {
            jQuery('#refresh-in').addClass('animate-spin');
            $('#ass-cont').html(`Bulk assign`);
            show_hide_column(0, true);
            jQuery("#masterCheckbox").prop('checked', false);
            $('#type_search').val('');
        }
        $.ajax({
            type: 'post',
            url: "<?php echo e(route('allmailplay1')); ?>",
            headers: {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            data: {
                ref: "allmailplay_data",
                page: "all"
            },
            success: function(result) {
                if (result.sfsfsfd) {
                    $('#loading').show();
                    $('#All_mail_cont').html(result.sfsfsfd)
             
                    // show_hide_column(0, false)
                    jQuery('#selected-ids').val('');
                    $('select[name="user"]').val('');
                    // console.log('location', location)

                    if (location.search != "") {

                    const gegrw = "<?= $_GET['id'] ?? ''; ?>";
                    if (gegrw !== "") {
                        const element = jQuery(`#tigger${gegrw}`);
                        element.click();
                    }
                        // alert(location.search)
                        // $(document).ready(function() {
                        //     $('#linedisjfg<?php echo $_GET['id'] ?? 0; ?>')[0].click(function() {
                        //         loadTemplate($(this));
                        //     });
                        //     $.ajax({
                        //         type: 'post',
                        //         url: "<?php echo e(route('allmailplay1')); ?>",
                        //         headers: {
                        //             'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        //         },
                        //         data: {
                        //             ref: "meg-sent-H",
                        //             ids: $('#sss').data('id')
                        //         },
                        //         success: function(result) {}
                        //     })
                        // });
                    }
                    
                    
                }
            }
        })
    }
    TBallmail('d');

   



    async function commented(index, rowid, data) {
        await davggadvsrvsrvf(rowid)
        if ($('#popover-right').css('display') == 'none') {
            $('#popover-right').toggle();
        }

        $('input[name=rowidssssss]').val(rowid);

        message_realtime(rowid);

        $('#row-id-ste').text(rowid);

    }

    $(document).ready(function() {
        $('#ttttt').hover(function() {
            $('#Action_pop').show();
        }, function() {
            $('#Action_pop').hover(function() {
                $(this).show();
            }, function() {
                $(this).hide();
            })
        })
    })
    </script>


    <style>
    .btn_hov:hover {
        background: #fff !important;
        color: #000 !important;
        box-shadow: 0 0 10px #bbb !important;
    }

    .btn_hov:hover .hov_svg {
        color: #000 !important;
    }
    </style>
</head>


<input type="hidden" id="before_value" value="">
<input type="hidden" name="action_value" id="action_value" />
<input type="hidden" id="jsonvlaueue">
<input type="hidden" name="sfvdthbfhb">
<input type="hidden" name="rowidssssss">
<input type="hidden" id="notes">
<input type="hidden" id="selected-ids" value="">
<div class="p-2">

    <script>
       
        function toggleSelection(checkbox) {
            console.log('checkbox', checkbox);
            const id = jQuery(checkbox).data('id');
            const checked = jQuery(checkbox).prop('checked');
            const hiddenInput = jQuery('#selected-ids');
            let ids = hiddenInput.val() ? hiddenInput.val().split(',') : [];

            if (checked) {
                ids.push(String(id));
            } else {
                ids = ids.filter(item => item !== String(id));
            }

            hiddenInput.val([...new Set(ids)].join(','));
            updateCount();
        }

        // Handle master checkbox (Select All)
        function toggleAll(masterCheckbox) {
            const isChecked = jQuery(masterCheckbox).prop('checked');
            const checkboxes = jQuery('#myTable tbody input[type="checkbox"]');

            checkboxes.prop('checked', isChecked).each(function () {
                toggleSelection(this);
            });
        }

        // Update count display
        function updateCount() {
            const ids = jQuery('#selected-ids').val();
            const count = ids ? ids.split(',').length : 0;
            jQuery('#ass-cont').html(count > 0 ? `Bulk assign (${count})` : 'Bulk assign');
        }

        // Event handling for row checkboxes
        jQuery('#myTable').on('change', 'input[type="checkbox"]', function () {
            const isMaster = jQuery(this).closest('th').length > 0;

            if (isMaster) {
                toggleAll(this);
            } else {
                toggleSelection(this);
            }
        });
        function show_hide_column(col_no, do_show) {
            const table = document.getElementById('myTable');
            const columns = table.querySelectorAll(`tr td:nth-child(${col_no + 1}), tr th:nth-child(${col_no + 1})`);
            columns.forEach(column => {
                column.style.display = do_show ? "" : "none";
            });
        }
        
        // let bb = true;
        function assed() {
            // if(bb) {
                
            //     bb = false;
            // }else {
            //     show_hide_column(0, false);
            //     bb = true; 
            // }
            var select_id = $('#selected-ids').val();
            if(select_id != "") {
                $('#asstio_model-wrapp').removeClass('hidden');
            } 
        }
        function multiassgin(event) {
            event.preventDefault();
            var username = $('select[name="user"]').val();
            var select_id = $('#selected-ids').val();
            $.ajax({
                type: 'post',
                url: "<?php echo e(route('multipleassign')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: {
                    username: username,
                    select_id: select_id
                },
                success: function(result) {
                   console.log('result', result); 
                   if(result == "done") {
                    $('#asstio_model-wrapp').addClass('hidden'); 
                    TBallmail('ref');
                   }
                }
            })
        }
        function closed() {
            jQuery('#asstio_model-wrapp').addClass('hidden');
            show_hide_column(0, true);
            bb = false;
        }
    </script>

    <div id="asstio_model-wrapp" class="hidden fixed inset-0 z-[999] grid h-screen w-screen place-items-center bg-black bg-opacity-60 backdrop-blur-sm transition-opacity duration-300">
        <div class="w-1/4 bg-white rounded-xl overflow-hidden">
            <div class="p-3 bg-black flex items-center justify-between text-white">
                <h2 class="font-semibold tracking-wider text-lg">Assign</h2>
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" onclick="closed()" fill="currentColor" class="bi bi-x-lg cursor-pointer" viewBox="0 0 16 16">
                    <path d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8z"/>
                </svg>
            </div>
            <form class="p-4 grid gap-2" onsubmit="multiassgin(event)">
                <label for="user" class="font-semibold">Assign the selected tickets to</label>
                <select name="user" class="w-full bg-transparent placeholder:text-slate-400 text-slate-700 text-sm border border-slate-200 rounded-md px-3 py-2 transition duration-300 ease focus:outline-none focus:border-slate-500 hover:border-slate-300 shadow-lg shadow-gray-100 ring-4 ring-transparent focus:ring-slate-100" required>
                    <option value="">select..</option>
                    <?php $__currentLoopData = $stafflist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($list->uid); ?>"><?php echo e($list->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>     
                </select>
                <button class="rounded-md bg-slate-800 py-2 px-4 border border-transparent text-center text-sm text-white transition-all shadow-md hover:shadow-lg focus:bg-slate-700 focus:shadow-none active:bg-slate-700 hover:bg-slate-700 active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="submit">Submit</button>
            </form>
        </div>    
    </div>

    <div class="w-full flex justify-between px-4 py-4">
        <div class="flex justify-between items-center gap-2">
            <h1 class="text-2xl font-bold">All Tickets&nbsp;<span class="text-red-500">*</span></h1>
        </div> 
        <div class="flex items-center gap-3">
            <button type="button" onclick="TBallmail('ref')" class="cursor-pointer p-1 bg-black text-white rounded-md flex items-center gap-1 px-3">
                <svg xmlns="http://www.w3.org/2000/svg" width="21" height="21" viewBox="0 0 24 24" id="refresh-in" fill="currentColor">
                    <path d="M10 11H7.101l.001-.009a4.956 4.956 0 0 1 .752-1.787 5.054 5.054 0 0 1 2.2-1.811c.302-.128.617-.226.938-.291a5.078 5.078 0 0 1 2.018 0 4.978 4.978 0 0 1 2.525 1.361l1.416-1.412a7.036 7.036 0 0 0-2.224-1.501 6.921 6.921 0 0 0-1.315-.408 7.079 7.079 0 0 0-2.819 0 6.94 6.94 0 0 0-1.316.409 7.04 7.04 0 0 0-3.08 2.534 6.978 6.978 0 0 0-1.054 2.505c-.028.135-.043.273-.063.41H2l4 4 4-4zm4 2h2.899l-.001.008a4.976 4.976 0 0 1-2.103 3.138 4.943 4.943 0 0 1-1.787.752 5.073 5.073 0 0 1-2.017 0 4.956 4.956 0 0 1-1.787-.752 5.072 5.072 0 0 1-.74-.61L7.05 16.95a7.032 7.032 0 0 0 2.225 1.5c.424.18.867.317 1.315.408a7.07 7.07 0 0 0 2.818 0 7.031 7.031 0 0 0 4.395-2.945 6.974 6.974 0 0 0 1.053-2.503c.027-.135.043-.273.063-.41H22l-4-4-4 4z"></path>
                </svg>  
                <span class="text-sm font-medium">Refresh</span>  
            </button>
            <button type="button" onclick="assed()" id="ass-cont" class="text-white bg-black hover:bg-gray-800 font-medium rounded-md text-sm py-[4.6px] px-[12px] text-center inline-flex items-center me-2 gap-1" fdprocessedid="80u2nj">Bulk assign</button>
            
            <div class="w-72">
                <div class="relative h-10 w-full min-w-[200px] ">
                    <div class="absolute inset-y-0 start-0 flex items-center ps-3 pointer-events-none">
                        <svg class="w-4 h-4 text-gray-500" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none"
                            viewBox="0 0 20 20">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                d="m19 19-4-4m0-7A7 7 0 1 1 1 8a7 7 0 0 1 14 0Z"></path>
                        </svg>
                    </div>
                    <input type="text" id="type_search" placeholder="Search"
                        class="ps-10 peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50">
                        <button type="button" onclick="TBallmail1()" id="ass-cont" class="text-white bg-black hover:bg-gray-800 font-medium rounded-md text-sm py-[4.6px] px-[12px] text-center inline-flex items-center me-2 gap-1" fdprocessedid="80u2nj">Search</button>
   
                </div>
            </div>    
        </div>
    </div>

    <div id="loading" class="hidden relative overflow-x-auto shadow-md sm:rounded-lg max-h-[70vh] w-full">
        <table id="myTable" class="w-full !text-sm text-center rtl:text-right text-gray-500">
            <thead class="text-xs text-gray-700 uppercase bg-[#000] text-[#fff]">
                <tr style="text-align: center;border-bottom: 1px solid #e1e1e1;">
                    <th scope="col" class="p-4 border-r sticky top-0 bg-[#000] z-10">
                        <input type="checkbox" id="masterCheckbox" onclick="toggleAll(this)">
                    </th>
                    <th scope="col" class="p-4 px-[12px] border-r sticky top-0 bg-[#000] z-10">
                        View
                    </th>
                    <th style="min-width:   100px;" scope="col" class="px-[12px] border-r sticky top-0 bg-[#000] z-10">
                        User Name
                    </th>
                    <th scope="col" class="px-[12px] border-r sticky top-0 bg-[#000] z-10">
                        Subject
                    </th>
                    <th scope="col" class="px-[12px] border-r sticky top-0 bg-[#000] z-10">
                        Assignee
                    </th>
                    <th scope="col" class="px-[12px] border-r sticky top-0 bg-[#000] z-10">
                        Email Received Date
                    </th>
                    <th scope="col" class="px-[12px] border-r sticky top-0 bg-[#000] z-10">
                        Due Date
                    </th>
                    <th scope="col" class="px-[12px] border-r sticky top-0 bg-[#000] z-10">
                        Instant Action
                    </th>
                    <th scope="col" class="px-[12px] border-r sticky top-0 bg-[#000] z-10">
                        Smart Schedule
                    </th>
                    <th scope="col" class="px-[12px] p-4 sticky top-0 bg-[#000] z-10">
                        Internal Thread
                    </th>
                </tr>
            </thead>
            <tbody id="All_mail_cont">
            </tbody>
        </table>
    </div>


    <div id="sss" class="slide_c" style="z-index: 999;">
        <div class="px-4 py-4 flex items-center justify-between sticky top-0 shadow-[0_0_5px_0_#ddd] bg-[#fff]"
            style="height: max-content;z-index:1">
            <div class="lg:flex items-center gap-8">
                <img alt="Reply" class="cursor-pointer" src="/images/Reply.svg" Onclick="composer_dev()"
                    style="filter: brightness(0);display:none">

                <div id="actlist" class="relative">

                    <button
                        class="btn_hov align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 bg-gradient-to-tr from-gray-900 to-gray-800 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 active:opacity-[0.85] rounded-[13px] tracking-widest"
                        type="button" onclick="actlist()" style="padding: 10px 1rem;" id="Action_btn">
                        Action
                    </button>

                    <button
                        class="!cursor-not-allowed btn_hov align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 bg-gradient-to-tr from-gray-900 to-gray-800 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 active:opacity-[0.85] rounded-[13px] tracking-widest"
                        type="button" style="padding: 10px 1rem;display:none" id="Action_btn2">
                        Action
                    </button>

                    <div id="popover-bottom-start" data-popover-placement="bottom-start"
                        class="absolute z-10 p-2 hidden mt-[10px] font-sans text-sm font-normal break-words whitespace-normal bg-white border rounded-lg shadow-lg w-max border-blue-gray-50 text-blue-gray-500 shadow-blue-gray-500/10 focus:outline-none">
                        <ul class="flex flex-col w-full">
                            <?php $__currentLoopData = $lastEntry; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              
                                <?php if($value->id  == "1" || $value->id  == "2" || $value->id  == "3" || $value->id  == "4" ): ?>
                                <?php else: ?>
                                    <li class="slide_c pop_btns cursor-pointer hover:bg-zinc-200 hover:text-blue-600 w-full px-4 py-2 rounded-[5px]"
                                        id='aactionId' Onclick="ConfirmDialog('<?php echo e($value->id); ?>','<?php echo e($value->action_name); ?>')">
                                        <?php echo e($value->action_name); ?></li>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
                <div class="tag_shows" style="display:none">
                    <span id="dtghrdthr" class="pop_btns popup_click !w-max px-1"
                        style="border: 0; padding: 5px 10px; border-radius: 50px; cursor: pointer; background: #000; color: #fff; letter-spacing: 0.5px;width: fit-content;  "
                        onclick="createotl()">Generate OTL</span>

                    <span id="otl_sent" class="pop_btns popup_click !w-max px-1"
                        style="display:none;border: 0; padding: 5px 10px; border-radius: 50px; cursor: pointer; background: #000; color: #fff; letter-spacing: 0.5px;width: fit-content;  ">OTL
                        Sent</span>
                </div>


                <button id="req_conf_btn" onclick="req_confirm_clk()"
                    class="slide_c pop_btns btn_hov align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs  bg-gradient-to-tr from-gray-900 to-gray-800 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 active:opacity-[0.85] rounded-[13px] tracking-widest"
                    type="button" style="padding: 10px 1rem;">
                    Request for more information
                </button>

                <button id="req_conf_btn2"
                    class="!cursor-not-allowed slide_c pop_btns btn_hov align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs  bg-gradient-to-tr from-gray-900 to-gray-800 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 active:opacity-[0.85] rounded-[13px] tracking-widest"
                    type="button" style="padding: 10px 1rem;display:none">
                    Request for more information
                </button>

            </div>
            <div class="flex items-center gap-4">
                <button Onclick="Assignlits()"
                    class="btn_hov align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 bg-gradient-to-tr from-gray-900 to-gray-800 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 active:opacity-[0.85] rounded-[13px] tracking-widest"
                    type="button" onclick="actlist()" style="padding: 10px 1rem;display:none">
                    Assign
                </button>
                <svg class="Icon CloseIcon cursor-pointer" viewBox="0 0 32 32" Onclick="close_side_menu()"
                    aria-hidden="true" focusable="false" height="20px" width="20px">
                    <path
                        d="M2,14.5h18.4l-7.4-7.4c-0.6-0.6-0.6-1.5,0-2.1c0.6-0.6,1.5-0.6,2.1,0l10,10c0.6,0.6,0.6,1.5,0,2.1l-10,10c-0.3,0.3-0.7,0.4-1.1,0.4c-0.4,0-0.8-0.1-1.1-0.4c-0.6-0.6-0.6-1.5,0-2.1l7.4-7.4H2c-0.8,0-1.5-0.7-1.5-1.5C0.5,15.3,1.2,14.5,2,14.5z M28,3.5C28,2.7,28.7,2,29.5,2S31,2.7,31,3.5v25c0,0.8-0.7,1.5-1.5,1.5S28,29.3,28,28.5V3.5z"
                        fill="#000"></path>
                </svg>
            </div>
        </div>
        <div id="click_bg">
            <div class="py-4  grid grid-cols-[3fr_1fr]  align-center justify-between">
                <div>
                    <h2 id="sub-name" class="capitalize text-xl font-medium px-4" style="word-wrap: anywhere;"></h2>
                </div>
                <div>
                    <div class="flex justify-end pr-[2px]">
                        <button id="row-idfvbvff-ste" data-clipboard-text="<span id='row-id-ste'></span>"
                            class="slide_c pop_btns btn_hov btn align-middle select-none font-sans font-bold text-center transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs rounded-full bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none flex items-center gap-x-3 px-4 py-2.5 lowercase"
                            type="button" style="padding: 5px 1rem;">
                            <p
                                class="slide_c pop_btns block pr-3 font-sans text-sm antialiased font-normal leading-normal border-r text-inherit border-gray-400/50">
                                Ticket #: <span id='row-id-ste'></span></p>
                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                                stroke="currentColor" aria-hidden="true"
                                class="slide_c pop_btns w-4 h-4 text-white hov_svg">
                                <path stroke-linecap="round" stroke-linejoin="round"
                                    d="M15.75 17.25v3.375c0 .621-.504 1.125-1.125 1.125h-9.75a1.125 1.125 0 01-1.125-1.125V7.875c0-.621.504-1.125 1.125-1.125H6.75a9.06 9.06 0 011.5.124m7.5 10.376h3.375c.621 0 1.125-.504 1.125-1.125V11.25c0-4.46-3.243-8.161-7.5-8.876a9.06 9.06 0 00-1.5-.124H9.375c-.621 0-1.125.504-1.125 1.125v3.5m7.5 10.375H9.375a1.125 1.125 0 01-1.125-1.125v-9.25m12 6.625v-1.875a3.375 3.375 0 00-3.375-3.375h-1.5a1.125 1.125 0 01-1.125-1.125v-1.5a3.375 3.375 0 00-3.375-3.375H9.75">
                                </path>
                            </svg>
                        </button>

                        <button id="copi" style="display:none"
                            class="slide_c pop_btns btn_hov btn align-middle select-none font-sans font-bold text-center transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs rounded-full bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none flex items-center gap-x-3 px-4 py-[8px] lowercase"
                            type="button" style="padding: 5px 1rem;">
                            <span>Copied!</span>
                        </button>

                        <script>
                        const copyDiv = document.getElementById('row-idfvbvff-ste');
                        const originalContent = copyDiv.innerHTML;
                        copyDiv.addEventListener('click', function() {
                            $('#row-idfvbvff-ste').hide();
                            $('#copi').show();
                            setTimeout(function() {
                                $('#row-idfvbvff-ste').show();
                                $('#copi').hide();
                            }, 1000);
                        });
                        </script>
                    </div>
                </div>
            </div>
            <script src="https://cdn.jsdelivr.net/npm/clipboard@2.0.11/dist/clipboard.min.js"></script>

            <script>
            let clipboard = new ClipboardJS('.btn');

            function actlist() {
                $('#flag_input').val('');
$('#flag_input1').val('');
$('#flag_input11').val('');
$('#flag_input111').val('');
                $('#popover-bottom-start').toggle();
                document.getElementById('click_bg').classList.toggle('click_bg');
            }

            document.body.addEventListener('click', function(event) {
                if (!event.target.closest('#actlist')) {
                    $('#popover-bottom-start').hide()
                    document.getElementById('click_bg').classList.remove('click_bg');
                }
               
                if (!event.target.closest('.tttt')) {
        $('#bg_blur').css('display', 'none');  
                     
                }
        

                if (!event.target.closest('.pop_btns')) {
                    popup_tirgger_close();
                }

                if (!event.target.closest('.slide_c')) {
                    close_side_menu();
                    document.getElementById('click_bg').classList.remove('click_bg');
                }
            });
            </script>
            <div class="px-6">
                <hr>
            </div>
            <br>

            <div class="px-6 grid gap-[10px]">
                <div class="grid grid-cols-[1fr_10px_3fr]">
                    <div class="text-sm text-gray-500 capitalize ">Email-ID</div>
                    :&nbsp;&nbsp;<div id="msg-name" class="font-base text-sm"></div>
                </div>
                <div class="grid grid-cols-[1fr_10px_3fr]">
                    <div class="text-sm text-gray-500 capitalize ">Assignee</div>
                    :&nbsp;&nbsp;<div id="mag-assign_" class=" flex items-center gap-3 font-base text-sm"
                        style="display:none"></div>



                    <div class="relative w-fit flex gap-2">
                        <input type="hidden" id="assignee_id" name="assignee_id" value="">
                        <div class="flex gap-2 items-center">
                            <div id="two_char"
                                class="p-[5px] bg-[#ffe300] w-[30px] h-[30px] grid rounded-full font-medium"
                                style="place-items: center;font-size: 12px;">!
                            </div>
                            <div id="textbox_"
                                class="flex gap-2 items-center rounded-md bg-transparent cursor-pointer text-left text-sm">
                                No Assignee</div>
                        </div>
                        <div id="dropdown_" class="dropdown_ mt-1 cursor-pointer overflow-hidden rounded-[10px]">
                            <?php $__currentLoopData = $stafflist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="dropdown-item_ flex gap-2 p-2 text-left text-gray-700 border-[#ffe000] hover:border-l-4"
                                onclick="setOption(this, '<?php echo e($item->uid); ?>', '<?php echo e($item->name); ?>', '<?php echo e(substr($item->name, 0, 2)); ?>')">
                                <span style="background-color: #ffe500;padding: 4px;border-radius: 25px;color: black;"
                                    class="w-8 h-8 flex items-center justify-center text-[12px] ">
                                    <?php echo e(substr($item->name, 0, 2)); ?>

                                </span>
                                <?php echo e($item->name); ?>

                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <input type="hidden" id="rowids">
                    </div>

                    <script>
                    const two_char = document.getElementById('two_char');
                    const textbox = document.getElementById('textbox_');
                    const dropdown = document.getElementById('dropdown_');
                    const assigneeIdInput = document.getElementById('assignee_id'); // Hidden input to store assignee ID

                    // Toggle dropdown visibility on textbox click
                    textbox.addEventListener('click', () => {
                        dropdown.style.display = dropdown.style.display === 'block' ? 'none' : 'block';
                    });

                    // Set the selected option in the textbox and store the ID in the hidden input
                    function setOption(option, id, name, two) {

                        two_char.innerHTML = two; // Display the assignee's name in the textbox
                        textbox.innerHTML = name; // Display the assignee's name in the textbox
                        assigneeIdInput.value = id; // Store the assignee's ID in the hidden input
                        dropdown.style.display = 'none';
                        storeAssignee(id);
                    }

                    function storeAssignee(assigneeId) {
                        const rowid = $('#rowids').val();
                        const data = new FormData();
                        data.append('assignee_id', assigneeId);
                        data.append('rowid', rowid);

                        fetch('/storeAssignee', {
                                method: 'POST',
                                body: data,
                                headers: {
                                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute(
                                        'content') // CSRF token for security
                                }
                            })
                            .then(response => response.json())
                            .then(data => {
                                if (data.success) {
                                    console.log('Assignee updated successfully!');
                                    // Optionally, show a success message or update the UI
                                } else {
                                    console.error('Failed to update assignee:', data.message);
                                }
                            })
                            .catch(error => {
                                console.error('Error:', error);
                            });
                    }

                    window.addEventListener('click', (e) => {
                        if (!textbox.contains(e.target) && !dropdown.contains(e.target)) {
                            dropdown.style.display = 'none';
                        }
                    });
                    </script>

                </div>
                <div class="grid grid-cols-[1fr_10px_3fr]">
                    <div class="text-sm text-gray-500 capitalize ">Due date</div>
                    :&nbsp;&nbsp;<div id="msg-due" class=" flex items-center gap-3 font-base text-sm"></div>

                    <script>
                    function duudate_onkeyup(duudate) {
                        const rowid1 = $('#rowids1').val();
                        const data2 = new FormData();
                        data2.append('duudate', duudate);
                        data2.append('rowid1', rowid1);

                        fetch('/storeAssignee3', {
                                method: 'POST',
                                body: data2,
                                headers: {
                                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute(
                                        'content')
                                }
                            })
                            .then(response => response.json())
                            .then(data => {
                                if (data.success) {
                                    console.log('Assignee updated successfully!');
                                } else {
                                    console.error('Failed to update assignee:', data.message);
                                }
                            })
                            .catch(error => {
                                console.error('Error:', error);
                            });
                    }
                    </script>

                </div>
                <div class="grid grid-cols-[1fr_10px_3fr]">
                    <div class="text-sm text-gray-500 capitalize ">Status</div>
                    :&nbsp;&nbsp;<div id="msg-stauts" class=" flex items-center gap-2 font-base text-sm"></div>
                </div>
                <div class="grid grid-cols-[1fr_10px_3fr]">
                    <div class="text-sm text-gray-500 capitalize ">Priority</div>
                    :&nbsp;&nbsp;

                    <div class="relative w-fit flex gap-2">
                        <input type="hidden" id="assignee_id" name="assignee_id1" value="">

                        <div id="textbox_1"
                            class="flex gap-2 items-center rounded-md bg-transparent cursor-pointer text-left font-base text-sm">
                            N/A
                        </div>
                        <div id="dropdown_1" class="dropdown_ mt-1 cursor-pointer overflow-hidden rounded-[10px]">
                            <div class="dropdown-item_ p-2 text-left text-gray-700 border-[#ffe000] hover:border-l-4"
                                onclick="setOption1('Very High')">
                                P1 (Very High)
                            </div>
                            <div class="dropdown-item_ p-2 text-left text-gray-700 border-[#ffe000] hover:border-l-4"
                                onclick="setOption1('High')">P2 (High)
                            </div>
                            <div class="dropdown-item_ p-2 text-left text-gray-700 border-[#ffe000] hover:border-l-4"
                                onclick="setOption1('Moderate')">P3 (Moderate)
                            </div>
                            <div class="dropdown-item_ p-2 text-left text-gray-700 border-[#ffe000] hover:border-l-4"
                                onclick="setOption1('Easy')">P4 (Easy)
                            </div>
                        </div>

                        <input type="hidden" id="rowids1">
                    </div>

                    <script>
                    const textbox1 = document.getElementById('textbox_1');
                    const dropdown1 = document.getElementById('dropdown_1');

                    textbox1.addEventListener('click', () => {
                        dropdown1.style.display = dropdown1.style.display === 'block' ? 'none' : 'block';
                    });

                    function setOption1(priority_type) {
                        textbox1.innerHTML = priority_type;
                        dropdown1.style.display = 'none';
                        storeAssignee1(priority_type);
                    }

                    function storeAssignee1(priority_type) {
                        const rowid1 = $('#rowids1').val();
                        const data1 = new FormData();
                        data1.append('priority_type', priority_type);
                        data1.append('rowid1', rowid1);

                        fetch('/storeAssignee1', {
                                method: 'POST',
                                body: data1,
                                headers: {
                                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute(
                                        'content')
                                }
                            })
                            .then(response => response.json())
                            .then(data => {
                                if (data.success) {
                                    console.log('Assignee updated successfully!');
                                    // Optionally, show a success message or update the UI
                                } else {
                                    console.error('Failed to update assignee:', data.message);
                                }
                            })
                            .catch(error => {
                                console.error('Error:', error);
                            });
                    }

                    window.addEventListener('click', (e) => {
                        if (!textbox1.contains(e.target) && !dropdown1.contains(e.target)) {
                            dropdown1.style.display = 'none';
                        }
                    });
                    </script>

                </div>
                <div class="w-full py-2">
                    <div class="text-sm text-gray-500 capitalize">Description</div>
                    <div id="msg-body" class=" w-full py-2 font-base text-sm">
                        <div class=" w-full rounded-lg font-base text-sm"></div>
                    </div>
                </div>
            </div>

            <div class="p-4">
                <hr>
            </div>

            <div class="px-6 py-1">
                <h2 class="font-semibold text-lg">Smart Hub Intelligence</h2>
            </div>

            <div class="px-6 grid py-4 lg:grid-cols-[1fr_1fr] gap-2" style="font-size: 13px;line-height: 25px;">
                <div class="bg-white-500  shadow-[0_0_10px_#bbb] grid rounded-lg h-fit">
                    <ul id="mailpos" class="list-disc px-8 py-4">
                      
                    </ul>
                </div>
                <div class="bg-white-500 shadow-[0_0_10px_#bbb] grid rounded-lg h-fit">
                    <ul id="mailneg" class="list-disc px-8 py-4">
                       
                    </ul>
                </div>
            </div>

            <div class="px-5 space-y-1 sticky top-[68px] bg-white p-[10px] z-10">
                <h5 class="text-sm text-gray-500 w-1/4">Internal Thread</h5>
                <div class="w-full pb-4">
                    <form id="myForm" onsubmit="handleKeyPress(event)">
                        <div class=" w-full min-w-[250px] space-y-1">
                            <div id="main-over" class="relative h-full w-full">
                                <div contentEditable id="mytextarea" title="Type here..."
                                class="peer h-full w-full min-h-20 rounded-[7px] resize-none !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50"
                                placeholder="Type here..." onkeyup="textSuggestion(event)"></div>
                                <?php 
                                    $res_ = DB::table('comm_staffs')->select('name', 'uid')->get(); 
                                ?>
                                <ol id="suggestions" class="absolute bg-white shadow-md p-4 border rounded-md z-[999] space-y-3 max-h-[200px] overflow-y-auto" style="display: none;">
                                    <?php $__currentLoopData = $res_; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="flex items-center gap-1 cursor-pointer" onclick="selectSuggestion('<?php echo e($item->name); ?>')">
                                            <div class="h-8 w-8 rounded-full text-white text-xs bg-gray-600 p-2 grid place-items-center"><?php echo e(substr($item->name, 0, 2)); ?></div>
                                            <span class="text-sm font-medium"><?php echo e($item->name); ?></span>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ol>
                                <script>
                                    const mainOver = document.getElementById('main-over');
                                    function textSuggestion(event) {
                                        const selection = window.getSelection();
                                        const range = selection.getRangeAt(0);
                                        const cursorPos = range.startOffset; 
                                        const value = event.target.innerText;
                                        if(value[cursorPos - 1] === "@") {
                                            const rect = range.getBoundingClientRect();
                                            const containerRect = mainOver.getBoundingClientRect();
                                            const x = rect.left - containerRect.left + mainOver.scrollLeft;
                                            const y = rect.bottom - containerRect.top + mainOver.scrollTop;
                                            const suggestions = document.getElementById('suggestions');
                                            suggestions.style.left = `${x}px`;
                                            suggestions.style.top = `${y}px`;
                                            suggestions.style.display = "block";
                                        } else {
                                            document.getElementById('suggestions').style.display = "none";
                                        }
                                    }
                                    function selectSuggestion(name) {
                                        let text = document.getElementById('mytextarea').innerText.slice(0, -2);
                                        document.getElementById('mytextarea').innerHTML = text + " @"+name.toString();
                                        document.getElementById('suggestions').style.display = "none";
                                    }                                    
                                </script>
                            </div>

                            <div id="dropdown" style="overflow-y: scroll;max-height: 121px;border-radius: 20px;"
                                class="dropdown"></div>

                            <button
                                class="relative grid select-none items-center whitespace-nowrap rounded-lg bg-gray-900 py-1.5 px-3 font-sans text-xs font-bold uppercase text-white"
                                type="submit">
                                Submit
                            </button>
                        </div>
                    </form>
                </div>
            </div>

            <br>
            <div class="p-4 bg-gray-100">
                <p class="py-2 ">Comments</p>
                <hr>
                <div class="commentry-list py-3 space-y-3" id="comments_div"></div>
            </div>
            <script>
            function formatDate(dateString) {
                const inputDate = new Date(dateString);
                const today = new Date();
                const yesterday = new Date();
                yesterday.setDate(today.getDate() - 1);

                if (inputDate.toDateString() === today.toDateString()) {
                    return "Today";
                }
                if (inputDate.toDateString() === yesterday.toDateString()) {
                    return "Yesterday";
                }

                return inputDate.toLocaleString('en-US', {
                    month: 'short',
                    day: '2-digit'
                });
            }

            function formatDate1(dateString) {
                const inputDate = new Date(dateString);

                // Return formatted date as 'DD MMM YYYY'
                return inputDate.toLocaleString('en-GB', {
                    day: '2-digit', // Two-digit day (e.g. 20)
                    month: 'short', // Abbreviated month (e.g. Nov)
                    year: 'numeric', // Full year (e.g. 2024)
                    hour: '2-digit',
                    minute: '2-digit',
                    second: '2-digit',
                    hour12: false
                });
            }

            const handleKeyPress = async (e) => {
                e.preventDefault();
                try {
                    let text = $('#mytextarea1').text() != '' ? $('#mytextarea1').text() : $('#mytextarea').text();
                    const matches = text.match(/@(\w+)/);
                    var data = {
                        "ref": "In-Thread",
                        "ticketid": $("#row-id-ste").html().trim(),
                        "userid": '<?= Auth::guard('staff')->user()->uid ?>',
                        "profile": '<?= Auth::guard('staff')->user()->image ?>',
                        "comment": $('#mytextarea1').text() != '' ? $('#mytextarea1').text() : $(
                            '#mytextarea').text(),
                        "name": '<?= Auth::guard('staff')->user()->name ?>'
                    };
                    const formBody = new URLSearchParams(data).toString();
                    const response = await fetch("<?php echo e(route('internalthread')); ?>", {
                        method: 'POST',
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
                            'Content-Type': 'application/x-www-form-urlencoded',
                        },
                        body: formBody,
                    });

                    if (response.ok) {
                        const result = await response.json();
                        $('#mytextarea').text('')
                        $('#mytextarea1').text('')
                        $('#comments_div').empty();
                        result.list.forEach((m, i) => {
                            const formattedDate = formatDate(m.datetime);
                            $('#comments_div').append(`
                                    <div class="grid grid-cols-12 gap-2">
                                        <img src="https://smarthub.rn-test.com/images/rn-logo-white.svg" alt="profile" class="h-8 w-8 rounded-full justify-self-end bg-black">   
                                        <div class="col-span-11">
                                            <div class="relative cursor-pointer hov_date_div flex gap-1"><h4 class="text-sm font-medium">${m.name}</h4><span class="text-[10px] font-medium bg-[#d1d1d157] py-[2px] px-[5px] rounded-[12px] text-[#0000008a]">${formattedDate}</span>
                                            <span  class="hov_date absolute bg-[#fff] top-[-40px] left-[40px] border rounded-[10px] px-[10px] py-[3px]">${formatDate1(m.datetime)}</span>
                                            </div>
                                            <p class="text-xs p-2">${m.message.replace(/@(\w+)/g, '<b>@$1</b>')}</p>
                                        </div>    
                                    </div>
                                `);
                            $('#spdjgsgrsr').append(`
                                    <div class="grid grid-cols-12 gap-2">
                                        <img src="https://smarthub.rn-test.com/images/rn-logo-white.svg" alt="profile" class="h-8 w-8 rounded-full justify-self-end bg-black">   
                                        <div class="col-span-11">
                                            <div class="relative cursor-pointer hov_date_div flex gap-1"><h4 class="text-sm font-medium">${m.name}</h4><span class="text-[10px] font-medium bg-[#d1d1d157] py-[2px] px-[5px] rounded-[12px] text-[#0000008a]">${formattedDate}</span>
                                             <span class="hov_date absolute bg-[#fff] top-[-40px] left-[40px] border rounded-[10px] px-[10px] py-[3px]">${formatDate1(m.datetime)}</span>
                                            </div>
                                            <p class="text-xs p-2">${m.message.replace(/@(\w+)/g, '<b>@$1</b>')}</p>
                                        </div>    
                                    </div>
                                `);
                        });
                        
                        var row_ids = $("#row-id-ste").html().trim();
                        if (matches) {
                            const mention = matches[0];
                            $.ajax({
                                type: 'POST',
                                url: "<?php echo e(route('getnotify')); ?>",
                                headers: {
                                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
                                },
                                data: {
                                    'ref': 'prime',
                                    'tickid': row_ids,
                                    'sentuser': '<?= Auth::guard('staff')->user()->uid ?>',
                                    'revuser': mention,
                                    'message': text,
                                    'hash': `/allmail?id=${row_ids}`
                                }
                            });
                        } else {
                            console.log("No mention found.");
                        }
                    } else {
                        console.error('Error:', response.status, response.statusText);
                    }
                } catch (error) {
                    console.error('Error:', error.message);
                }
            }
            </script>
        </div>
    </div>
</div>

<div id="popover-right"
    class="pop_btns absolute hidden right-24 w-[500px] max-h-[25rem] overflow-y-auto top-[11.25rem] z-10 p-0 font-sans text-sm font-normal break-words whitespace-normal bg-white border rounded-lg shadow-lg w-max border-blue-gray-50 text-blue-gray-500 shadow-blue-gray-500/10 focus:outline-none">
    <div class="w-full py-2 px-4 flex justify-between cursor-pointer bg-[#000] text-[#fff] t-0 sticky"
        onclick="popup_tirgger_close()">
        <span class="text-xl font-medium">
            Commentsa
        </span>
        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-x-lg"
            viewBox="0 0 16 16">
            <path
                d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8z" />
        </svg>
    </div>
    <ul class="py-2 px-4 space-y-1 h-[150px] overflow-auto" style="scrollbar-width: none;"></ul>
    <form id="myForm" class="py-2 px-4 space-y-2" onsubmit="handleKeyPress(event)">
        <textarea name="" id="mytextarea1" required class=" " cols="30" rows="5"></textarea>
        <div id="dropdown1" style="overflow-y: scroll;max-height: 121px;border-radius: 20px;" class="dropdown"></div>
        <button
            class="relative grid select-none items-center whitespace-nowrap rounded-lg bg-gray-900 py-1.5 px-3 font-sans text-xs font-bold uppercase text-white"
            type="submit">SUBMIT</button>
    </form>
</div>

<div id="popup_tirgger" style="display:none;z-index: 999;">
    <div class="popup_div pop_btns" id="insta_action_pop_div" style="display:none">
        <div class="pop_head px-4 py-2 bg-[#000] flex gap-2 justify-between text-[#fff] items-center">
            <div class="text-xl font-medium">
                Instant Action
            </div>
            <div class="cursor-pointer">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                    class="bi bi-x-circle-fill" viewBox="0 0 16 16" onclick="popup_tirgger_close()">
                    <path
                        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z" />
                </svg>
            </div>
        </div>
        <div class="pop_body p-4 ">
            <div class="text-lg">
                Do you want to <span id="insta_act_name"></span> for the user id <span id="insta_act_uid"></span>
            </div>
            <div id="addflagcomm" class="grid text-lg px-0 py-1 gap-2" style="display:none">
                <label class="flag_input" for="flag_input">Flag</label>
                <!-- <input type="text" id="flag_input" class="border rounded-[10px] px-2 py-1" placeholder="Choose Flag"
                    required> -->
                   
                    <select id="flag_input" class="border rounded-[10px] px-2 py-1" required>
    <option value="" disabled selected>Choose Flag</option>
    <option value="Approved">Approved</option>
    <option value="Blacklisted">Blacklisted</option>
    <option value="FraudStrike">FraudStrike</option>
    <option value="fraud_streaming">fraud_streaming</option>

    <option value="korean_account">korean_account</option>
    <option value="payment">payment</option>
    <option value="Priority">Priority</option>
    <option value="publishing">publishing</option>
    <option value="star_artist">star_artist</option>
    <option value="support_note">support_note</option>
    <option value="Suspicious">Suspicious</option>
    <option value="Test from slack">Test from slack</option>
    <option value="Warning">Warning</option>
    <option value="xpress">xpress</option>
    <option value="yt_network_abuse">yt_network_abuse</option>
</select>

                <label for="flag_input">Comment</label>
                <input type="text" id="flag_input1" class="border rounded-[10px] px-2 py-1" placeholder="Enter Comment"
                    required>
            </div>
        </div>
        <div class="pop_bottom p-2 flex gap-2 justify-end border-t border-0">
            <input type="hidden" id="insta_act_id">
            <button id="inst_id"
                class="tttt pop_ok_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl "
                onclick="actiondone()">
                Submit
            </button>
            <button onclick="popup_tirgger_close()"
                class="pop_close_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl ">
                Close
            </button>
        </div>
</div>



<div class="catg_popup" id="uxupdate_legentsdfvs22222222" style="display:none;">
    <div style="width: 30%;" tabindex="-1" role="dialog" id="uxupdate_inside_legent4422222222"
        class="slide_c pop_btns bg-white rounded-[10px] overflow-hidden" aria-describedby="myPopup"
        aria-labelledby="ui-id-1">
        <div class="flex bg-black text-white p-2 flex justify-between">
            <span id="ui-id-1" class="">INFO</span>

            <div class="cursor-pointer slide_c pop_btns">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                    class="bi bi-x-circle-fill" viewBox="0 0 16 16" onclick="createotlddd()">
                    <path
                        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z">
                    </path>
                </svg>
            </div>

        </div>
        <div id="myPopup" class="p-4">
            <span>
                Since this Customer has Black flag(Blacklist).We're unable to process the OTL link to the customer.
            </span>
        </div>
        <div class="">
            <div class="flex p-2 justify-end">
                <button type="button" id="okJihcvhj2"
                    class="slide_c pop_btns pop_ok_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl "
                    Onclick="createotlddd()">Ok</button>
            </div>
        </div>
        <div class="ui-resizable-handle ui-resizable-n" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-e" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-s" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-w" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-se ui-icon ui-icon-gripsmall-diagonal-se" style="z-index: 90;">
        </div>
        <div class="ui-resizable-handle ui-resizable-sw" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-ne" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-nw" style="z-index: 90;"></div>
    </div>
</div>



    <script>
    // function action_click(aaa) {
    //     const rowid1 = $('#inst_id').val();
    //     const data3 = new FormData();
    //     data3.append('rowid1', rowid1);
    //     data3.append('flag', $('#flag_input').val());
    //     data3.append('comment', $('#flag_input1').val())

    //     fetch('/Actionpopup', {
    //             method: 'POST',
    //             body: data3,
    //             headers: {
    //                 'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute(
    //                     'content')
    //             }
    //         })
    //         .then(response => response.json())
    //         .then(data => {
    //             if (data.success) {


    //                 document.getElementById('popup_tirgger').classList.remove('popup_tirgger');
    //                 $('#popup_tirgger').hide();
    //                 $('.popup_div').hide();
    //                 $('#popover-right').hide();
    //                 alert('Instant Action done successfully!');
    //                 location.reload();

    //             } else {
    //                 console.error('Failed to update assignee:', data.message);
    //             }
    //         })
    //         .catch(error => {
    //             console.error('Error:', error);
    //         });
    //}
    </script>


    <div class="popup_div pop_btns" id="schedule_pop_div" style="display:none;width: auto !important;">
        <div class="pop_head px-4 py-2 bg-[#000] flex gap-2 justify-between text-[#fff] items-center">
            <div class="text-xl font-medium">
                Schedule
            </div>
            <div class="cursor-pointer">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                    class="bi bi-x-circle-fill" viewBox="0 0 16 16" onclick="popup_tirgger_close()">
                    <path
                        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z" />
                </svg>
            </div>
        </div>
        <div class="pop_body p-4">

            <input type="hidden" id="schedule_hid_id">
            <div class="text-lg flex gap-2 sch_hid">
                Do you want to <span id="schedulename"></span> for the user id <span id="schedule_id"></span>
            </div>

            <div class="text-zinc-400 mt-3 sch_hid">
                Schedule
            </div>

            <div class="grid gap-2">
                <div class="relative w-max">
                    <label for="date-Schedule" id="sch_label" class="block text-sm font-medium text-gray-700">Select
                        Date</label>
                    <input type="datetime-local" id="smart_schedule" name="date-Schedule" value=""
                        class="block w-full px-4 py-0 mt-2 text-lg rounded-lg border-2 border-black-300 focus:outline-none focus:ring-0 focus:ring-black-500 focus:border-black-500 transition duration-300" />
                </div>
            </div>




        </div>
        <div class="pop_bottom p-2 flex gap-2 justify-end border-t border-0">
            <button id="sch_ok"
                class="pop_ok_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl "
                onclick="schduledone()">
                Submit
            </button>
            <button onclick="popup_tirgger_close()"
                class="pop_close_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl ">
                Close
            </button>
        </div>
    </div>
    <script>
    function schduledone() {
        const rowid1 = $('#rowids').val();
        const smart_schedule = $('#smart_schedule').val();

        const data2 = new FormData();
        data2.append('date', smart_schedule);
        data2.append('rowid1', rowid1);



        fetch('/Schedule', {
                method: 'POST',
                body: data2,
                headers: {
                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute(
                        'content')
                }
            })
            .then(response => response.json())
            .then(data => {
                if (data.success) {
                    $('#popup_tirgger').hide();
                    $('#schedule_pop_div').hide();

                 
        $('#bg_blur').css('display', 'grid'); 
      
$('#textemaildone1').css('display','none');
$('#textemaildone').css('display','none');
$('#textemaildone2').css('display','block');
                   
                    
                } else {
                    console.error('Failed to update assignee:', data.message);
                }
            })
            .catch(error => {
                console.error('Error:', error);
            });
    }
    </script>

    <div class="popup_div pop_btns" id="action_pop_div" style="display:none">
        <div class="pop_head px-4 py-2 bg-[#000] flex gap-2 justify-between text-[#fff] items-center">
            <div class="text-xl font-medium">
                Action
            </div>
            <div class="cursor-pointer slide_c pop_btns">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                    class="bi bi-x-circle-fill" viewBox="0 0 16 16" onclick="popup_tirgger_close()">
                    <path
                        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z" />
                </svg>
            </div>
        </div>
        <div class="pop_body p-4">
            <div class="text-lg">
                Do you want to <span id="ac_name_span"></span> for the user id <span id="insta_act_uid1"></span>
            </div>
            <input type="hidden" id="ac_name_id">
            <div id="addflagcomm1" class="grid text-lg px-0 py-1 gap-2" style="display:none">
                <label class="flag_input1" for="flag_input">Flag</label>
                <!-- <input type="text" id="flag_input11" class="border rounded-[10px] px-2 py-1" placeholder="Choose Flag"
                    required> -->
                           
                    <select id="flag_input11" class="border rounded-[10px] px-2 py-1" required>
    <option value="" disabled selected>Choose Flag</option>
    <option value="Approved">Approved</option>
    <option value="Blacklisted">Blacklisted</option>
    <option value="FraudStrike">FraudStrike</option>
    <option value="fraud_streaming">fraud_streaming</option>

    <option value="korean_account">korean_account</option>
    <option value="payment">payment</option>
    <option value="Priority">Priority</option>
    <option value="publishing">publishing</option>
    <option value="star_artist">star_artist</option>
    <option value="support_note">support_note</option>
    <option value="Suspicious">Suspicious</option>
    <option value="Test from slack">Test from slack</option>
    <option value="Warning">Warning</option>
    <option value="xpress">xpress</option>
    <option value="yt_network_abuse">yt_network_abuse</option>
</select>
                <label for="flag_input">Comment</label>
                <input type="text" id="flag_input111" class="border rounded-[10px] px-2 py-1" placeholder="Enter Comment"
                    required>
            </div>
        </div>
        <div class="pop_bottom p-2 flex gap-2 justify-end border-t border-0">

            <button onclick="actiondone()"
                class="tttt slide_c pop_btns pop_ok_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl ">
                Submit
            </button>
            <button onclick="popup_tirgger_close()"
                class="slide_c pop_btns pop_close_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl ">
                Close
            </button>
        </div>
    </div>





    <div class="popup_div pop_btns slide_c" id="req_confirm_form" style="display:none">
        <div class="pop_head px-4 py-2 bg-[#000] flex gap-2 justify-between text-[#fff] items-center">
            <div class="text-xl font-medium">
                Request Confirmation
            </div>
            <div class="cursor-pointer slide_c pop_btns">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                    class="bi bi-x-circle-fill" viewBox="0 0 16 16" onclick="popup_tirgger_close()">
                    <path
                        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z" />
                </svg>
            </div>
        </div>
        <div class="pop_body p-4">

            <div class="grid text-lg px-0 py-1 gap-2">
                <label for="mail_form">To</label>
                <input type="text" name="mail_form" id="msg-name2" class="border rounded-[10px]  px-2 py-1">
            </div>

            <div class="grid text-lg px-0 py-1 gap-2">
                <label for="mail_form">Subject</label>
                <input type="text" name="mail_form" id="sub-name2" class="border rounded-[10px]  px-2 py-1">
            </div>

            <div class="grid text-lg px-0 py-1 gap-2">
                <label for="textarea">Message</label>
                <div id="editorrequest" contenteditable="true"
                    style="height: max-content;width: 100%;border: 1px solid #ddd;padding: 10px;border-radius: 5px;">
                    <td valign="top" class="textContent">
            <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong id="dearname">&#44;</strong></h3><br>
            <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;">
            
            <br>
        <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
        <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
        </p></div>
        </td>
</div>
            </div>

        </div>
        <div class="pop_bottom p-2 flex gap-2 justify-end border-t border-0">

            <button onclick="requestdone()"
                class="slide_c pop_btns pop_ok_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl ">
                Send
            </button>
            <button onclick="popup_tirgger_close()"
                class="slide_c pop_btns pop_close_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl ">
                Cancel
            </button>
        </div>
    </div>


    <div tabindex="-1" role="dialog" id="uxupdate_inside_action_alllist"
        class="popup_click bg-[#fff] rounded-[10px] overflow-hidden" aria-describedby="myPopup"
        style="width: 50%; display: none; left: 296px;">
        <div class="flex justify-between p-2 bg-black text-white">
            <span id="ui-id-1" class="font-medium text-xl">Email confirmation</span>
            <span class=" " onclick="OTL_close()">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                    class="cursor-pointer bi bi-x-circle-fill" viewBox="0 0 16 16">
                    <path
                        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z">
                    </path>
                </svg>
            </span>
        </div>
        <div id="myPopup" class="p-4" style="">
            <div id="list_body" style="display: flex;align-items: center;gap: 1rem;margin: 12px 0;">
                <span style="width: 5%;">To</span>:
                <span id="toaddr_id_otl"></span>
            </div>

            <div id="list_body2" class="list-body-list" style="display: flex;">
                <span>Body</span>:
                <div style="height: 295px;width: 100%;">

                    <div id="editor" contenteditable="true"
                        style="height: 245px;width: 100%;border: 1px solid #ddd;padding: 10px;border-radius: 5px;">
                        <p>
                            We Received a support Request from the following Email address <br></p>
                        <p>
                            Email address : <b id="sdfsdfs"></b><br></p>
                        <p>
                            Also, your RN User Id (<b id="hjdafkdf"></b>) is mentioned in the body of the email.
                            <br>
                        </p>
                        <p id="jhnojzdsvo">
                            Can you please <a id="aaaffswsew" target="_blank"
                                style="color: blue; text-decoration: underline;"
                                href="/userconfirm.php?id=<div id='dvsfvsfv'></div>&list=otl">CLICK HERE</a> to
                            confirm your email and proceed the action <b id="actton_listss"></b>
                        </p>
                        <p style="color:#9c9c85">PS : The aforementioned OTL Link is active for the next 24 hours
                            only.</p>
                    </div>
                </div>

                <!-- <div style="height: 278px;width: 100%;"><textarea name="textediton" id="textediton" cols="30" rows="10" style="height: 278px;width:100%;"></textarea></div> -->
            </div>
        </div>
        <div class=" ">
            <div class="flex gap-2 justify-end p-2">
                <button type="button" id="load-rdc-dsfv" class="px-4 py-2 bg-black text-white rounded-[10px]"
                    style="display:none;">
                    <div class="load-l-idv"></div>Loading..
                </button>
                <button type="button" style="background-color: black;
    width: max-content;" class="popup_div pop_btns  px-4 py-[5px] bg-black text-white  rounded-[10px]"
                    id="some-sell-sent-list" onclick="ok_otl1()">Send</button>
                <button type="button" id="smai-rdc-dsfv" class="px-4 py-[5px] bg-black text-white  rounded-[10px]"
                    onclick="OTL_close()">Cancel</button>
            </div>
        </div>
        <div class="ui-resizable-handle ui-resizable-n" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-e" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-s" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-w" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-se ui-icon ui-icon-gripsmall-diagonal-se" style="z-index: 90;">
        </div>
        <div class="ui-resizable-handle ui-resizable-sw" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-ne" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-nw" style="z-index: 90;"></div>
    </div>

    <div tabindex="-1" role="dialog" id="uxupdate_inside_action_alllist22"
        class="popup_click bg-[#fff] rounded-[10px] overflow-hidden" aria-describedby="myPopup"
        style="width: 25%; display: none; left: 296px;">
        <div class="flex justify-between p-2 bg-black text-white">
            <span id="ui-id-1" class="font-medium text-xl">INFO</span>
            <span class=" " onclick="OTL_close()">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                    class="cursor-pointer bi bi-x-circle-fill" viewBox="0 0 16 16">
                    <path
                        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z">
                    </path>
                </svg>
            </span>
        </div>
        <div id="myPopup" class="p-4" style="">
            <div id="list_body" style="align-items: center;gap: 1rem;margin: 12px 0;">
                <span style="width: 5%;">Email Sent Successfully..</span>
            </div>


        </div>
        <div class=" ">
            <div class="flex gap-2 justify-end p-2">

                <button type="button" id="smai-rdc-dsfv" class="px-4 py-[5px] bg-black text-white  rounded-[10px]"
                    onclick="OTL_close()">Close</button>
            </div>
        </div>
        <div class="ui-resizable-handle ui-resizable-n" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-e" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-s" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-w" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-se ui-icon ui-icon-gripsmall-diagonal-se" style="z-index: 90;">
        </div>
        <div class="ui-resizable-handle ui-resizable-sw" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-ne" style="z-index: 90;"></div>
        <div class="ui-resizable-handle ui-resizable-nw" style="z-index: 90;"></div>
    </div>






</div>




<script>



function requestdone() {


   
    
const rowid1 = $('#rowids').val();
const data3 = new FormData();
data3.append('rowid1', rowid1);
data3.append('subject', $('#sub-name2').val());

data3.append('to', $('#msg-name2').val());
data3.append('body', $('#editorrequest').html());


fetch('/requestdone', {
        method: 'POST',
        body: data3,
        headers: {
            'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
        }
    })
    .then(response => {
        // Check if response is ok (status code 200-299)
        if (!response.ok) {
            throw new Error('Network response was not ok');
        }
        return response.json(); // Parse the JSON from the response
    })
    .then(data => {
     
        $('#req_confirm_form').hide();
        $('#uxupdate_inside_action_alllist22').css('display','grid');

    })
    .catch(error => {
        // Handle any errors during fetch or JSON parsing
        console.error('Error:', error);
        alert('An error occurred, please try again later.');
    });


}

function ok_otl1() {

    

         

    var emailid = $('#emailid_request1').val();
    var content = $('#editor').html();

    const data3 = new FormData();
    data3.append('ref', 'mail_sent_act1');
    data3.append('body', content);
    data3.append('id', $('#rowids').val());
    data3.append('emailid', $('#sdfsdfs').text());
    fetch('/uncategorised', {
            method: 'POST',
            body: data3,
            headers: {
                'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
            }
        })
        .then(response => {
            // Check if response is ok (status code 200-299)
            if (!response.ok) {
                throw new Error('Network response was not ok');
            }
            return response.json(); // Parse the JSON from the response
        })
        .then(data => {
            $('#uxupdate_inside_action_alllist22').css('display','grid');
            $('#uxupdate_inside_action_alllist').css('display','none');

        })
        .catch(error => {
            // Handle any errors during fetch or JSON parsing
            console.error('Error:', error);
            alert('An error occurred, please try again later.');
        });



}


function popup_tirgger_close() {
    document.getElementById('popup_tirgger').classList.remove('popup_tirgger');
    $('#popup_tirgger').hide();
    $('.popup_div').hide();
    $('#popover-right').hide();
    $('#req_confirm_form').hide();

    $('#uxupdate_inside_action_alllist').hide();
    $('#uxupdate_inside_action_alllist22').hide();
}



function createotl() {

// $('#catg_popup1').css('display', 'grid');
// $('#createotl_div').css('display', 'grid');

$.ajax({

    type: "post",
    url: "<?php echo e(route('uncategorised')); ?>",
    headers: {
        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
    },
    data: {
        ref: "redcheck",
        tickid: $('#rowids').val(),
    },
    success: function(result) {



        if (result.redflag == '1') {
            $('#uxupdate_legentsdfvs22222222').css('display', 'grid');

        } else {



            if ($('#ac_name_id').val() == '1' || $('#ac_name_id').val() == '2' || $('#ac_name_id')
                .val() == '3' || $('#ac_name_id').val() == '4') {
                if ($('#ac_name_id').val() == '1') {

                    $.ajax({
                        type: "get",
                        url: "<?php echo e(route('accountclosurelink')); ?>",
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        },
                        success: function(response) {
                            $('#jhnojzdsvo1').html(
                                'Can you please <a id="aaaffswsew" target="_blank" style="color: blue; text-decoration: underline;" href=' +
                                response.link +
                                '>CLICK HERE</a> to access the Account Closures submission form and proceed.'
                            );


                        }
                    })

                } else if ($('#ac_name_id').val() == '2') {
                    $.ajax({
                        type: "get",
                        url: "<?php echo e(route('contentlink')); ?>",
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        },
                        success: function(response) {
                            $('#jhnojzdsvo1').html(
                                'Can you please <a id="aaaffswsew" target="_blank" style="color: blue; text-decoration: underline;" href=' +
                                response.link +
                                '>CLICK HERE</a>to access the Content Mapping submission form and proceed.'
                            );


                        }
                    })
                } else if ($('#ac_name_id').val() == '4') {
                    $.ajax({
                        type: "get",
                        url: "<?php echo e(route('youtubelink')); ?>",
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        },
                        success: function(response) {
                            $('#jhnojzdsvo1').html(
                                'Can you please <a id="aaaffswsew" target="_blank" style="color: blue; text-decoration: underline;" href=' +
                                response.link +
                                '>CLICK HERE</a> to access the  Youtube OAC submission form and proceed.'
                            );


                        }
                    })
                } else if ($('#ac_name_id').val() == '3') {
                    $.ajax({
                        type: "get",
                        url: "<?php echo e(route('revenuelink')); ?>",
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        },
                        success: function(response) {

                            $('#jhnojzdsvo1').html(
                                'Can you please <a id="aaaffswsew" target="_blank" style="color: blue; text-decoration: underline;" href=' +
                                response.link +
                                '>CLICK HERE</a> to access the Revenue Share submission form and proceed.'
                            )

                            // $('#jhnojzdsvo').html(
                            //     '<a id="aaaffswsew" target="_blank" style="color: blue; text-decoration: underline;" href=' +
                            //     response.link +
                            //     '>CLICK HERE</a> to access the Revenue Share submission form and proceed.');


                        }
                    })
                }
            }


            $('#catg_popup1').css('display', 'grid');
            $('#createotl_div').css('display', 'grid');
        }





    }
});


}
















function actiondone() {
    const rowid1 = $('#rowids').val();
    const data3 = new FormData();
    data3.append('rowid1', rowid1);
    data3.append('action', $('#ac_name_span').text());
    

    data3.append('flag', $('#flag_input').val());
    data3.append('comment', $('#flag_input1').val());


    data3.append('flag1', $('#flag_input11').val());
    data3.append('comment1', $('#flag_input111').val());

    $('#some-sell-sent-list').css('display','block');
    $('#schedule_pop_div').hide();
        $('#req_confirm_form').hide();
     
        

      
    if ($('#ac_name_id').val() == '1' || $('#ac_name_id').val() == '2' || $('#ac_name_id').val() == '3' || $('#ac_name_id').val() == '4') {
        if ($('#ac_name_id').val() == '1') {

            $.ajax({
                type: "get",
                url: "<?php echo e(route('accountclosurelink')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                success: function(response) {
                    $('#jhnojzdsvo').html(
                        'Can you please <a id="aaaffswsew" target="_blank" style="color: blue; text-decoration: underline;" href=' +
                        response.link +
                        '>CLICK HERE</a> to access the Account Closures submission form and proceed.');


                }
            })

        } else if ($('#ac_name_id').val() == '2') {
            $.ajax({
                type: "get",
                url: "<?php echo e(route('contentlink')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                success: function(response) {
                    $('#jhnojzdsvo').html(
                        'Can you please <a id="aaaffswsew" target="_blank" style="color: blue; text-decoration: underline;" href=' +
                        response.link +
                        '>CLICK HERE</a>to access the Content Mapping submission form and proceed.');


                }
            })
        } else if ($('#ac_name_id').val() == '4') {
            $.ajax({
                type: "get",
                url: "<?php echo e(route('youtubelink')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                success: function(response) {
                    $('#jhnojzdsvo').html(
                        'Can you please <a id="aaaffswsew" target="_blank" style="color: blue; text-decoration: underline;" href=' +
                        response.link +
                        '>CLICK HERE</a> to access the  Youtube OAC submission form and proceed.');


                }
            })
        } else if ($('#ac_name_id').val() == '3') {
            $.ajax({
                type: "get",
                url: "<?php echo e(route('revenuelink')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                success: function(response) {

                    $('#jhnojzdsvo').html(
                        'Can you please <a id="aaaffswsew" target="_blank" style="color: blue; text-decoration: underline;" href=' +
                        response.link +
                        '>CLICK HERE</a> to access the Revenue Share submission form and proceed.')

                    // $('#jhnojzdsvo').html(
                    //     '<a id="aaaffswsew" target="_blank" style="color: blue; text-decoration: underline;" href=' +
                    //     response.link +
                    //     '>CLICK HERE</a> to access the Revenue Share submission form and proceed.');


                }
            })
        }
   
        $('#uxupdate_inside_action_alllist').css('display','grid');
        $('#action_pop_div').hide();
        $('#insta_action_pop_div').hide();

    } else {

        

        fetch('/allmailnew', {
                method: 'POST',
                body: data3,
                headers: {
                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
                }
            })
            .then(response => {
                // Check if response is ok (status code 200-299)
                // if (!response.ok) {
                //     throw new Error('Network response was not ok');
                // }
                // return response.json(); // Parse the JSON from the response
                if (!response.ok) {
        return response.json().then(err => {
            // Include the HTTP status code in the error message
            throw new Error(`Error ${response.status}: ${err.status || 'An unexpected error occurred.'}`);
        });
    }
    return response.json();
            })
            .then(data => {
                console.log(data);// Handle the successful response here
                if (data.success) {
                    document.getElementById('popup_tirgger').classList.remove('popup_tirgger');

               $('#action_pop_div').hide(); $('#insta_action_pop_div').hide();
        $('#bg_blur').css('display', 'grid'); 
        
$('#textemaildone1').css('display','block');

$('#textemaildone2').css('display','none');

$('#textemaildone').css('display','none');
                    // $('#textemaildone1').css('display','block');
                    // $('#textemaildone').css('display','none');
                   // alert('Action done successfully!');
                   // location.reload();
                } else {
                    alert('Action failed: ' + data.message);
                }
            })
            .catch(error => {
                // Handle any errors during fetch or JSON parsing
                console.error('Error:', error);
                alert(error);
            });

    }
}





function ok_otl2() {

    
var emailid = $('#emailid_request1').val();
var content = $('#editor22').html();

const data3 = new FormData();
data3.append('ref', 'mail_sent_act1');
data3.append('body', content);
data3.append('id', $('#rowids').val());
data3.append('emailid', $('#msg-name22').val());

fetch('/uncategorised', {
        method: 'POST',
        body: data3,
        headers: {
            'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
        }
    })
    .then(response => {
        // Check if response is ok (status code 200-299)
        if (!response.ok) {
            throw new Error('Network response was not ok');
        }
        return response.json(); // Parse the JSON from the response
    })
    .then(data => {
        $('#catg_popup1').hide();
       

       $('#bg_blur').css('display', 'grid');  
       $('#textemaildone1').css('display','none');
$('#textemaildone').css('display','block');

    })
    .catch(error => {
        console.error('Error:', error);
        alert('An error occurred, please try again later.');
    });
}


function req_confirm_clk() {
    document.getElementById('popup_tirgger').classList.toggle('popup_tirgger');
    $('#popup_tirgger').toggle();

    $('#uxupdate_inside_action_alllist').css('display','none');

    $('#req_confirm_form').show();
}

document.getElementById('type_search').addEventListener('keyup', function() {
    let filter = this.value.toUpperCase();
    let table = document.getElementById('myTable');
    let rows = table.getElementsByTagName('tr');
    let noResults = true; // Flag to track if any results were found

    // Clear any previous "No Results" message if exists
    let noResultsRow = document.getElementById('noResultsRow');
    if (noResultsRow) {
        noResultsRow.remove(); // Remove the "No Results" row if it exists
    }

    for (let i = 1; i < rows.length; i++) {
        let cells = rows[i].getElementsByTagName('td');
        let rowMatch = false;
        for (let j = 0; j < cells.length; j++) {
            if (cells[j].textContent.toUpperCase().indexOf(filter) > -1) {
                rowMatch = true;
                break;
            }
        }
        if (rowMatch) {
            rows[i].style.display = ""; // Show the row if it matches
            noResults = false; // At least one result was found
        } else {
            rows[i].style.display = "none"; // Hide the row if it doesn't match
        }
    }

    // If no results are found, show the "No Results Found" row
    if (noResults && filter !== "") {
        let newRow = table.insertRow();
        newRow.id = 'noResultsRow'; // Assign an ID to the "No Results" row
        let cell = newRow.insertCell();
        cell.colSpan = rows[0].cells.length; // Span across all columns
        cell.textContent = 'No Results Found!';
        newRow.style.textAlign = 'center';
        newRow.style.backgroundColor = '#fff'; // Optional: background color for visibility
        newRow.style.fontWeight = 'bold'; // Optional: make the text bold
    }
});

async function davggadvsrvsrvf(id) {
    var data1 = {
        "ref": "all",
        "ticketid": id,
    };
    const formBody1 = new URLSearchParams(data1).toString();
    const response1 = await fetch("<?php echo e(route('internalthread')); ?>", {
        method: 'POST',
        headers: {
            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
            'Content-Type': 'application/x-www-form-urlencoded',
        },
        body: formBody1,
    });

    if (response1.ok) {
        const result = await response1.json();
        $('#comments_div').empty();
        $('#spdjgsgrsr').empty();
        result.forEach((m, i) => {
            const formattedDate1 = formatDate(m.datetime);
            $('#comments_div').append(`
                    <div class="grid grid-cols-12 gap-2">
                        <img src="https://smarthub.rn-test.com/images/rn-logo-white.svg" alt="profile" class="h-8 w-8 rounded-full justify-self-end bg-black">   
                        <div class="col-span-11">
                            <div class="relative cursor-pointer hov_date_div flex gap-1"><h4 class="text-sm font-medium">${m.name}</h4><span class="text-[10px] font-medium bg-[#d1d1d157] py-0 px-[10px] rounded-[12px] text-[#0000008a]">${formattedDate1}</span> <span  class="hov_date absolute bg-[#fff] top-[-40px] left-[40px] rounded-[10px] px-[10px] border py-[3px]">${formatDate1(m.datetime)}</span></div>
                           
                            <p class="text-xs pl-2 py-2">${m.message.replace(/@(\w+)/g, '<b>@$1</b>')}</p>
                        </div>    
                    </div>
                `);

            $('#spdjgsgrsr').append(`
                    <div class="grid grid-cols-12 gap-2">
                        <img src="https://smarthub.rn-test.com/images/rn-logo-white.svg" alt="profile" class="h-8 w-8 rounded-full justify-self-end bg-black">   
                        <div class="col-span-11">
                            <div class="relative cursor-pointer hov_date_div flex gap-1"><h4 class="text-sm font-medium">${m.name}</h4><span class="text-[10px] font-medium bg-[#d1d1d157] py-0 px-[10px] rounded-[12px] text-[#0000008a]">${formattedDate1}</span><span  class="hov_date absolute bg-[#fff] top-[-40px] left-[40px] rounded-[10px] px-[10px] border py-[3px]">${formatDate1(m.datetime)}</span></div>
                            <p class="text-xs pl-2 py-2">${m.message.replace(/@(\w+)/g, '<b>@$1</b>')}</p>
                        </div>    
                    </div>
                `);
        });
    } else {
        console.error('Error:', response1.status, response1.statusText);
    }
}
</script>



<style>
.catg_popup {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1002;
    position: fixed;
    background: #000000bf;
    display: none;
    place-items: center;
}

.catg_popup_div {
    display: grid;
    border-radius: 10px;
    background: #fff;
    width: 30%;
    overflow: hidden;
}

.createotl_div {
    border-radius: 10px;
    background: #fff;
    width: 53%;
    overflow: hidden;
}
</style>


<style>
.bg_blur {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1002;
    position: fixed;
    background: #000000bf;
    display: none;
    place-items: center;
}
</style>
<div class="bg_blur" id="bg_blur">
    <div id="email_sent_div" class="tttt pop_btns slide_c popup_click bg-[#fff] rounded-[10px] overflow-hidden"
        style="width: 30%;  left: 296px;">
        <div class="flex justify-between p-2 bg-black text-white">
            <span id="ui-id-1" class="font-medium text-xl">INFO</span>
            <span class=" " onclick="otl_form_close()">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                    class="cursor-pointer bi bi-x-circle-fill" viewBox="0 0 16 16">
                    <path
                        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z">
                    </path>
                </svg>
            </span>
        </div>
        <div id="myPopup" class="p-4" style="">
            <div id="list_body">
                <span class="text-xl font-medium" id="textemaildone">Email Sent Successfully..!</span>
                <span class="text-xl font-medium" id="textemaildone1" style="display:none" >Ticket Completed Successfully..!</span>
                <span class="text-xl font-medium" id="textemaildone2" style="display:none" >Updated Successfully..!</span>
            </div>
        </div>
        <div class=" ">
            <div class="flex gap-2 justify-end p-2">
                <button type="button" id="smai-rdc-dsfv" class="px-4 py-[5px] bg-black text-white  rounded-[10px]"
                    onclick="otl_form_close()">Close</button>
            </div>
        </div>
    </div>
</div>

<div class="catg_popup" id="catg_popup1">
    <div class="createotl_div pop_btns slide_c" id="createotl_div" style="display:grid">
        <div class="pop_head px-4 py-2 bg-[#000] flex gap-2 justify-between text-[#fff] items-center">
            <div class="text-xl font-medium">
                Email Confirmation
            </div>
            <div class="cursor-pointer slide_c pop_btns">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                    class="bi bi-x-circle-fill" viewBox="0 0 16 16" onclick="otl_form_close()">
                    <path
                        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z">
                    </path>
                </svg>
            </div>
        </div>
        <div class="pop_body p-4">

            <div class="grid text-lg px-0 py-1 gap-2">
                <label for="mail_form">To</label>
                <input type="text" name="mail_form" id="msg-name22" class="border rounded-[10px]  px-2 py-1">
            </div>

            <div class="grid text-lg px-0 py-1 gap-2">
                <label for="textarea">Body</label>
                <div id="editor22" contenteditable="true"
                    style="height: 245px;width: 100%;border: 1px solid #ddd;padding: 10px;border-radius: 5px;">
                    <p>
                        We Received a support Request from the following Email address <br></p>
                    <p>
                        Email address : <b id="sdfsdfs1"></b><br></p>
                    <p>
                        Also, your RN User Id (<b id="hjdafkdf1"></b>) is mentioned in the body of the email.
                        <br>
                    </p>
                    <p id="jhnojzdsvo1">
                        Can you please <a id="aaaffswsew" target="_blank"
                            style="color: blue; text-decoration: underline;"
                            href="/userconfirm.php?id=<div id='dvsfvsfv'></div>&list=otl">CLICK HERE</a> to
                        confirm your email and proceed the action <b id="actton_listss"></b>
                    </p>
                    <p style="color:#9c9c85">PS : The aforementioned OTL Link is active for the next 24 hours
                        only.</p>
                </div>
            </div>

        </div>
        <div class="pop_bottom p-2 flex gap-2 justify-end border-t border-0">

            <button onclick="ok_otl2()"
                class="slide_c pop_btns pop_ok_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl ">
                Send
            </button>
            <button onclick="otl_form_close()"
                class="slide_c pop_btns pop_close_btn px-4 py-[5px] bg-black text-white cursor-pointer font-medium rounded-xl ">
                Cancel
            </button>
        </div>
    </div>
</div>





<div>
    <input type="hidden" id="upcCodes" value="">
    <script>
    const primum_flag = () => {
        document.getElementById('Pr_F_modal').classList.remove('hidden');
        document.getElementById('Pr_F_modal').classList.add('grid');
    }
    const primum_flagclose = () => {
        document.getElementById('Pr_F_modal').classList.remove('grid');
        document.getElementById('Pr_F_modal').classList.add('hidden');
    }

    const upcSearch = (e) => {
        const items__ = JSON.parse(document.getElementById('upcCodes').value)
        const res = items__.filter(m => m.upc.toString().includes(e.value));

        // Display the filtered results
        const resultsContainer = document.getElementById('upc-results');
        resultsContainer.innerHTML = ''; // Clear previous results

        if (res.length > 0) {
            document.getElementById('upc-results').classList.remove('h-full')
            document.getElementById('upc-results').classList.add('h-auto')
            res.forEach(item => {
                // Create an anchor element for each matching UPC
                const link = document.createElement('a');
                link.href = `https://routenotetest.com/rn22/addart/form/${item.upc}`;
                link.target = "_blank";
                link.textContent = item.upc;

                // Apply Tailwind CSS classes for styling
                link.classList.add(
                    'h-10', 'w-full', 'px-2', 'bg-indigo-400',
                    'hover:text-blue-500', 'hover:underline',
                    'cursor-pointer', 'rounded-lg', 'grid',
                    'place-items-center', 'font-medium', 'text-white'
                );

                resultsContainer.appendChild(link);
            });
        } else {
            document.getElementById('upc-results').classList.remove('h-auto')
            document.getElementById('upc-results').classList.add('h-full')
            $('#upc-results').html(
                '<div class="col-span-4 h-full w-full grid place-items-center"><div class=" text-center w-full font-medium text-gray-400 tracking-wider">No matching records found..</div></div>'
            )
        }
    }   
    
    </script>

    <div id="Pr_F_modal"
        class="fixed inset-0 z-[999] hidden h-screen w-screen place-items-center bg-black bg-opacity-60 backdrop-blur-sm transition-opacity duration-300">
        <div data-dialog="modal" class="relative m-4 p-4 w-1/2 min-w-[50%] max-w-[50%] rounded-lg bg-white shadow-sm">
            <div class="flex items-start justify-between">
                <div class="flex shrink-0 items-center pb-4 text-xl font-medium text-slate-800">
                    Premium Releases
                </div>
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" onclick="primum_flagclose()"
                    fill="currentColor" class="bi bi-x-lg cursor-pointer" viewBox="0 0 16 16">
                    <path
                        d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8z" />
                </svg>
            </div>
            <div class="grid relative border-t border-slate-200 py-4 leading-normal text-slate-600 font-light">
                <div class="w-full pb-4">
                    <input oninput="upcSearch(this)"
                        class="w-full bg-transparent placeholder:text-slate-400 text-slate-700 text-sm border border-slate-200 rounded-md px-3 py-2 transition duration-300 ease focus:outline-none focus:border-slate-400 hover:border-slate-300 shadow-sm focus:shadow"
                        placeholder="Type to Search here...">
                </div>

                <div class="mt-4 h-80 overflow-y-auto">
                    <div id="upc-results" class="grid grid-cols-4 gap-4 h-auto"></div>
                </div>
            </div>
        </div>
    </div>
</div>

</html>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('includes.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/smart-hub/resources/views/allmailplay1.blade.php ENDPATH**/ ?>