<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link rel="icon" type="image/png" href="<?php echo e(asset('images/favicon.png')); ?>" id="favicon">
    <title>Smarthub - RN</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <?php
    $result = DB::table('comm_tbl_smthub_ticket as ku')
    ->join('comm_action as ju', function ($join) {
        $join->on('ku.action_id', '=', 'ju.id')
             ->where('ku.action_id', '!=', '')
             ->whereNotIn('ku.action_id', [1, 2, 3, 4]);
    })
    ->select(
        'ku.id',
        'ku.keys1',
        'ku.uid',
        'ku.uname',
        'ku.upc_id',
        'ku.subject',
        'ku.from_name',
        'ku.from_addr',
        'ku.to_name',
        'ku.to_addr',
        'ku.body',
        'ku.action_id',
        'ku.notes',
        'ku.status',
        'ku.request_information',
        'ku.tickets_received',
        'ku.assigned_to',
        'ku.due_date',
        'ku.instant_action',
        'ku.smart_schedule',
        'ku.priority',
        'ku.tag_id',
        'ku.completed_at',
        'ku.internal_thread',
        'ku.commentry_assign',
        'ku.commentry_user',
        'ku.conf_email',
        'ku.last_cron_update',
        'ku.mail_ck',
        'ju.action_name'
    )
    ->where('ku.status', '=', 'Received')
    ->orderBy('ku.id', 'desc')
    ->get();
    // //select ku.id, ku.keys1, ku.uid, ku.uname, ku.upc_id, 
    // ku.subject, 
    // ku.from_name, 
    // ku.from_addr, 
    // ku.to_name, 
    // ku.to_addr, 
    // ku.body, 
    // ku.action_id, 
    // ku.notes, 
    // ku.status, 
    // ku.request_information, 
    // ku.tickets_received, 
    // ku.assigned_to, 
    // ku.due_date, 
    // ku.instant_action, 
    // ku.smart_schedule, 
    // ku.priority, 
    // ku.tag_id, 
    // ku.completed_at, 
    // ku.internal_thread, 
    // ku.commentry_assign, 
    // ku.commentry_user, 
    // ku.conf_email, 
    // ku.last_cron_update, 
    // ku.mail_ck,
    // ju.action_name from comm_tbl_smthub_ticket ku JOIN comm_action ju ON ku.action_id = ju.id and ku.action_id != '' and ku.action_id in (1, 2, 3, 4) and ku.status = "Received" orderby id desc
    ?>
    <script>
        var data = <?php echo json_encode($result, 15, 512) ?>;
        data.forEach((m, i) => {
            var con = (m.smart_schedule == " " || m.smart_schedule == null) ? 'mt' : 'val';
            if (con == "val") {
                if(m.action_id !== "7" || m.action_id !== "8") {
                    const givenDatetime = new Date(m.smart_schedule);
                    const currentDatetime = new Date();
                    if (currentDatetime > givenDatetime) {
                        console.log("High condition true");
                        $.ajax({
                            url: '/allmailnew', // Replace with your route
                            type: 'POST',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: {
                                rowid1: m.id, // Replace with your data
                                action: m.action_name,
                                flag: "",
                                comment: "",
                                flag1: "",
                                comment1: ""
                            },
                            success: function(response) {
                                console.log('Success:', response);
                            },
                            error: function(xhr, status, error) {
                                console.error('Error:', error);
                            }
                        });
                    } else {
                        console.log("Low condition true");
                    }
                }
            }
        })
    </script>
</body>
</html><?php /**PATH /var/www/html/smart-hub/resources/views/Atest.blade.php ENDPATH**/ ?>