<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link rel="icon" href="https://rn.rn-test.com/_assets/icons/favicon-32x32.png">
    <title>Super Ai 🤖</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <script>
        function OnSubmitit(event) {
            event.preventDefault();
            const text = document.querySelector('#prompt').value;
            if(text == "") {
                alert("Please enter a prompt");
                return false;
            }
            document.querySelector('form button').innerHTML = "Process..";
            $.ajax({
                url: '/process-superai',
                type: 'POST',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: {
                    text: text
                },
                success: function(response) {
                    if(response.status == "success") {
                        document.querySelector('form button').innerHTML = "Send";
                        document.querySelector('#prompt').value = "";
                        document.getElementById('demo').innerHTML = `<p class="bg-white p-6 rounded-md ">` + JSON.stringify(response.response) + `<p>`;


                        $.ajax({
                url: '/process-superai2',
                type: 'POST',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: {
                    text1: text,
                    text: response.response
                },
                success: function(response) {

                    document.getElementById('demo2').innerHTML = `<p class="bg-white p-6 rounded-md ">` + JSON.stringify(response.response) + `<p>`;


                }
            });






                    }
                },
                error: function(jqXHR, textStatus, errorThrown) {
                    console.error(textStatus, errorThrown);
                }
            });
            // $.ajax({
            //     url: 'https://generativelanguage.googleapis.com/v1beta/models/gemini-1.5-flash-latest:generateContent?key=AIzaSyCnsdvf4ykGmLiiusZr-PT51Nx9R-J56LM',
            //     type: 'POST',
            //     contentType: 'application/json',
            //     data: JSON.stringify({
            //         // contents: [{
            //         //     parts: [{
            //         //         text: text
            //         //     }]
            //         // }]
            //         "prompt": {
            //             "messages": [
            //                 {"content": text}
            //             ]
            //         }
            //     }),
            //     success: function(response) {
                    
            //         console.log(response.candidates);
            //         // console.log(response.candidates[0].content.parts[0].text);
            //         document.getElementById('demo').innerHTML = `<pre class="bg-white p-6 rounded-md w-[80%] overflow-auto">` + response.candidates[0].content.parts[0].text + `</pre>`;
            //         document.querySelector('form button').innerHTML = "Send";
            //         document.querySelector('input[name=prompt]').value = "";
            //         // $('#demo').append(`<pre class="bg-white p-6 rounded-md w-[80%] overflow-auto">` + response.candidates[0].content.parts[0].text + `</pre>`);
            //         // window.print();
            //     },
            //     error: function(jqXHR, textStatus, errorThrown) {
            //         console.error(textStatus, errorThrown);
            //     }
            // });

        }
    </script>
</head>

<body>
    <div>
        <form onsubmit="OnSubmitit(event)"
            class="w-full h-screen flex flex-col items-center justify-center gap-8 bg-gray-800 overflow-y-auto h-[28rem]">
            <h1 class="font-semibold text-xl text-white font-mono flex items-center gap-2">
                <svg version="1.1" viewBox="0 0 60 60" class="svg-icon svg-fill" style="width: 40px; height: 40px;">
                    <g fill="#FFF" fill-rule="nonzero">
                        <path pid="0"
                            d="M36.114.664C34.724.362 33.336.242 31.886 0h-3.744c-1.57.242-3.14.423-4.71.725C11.716 3.26 2.234 13.285.422 25.06.243 26.087.122 27.113 0 28.14v3.744c.242 1.51.423 3.019.725 4.468C3.32 48.43 12.984 57.548 25.183 59.601c14.675 2.415 28.987-6.34 33.396-20.471C63.954 22.1 53.567 4.348 36.114.664zm-6.1 55.434c-14.433 0-26.089-11.654-26.089-26.086 0-14.432 11.716-26.147 26.15-26.087 14.373 0 26.028 11.715 26.028 26.087 0 14.371-11.655 26.086-26.089 26.086z">
                        </path>
                        <path pid="1"
                            d="M37.34 41.587c-2.673.363-6.237-2.118-7.306-5.022.179-.06.357-.121.476-.182 5.7-2.238 8.967-8.047 7.898-14.097C37.339 16.296 32.232 12 26.174 12H14v4.114h.89c3.861 0 7.721-.06 11.522 0 4.395.06 7.898 3.63 8.077 8.047.178 4.417-3.03 8.229-7.424 8.713-.594.06-1.188.06-1.722.121-.356 1.755.356 4.72 1.722 6.837 2.376 3.812 5.82 5.748 10.333 6.05V48c2.554-1.452 5.048-2.783 7.602-4.235-2.613-1.452-5.048-2.844-7.66-4.236v2.058z">
                        </path>
                    </g>
                </svg>
                <span>Smart hub</span>
            </h1>
            <div class="grid gap-4">
                <textarea type="text" name="prompt" id="prompt" style="font-family: Arial, Helvetica, sans-serif;" class="border h-80 w-[50rem] py-4 rounded-md px-4 text-[14px]"
                    placeholder="Type a message.."></textarea>
                <button type="submit"
                    class="!m-0 rounded-md bg-sky-800 font-mono h-12 py-2 px-4 border border-transparent text-center text-sm text-white transition-all shadow-md hover:shadow-lg focus:bg-slate-700 focus:shadow-none active:bg-slate-700 hover:bg-slate-700 active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none ml-2"
                    type="button">
                    Send
                </button>
            </div>
            <div id="demo" class="py-8 px-20 contents">
                <p class="bg-white p-6 rounded-md ">
                    Not Found...
                </p>
            </div>
            <div id="demo2" class="py-8 px-20 contents">
                <p class="bg-white p-6 rounded-md ">
                    Not Found...
                </p>
            </div>
        </form>
    </div>
</body>

</html>


<?php /**PATH /var/www/html/smart-hub/resources/views/superai.blade.php ENDPATH**/ ?>