<?php

namespace App\Http\Controllers;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use DB;
use Auth;
use Illuminate\Support\Facades\Redirect;
use App\Models\User;
use PDF;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Hash;
use GuzzleHttp\Client as GuzzleClient;
use GuzzleHttp\Client;
use Mail;
use Carbon\Carbon;

class AccountclosureController extends Controller
{
    public function link(Request $request)
    {
      $uniqueIdentifier = Str::random(10); 
      $link = route('accountclosureform', ['key' => $uniqueIdentifier]);
     $values = array('unique_identifier_value' => $uniqueIdentifier);
     DB::table('comm_unique_identifier')->insert($values);
     return response()->json(['link' => $link]);
     
    }
    public function updateconfemail(Request $request)
    {
        $result = DB::table('comm_account_closure')->where('form_id',$request['id'])->update([
            "confirmation_email" => $request['confirmation_email']

        ]);

    }

    public function form(Request $request)
    {   
        $fullUrl = $request->fullUrl();
        $parsedUrl = parse_url($fullUrl, PHP_URL_PATH);

        // Isolate the word before the '?'
        $path = strtok($parsedUrl, '?');

        // Extract the last part of the path
        $segments = explode('/', $path);
        $formname = end($segments);

        $key = $request['key'];
     
        $data = DB::table('comm_unique_identifier')->select('created_at')->where('unique_identifier_value',$request['key'])->get();    
        $formattedDate = $data[0]->created_at;
 
        return view('form',compact('formattedDate','key','formname'));
        // $key = $request['key'];
        // $data = DB::table('comm_unique_identifier')->select('created_at')->where('unique_identifier_value',$request['key'])->get();    
        // $formattedDate = $data[0]->created_at;
        // $dateTime = new \DateTime($date);
       // $formattedDate = $dateTime->format("M d, Y H:i:s");

        return view('accountclosure/form',compact('formattedDate','key'));
    }
    public function forms(Request $request,$key,$username)
    {     

        $data = DB::table('comm_account_closure')->where('keys1',$key)->get();
       $users = DB::table('users')->where('name',$username)->first();
    
        if(count($data) >= 1){
            $data = 0;
            return view('accountclosureform',compact('data','key','users'));
        }
        $data=1;
        return view('accountclosureform',compact('data','key','users'));

    }

    public function formdetails()
    {     


        $data = DB::table('comm_account_closure')
        ->leftjoin('comm_elaborate_reason', 'comm_account_closure.elaborate_reason', '=', 'comm_elaborate_reason.elaborate_reason_id')
        ->leftjoin('comm_like_to_wait', 'comm_account_closure.would_you_like_to_wait', '=', 'comm_like_to_wait.like_to_wait_id')
        ->leftjoin('comm_other_distributor', 'comm_account_closure.other_distrubutor', '=', 'comm_other_distributor.other_distributor_id')
    ->leftjoin('comm_reason_value', 'comm_account_closure.reason', '=', 'comm_reason_value.reason_id')
    ->get();

    

$data1 = DB::table('comm_subtask')->get();
$data2 = DB::table('comm_form_status')->get();


 //$outstandngs = DB::table('user_account_report')->select('outstand_amount','total_amount')->where('uid','38')->get();

// $paypal = DB::table('logger656834')->select('gvnme')->where('uid','72567')->get();

// $artist = DB::table('flag_comment')->select('gvnme')->where('uid','72567')->where('flagtype','Priority')->count();

        return view('accountclosure',compact('data','data1','data2'));


    }
    public function getstatus1(Request $request){
    $outstandings = DB::table('user_account_report')->select('outstand_amount','total_amount')->where('uid',$request['uid'])->get();

    $paypal = DB::table('logger656834')->select('gvnme')->where('uid',$request['uid'])->get();

$artist = DB::table('flag_comment')->where('uid',$request['uid'])->where('flagtype','Priority')->count();
// $outstandngs =[];
// $paypal =[];
// $artist = 1;



return response()->json(['outstandings' => $outstandings,'paypal'=>$paypal,'artist'=>$artist]);
    }
    public function getstatus(Request $request){

        $status='Not Completed'; 
        $status1='Not Completed';

   
       $ASANA_ACCESS_TOKEN = "2/1208713570171412/1208713794959396:67d24263201288d58d4ce079e1e589fd";
        $guzzleClient = new GuzzleClient(['base_uri' => 'https://app.asana.com/api/1.0/']);
        $headers = ['Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN, 'Content-Type' => 'application/json',];

        if ($ASANA_ACCESS_TOKEN === false) {
            echo "Please set the ASANA_ACCESS_TOKEN environment variable.\n";
            exit;
        }
        $subtaskId = $request['gid1'];
        $subtaskId1 = $request['gid2'];
        if($subtaskId){
            $response = $guzzleClient->request('GET', "tasks/$subtaskId", [
                'headers' => [
                    'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                    'Content-Type' => 'application/json',
                ]
            ]);
    
            $task = json_decode($response->getBody(), true);
          
       
        $isCompleted = $task['data']['completed'];
        if ($isCompleted) {
            $status = 'Completed';
        }
        }
        if($subtaskId1){
    $response1 = $guzzleClient->request('GET', "tasks/$subtaskId1", [
        'headers' => [
            'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
            'Content-Type' => 'application/json',
        ]
    ]);

    $task1 = json_decode($response1->getBody(), true);
  
$isCompleted1 = $task1['data']['completed'];
if ($isCompleted1) {
    $status1 = 'Completed';
}
        }
       
     
        return response()->json(['status' => $status,'status1'=>$status1]);

        }
    public function getcomments1(Request $request)
    {     
 
       // $ASANA_ACCESS_TOKEN = "2/1207778564029631/1207918270167868:216b00a985ab0fc07541c83514ff4038";
       $ASANA_ACCESS_TOKEN = "2/1208713570171412/1208713794959396:67d24263201288d58d4ce079e1e589fd";


        $guzzleClient = new GuzzleClient(['base_uri' => 'https://app.asana.com/api/1.0/']);
        $headers = ['Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN, 'Content-Type' => 'application/json',];

        if ($ASANA_ACCESS_TOKEN === false) {
            echo "Please set the ASANA_ACCESS_TOKEN environment variable.\n";
            exit;
        }


        $subtaskId = $request['gid'];
        $response = $guzzleClient->request('GET', "tasks/$subtaskId/stories", [
            'headers' => [
                'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                'Content-Type' => 'application/json',
            ]
        ]);

        $comments = json_decode($response->getBody(), true);

        $response = $guzzleClient->request('GET', "tasks/$subtaskId", [
            'headers' => [
                'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                'Content-Type' => 'application/json',
            ]
        ]);

        $task = json_decode($response->getBody(), true);
      
    $status='Not Completed';
    $isCompleted = $task['data']['completed'];

        if ($isCompleted) {
            $status = 'Completed';
        }
        return response()->json(['comments' => $comments,'status'=>$status]);
  

    }

    public function postcomments1(Request $request){

       // $ASANA_ACCESS_TOKEN = "2/1207778564029631/1207918270167868:216b00a985ab0fc07541c83514ff4038";
      // $ASANA_ACCESS_TOKEN = "2/1208316400186719/1208316769447199:421ee9aae5a8b4111046340e7dbf4a5f";

       $ASANA_ACCESS_TOKEN = "2/1208713570171412/1208713794959396:67d24263201288d58d4ce079e1e589fd";
        $guzzleClient = new GuzzleClient(['base_uri' => 'https://app.asana.com/api/1.0/']);
        $headers = ['Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN, 'Content-Type' => 'application/json',];

        if ($ASANA_ACCESS_TOKEN === false) {
            echo "Please set the ASANA_ACCESS_TOKEN environment variable.\n";
            exit;
        }
        $subtaskId = $request['subtaskid'];
        $requestData = [
            'data' => [
                'text' => $request['cmts']
            ]
        ];
    
        // Post a new comment to the subtask
        $postResponse = $guzzleClient->request('POST', "tasks/$subtaskId/stories", [
            'headers' => [
                'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                'Content-Type' => 'application/json',
            ],
            'json' => $requestData
        ]);
    
        // Decode the response to check the status of the new comment
        $newCommentResponse = json_decode($postResponse->getBody(), true);
    
    

        
        $response = $guzzleClient->request('GET', "tasks/$subtaskId/stories", [
            'headers' => [
                'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                'Content-Type' => 'application/json',
            ]
        ]);

        $comments = json_decode($response->getBody(), true);
        $response = $guzzleClient->request('GET', "tasks/$subtaskId", [
            'headers' => [
                'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                'Content-Type' => 'application/json',
            ]
        ]);

        $task = json_decode($response->getBody(), true);
      
    $status='Not Completed';
    $isCompleted = $task['data']['completed'];

        if ($isCompleted) {
            $status = 'Completed';
        }
        return response()->json(['comments' => $comments,'status'=>$status]);
        }



    public function getcomments2(Request $request)
    {     
 
      //  $ASANA_ACCESS_TOKEN = "2/1207778564029631/1207918270167868:216b00a985ab0fc07541c83514ff4038";
   //   $ASANA_ACCESS_TOKEN = "2/1208316400186719/1208316769447199:421ee9aae5a8b4111046340e7dbf4a5f";

      $ASANA_ACCESS_TOKEN = "2/1208713570171412/1208713794959396:67d24263201288d58d4ce079e1e589fd";
        $guzzleClient = new GuzzleClient(['base_uri' => 'https://app.asana.com/api/1.0/']);
        $headers = ['Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN, 'Content-Type' => 'application/json',];

        if ($ASANA_ACCESS_TOKEN === false) {
            echo "Please set the ASANA_ACCESS_TOKEN environment variable.\n";
            exit;
        }


        $subtaskId = $request['gid'];
        $response = $guzzleClient->request('GET', "tasks/$subtaskId/stories", [
            'headers' => [
                'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                'Content-Type' => 'application/json',
            ]
        ]);

        $comments = json_decode($response->getBody(), true);


        $response = $guzzleClient->request('GET', "tasks/$subtaskId", [
            'headers' => [
                'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                'Content-Type' => 'application/json',
            ]
        ]);

        $task = json_decode($response->getBody(), true);
      
    $status='Not Completed';
    $isCompleted = $task['data']['completed'];

        if ($isCompleted) {
            $status = 'Completed';
        }
        return response()->json(['comments' => $comments,'status'=>$status]);
  

    }

    public function postcomments2(Request $request){
      //  $ASANA_ACCESS_TOKEN = "2/1207778564029631/1207918270167868:216b00a985ab0fc07541c83514ff4038";
     // $ASANA_ACCESS_TOKEN = "2/1208316400186719/1208316769447199:421ee9aae5a8b4111046340e7dbf4a5f";
      $ASANA_ACCESS_TOKEN = "2/1208713570171412/1208713794959396:67d24263201288d58d4ce079e1e589fd";
        $guzzleClient = new GuzzleClient(['base_uri' => 'https://app.asana.com/api/1.0/']);
        $headers = ['Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN, 'Content-Type' => 'application/json',];

        if ($ASANA_ACCESS_TOKEN === false) {
            echo "Please set the ASANA_ACCESS_TOKEN environment variable.\n";
            exit;
        }
        $subtaskId = $request['subtaskid'];
        $requestData = [
            'data' => [
                'text' => $request['cmts']
            ]
        ];
    
        // Post a new comment to the subtask
        $postResponse = $guzzleClient->request('POST', "tasks/$subtaskId/stories", [
            'headers' => [
                'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                'Content-Type' => 'application/json',
            ],
            'json' => $requestData
        ]);
    
        // Decode the response to check the status of the new comment
        $newCommentResponse = json_decode($postResponse->getBody(), true);
    
    

        
        $response = $guzzleClient->request('GET', "tasks/$subtaskId/stories", [
            'headers' => [
                'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                'Content-Type' => 'application/json',
            ]
        ]);

        $comments = json_decode($response->getBody(), true);

        $response = $guzzleClient->request('GET', "tasks/$subtaskId", [
            'headers' => [
                'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                'Content-Type' => 'application/json',
            ]
        ]);

        $task = json_decode($response->getBody(), true);
      
    $status='Not Completed';
    $isCompleted = $task['data']['completed'];

        if ($isCompleted) {
            $status = 'Completed';
        }
        return response()->json(['comments' => $comments,'status'=>$status]);
    }


    public function verifyrfs(Request $request)
    {  
        $result = DB::table('comm_account_closure')->where('form_id',$request['formid'])->update([
            "verify_rfs" => '1'

        ]);
        return response()->json();
    }
    public function verifydisapprove(Request $request)
    {  
        $result = DB::table('comm_account_closure')->where('form_id',$request['formid'])->update([
            "verify_disapprove" => '1'

        ]);
        return response()->json();
    }
    public function verifyartist(Request $request)
    {  
        
        $result = DB::table('comm_account_closure')->where('form_id',$request['formid'])->update([
            "verify_artist" => '1'

        ]);


        return response()->json();
    }
    public function verifypaypal(Request $request)
    {  
        $result = DB::table('comm_account_closure')->where('form_id',$request['formid'])->get();

        $content="
        If you'd like to receive the earnings on your account, you'll first need to add a payment method to your account. 

        To link up your PayPal email to your account, you'll need to log in to your RouteNote account, hover over 'Your Account' and then click 'Payment Profile'. You'll see a prompt for a One-Time passcode which will have been sent to your registered email address. 
        If you'd rather close your account without receiving your final earnings, we can proceed without the need to add a payment method to your account. 
        
        This is in relation to the RouteNote account with the username ".$result[0]->username." and UID ".$result[0]->userID." .
        
        Please confirm in your reply when you've registered these details, or if you'd like to have your account closed without receiving the earnings. If you do not respond within 30 days, we will close the account as initially requested.
        ";
        $body = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <meta name="format-detection" content="telephone=no" /> <!-- disable auto telephone linking in iOS -->
            <title>Your Release requires your action.</title>
            <style type="text/css">
            #emailstart{margin-top: -1rem;}
            #emailstar1:hover{color: #deb217;}
            #emailstar1:hover~a{color: #deb217;}
            #emailstar1:checked~a{color: #ffc700;}
            </style>
            <style type="text/css">
                /* RESET STYLES */
                html { background-color:#EEEEEE; margin:0; padding:0; }
                body, #bodyTable, #bodyCell, #bodyCell{height:100% !important; margin:0; padding:0; width:100% !important; font-family: Arial,Helvetica,sans-serif;;}
                table{border-collapse:collapse;}
                table[id=bodyTable] {width:100%!important;margin:auto;max-width:500px!important;color:#000000;font-weight:normal;}
                img, a img{border:0; outline:none; text-decoration:none;height:auto; line-height:100%;}
                a {text-decoration:none !important;border-bottom: 1px solid; font-size:16px !important;}
                h1, h2, h3, h4, h5, h6{color:#1355ac; font-weight:bold; font-family: Arial,Helvetica,sans-serif; font-size:20px; line-height:125%; text-align:left; letter-spacing:normal;margin-top:0;margin-right:0;margin-bottom:10px;margin-left:0;padding-top:0;padding-bottom:0;padding-left:0;padding-right:0;}

                /* CLIENT-SPECIFIC STYLES */
                .ReadMsgBody{width:100%;} .ExternalClass{width:100%;} /* Force Hotmail/Outlook.com to display emails at full width. */
                .ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div{line-height:100%;} /* Force Hotmail/Outlook.com to display line heights normally. */
                table, td{mso-table-lspace:0pt; mso-table-rspace:0pt;} /* Remove spacing between tables in Outlook 2007 and up. */
                #outlook a{padding:0;} /* Force Outlook 2007 and up to provide a "view in browser" message. */
                img{-ms-interpolation-mode: bicubic;display:block;outline:none; text-decoration:none;} /* Force IE to smoothly render resized images. */
                body, table, td, p, a, li, blockquote{-ms-text-size-adjust:100%; -webkit-text-size-adjust:100%; font-weight:normal!important;} /* Prevent Windows- and Webkit-based mobile platforms from changing declared text sizes. */
                .ExternalClass td[class="ecxflexibleContainerBox"] h3 {padding-top: 10px !important;} /* Force hotmail to push 2-grid sub headers down */

                /* /\/\/\/\/\/\/\/\/ TEMPLATE STYLES /\/\/\/\/\/\/\/\/ */

                /* ========== Page Styles ========== */
                h1{display:block;font-size:24px;font-style:normal;font-weight:normal;line-height:100%;}
                h2{display:block;font-size:20px;font-style:normal;font-weight:normal;line-height:120%;}
                h3{display:block;font-size:16px;font-style:normal;font-weight:normal;line-height:110%;}
                h4{display:block;font-size:14px;font-style:italic;font-weight:normal;line-height:100%;}
                .flexibleImage{height:auto;}
                .linkRemoveBorder{border-bottom:0 !important;}
                table[class=flexibleContainerCellDivider] {padding-bottom:0 !important;padding-top:0 !important;}

                body, #bodyTable{background-color:#EEEEEE;}
                #emailHeader{background-color:#FFFFFF;}
                #emailBody{background-color:#FFFFFF;}
                #emailFooter{background-color:#E1E1E1;}
                .nestedContainer{background-color:#F8F8F8; border:2px solid #1355ac;}
                .emailButton{background-color:#205478; border-collapse:separate;}
                .buttonContent{color:#FFFFFF; font-family: Arial,Helvetica,sans-serif; font-size:18px; font-weight:bold; line-height:100%; padding:15px; text-align:center;}
                .buttonContent a{color:#FFFFFF; display:block; text-decoration:none!important; border:0!important;}
                .emailCalendar{background-color:#FFFFFF; border:2px solid #1355ac;}
                .emailCalendarMonth{background-color:#1355ac; color:#FFFFFF; font-family: Arial,Helvetica,sans-serif; font-size:16px; font-weight:bold; padding-top:10px; padding-bottom:10px; text-align:center;}
                .emailCalendarDay{color:#1355ac; font-family: Arial,Helvetica,sans-serif; font-size:60px; font-weight:bold; line-height:100%; padding-top:20px; padding-bottom:20px; text-align:center;}
                .imageContentText {margin-top: 10px;line-height:0;}
                .imageContentText a {line-height:0;}
                #invisibleIntroduction {display:none !important;} /* Removing the introduction text from the view */

                /*FRAMEWORK HACKS & OVERRIDES */
                span[class=ios-color-hack] a {color:#1355ac!important;text-decoration:none!important;} /* Remove all link colors in IOS (below are duplicates based on the color preference) */
                span[class=ios-color-hack2] a {color:#1355ac!important;text-decoration:none!important;}
                span[class=ios-color-hack3] a {color:#1355ac!important;text-decoration:none!important;}
                /* A nice and clean way to target phone numbers you want clickable and avoid a mobile phone from linking other numbers that look like, but are not phone numbers.  Use these two blocks of code to "unstyle" any numbers that may be linked.  The second block gives you a class to apply with a span tag to the numbers you would like linked and styled.
                Inspired by Campaign Monitor\'s article on using phone numbers in email: http://www.campaignmonitor.com/blog/post/3571/using-phone-numbers-in-html-email/.
                */
                .a[href^="tel"], a[href^="sms"] {text-decoration:none!important;color:#1355ac!important;pointer-events:none!important;cursor:default!important;}
                .mobile_link a[href^="tel"], .mobile_link a[href^="sms"] {text-decoration:none!important;color:#1355ac!important;pointer-events:auto!important;cursor:default!important;}


                /* MOBILE STYLES */
                @media only screen and (max-width: 480px){
                    table[id="emailHeader"],
                    table[id="emailBody"],
                    table[id="emailFooter"],
                    table[class="flexibleContainer"],
                    td[class="flexibleContainerCell"] {width:100% !important;}
                    td[class="flexibleContainerBox"], td[class="flexibleContainerBox"] table {display: block;width: 100%;text-align: left;}
              
                    td[class="imageContent"] img {height:auto !important; width:100% !important; max-width:100% !important; }
                    img[class="flexibleImage"]{height:auto !important; width:100% !important;max-width:100% !important;}
                    img[class="flexibleImageSmall"]{height:auto !important; width:auto !important;}


                    /*
                    Create top space for every second element in a block
                    */
                    table[class="flexibleContainerBoxNext"]{padding-top: 10px !important;}

                    /*
                    Make buttons in the email span the
                    full width of their container, allowing
                    for left- or right-handed ease of use.
                    */
                    table[class="emailButton"]{width:100% !important;}
                    td[class="buttonContent"]{padding:0 !important;}
                    td[class="buttonContent"] a{padding:15px !important;}

                }

                /*  CONDITIONS FOR ANDROID DEVICES ONLY
                *   http://developer.android.com/guide/webapps/targeting.html
                *   http://pugetworks.com/2011/04/css-media-queries-for-targeting-different-mobile-devices/ ;
                =====================================================*/

                @media only screen and (-webkit-device-pixel-ratio:.75){
                    /* Put CSS for low density (ldpi) Android layouts in here */
                }

                @media only screen and (-webkit-device-pixel-ratio:1){
                    /* Put CSS for medium density (mdpi) Android layouts in here */
                }

                @media only screen and (-webkit-device-pixel-ratio:1.5){
                    /* Put CSS for high density (hdpi) Android layouts in here */
                }
                /* end Android targeting */

                /* CONDITIONS FOR IOS DEVICES ONLY
                =====================================================*/
                @media only screen and (min-device-width : 320px) and (max-device-width:568px) {

                }
                /* end IOS targeting */
            </style>
            <!--
                Outlook Conditional CSS

                These two style blocks target Outlook 2007 & 2010 specifically, forcing
                columns into a single vertical stack as on mobile clients. This is
                primarily done to avoid the \'page break bug\' and is optional.

                More information here:
                http://templates.mailchimp.com/development/css/outlook-conditional-css
            -->
            <!--[if mso 12]>
                <style type="text/css">
                    .flexibleContainer{display:block !important; width:100% !important;}
                </style>
            <![endif]-->
            <!--[if mso 14]>
                <style type="text/css">
                    .flexibleContainer{display:block !important; width:100% !important;}
                </style>
            <![endif]-->
        </head>
        <body bgcolor="#E1E1E1" leftmargin="0" marginwidth="0" topmargin="0" marginheight="0" offset="0">

            <!-- CENTER THE EMAIL // -->
            <!--
            1.  The center tag should normally put all the
                content in the middle of the email page.
                I added "table-layout: fixed;" style to force
                yahoomail which by default put the content left.

            2.  For hotmail and yahoomail, the contents of
                the email starts from this center, so we try to
                apply necessary styling e.g. background-color.
            -->
            <center style="background-color:#FFFFFF;">
                <table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%" id="bodyTable" style="table-layout: fixed;max-width:100% !important;width: 100% !important;min-width: 100% !important;">
                    <tr>
                        <td align="center" valign="top" id="bodyCell">

                            <!-- EMAIL HEADER // -->
                            <!--
                                The table "emailBody" is the email\'s container.
                                Its width can be set to 100% for a color band
                                that spans the width of the page.
                            -->
                            <table bgcolor="#FFFFFF" border="0" cellpadding="0" cellspacing="0" width="500" id="emailHeader">

                                <!-- HEADER ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="10" cellspacing="0" width="500" class="flexibleContainer">
                                                        <tr>
                                                            <td valign="top" width="500" class="flexibleContainerCell">

                                                                <!-- CONTENT TABLE // -->
                                                                <table align="left" border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                    <tr>
                                  
                                                                        <td align="left" valign="middle" id="invisibleIntroduction" class="flexibleContainerBox" style="display:none !important; mso-hide:all;">
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width:100%;">
                                                                                <tr>
                                                                                    <td align="left" class="textContent">
                                                                                        <div style="font-family: Arial,Helvetica,sans-serif;font-size:13px;color:#828282;text-align:center;line-height:120%;">
                                                                                            Your release has been flagged by our moderation team and requires your attention.
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                        <td align="right" valign="middle" class="flexibleContainerBox">
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width:100%;">
                                                                                <tr>
                                                                                    <td align="left" class="textContent">
                                                                                        <!-- CONTENT // -->
                                                                                        <div style="font-family: Arial,Helvetica,sans-serif;font-size:13px;color:#000000;text-align:center;line-height:120%;">
                                                                                            If you can&#39;t see this message&#44; <a href="test" target="_blank" style="text-decoration:none;border-bottom:1px solid #000000;color:#000000;"><span style="color:#000000;font-size:14px;">view&nbsp;it&nbsp;in&nbsp;your&nbsp;browser</span></a>.
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // END -->

                            </table>
                            <!-- // END -->

      
                            <table bgcolor="#FFFFFF"  border="0" cellpadding="0" cellspacing="0" width="500" id="emailBody">

                                <tr>
                                    <td align="center" valign="top">
                                    
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" style="color:#FFFFFF;" bgcolor="#1355ac">
                                            <tr>
                                                <td align="center" valign="top">
                                                
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#1355ac">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">

                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#1355AC">
                                                                    <tr>
                                                                        <td align="center" valign="top" class="textContent">
                                                                            <a href="https://routenote.com/" target="_blank"><img src="https://www.routenote.com/rn/images/activation_email_rnlogo.jpg" width="500" class="flexibleImage" style="max-width:500px;width:100%;display:block;color:#ffffff;" alt="RouteNote" title="RouteNote" /></a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                                
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->

                                <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#FFFFFF">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                                    <tr>
                                                                        <td align="center" valign="top">

                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                                                <tr>
                                                                                    <td valign="top" class="textContent">
                                                                                        <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$result[0]->username.'&#44;</strong></h3><br>
                                                                                        <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>'.$content.'</p><br>
    <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
    <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
    </p></div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->

                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->


                                    <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#000000">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#000000">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#000000">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#000000">
                                                                    <tr>
                                                                        <td align="center" valign="top">

                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                                <tr>
                                                                                    <td valign="top" class="textContent">
                                                                                        <!--
                                                                                            The "mc:edit" is a feature for MailChimp which allows
                                                                                            you to edit certain row. It makes it easy for you to quickly edit row sections.
                                                                                            http://kb.mailchimp.com/templates/code/create-editable-content-areas-with-mailchimps-template-language
                                                                                        -->
                                                                                        <h3 mc:edit="header" style="color:#FFFFFF;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:16px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:center;"><a href="https://routenote.com/" style="color:#FFFFFF;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;text-align:center; text-decoration:none !important;" target="_blank"><strong>Visit your Account &#62;</strong></a></h3><br>
                                                                                        <div mc:edit="body" style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;color:#FFFFFF;line-height:150%;">Head over to your account now to continue working through your releases.<br></div>

                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->

                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->


                                <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#ffffff">
                                                    <tr>
                                                    <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#ffffff">
                                                        <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                            <tr>
                                                                <td align="center" valign="top">
        
                                                                    <!-- CONTENT TABLE // -->
                                                                    <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                        <tr>
                                                                            <td valign="top" class="textContent">
                                                                                <div style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:15px;margin-bottom:0;margin-top:3px;color:#5F5F5F;line-height:135%;">
                                                                                If we exceeded your expectations, please consider leaving us a review on <a href="" style="color:#1355ac;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Routenote reviews</a>
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <!-- // CONTENT TABLE -->
        
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    </tr>

                                                    <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#ffffff">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                    <tr>
                                                                        <td align="center" valign="top">

                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                                <tr>
                                                                                    <td valign="top" class="textContent">
                                                                                        <div style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:15px;margin-bottom:0;margin-top:3px;color:#5F5F5F;line-height:135%;">
                                                                                        <a href="https://www.facebook.com/routenote?_rdr=p" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Facebook</a>
                                                                                        <a href="https://www.youtube.com/user/routenote" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:16px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Youtube</a>
                                                                                        <a href="https://twitter.com/routenote" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Twitter</a>
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->

                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                                <table>
                                                            
                                                                
                                                            
                                                            </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->

                            </table>
                            <!-- // END -->

                            <!-- EMAIL FOOTER // -->
                            <!--
                                The table "emailBody" is the email\'s container.
                                Its width can be set to 100% for a color band
                                that spans the width of the page.
                            -->
                            <table bgcolor="#E1E1E1" border="0" cellpadding="0" cellspacing="0" width="500" id="emailFooter">

                                <!-- FOOTER ROW // -->
                                <!--
                                    To move or duplicate any of the design patterns
                                    in this email, simply move or copy the entire
                                    MODULE ROW section for each content block.
                                -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#E1E1E1">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#E1E1E1">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%">
                                                                    <tr>
                                                                        <td valign="top" bgcolor="#FAFAFA">

                                                                            <div style="font-family: Arial,Helvetica,sans-serif;font-size:12px;color:#828282;text-align:center;line-height:120%;">
                                                                                <div>Copyright &#169; '.date("Y").' <a href="https://routenote.com/" target="_blank" style="text-decoration:none;color:#000000;" target="_blank"><span style="color:#1355ac;font-size:12px;">RouteNote</span></a>. All&nbsp;rights&nbsp;reserved.</div>
                                                                            </div>

                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>

                            </table>
                            <!-- // END -->

                        </td>
                    </tr>
                </table>
            </center>
        </body>
    </html>';


     $to ='hareesha17@outlook.com';
     $subject='';

     Mail::send([], [], function ($message) use ($to, $body, $subject) {       
         $message->from('noreply@smarthub.com', 'noreply@smarthub.com');
         $message->to($to);
         $message->subject($subject);
         $message->setBody($body, 'text/html');
         $message->replyTo($to);
     });

        $result = DB::table('comm_account_closure')->where('form_id',$request['formid'])->update([
            "verify_paypal" => '1'

        ]);

        return response()->json();
    }
    
    public function verifysoundlink(Request $request)
    {  
        $result = DB::table('comm_account_closure')->where('form_id',$request['formid'])->update([
            "verify_soundlink" => '1'

        ]);
        return response()->json();
    }
    

    

    // public function subtaskcreate2(Request $request)
    // {  
      
    //         $taskid = $request->input('formid');
             
    //         $data = DB::table('comm_account_closure')->where('form_id',$taskid)->get();


    //         $values = [
    //             'payment_created_at' => NOW(),
    //         ];
        
           
    //         DB::table('comm_account_closure')->where('form_id',$taskid)->update($values);

    //        // $ASANA_ACCESS_TOKEN = "2/1207778564029631/1207918270167868:216b00a985ab0fc07541c83514ff4038";


    //         $ASANA_ACCESS_TOKEN = "2/1208316400186719/1208316769447199:421ee9aae5a8b4111046340e7dbf4a5f";


    //         $guzzleClient = new GuzzleClient(['base_uri' => 'https://app.asana.com/api/1.0/']);
    //         $headers = ['Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN, 'Content-Type' => 'application/json',];

    //         if ($ASANA_ACCESS_TOKEN === false) {
    //             echo "Please set the ASANA_ACCESS_TOKEN environment variable.\n";
    //             exit;
    //         }

    

    //         // $projectId='1207778564029665';
           
        
    //         // $response = $guzzleClient->request('GET', "projects/$projectId/tasks", [
    //         //     'headers' => [
    //         //         'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
    //         //         'Content-Type' => 'application/json',
    //         //     ]
    //         // ]);
        
    //         // // Decode the response
    //         // $tasks = json_decode($response->getBody(), true);
        
    //         // foreach ($tasks['data'] as $task) {
    //         //     echo "Task ID: " . $task['gid'] . " - " . $task['name'] . PHP_EOL;
    //         // }

    //         $taskId='1208316751155303';
    //         $newProject = $guzzleClient->request('POST', "tasks/".$taskId."/subtasks", [
    //             'headers' => $headers,
    //             'json' => [
    //                 'data' => [
    //                     'name' => $data[0]->username.'('.$data[0]->userID.')',
    //                     'assignee' => 'mcltest22@gmail.com', 
    //                     'due_on' => '2024-12-15', //yyyy-mm-dd
    //                     'notes' => 'Paypal Email:'.$data[0]->email
    //                     //'notes' => 'Paypal Email:$'.$data[0]->email.'  Outstand Earnings :  $40'
    //                 ]
    //             ],
    //         ]);
            

    //         $projectPlan = json_decode($newProject->getBody(), true)['data'];
    //         $user = Auth::user();

    //         $message = '';
    //         if($projectPlan['gid'] && $projectPlan['gid'] != '') {
    //             $message .= "Asana Subtask Created Successfully...!";
    //             $result = DB::table('comm_subtask')->insert([
    //                 "userid" => $taskid,
    //                 "gid" => $projectPlan['gid'],
    //                 "type" => 'accountform2'

    //             ]);
    //         }

    //         $subtaskId = $projectPlan['gid'];
    //         $response = $guzzleClient->request('GET', "tasks/$subtaskId/stories", [
    //             'headers' => [
    //                 'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
    //                 'Content-Type' => 'application/json',
    //             ]
    //         ]);

    //         $comments = json_decode($response->getBody(), true);

    //         return response()->json(['details' => json_encode($projectPlan), 'message' => $message,'comments' => $comments,'gid'=>$subtaskId]);
      
    // }


    // public function subtaskcreate1(Request $request)
    // {  
      
    //         $taskid = $request->input('formid');
             
    //         $data = DB::table('comm_account_closure')->where('form_id',$taskid)->get();



    //        // $ASANA_ACCESS_TOKEN = "2/1207778564029631/1207918270167868:216b00a985ab0fc07541c83514ff4038";


    //         $ASANA_ACCESS_TOKEN = "2/1208316400186719/1208316769447199:421ee9aae5a8b4111046340e7dbf4a5f";

    //         $guzzleClient = new GuzzleClient(['base_uri' => 'https://app.asana.com/api/1.0/']);
    //         $headers = ['Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN, 'Content-Type' => 'application/json',];

    //         if ($ASANA_ACCESS_TOKEN === false) {
    //             echo "Please set the ASANA_ACCESS_TOKEN environment variable.\n";
    //             exit;
    //         }

    

    //         //$projectId='1208316400240913';
           
        
    //         // $response = $guzzleClient->request('GET', "projects/$projectId/tasks", [
    //         //     'headers' => [
    //         //         'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
    //         //         'Content-Type' => 'application/json',
    //         //     ]
    //         // ]);
        
    //         // // Decode the response
    //         // $tasks = json_decode($response->getBody(), true);
        
    //         // foreach ($tasks['data'] as $task) {
    //         //     echo "Task ID: " . $task['gid'] . " - " . $task['name'] . PHP_EOL;
    //         // }

    //         $taskId='1208316751155299';
    //         $newProject = $guzzleClient->request('POST', "tasks/".$taskId."/subtasks", [
    //             'headers' => $headers,
    //             'json' => [
    //                 'data' => [
    //                     'name' => $data[0]->username.'('.$data[0]->userID.')',
    //                     'assignee' => 'mcltest22@gmail.com', 
    //                     'notes' => 'https://www.youtube.com/channel/zzzzzzzzzz'
    //                 ]
    //             ],
    //         ]);
            

    //         $projectPlan = json_decode($newProject->getBody(), true)['data'];
    //         $user = Auth::user();

    //         $message = '';
    //         if($projectPlan['gid'] && $projectPlan['gid'] != '') {
    //             $message .= "Asana Subtask Created Successfully...!";
    //             $result = DB::table('comm_subtask')->insert([
    //                 "userid" => $taskid,
    //                 "gid" => $projectPlan['gid'],
    //                 "type" => 'accountform'

    //             ]);
    //         }

    //         $subtaskId = $projectPlan['gid'];
    //         $response = $guzzleClient->request('GET', "tasks/$subtaskId/stories", [
    //             'headers' => [
    //                 'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
    //                 'Content-Type' => 'application/json',
    //             ]
    //         ]);

    //         $comments = json_decode($response->getBody(), true);

    //         return response()->json(['details' => json_encode($projectPlan), 'message' => $message,'comments' => $comments,'gid'=>$subtaskId]);
      
    // }

    public function subtaskcreate2(Request $request)
    {  
      
            $taskid = $request->input('formid');
             
            $data = DB::table('comm_account_closure')->where('form_id',$taskid)->get();


            $values = [
                'payment_created_at' => NOW(),
            ];
        
           
            DB::table('comm_account_closure')->where('form_id',$taskid)->update($values);

          

            $ASANA_ACCESS_TOKEN = "2/1208713570171412/1208713794959396:67d24263201288d58d4ce079e1e589fd";


            $guzzleClient = new GuzzleClient(['base_uri' => 'https://app.asana.com/api/1.0/']);
            $headers = ['Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN, 'Content-Type' => 'application/json',];

            if ($ASANA_ACCESS_TOKEN === false) {
                echo "Please set the ASANA_ACCESS_TOKEN environment variable.\n";
                exit;
            }

            $response = $guzzleClient->request('GET', 'projects', ['headers' => $headers]);
            $responseData = json_decode($response->getBody()->getContents(), true);
        
            // Print out the project IDs and names
            if (isset($responseData['data'])) {
                foreach ($responseData['data'] as $project) {
                    if ($project['name'] === "Payments & Closures") {
                        $projectId = $project['gid'];
                        break;
                    }
                }
            } 
     

       


            $taskId=$projectId;

            $newProject = $guzzleClient->request('POST', 'tasks', [
                'headers' => $headers,
                'json' => [
                    'data' => [
                        'name' => $data[0]->username.'('.$data[0]->userID.')',
                        'assignee' => 'bryan2024nov@gmail.com', 
                        'due_on' => '2025-01-15', //yyyy-mm-dd
                        'notes' => 'Paypal Email:'.$data[0]->email,
                        'projects'=> $taskId
                    ]
                ]
            ]);

            
            // $newProject = $guzzleClient->request('POST', "tasks/".$taskId."/subtasks", [
            //     'headers' => $headers,
            //     'json' => [
                    
            //     ],
            // ]);

            

            $projectPlan = json_decode($newProject->getBody(), true)['data'];
            
            $user = Auth::user();

            $message = '';
            if($projectPlan['gid'] && $projectPlan['gid'] != '') {
                $message .= "Asana Subtask Created Successfully...!";
                $result = DB::table('comm_subtask')->insert([
                    "userid" => $taskid,
                    "gid" => $projectPlan['gid'],
                    "type" => 'accountform2'

                ]);
            }

            $subtaskId = $projectPlan['gid'];
            $response = $guzzleClient->request('GET', "tasks/$subtaskId/stories", [
                'headers' => [
                    'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                    'Content-Type' => 'application/json',
                ]
            ]);

            $comments = json_decode($response->getBody(), true);

            return response()->json(['details' => json_encode($projectPlan), 'message' => $message,'comments' => $comments,'gid'=>$subtaskId]);
      
    }


    public function subtaskcreate1(Request $request)
    {  
      
            $taskid = $request->input('formid');
             
            $data = DB::table('comm_account_closure')->where('form_id',$taskid)->get();



           // $ASANA_ACCESS_TOKEN = "2/1207778564029631/1207918270167868:216b00a985ab0fc07541c83514ff4038";


            $ASANA_ACCESS_TOKEN = "2/1208713570171412/1208713794959396:67d24263201288d58d4ce079e1e589fd";

            $guzzleClient = new GuzzleClient(['base_uri' => 'https://app.asana.com/api/1.0/']);
            $headers = ['Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN, 'Content-Type' => 'application/json',];

            if ($ASANA_ACCESS_TOKEN === false) {
                echo "Please set the ASANA_ACCESS_TOKEN environment variable.\n";
                exit;
            }

            $response = $guzzleClient->request('GET', 'projects', ['headers' => $headers]);
            $responseData = json_decode($response->getBody()->getContents(), true);
        

            if (isset($responseData['data'])) {
                foreach ($responseData['data'] as $project) {
                    
                    if ($project['name'] === "YouTube channels") {
                        $projectId = $project['gid'];
                        break;
                    }
                }
            } 
     

  

            $taskId=$projectId;

            $newProject = $guzzleClient->request('POST', 'tasks', [
                'headers' => $headers,
                'json' => [
                    'data' => [
                        'name' => $data[0]->username.'('.$data[0]->userID.')',
                        'assignee' => 'bryan2024nov@gmail.com', 
                        'notes' => 'https://www.youtube.com/channel/zzzzzzzzzz',
                        'projects'=> $taskId
                    ]
                ]
            ]);

            
            // $taskId='1208316751155299';
            // $newProject = $guzzleClient->request('POST', "tasks/".$taskId."/subtasks", [
            //     'headers' => $headers,
            //     'json' => [
            //         'data' => [
            //             'name' => $data[0]->username.'('.$data[0]->userID.')',
            //             'assignee' => 'mcltest22@gmail.com', 
            //             'notes' => 'https://www.youtube.com/channel/zzzzzzzzzz'
            //         ]
            //     ],
            // ]);
            

            $projectPlan = json_decode($newProject->getBody(), true)['data'];
            $user = Auth::user();

            $message = '';
            if($projectPlan['gid'] && $projectPlan['gid'] != '') {
                $message .= "Asana Subtask Created Successfully...!";
                $result = DB::table('comm_subtask')->insert([
                    "userid" => $taskid,
                    "gid" => $projectPlan['gid'],
                    "type" => 'accountform'

                ]);
            }

            $subtaskId = $projectPlan['gid'];
            $response = $guzzleClient->request('GET', "tasks/$subtaskId/stories", [
                'headers' => [
                    'Authorization' => 'Bearer ' . $ASANA_ACCESS_TOKEN,
                    'Content-Type' => 'application/json',
                ]
            ]);

            $comments = json_decode($response->getBody(), true);

            return response()->json(['details' => json_encode($projectPlan), 'message' => $message,'comments' => $comments,'gid'=>$subtaskId]);
      
    }


    public function accountlogin(Request $request)
    {    
  
       //dd($request->all());
        // $credentials = [
        //     'name' => $request->input('email'),
        //     'password' => $request->input('password')
        // ];
		// if (Auth::attempt($credentials)) {
        //     $user = Auth::user();
        //    // dd($user);
        //    //session()->flash('user_name', $user->name);
     
        //    return redirect()->route('forms', ['username' => $user->name]);

        //     return redirect('/forms');
        // }
        // exit;

//$pass= 'cd8c43412ecbd6a545390385cc0edcfa,df369fe0020873b554e121ecd998533b';

        $user_email = User::where('name', $request->email)->first();

     // dd(md5($request->password));
		if ($user_email) 
		{
			 $loginCustom = User::where('name', $request->email)
            ->where('pass',md5($request->password))
            ->first();
//dd($loginCustom);
			if($loginCustom == '') 
			{
                return back()->withInput($request->only('email', 'password'))->withErrors([
                    'email' => 'Invalid Username or Password',
                ]);
                
			}else 
			{
				
					$hashedPass=Hash::make($request->password);
					// update password to Bcrypt
					User::where('uid', '=', $loginCustom->uid)->update(['password' =>$hashedPass]);
            

                    $credentials = [
                        'name' => $request->email,
                        'password' => $request->password
                    ];
                   // dd( $credentials);
                   if (Auth::attempt($credentials)) {
                    //dd('test');
                  // if (Auth::attempt(['name' => $request->email, 'test_password' => $request->password])){
                   
							// $user = Auth::user();
							// 	if ($user) 
							// 	{
                                $user = Auth::user();
                                //    // dd($user);
                                //    //session()->flash('user_name', $user->name);
                              //  $url = route('forms', ['key' => $request['key'], 'username' => $user->name]);

                                return redirect()->route('forms', ['key' => $request['key'], 'username' => $user->name]);

								//}
                                
						}
                        else{
                            return back()->withInput($request->only('email', 'password'))->withErrors([
                                'email' => 'Invalid Username or Password',
                            ]);
                                                    }
                   
                    
                }          
            }else{
                return back()->withInput($request->only('email', 'password'))->withErrors([
                    'email' => 'Invalid Username or Password',
                ]);
                            }
  
    }

    public function formsubmit(Request $request)
    {    



$elaborate_reason = '';
      
        $email = $request->input('email1');
        $name = $request->input('username1');
        $userid = $request->input('user_id1');
        $closureOption = $request->input('close');
        $rating = $request->input('satisfied');
        $reasonaccount = $request->input('account');
        $distributor = $request->input('options');
    
        $service = $request->input('service');
        $product = $request->input('product');
        if($service != ''){
           $elaborate_reason = $service;
        }else{
           $elaborate_reason = $product;
        }
        $comment = $request->input('comments');
    
       
        $values = [
            'email' => $email,
            'username' => $name,
            'userID' => $userid,
            'would_you_like_to_wait' => $closureOption,
            'rating' => $rating,
            'reason' => $reasonaccount,
            'elaborate_reason' => $elaborate_reason,
            'other_distrubutor' => $distributor,
            'comments' => $comment,
            'keys1' => $request->input('key')
        ];
    
       
        DB::table('comm_account_closure')->insert($values);
        return redirect()->back()->with('success', 'Account Closure form submitted Successfully.');

    }

    public function exportform(Request $request)
    {       

       $data = DB::table('comm_account_closure')
        ->leftjoin('comm_elaborate_reason', 'comm_account_closure.elaborate_reason', '=', 'comm_elaborate_reason.elaborate_reason_id')
        ->leftjoin('comm_like_to_wait', 'comm_account_closure.would_you_like_to_wait', '=', 'comm_like_to_wait.like_to_wait_id')
        ->leftjoin('comm_other_distributor', 'comm_account_closure.other_distrubutor', '=', 'comm_other_distributor.other_distributor_id')
    ->leftjoin('comm_reason_value', 'comm_account_closure.reason', '=', 'comm_reason_value.reason_id')
    ->where('form_id',$request['id'])->get();
  
        $pdf = PDF::loadView('exportform',compact('data'));
        return $pdf->download('exportform.pdf'); 
        
    }



    public function formlogout(Request $request,$key)
    {    
       //dd($key);
       
        $user = Auth::user();  
        Auth::logout();
        $request->session()->flush();
        $request->session()->regenerate();
        return redirect('/accountclosureform?key='.$key); 
        
    }
    public function getValue($array, $pattern) {
        foreach ($array as $key => $value) {
            if (preg_match('/' . $pattern . '/', $key)) {
                return $value;
            }
        }
        return '';
    }
    
      
    public function actiondone(Request $request)
    {  
    // dd($request->all());
     $body = preg_replace("/Many Warm Regards,\s*The RouteNote Team/", "", $request['body']);

        if($request['type'] == 'account')  
        {  
            
            $data =  DB::table('comm_account_closure')->where('form_id',$request['formid'])->get();
            $username = $data[0]->username;
                $userID = $data[0]->userID;
            if($data[0]->confirmation_email == '1')
            {
               
    

                $sel_fra_count = DB::table('flag_comment')
                ->where('uid', $request['uid'])
                ->whereIn('flagtype', ['FraudStrike', 'fraud_streaming'])
                ->count();
            
            if ($sel_fra_count != 0) {
                // Check the count of users records
                $sel_fra_sdt_count = DB::table('users')
                    ->where('possible_fraud', 0)
                    ->where('under_investigation', 0)
                    ->where('paypal_issue', 0)
                    ->where('indianpaypal', 0)
                    ->where('fraud_streaming', 0)
                    ->where(function ($query) {
                        $query->whereNull('bank_transfer')
                              ->orWhere('bank_transfer', 0);
                    })
                    ->where('uk_vat_flag', 0)
                    ->where('uid',$uid)
                    ->count();
            
                if ($sel_fra_sdt_count != 0) {
                    $fsacheck = '1';
                } else {
                    $fsacheck = '0';
                }
            } else {
                $fsacheck = '1';
            }


                if($request['value'] == 'approve'){
                    $subject ='Confirmation Of Closure';
                   if($fsacheck == '0')
                    {
                        
                        $subject ='Confirmation of closure (FSA user on the FSA payment list)';

                        $content = '<p>Your account has been closed as requested.

                       <p> It seems that content on your account has been identified as being associated with artificial streaming patterns, so for this reason, your payment must be manually verified and checked by our Payments Team before it can be issued. Your outstanding earnings will be paid out to you as soon as this process is complete.</p>
                        <p> Please note that any releases that are live on stores may take up to 14 days to be removed.</p>
                        
                        <p>This is in relation to the RouteNote account with the username ['.$username.'] and UID ['.$userID.'].</p>
                        
                        <p>Thanks again for using RouteNote and all the best for the future.</p>';

                    }else{
                        $content = '<p>Your account has been closed and any outstanding payments will follow shortly.</p>
        
                        <p> Please note that any releases that are live on stores may take up to 14 days to be removed.</p>
                        
                        <p>This is in relation to the RouteNote account with the username ['.$username.'] and UID ['.$userID.'].</p>
                        
                        <p>Thanks again for using RouteNote and all the best for the future.</p>';
                    }

    
                }
                else if($request['value'] == 'reject'){
             

                    $subject ='Closure - Reject';
                    $content = $body;
    
                }
                else{
                    $subject ='Closure - Request for more Information';
                    $content = $body;
                }
            }
            else{
                return response()->json(['details' => 'fail']);
            }
           
        }else if($request['type'] == 'revenue')  {
            $data =  DB::table('comm_revenue_form')->where('id',$request['formid'])->get();
            $username = $data[0]->username;
            $userID = $data[0]->userid;
            if($request['value'] == 'approve'){
                $datas =  DB::table('comm_revenue_form_multiple')->where('sid',$request['formid'])->get();

                $data1Array = $datas->toArray();
                function getValue($array, $pattern) {
                    foreach ($array as $key => $value) {
                        if (preg_match('/' . $pattern . '/', $key)) {
                            return $value;
                        }
                    }
                    return '';
                }
          
                
                // Convert Laravel Collection to a PHP array if needed
                $data1Array = is_array($datas) ? $datas : $datas->toArray();
                $allSplits=[];
                
                // foreach ($data1Array as $record) {
                //     // Decode JSON string in RevenueShareTo
                //     $decodedRecord = json_decode($record->RevenueShareTo);
                
                //     // Debugging: Output the decoded record
                
            

                // $data = json_decode($decodedRecord, true);
                
                //         $UPCid = $data['UPCid'];
                //         $ISRC = $data['ISRC'];
                //         $RevenueShareTo = $data['RevenueShareTo'];
                //         $spilts=[];
                //         DB::table('referral_split_album')
                //         ->where('uid', '72567')
                //         ->where('upc', $UPCid)
                //         ->delete();
                //         foreach ($RevenueShareTo as $user) {
                //             // Extract values dynamically based on patterns
                //             $userId = getValue($user, 'Userid');
                //             $userName = getValue($user, 'Username');
                //             $percentage = getValue($user, 'Percentage');
                //             $result = ($percentage / 100) * 85;
                //             $balance = 85 - $result;
                          



                //             $spilts[] ='<p>Splits are applied in Routenote for <b>UPC:</b>'.$UPCid.'</p>
                //             <p><b>Username:</b>'.$username.' </p> <p><b>Userid:</b>'.$userID.' </p> <p><b>Percentage:</b>'.$result.'%</p>
                //             <p><b>Username:</b>'.$userName.' </p> <p><b>Userid:</b>'.$userId.' </p> <p><b>Percentage:</b>'.$balance.'%</p>';




                                        
                //         $upc = $UPCid;
                //         $uid = $userID;
                //         $artist_percentagevalue = $result;
                //         $user1_n = $userId;
                //         $addrefpercent_n = $balance;
                //         $login_id = '11723';


                //         // Fetch the UPC type
                //         $upcType = DB::table('upc_distribution')
                //             ->where('upcid', $upc)
                //             ->value('main_dis_option');

                //         // Initialize routenote_val and per_val
                //         $routenote_val = 0;
                //         $per_val = 0;

                //         if ($upcType != 'premium') {
                //             // Fetch referral UID
                //             $referralUid = DB::table('referral')
                //                 ->where('uid', $uid)
                //                 ->value('referral_uid');

                //             // Fetch artist earnings
                //             $artist_earn = DB::table('upc_percentage')
                //                 ->where('upc', $upc)
                //                 ->value('percentage');

                //             $routenote_val = 100 - $artist_earn;

                //             // Fetch referrer percentage if referral_uid is not empty
                //             if (!empty($referralUid) && $referralUid != '0') {
                //                 $per_val = DB::table('user_referral_percentage')
                //                     ->where('uid', $referralUid)
                //                     ->value('percentage');

                //                 if (!is_null($per_val)) {
                //                     $routenote_val -= $per_val;
                //                 }
                //             }
                //         }

                //         DB::table('referral_split_album')->insert([
                //             'upc' => $upc,
                //             'uid' => $uid,
                //             'referrer_uid' => $referralUid,
                //             'nid' => null,
                //             'percent' => $per_val,
                //             'status' => '',
                //             'sdate' => '',
                //             'edate' => '',
                //             'isrc' => '',
                //             'user_percent' => $artist_percentagevalue,
                //             'rn_percent' => $routenote_val,
                //             'referrar_percent' => $per_val,
                //             'up_admin' => $login_id,
                //         ]);

                //         $release_date = DB::table('node as n')
                //             ->join('audio as a', 'a.nid', '=', 'n.nid')
                //             ->where('a.upc', $upc)
                //             ->value(DB::raw('DATE(FROM_UNIXTIME(n.created))'));

                //         $sdate_n = Carbon::parse($release_date)->format('m-Y');

                //         DB::table('referral_split_album')->insert([
                //             'upc' => $upc,
                //             'uid' => $uid,
                //             'referrer_uid' => $user1_n,
                //             'status' => 'Active',
                //             'percent' => $addrefpercent_n,
                //             'sdate' => $sdate_n,
                //             'edate' => '',
                //             'isrc' => '',
                //             'nid' => null,
                //             'user_percent' => $artist_percentagevalue,
                //             'rn_percent' => $routenote_val,
                //             'referrar_percent' => $per_val,
                //             'up_admin' => $login_id,
                //         ]);







                //         }   
                //         $allSplits[] = implode('', $spilts);
                //       //  $allSplits[] = implode('', $splits);

                // }


                foreach ($data1Array as $record) {
                    $decodedRecord = json_decode($record->RevenueShareTo);
                
                   $data = json_decode($decodedRecord, true);
                   
                    $UPCid = $data['UPCid'];
                    $ISRC = $data['ISRC'];
                    if($ISRC == 'all'){
                        $ISRC ='';
                    }
                    $RevenueShareTo = $data['RevenueShareTo'];
                    
                    $splits = []; $splits1 = []; $splits2 = []; 
                
                    DB::table('referral_split_album')
                        ->where('uid', $userID) 
                        ->where('upc', $UPCid)
                        ->delete();
                   
                    $totalRevenueShare = 85;
                    $totalPercentageUsed = 0;
                
                    // $splits[] = '<p><b>UPC:</b> ' . $UPCid . '</p>';
                    $spilts[] ='<p>The 20th of the month cut-off for when revenue shares will be applied to the the following months received earnings to earnings.</p><p>Splits are applied in Routenote for <b>UPC:</b>'.$UPCid.'</p>';

                    foreach ($RevenueShareTo as $user) {
                        $userId = getValue($user, 'Userid');
                        $userName = getValue($user, 'Username');
                        $percentage = getValue($user, 'Percentage');
                
                        $result = ($percentage / 100) * $totalRevenueShare;
                        $balance = $totalRevenueShare - $result;
                
    

                        $totalPercentageUsed += $result;
        
                        $remainingPercentage = $totalRevenueShare - $totalPercentageUsed;
                    }


                    foreach ($RevenueShareTo as $user) {
                        $userId = getValue($user, 'Userid');
                        $userName = getValue($user, 'Username');
                        $percentage = getValue($user, 'Percentage');
                
                        $result = ($percentage / 100) * $totalRevenueShare;
                        $balance = $totalRevenueShare - $result;
                
                      

                        $spilts1[] =' <p><b>Username:</b>'.$userName.' </p> <p><b>Userid:</b>'.$userId.' </p> <p><b>Percentage:</b>'.$result.'%</p>';


                        $totalPercentageUsed += $result;
        
                       // $remainingPercentage = $totalRevenueShare - $totalPercentageUsed;
                        
                        $upc = $UPCid;
                        $uid = $userID; 
                        $artist_percentagevalue = $remainingPercentage;
                        $addrefpercent_n = $result;
                        $login_id = '11723'; 
                
                        
                        $upcType = DB::table('upc_distribution')
                            ->where('upcid', $upc)
                            ->value('main_dis_option');
                
                        $routenote_val = 0;
                        $per_val = 0;
                
                        if ($upcType != 'premium') {
                            $referralUid = DB::table('referral')
                                ->where('uid', $uid)
                                ->value('referral_uid');
                
                            $artist_earn = DB::table('upc_percentage')
                                ->where('upc', $upc)
                                ->value('percentage');
                
                            $routenote_val = 100 - $artist_earn;
                
                            if (!empty($referralUid) && $referralUid != '0') {
                                $per_val = DB::table('user_referral_percentage')
                                    ->where('uid', $referralUid)
                                    ->value('percentage');
                
                                if (!is_null($per_val)) {
                                    $routenote_val -= $per_val;
                                }
                            }
                        }
                
                        DB::table('referral_split_album')
                        ->where([
                            'upc' => $upc,
                            'uid' => $uid,
                            'referrer_uid' => null, 
                            'up_admin' => $login_id,
                        ])
                        ->delete();
                    
                        DB::table('referral_split_album')->insert([
                            'upc' => $upc,
                            'uid' => $uid,
                            'referrer_uid' => $referralUid ?? null, 
                            'nid' => null,
                            'percent' => $per_val,
                            'status' => '',
                            'sdate' => '',
                            'edate' => '',
                            'isrc' => $ISRC,
                            'user_percent' => $artist_percentagevalue,
                            'rn_percent' => $routenote_val,
                            'referrar_percent' => $per_val,
                            'up_admin' => $login_id,
                        ]);
                
                        $release_date = DB::table('node as n')
                            ->join('audio as a', 'a.nid', '=', 'n.nid')
                            ->where('a.upc', $upc)
                            ->value(DB::raw('DATE(FROM_UNIXTIME(n.created))'));
                
                        $sdate_n = Carbon::parse($release_date)->format('m-Y');
                
                        DB::table('referral_split_album')->insert([
                            'upc' => $upc,
                            'uid' => $uid,
                            'referrer_uid' => $userId,
                            'status' => 'Active',
                            'percent' => $addrefpercent_n,
                            'sdate' => $sdate_n,
                            'edate' => '',
                            'isrc' => '',
                            'nid' => null,
                            'user_percent' => $artist_percentagevalue,
                            'rn_percent' => $routenote_val,
                            'referrar_percent' => $per_val,
                            'up_admin' => $login_id,
                        ]);
                    }
                
                
                    $splits2[] = '<p><b>Username:</b>'.$username.' </p> <p><b>Userid:</b>'.$userID.' </p> <p><b>Percentage:</b>'.$remainingPercentage.'%</p>';
                
                   
                    $merge = array_merge($spilts,$spilts1,$splits2);
                    $splits_applied = implode('', $merge);
                }
                

            




                $subject ='Confirmation Of Revenue Share';
                $content = '<p>Your Revenue Share is approved and appiled Album & Tracks.</p>

                <p> Please note that it may take up to 14 days to be removed.</p>
                
                <p>This is in relation to the RouteNote account with the username ['.$username.'] and UID ['.$userID.'].</p>

                '.$splits_applied.'
                
                <p>Thanks again for using RouteNote and all the best for the future.Your Revenue Share request has been approved and it will be processed in the next 2-3 businessdays.</p>';

            }
          
            else if($request['value'] == 'reject'){
             

                $subject ='Revenue Share Form- Reject';
                $content = $body;

            }
            else{
                $subject ='Revenue Share Form- Request for more Information';
                $content = $body;
            }
          
        }else if($request['type'] == 'oac')  {
            $data =  DB::table('comm_oac_form')->where('id',$request['formid'])->get();
            $username = $data[0]->username;
            $userID = $data[0]->userid;
            if($request['value'] == 'approve'){
                $subject ='Confirmation Of Youtube OAC ';
                $content = '<p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;">
                Thanks for completing our <a href="https://docs.google.com/forms/d/e/1FAIpQLScBMMRQ5_ZwqR4zrVLjr-h4uLD35JIAL-xxQNWDwxgJzQkWgQ/viewform">OAC request form</a>, however, we can&#x27;t request this upgrade for you until you<span style="font-family:Arial, Helvetica, sans-serif;" data-mce-style="font-family:Arial, Helvetica, sans-serif;"> have </span>at least one release distributed by RouteNote on a topic channel unique to your artist.&nbsp;</p><p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;"><br/></p><p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;">You&#x27;ll just need to upload a release to RouteNote and select YouTube Music as a store to ensure your release is uploaded to a topic channel.</p><p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;"><br/></p><p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;">This is related to the submission made for ARTISTNAME with the following O&#x26;O channel:</p><p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;"><br/></p><p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;"><br/></p><p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;">Please refer to the article below from our Support Hub for further information on this:</p><p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;">https://support.routenote.com/kb-article/how-can-i-get-a-youtube-topic-channel/</p><p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;"><br/></p><p style="margin:0px !important;padding:0px !important;" data-mce-style="margin:0px !important;padding:0px !important;">Please resubmit the form when you&#x27;ve met this requirement.</p>';

            }
            else if($request['value'] == 'reject'){
             

                $subject ='Youtube OAC - Reject';
                $content = $body;

            }
            else{
                $subject ='Youtube OAC - Request for more Information';
                $content = $body;
            }
        }
        else if($request['type'] == 'content') {
            $data =  DB::table('comm_content_mapping')->where('id',$request['formid'])->get();
            $username = $data[0]->username;
            $userID = $data[0]->userid;
            if($request['value'] == 'approve'){
                $subject ='Confirmation Of Content Mapping Request';

                $content = 'Your Content Mapping Request has been processed and it will be completed in the next 2-3 businessdays.';

            }
            else if($request['value'] == 'reject'){
             

                $subject ='Content Mapping Form - Reject';
                $content = $body;

            }
            else{
                $subject ='Content Mapping Form - Request for more Information';
                $content = $body;
            }
        }
            
        else{
            $data =  DB::table('comm_youtubetopic')->where('id',$request['formid'])->get();
            $username = $data[0]->username;
            $userID = $data[0]->userid;
            if($request['value'] == 'approve'){
                $subject ='Confirmation Of YouTube Music & topic channels';

                $content = 'Your YouTube Music & topic channels request has been sent to the corresponding stores and it will be completed in the next 2-3 businessdays.';

            }
          
        }
            
           
               
               $body = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
               <html xmlns="http://www.w3.org/1999/xhtml">
               <head>
                   <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
                   <meta name="viewport" content="width=device-width, initial-scale=1.0">
                   <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
                   <meta name="format-detection" content="telephone=no" /> <!-- disable auto telephone linking in iOS -->
                   <title>Your Release requires your action.</title>
                   <style type="text/css">
                   #emailstart{margin-top: -1rem;}
                   #emailstar1:hover{color: #deb217;}
                   #emailstar1:hover~a{color: #deb217;}
                   #emailstar1:checked~a{color: #ffc700;}
                   </style>
                   <style type="text/css">
                       /* RESET STYLES */
                       html { background-color:#EEEEEE; margin:0; padding:0; }
                       body, #bodyTable, #bodyCell, #bodyCell{height:100% !important; margin:0; padding:0; width:100% !important; font-family: Arial,Helvetica,sans-serif;;}
                       table{border-collapse:collapse;}
                       table[id=bodyTable] {width:100%!important;margin:auto;max-width:500px!important;color:#000000;font-weight:normal;}
                       img, a img{border:0; outline:none; text-decoration:none;height:auto; line-height:100%;}
                       a {text-decoration:none !important;border-bottom: 1px solid; font-size:16px !important;}
                       h1, h2, h3, h4, h5, h6{color:#1355ac; font-weight:bold; font-family: Arial,Helvetica,sans-serif; font-size:20px; line-height:125%; text-align:left; letter-spacing:normal;margin-top:0;margin-right:0;margin-bottom:10px;margin-left:0;padding-top:0;padding-bottom:0;padding-left:0;padding-right:0;}
       
                       /* CLIENT-SPECIFIC STYLES */
                       .ReadMsgBody{width:100%;} .ExternalClass{width:100%;} /* Force Hotmail/Outlook.com to display emails at full width. */
                       .ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div{line-height:100%;} /* Force Hotmail/Outlook.com to display line heights normally. */
                       table, td{mso-table-lspace:0pt; mso-table-rspace:0pt;} /* Remove spacing between tables in Outlook 2007 and up. */
                       #outlook a{padding:0;} /* Force Outlook 2007 and up to provide a "view in browser" message. */
                       img{-ms-interpolation-mode: bicubic;display:block;outline:none; text-decoration:none;} /* Force IE to smoothly render resized images. */
                       body, table, td, p, a, li, blockquote{-ms-text-size-adjust:100%; -webkit-text-size-adjust:100%; font-weight:normal!important;} /* Prevent Windows- and Webkit-based mobile platforms from changing declared text sizes. */
                       .ExternalClass td[class="ecxflexibleContainerBox"] h3 {padding-top: 10px !important;} /* Force hotmail to push 2-grid sub headers down */
       
                       /* /\/\/\/\/\/\/\/\/ TEMPLATE STYLES /\/\/\/\/\/\/\/\/ */
       
                       /* ========== Page Styles ========== */
                       h1{display:block;font-size:24px;font-style:normal;font-weight:normal;line-height:100%;}
                       h2{display:block;font-size:20px;font-style:normal;font-weight:normal;line-height:120%;}
                       h3{display:block;font-size:16px;font-style:normal;font-weight:normal;line-height:110%;}
                       h4{display:block;font-size:14px;font-style:italic;font-weight:normal;line-height:100%;}
                       .flexibleImage{height:auto;}
                       .linkRemoveBorder{border-bottom:0 !important;}
                       table[class=flexibleContainerCellDivider] {padding-bottom:0 !important;padding-top:0 !important;}
       
                       body, #bodyTable{background-color:#EEEEEE;}
                       #emailHeader{background-color:#FFFFFF;}
                       #emailBody{background-color:#FFFFFF;}
                       #emailFooter{background-color:#E1E1E1;}
                       .nestedContainer{background-color:#F8F8F8; border:2px solid #1355ac;}
                       .emailButton{background-color:#205478; border-collapse:separate;}
                       .buttonContent{color:#FFFFFF; font-family: Arial,Helvetica,sans-serif; font-size:18px; font-weight:bold; line-height:100%; padding:15px; text-align:center;}
                       .buttonContent a{color:#FFFFFF; display:block; text-decoration:none!important; border:0!important;}
                       .emailCalendar{background-color:#FFFFFF; border:2px solid #1355ac;}
                       .emailCalendarMonth{background-color:#1355ac; color:#FFFFFF; font-family: Arial,Helvetica,sans-serif; font-size:16px; font-weight:bold; padding-top:10px; padding-bottom:10px; text-align:center;}
                       .emailCalendarDay{color:#1355ac; font-family: Arial,Helvetica,sans-serif; font-size:60px; font-weight:bold; line-height:100%; padding-top:20px; padding-bottom:20px; text-align:center;}
                       .imageContentText {margin-top: 10px;line-height:0;}
                       .imageContentText a {line-height:0;}
                       #invisibleIntroduction {display:none !important;} /* Removing the introduction text from the view */
       
                       /*FRAMEWORK HACKS & OVERRIDES */
                       span[class=ios-color-hack] a {color:#1355ac!important;text-decoration:none!important;} /* Remove all link colors in IOS (below are duplicates based on the color preference) */
                       span[class=ios-color-hack2] a {color:#1355ac!important;text-decoration:none!important;}
                       span[class=ios-color-hack3] a {color:#1355ac!important;text-decoration:none!important;}
                       /* A nice and clean way to target phone numbers you want clickable and avoid a mobile phone from linking other numbers that look like, but are not phone numbers.  Use these two blocks of code to "unstyle" any numbers that may be linked.  The second block gives you a class to apply with a span tag to the numbers you would like linked and styled.
                       Inspired by Campaign Monitor\'s article on using phone numbers in email: http://www.campaignmonitor.com/blog/post/3571/using-phone-numbers-in-html-email/.
                       */
                       .a[href^="tel"], a[href^="sms"] {text-decoration:none!important;color:#1355ac!important;pointer-events:none!important;cursor:default!important;}
                       .mobile_link a[href^="tel"], .mobile_link a[href^="sms"] {text-decoration:none!important;color:#1355ac!important;pointer-events:auto!important;cursor:default!important;}
       
       
                       /* MOBILE STYLES */
                       @media only screen and (max-width: 480px){
                           table[id="emailHeader"],
                           table[id="emailBody"],
                           table[id="emailFooter"],
                           table[class="flexibleContainer"],
                           td[class="flexibleContainerCell"] {width:100% !important;}
                           td[class="flexibleContainerBox"], td[class="flexibleContainerBox"] table {display: block;width: 100%;text-align: left;}
                     
                           td[class="imageContent"] img {height:auto !important; width:100% !important; max-width:100% !important; }
                           img[class="flexibleImage"]{height:auto !important; width:100% !important;max-width:100% !important;}
                           img[class="flexibleImageSmall"]{height:auto !important; width:auto !important;}
       
       
                           /*
                           Create top space for every second element in a block
                           */
                           table[class="flexibleContainerBoxNext"]{padding-top: 10px !important;}
       
                           /*
                           Make buttons in the email span the
                           full width of their container, allowing
                           for left- or right-handed ease of use.
                           */
                           table[class="emailButton"]{width:100% !important;}
                           td[class="buttonContent"]{padding:0 !important;}
                           td[class="buttonContent"] a{padding:15px !important;}
       
                       }
       
                       /*  CONDITIONS FOR ANDROID DEVICES ONLY
                       *   http://developer.android.com/guide/webapps/targeting.html
                       *   http://pugetworks.com/2011/04/css-media-queries-for-targeting-different-mobile-devices/ ;
                       =====================================================*/
       
                       @media only screen and (-webkit-device-pixel-ratio:.75){
                           /* Put CSS for low density (ldpi) Android layouts in here */
                       }
       
                       @media only screen and (-webkit-device-pixel-ratio:1){
                           /* Put CSS for medium density (mdpi) Android layouts in here */
                       }
       
                       @media only screen and (-webkit-device-pixel-ratio:1.5){
                           /* Put CSS for high density (hdpi) Android layouts in here */
                       }
                       /* end Android targeting */
       
                       /* CONDITIONS FOR IOS DEVICES ONLY
                       =====================================================*/
                       @media only screen and (min-device-width : 320px) and (max-device-width:568px) {
       
                       }
                       /* end IOS targeting */
                   </style>
                   <!--
                       Outlook Conditional CSS
       
                       These two style blocks target Outlook 2007 & 2010 specifically, forcing
                       columns into a single vertical stack as on mobile clients. This is
                       primarily done to avoid the \'page break bug\' and is optional.
       
                       More information here:
                       http://templates.mailchimp.com/development/css/outlook-conditional-css
                   -->
                   <!--[if mso 12]>
                       <style type="text/css">
                           .flexibleContainer{display:block !important; width:100% !important;}
                       </style>
                   <![endif]-->
                   <!--[if mso 14]>
                       <style type="text/css">
                           .flexibleContainer{display:block !important; width:100% !important;}
                       </style>
                   <![endif]-->
               </head>
               <body bgcolor="#E1E1E1" leftmargin="0" marginwidth="0" topmargin="0" marginheight="0" offset="0">
       
                   <!-- CENTER THE EMAIL // -->
                   <!--
                   1.  The center tag should normally put all the
                       content in the middle of the email page.
                       I added "table-layout: fixed;" style to force
                       yahoomail which by default put the content left.
       
                   2.  For hotmail and yahoomail, the contents of
                       the email starts from this center, so we try to
                       apply necessary styling e.g. background-color.
                   -->
                   <center style="background-color:#FFFFFF;">
                       <table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%" id="bodyTable" style="table-layout: fixed;max-width:100% !important;width: 100% !important;min-width: 100% !important;">
                           <tr>
                               <td align="center" valign="top" id="bodyCell">
       
                                   <!-- EMAIL HEADER // -->
                                   <!--
                                       The table "emailBody" is the email\'s container.
                                       Its width can be set to 100% for a color band
                                       that spans the width of the page.
                                   -->
                                   <table bgcolor="#FFFFFF" border="0" cellpadding="0" cellspacing="0" width="500" id="emailHeader">
       
                                       <!-- HEADER ROW // -->
                                       <tr>
                                           <td align="center" valign="top">
                                               <!-- CENTERING TABLE // -->
                                               <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                                   <tr>
                                                       <td align="center" valign="top">
                                                           <!-- FLEXIBLE CONTAINER // -->
                                                           <table border="0" cellpadding="10" cellspacing="0" width="500" class="flexibleContainer">
                                                               <tr>
                                                                   <td valign="top" width="500" class="flexibleContainerCell">
       
                                                                       <!-- CONTENT TABLE // -->
                                                                       <table align="left" border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                           <tr>
                                         
                                                                               <td align="left" valign="middle" id="invisibleIntroduction" class="flexibleContainerBox" style="display:none !important; mso-hide:all;">
                                                                                   <table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width:100%;">
                                                                                       <tr>
                                                                                           <td align="left" class="textContent">
                                                                                               <div style="font-family: Arial,Helvetica,sans-serif;font-size:13px;color:#828282;text-align:center;line-height:120%;">
                                                                                                   Your release has been flagged by our moderation team and requires your attention.
                                                                                               </div>
                                                                                           </td>
                                                                                       </tr>
                                                                                   </table>
                                                                               </td>
                                                                               <td align="right" valign="middle" class="flexibleContainerBox">
                                                                                   <table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width:100%;">
                                                                                       <tr>
                                                                                           <td align="left" class="textContent">
                                                                                               <!-- CONTENT // -->
                                                                                               <div style="font-family: Arial,Helvetica,sans-serif;font-size:13px;color:#000000;text-align:center;line-height:120%;">
                                                                                                   If you can&#39;t see this message&#44; <a href="test" target="_blank" style="text-decoration:none;border-bottom:1px solid #000000;color:#000000;"><span style="color:#000000;font-size:14px;">view&nbsp;it&nbsp;in&nbsp;your&nbsp;browser</span></a>.
                                                                                               </div>
                                                                                           </td>
                                                                                       </tr>
                                                                                   </table>
                                                                               </td>
                                                                           </tr>
                                                                       </table>
                                                                   </td>
                                                               </tr>
                                                           </table>
                                                           <!-- // FLEXIBLE CONTAINER -->
                                                       </td>
                                                   </tr>
                                               </table>
                                               <!-- // CENTERING TABLE -->
                                           </td>
                                       </tr>
                                       <!-- // END -->
       
                                   </table>
                                   <!-- // END -->
       
             
                                   <table bgcolor="#FFFFFF"  border="0" cellpadding="0" cellspacing="0" width="500" id="emailBody">
       
                                       <tr>
                                           <td align="center" valign="top">
                                           
                                               <table border="0" cellpadding="0" cellspacing="0" width="100%" style="color:#FFFFFF;" bgcolor="#1355ac">
                                                   <tr>
                                                       <td align="center" valign="top">
                                                       
                                                           <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#1355ac">
                                                               <tr>
                                                                   <td align="center" valign="top" width="500" class="flexibleContainerCell">
       
                                                                       <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#1355AC">
                                                                           <tr>
                                                                               <td align="center" valign="top" class="textContent">
                                                                                   <a href="https://routenote.com/" target="_blank"><img src="https://www.routenote.com/rn/images/activation_email_rnlogo.jpg" width="500" class="flexibleImage" style="max-width:500px;width:100%;display:block;color:#ffffff;" alt="RouteNote" title="RouteNote" /></a>
                                                                               </td>
                                                                           </tr>
                                                                       </table>
                                                                       
                                                                   </td>
                                                               </tr>
                                                           </table>
                                                           <!-- // FLEXIBLE CONTAINER -->
                                                       </td>
                                                   </tr>
                                               </table>
                                               <!-- // CENTERING TABLE -->
                                           </td>
                                       </tr>
                                       <!-- // MODULE ROW -->
       
                                       <!-- MODULE ROW // -->
                                       <tr>
                                           <td align="center" valign="top">
                                               <!-- CENTERING TABLE // -->
                                               <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                   <tr>
                                                       <td align="center" valign="top">
                                                           <!-- FLEXIBLE CONTAINER // -->
                                                           <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#FFFFFF">
                                                               <tr>
                                                                   <td align="center" valign="top" width="500" class="flexibleContainerCell">
                                                                       <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                                           <tr>
                                                                               <td align="center" valign="top">
       
                                                                                   <!-- CONTENT TABLE // -->
                                                                                   <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                                                       <tr>
                                                                                           <td valign="top" class="textContent">
                                                                                               <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$username.'&#44;</strong></h3><br>
                                                                                               <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>'.$content.'</p><br>
           <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
           <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
           </p></div>
                                                                                           </td>
                                                                                       </tr>
                                                                                   </table>
                                                                                   <!-- // CONTENT TABLE -->
       
                                                                               </td>
                                                                           </tr>
                                                                       </table>
                                                                   </td>
                                                               </tr>
                                                           </table>
                                                           <!-- // FLEXIBLE CONTAINER -->
                                                       </td>
                                                   </tr>
                                               </table>
                                               <!-- // CENTERING TABLE -->
                                           </td>
                                       </tr>
                                       <!-- // MODULE ROW -->
       
       
                                           <!-- MODULE ROW // -->
                                       <tr>
                                           <td align="center" valign="top">
                                               <!-- CENTERING TABLE // -->
                                               <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#000000">
                                                   <tr>
                                                       <td align="center" valign="top">
                                                           <!-- FLEXIBLE CONTAINER // -->
                                                           <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#000000">
                                                               <tr>
                                                                   <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#000000">
                                                                       <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#000000">
                                                                           <tr>
                                                                               <td align="center" valign="top">
       
                                                                                   <!-- CONTENT TABLE // -->
                                                                                   <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                                       <tr>
                                                                                           <td valign="top" class="textContent">
                                                                                               <!--
                                                                                                   The "mc:edit" is a feature for MailChimp which allows
                                                                                                   you to edit certain row. It makes it easy for you to quickly edit row sections.
                                                                                                   http://kb.mailchimp.com/templates/code/create-editable-content-areas-with-mailchimps-template-language
                                                                                               -->
                                                                                               <h3 mc:edit="header" style="color:#FFFFFF;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:16px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:center;"><a href="https://routenote.com/" style="color:#FFFFFF;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;text-align:center; text-decoration:none !important;" target="_blank"><strong>Visit your Account &#62;</strong></a></h3><br>
                                                                                               <div mc:edit="body" style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;color:#FFFFFF;line-height:150%;">Head over to your account now to continue working through your releases.<br></div>
       
                                                                                           </td>
                                                                                       </tr>
                                                                                   </table>
                                                                                   <!-- // CONTENT TABLE -->
       
                                                                               </td>
                                                                           </tr>
                                                                       </table>
                                                                   </td>
                                                               </tr>
                                                           </table>
                                                           <!-- // FLEXIBLE CONTAINER -->
                                                       </td>
                                                   </tr>
                                               </table>
                                               <!-- // CENTERING TABLE -->
                                           </td>
                                       </tr>
                                       <!-- // MODULE ROW -->
       
       
                                       <!-- MODULE ROW // -->
                                       <tr>
                                           <td align="center" valign="top">
                                               <!-- CENTERING TABLE // -->
                                               <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                   <tr>
                                                       <td align="center" valign="top">
                                                           <!-- FLEXIBLE CONTAINER // -->
                                                           <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#ffffff">
                                                           <tr>
                                                           <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#ffffff">
                                                               <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                   <tr>
                                                                       <td align="center" valign="top">
               
                                                                           <!-- CONTENT TABLE // -->
                                                                           <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                               <tr>
                                                                                   <td valign="top" class="textContent">
                                                                                       <div style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:15px;margin-bottom:0;margin-top:3px;color:#5F5F5F;line-height:135%;">
                                                                                       If we exceeded your expectations, please consider leaving us a review on <a href="" style="color:#1355ac;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Routenote reviews</a>
                                                                                       </div>
                                                                                   </td>
                                                                               </tr>
                                                                           </table>
                                                                           <!-- // CONTENT TABLE -->
               
                                                                       </td>
                                                                   </tr>
                                                               </table>
                                                           </td>
                                                           </tr>
       
                                                           <tr>
                                                                   <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#ffffff">
                                                                       <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                           <tr>
                                                                               <td align="center" valign="top">
       
                                                                                   <!-- CONTENT TABLE // -->
                                                                                   <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                                       <tr>
                                                                                           <td valign="top" class="textContent">
                                                                                               <div style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:15px;margin-bottom:0;margin-top:3px;color:#5F5F5F;line-height:135%;">
                                                                                               <a href="https://www.facebook.com/routenote?_rdr=p" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Facebook</a>
                                                                                               <a href="https://www.youtube.com/user/routenote" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:16px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Youtube</a>
                                                                                               <a href="https://twitter.com/routenote" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Twitter</a>
                                                                                               </div>
                                                                                           </td>
                                                                                       </tr>
                                                                                   </table>
                                                                                   <!-- // CONTENT TABLE -->
       
                                                                               </td>
                                                                           </tr>
                                                                       </table>
                                                                       <table>
                                                                   
                                                                       
                                                                   
                                                                   </table>
                                                                   </td>
                                                               </tr>
                                                           </table>
                                                           <!-- // FLEXIBLE CONTAINER -->
                                                       </td>
                                                   </tr>
                                               </table>
                                               <!-- // CENTERING TABLE -->
                                           </td>
                                       </tr>
                                       <!-- // MODULE ROW -->
       
                                   </table>
                                   <!-- // END -->
       
                                   <!-- EMAIL FOOTER // -->
                                   <!--
                                       The table "emailBody" is the email\'s container.
                                       Its width can be set to 100% for a color band
                                       that spans the width of the page.
                                   -->
                                   <table bgcolor="#E1E1E1" border="0" cellpadding="0" cellspacing="0" width="500" id="emailFooter">
       
                                       <!-- FOOTER ROW // -->
                                       <!--
                                           To move or duplicate any of the design patterns
                                           in this email, simply move or copy the entire
                                           MODULE ROW section for each content block.
                                       -->
                                       <tr>
                                           <td align="center" valign="top">
                                               <!-- CENTERING TABLE // -->
                                               <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#E1E1E1">
                                                   <tr>
                                                       <td align="center" valign="top">
                                                           <!-- FLEXIBLE CONTAINER // -->
                                                           <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#E1E1E1">
                                                               <tr>
                                                                   <td align="center" valign="top" width="500" class="flexibleContainerCell">
                                                                       <table border="0" cellpadding="30" cellspacing="0" width="100%">
                                                                           <tr>
                                                                               <td valign="top" bgcolor="#FAFAFA">
       
                                                                                   <div style="font-family: Arial,Helvetica,sans-serif;font-size:12px;color:#828282;text-align:center;line-height:120%;">
                                                                                       <div>Copyright &#169; '.date("Y").' <a href="https://routenote.com/" target="_blank" style="text-decoration:none;color:#000000;" target="_blank"><span style="color:#1355ac;font-size:12px;">RouteNote</span></a>. All&nbsp;rights&nbsp;reserved.</div>
                                                                                   </div>
       
                                                                               </td>
                                                                           </tr>
                                                                       </table>
                                                                   </td>
                                                               </tr>
                                                           </table>
                                                           <!-- // FLEXIBLE CONTAINER -->
                                                       </td>
                                                   </tr>
                                               </table>
                                               <!-- // CENTERING TABLE -->
                                           </td>
                                       </tr>
       
                                   </table>
                                   <!-- // END -->
       
                               </td>
                           </tr>
                       </table>
                   </center>
               </body>
           </html>';

if($request['to'] == 'mcldevtest@gmail.com'){
    $to ='mcldev24@gmail.com';
}else{
    $to =  $request['to'];   
}
        
      

            Mail::send([], [], function ($message) use ($to, $body, $subject) {       
                $message->from('noreply@smarthub.com', 'noreply@smarthub.com');
                $message->to($to);
                $message->subject($subject);
                $message->setBody($body, 'text/html');
                $message->replyTo($to);
            });
          
            $user = Auth::guard('staff')->user();

               $values = [
                'type' => $request['type'], 
                'status' => $request['value'], 
                'form_id'=>$request['formid'],
                'closed_by'=>$user->uid,
            ];
           DB::table('comm_form_status')->insert($values);

     
    }


   
}



