<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        * {
            font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
        }

        /* @media (min-resolution: 96dpi) and (max-resolution: 120dpi) {
            .sub-menu-list {
                font-size: 13px;
            }
        }

        @media (min-resolution: 121dpi) and (max-resolution: 150dpi) {
            .sub-menu-list {
                font-size: 14px;
            }
        } */
        /* @media (min-width: 1200px) {
            .sub-menu-list {
                    font-size: 13px;
                }
            }

        @media (max-width: 1199px) and (min-width: 960px) {
            .sub-menu-list {
                font-size: 10px;
            }
        } */

    
    </style>
</head>

<body>
    <div class="relative flex h-[calc(100vh-0rem)] w-full flex-col bg-gray-900 bg-clip-border  text-gray-700 shadow-blue-gray-900/5"
        style="padding: 1rem;place-items:center">
        <div>
            {{-- <img src="https://smarthub.rn-test.com/images/home_logo.svg" id="max-logo" Onclick="window.onbeforeunload = null;window.location.href = `http://127.0.0.1:8000/supporthub/dashboard`" alt="routenote-logo" style="height: 85px;width: 215px;"> --}}
            <a href="https://smarthub.rn-test.com/dashboard" id="max-logo" class="flex items-center gap-2">
                <img src="https://smarthub.rn-test.com/images/rn-logo-white.svg" alt="routenote-logo">
                <div class="w-full flex flex-col items-end">
                    <h3 class="font-medium text-xl font-sans !text-white">Smart Hub</h3>
                    <span class="font-sans text-[9px] font-medium text-red-500">Powered by AI</span>
                </div>
            </a>

            <div class="headflex hidden" id="min-logo">
                <div style=" ">
                    <img src="https://smarthub.rn-test.com/images/rn-logo-white.svg"
                        onclick="window.onbeforeunload = null;window.location.href = 'https://smarthub.rn-test.com/dashboard'"
                        alt="routenote-logo" style="height: 52px;">
                </div>
            </div>
        </div>
        <div id="left-menu-list" class="w-full block pb-4 h-[34.5rem] overflow-x-hidden overflow-y-auto"
            style="padding-top: 30px;">
            <!--div class="mt-6">
                <button Onclick="window.onbeforeunload = null;window.location.href = '/mytodo'" class="flex jusitfy-start items-center w-full  gap-2 focus:outline-none text-white focus:text-indigo-400   rounded ">
                    <svg class="fill-stroke" width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M12 11C14.2091 11 16 9.20914 16 7C16 4.79086 14.2091 3 12 3C9.79086 3 8 4.79086 8 7C8 9.20914 9.79086 11 12 11Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                        <path d="M6 21V19C6 17.9391 6.42143 16.9217 7.17157 16.1716C7.92172 15.4214 8.93913 15 10 15H14C15.0609 15 16.0783 15.4214 16.8284 16.1716C17.5786 16.9217 18 17.9391 18 19V21" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                    <p class="text-base leading-4 ">Mytodo</p>
                </button>
            </div-->






            <div class="mt-0 pl-2 pb-2 w-full">
                <div class="text-white">


                    <svg id="light-open-menu2" xmlns="http://www.w3.org/2000/svg" style="cursor: pointer;float: right;"
                        width="30" height="30" fill="currentColor" class="bi bi-list light-open-menu2"
                        viewBox="0 0 16 16">
                        <path fill-rule="evenodd"
                            d="M2.5 12a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5" />
                    </svg>


                </div>
            </div>

            <div class="mt-0 pl-2 pb-2 w-full">
                <button Onclick="window.onbeforeunload = null;window.location.href = 'dashboard'"
                    class="flex jusitfy-center items-center w-full  gap-3 focus:outline-none text-white hover:text-indigo-400   rounded ">
                    <p style="margin: auto 0;">
                        <svg xmlns="http://www.w3.org/2000/svg" class="text-gray-500 transition duration-75 text-white"
                            width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                            class="icon icon-tabler icons-tabler-filled icon-tabler-chart-pie">
                            <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                            <path
                                d="M9.883 2.207a1.9 1.9 0 0 1 2.087 1.522l.025 .167l.005 .104v7a1 1 0 0 0 .883 .993l.117 .007h6.8a2 2 0 0 1 2 2a1 1 0 0 1 -.026 .226a10 10 0 1 1 -12.27 -11.933l.27 -.067l.11 -.02z" />
                            <path
                                d="M14 3.5v5.5a1 1 0 0 0 1 1h5.5a1 1 0 0 0 .943 -1.332a10 10 0 0 0 -6.11 -6.111a1 1 0 0 0 -1.333 .943z" />
                        </svg>
                    </p>

                    <p style="margin: auto 0;" class="text-sm leading-4 ">Dashboard</p>
                </button>
            </div>

            <div class="mt-2 pl-2 pb-2 w-[185px]">
                <button Onclick="window.onbeforeunload = null;window.location.href = 'inbox'"
                    class="flex group jusitfy-start items-center w-full  gap-3 focus:outline-none text-white  hover:text-indigo-400 rounded ">
                    <p style="margin: auto 0;">


                        <svg xmlns="http://www.w3.org/2000/svg"
                            class="flex-shrink-0 text-gray-500 transition duration-75  text-white" width="24"
                            height="24" viewBox="0 0 24 24" fill="currentColor"
                            class="icon icon-tabler icons-tabler-filled icon-tabler-layout-2">
                            <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                            <path d="M8 3a3 3 0 0 1 3 3v1a3 3 0 0 1 -3 3h-2a3 3 0 0 1 -3 -3v-1a3 3 0 0 1 3 -3z" />
                            <path d="M8 12a3 3 0 0 1 3 3v3a3 3 0 0 1 -3 3h-2a3 3 0 0 1 -3 -3v-3a3 3 0 0 1 3 -3z" />
                            <path d="M18 3a3 3 0 0 1 3 3v3a3 3 0 0 1 -3 3h-2a3 3 0 0 1 -3 -3v-3a3 3 0 0 1 3 -3z" />
                            <path d="M18 14a3 3 0 0 1 3 3v1a3 3 0 0 1 -3 3h-2a3 3 0 0 1 -3 -3v-1a3 3 0 0 1 3 -3z" />
                        </svg>


                    </p>

                    <p style="margin: auto 0;" class="text-sm leading-4 ">Inbox</p>
                </button>
            </div>


            <!--div class="mt-0 pl-2 pb-2 w-full" >
            <button Onclick="window.onbeforeunload = null;window.location.href = 'uncategorised'" class="flex jusitfy-start items-center w-full  gap-2 focus:outline-none text-white focus:text-indigo-400   rounded ">
                <p><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M17 11H7C5.89543 11 5 11.8955 5 13V19C5 20.1046 5.89543 21 7 21H17C18.1046 21 19 20.1046 19 19V13C19 11.8955 18.1046 11 17 11Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                        <path d="M12 17C12.5523 17 13 16.5523 13 16C13 15.4477 12.5523 15 12 15C11.4477 15 11 15.4477 11 16C11 16.5523 11.4477 17 12 17Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                        <path d="M8 11V7C8 5.93913 8.42143 4.92172 9.17157 4.17157C9.92172 3.42143 10.9391 3 12 3C13.0609 3 14.0783 3.42143 14.8284 4.17157C15.5786 4.92172 16 5.93913 16 7V11" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                    </svg></p>
                    <p class="text-base leading-4 ">Uncategorised</p>
                </button>
                </div-->
            <div class="mt-0 pl-2 pb-2 w-full" style="">
                <button onclick="showMenu5(true)"
                    class="focus:outline-none hover:text-indigo-400 text-left  text-white flex gap-3 justify-between items-center  py-2 space-x-14 w-full ">

                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75 group-hover:text-gray-900 text-white"
                        width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-layout-bottombar-expand">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path
                            d="M18 3a3 3 0 0 1 2.995 2.824l.005 .176v12a3 3 0 0 1 -2.824 2.995l-.176 .005h-12a3 3 0 0 1 -2.995 -2.824l-.005 -.176v-12a3 3 0 0 1 2.824 -2.995l.176 -.005h12zm0 2h-12a1 1 0 0 0 -.993 .883l-.007 .117v9h14v-9a1 1 0 0 0 -.883 -.993l-.117 -.007zm-5.387 3.21l.094 .083l2 2a1 1 0 0 1 -1.32 1.497l-.094 -.083l-1.293 -1.292l-1.293 1.292a1 1 0 0 1 -1.32 .083l-.094 -.083a1 1 0 0 1 -.083 -1.32l.083 -.094l2 -2a1 1 0 0 1 1.32 -.083z" />
                    </svg>
                    <p class="text-sm leading-4 m-0 w-max" style="margin:0; width: 100%;" title="OTL Forms">OTL forms
                    </p>
                    <svg id="icon5" class="transform rotate-180" width="24" height="24"
                        viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"
                        style="margin: unset;">
                        <path d="M18 15L12 9L6 15" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                            stroke-linejoin="round" />
                    </svg>
                </button>
            </div>


            <div id="menu5" class="hidden flex justify-start flex-col !-mt-3 items-start pb-2"
                style="margin:0;margin:0;position: relative;">
                <ul class="!mb-0 leading-[3] py-2 w-full !pl-0">
                    <a href="account_closure">
                        <li class="w-full pl-10   hover:bg-[#374151] rounded-[6px] text-white !text-[13px] flex items-center gap-2"
                            title="Account Closure">
                            <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                            <span class="sub-menu-list">Account closure</span>
                        </li>
                    </a>
                    <a href="revenue_share">
                        <li class="w-full pl-10  hover:bg-[#374151] rounded-[6px] text-white !text-[13px] flex items-center gap-2"
                            title="Revenue Share">
                            <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                            <span class="sub-menu-list">Revenue share</span>
                        </li>
                    </a>
                    <a href="content_mapping">
                        <li class="w-full pl-10   hover:bg-[#374151] rounded-[6px]  text-white !text-[13px] flex items-center gap-2"
                            title="Content Mapping">
                            <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                            <span class="sub-menu-list">Content mapping</span>
                        </li>
                    </a>
                    <a href="youtube_oac">
                        <li class="w-full pl-10  hover:bg-[#374151] rounded-[6px]  text-white !text-[13px] flex items-center gap-2"
                            title="Youtube OAC">
                            <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                            <span class="sub-menu-list">Youtube OAC</span>
                        </li>
                    </a>

                </ul>
            </div>











            <div class="mt-0 pl-2 pb-2 w-full" style="">
                <button onclick="showMenu1(true)"
                    class="focus:outline-none hover:text-indigo-400 text-left  text-white flex gap-3 justify-between items-center w-full py-2 space-x-14  ">

                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75 group-hover:text-gray-900 text-white"
                        width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-help-octagon">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path
                            d="M14.897 1a4 4 0 0 1 2.664 1.016l.165 .156l4.1 4.1a4 4 0 0 1 1.168 2.605l.006 .227v5.794a4 4 0 0 1 -1.016 2.664l-.156 .165l-4.1 4.1a4 4 0 0 1 -2.603 1.168l-.227 .006h-5.795a3.999 3.999 0 0 1 -2.664 -1.017l-.165 -.156l-4.1 -4.1a4 4 0 0 1 -1.168 -2.604l-.006 -.227v-5.794a4 4 0 0 1 1.016 -2.664l.156 -.165l4.1 -4.1a4 4 0 0 1 2.605 -1.168l.227 -.006h5.793zm-2.897 14a1 1 0 0 0 -.993 .883l-.007 .117l.007 .127a1 1 0 0 0 1.986 0l.007 -.117l-.007 -.127a1 1 0 0 0 -.993 -.883zm1.368 -6.673a2.98 2.98 0 0 0 -3.631 .728a1 1 0 0 0 1.44 1.383l.171 -.18a.98 .98 0 0 1 1.11 -.15a1 1 0 0 1 -.34 1.886l-.232 .012a1 1 0 0 0 .111 1.994a3 3 0 0 0 1.371 -5.673z" />
                    </svg>

                    <p class="text-sm leading-4 m-0" style="margin:0; width: 100%;" title="Support Hub">Support hub
                    </p>
                    <svg id="icon1" class="transform rotate-180" width="24" height="24"
                        viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"
                        style="margin: unset;">
                        <path d="M18 15L12 9L6 15" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                            stroke-linejoin="round" />
                    </svg>
                </button>
                <div id="menu1" class="py-2">
                    <button Onclick="window.onbeforeunload = null;window.location.href = '/allmail'"
                        class="!pl-8 flex justify-start items-center gap-2 hover:text-white focus:bg-gray-700 focus:text-white hover:bg-gray-700 text-gray-400 rounded !px-3 !py-3  w-full ">
                        <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                        <p class="text-[13px] leading-4 !text-white !mb-0 !list-disc sub-menu-list">All emails</p>
                    </button>
                    <button Onclick="window.onbeforeunload = null;window.location.href = '/upcbased'"
                        class="!pl-8 flex justify-start items-center gap-2 hover:text-white focus:bg-gray-700 focus:text-white hover:bg-gray-700 text-gray-400 rounded !px-3 !py-3 w-full ">
                        <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                        <p class="text-[13px] leading-4 !text-white !mb-0 sub-menu-list">UPC based</p>
                    </button>
                    <button Onclick="window.onbeforeunload = null;window.location.href = '/userbased'"
                        class="!pl-8 flex justify-start items-center gap-2 hover:text-white focus:bg-gray-700 focus:text-white hover:bg-gray-700 text-gray-400 rounded !px-3 !py-3  w-full ">
                        <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                        <p class="text-[13px] leading-4 !text-white !mb-0 sub-menu-list">User based</p>
                    </button>
                    <button Onclick="window.onbeforeunload = null;window.location.href = '/alluncategorised'"
                        class="!pl-8 flex justify-start items-center gap-2 hover:text-white focus:bg-gray-700 focus:text-white hover:bg-gray-700 text-gray-400 rounded !px-3 !py-3  w-full ">
                        <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                        <p class="text-[13px] leading-4 !mb-0 !text-white sub-menu-list">Uncategorised</p>
                    </button>
                    <button Onclick="window.onbeforeunload = null;window.location.href = '/agedetails'"
                        class="!pl-8 flex justify-start items-center gap-2 hover:text-white focus:bg-gray-700 focus:text-white hover:bg-gray-700 text-gray-400 rounded !px-3 !py-3  w-full ">
                        <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                        <p class="text-[13px] leading-4 !mb-0 !text-white sub-menu-list">Aging report</p>
                    </button>
                    <button Onclick="window.onbeforeunload = null;window.location.href = '/log'"
                        class="!pl-8 flex justify-start items-center gap-2 hover:text-white focus:bg-gray-700 focus:text-white hover:bg-gray-700 text-gray-400 rounded !px-3 !py-3  w-full ">
                        <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                        <p class="text-[13px] leading-4 !mb-0 !text-white w-full text-start sub-menu-list">Mod Auto
                            Escalation</p>
                    </button>
                    <button Onclick="window.onbeforeunload = null;window.location.href = '/duplicate'"
                        class="!pl-8 flex justify-start items-center gap-2 hover:text-white focus:bg-gray-700 focus:text-white hover:bg-gray-700 text-gray-400 rounded !px-3 !py-3  w-full ">
                        <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                        <p class="text-[13px] leading-4 !mb-0 !text-white w-full text-start sub-menu-list">Duplicate</p>
                    </button>
                </div>
            </div>
            <div class="mt-0 pl-2 pb-2 w-full" style="">
                <!-- <button onclick="showMenu2(true)" class="focus:outline-none focus:text-indigo-400 text-left  text-white flex justify-between items-center w-full py-2 space-x-14  ">
                    <p class="text-[16px] leading-5 uppercase w-max" style="width: 100%;">Shared Hub</p>
                    <svg id="icon2" class="transform" width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18 15L12 9L6 15" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button> -->
                <!-- <button onclick="showMenu2(true)"
                class="focus:outline-none hover:text-indigo-400 text-left  text-white flex justify-between items-center w-full py-2 space-x-14  ">
                <p class="text-base leading-4 m-0" style="margin:0;margin-right: -15px !important;  "
                        title="Shared Hub">Shared Hub</p>
                     <svg id="icon2" class="transform" width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18 15L12 9L6 15" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                    
                </button> -->

                <button onclick="showMenu2(true)"
                    class="focus:outline-none hover:text-indigo-400 text-left  text-white flex gap-3 justify-between items-center w-full py-2 space-x-14  ">

                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75 group-hover:text-gray-900 text-white"
                        width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-chart-dots">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path
                            d="M3 2a1 1 0 0 1 1 1v17h17a1 1 0 0 1 .993 .883l.007 .117a1 1 0 0 1 -1 1h-18a1 1 0 0 1 -1 -1v-18a1 1 0 0 1 1 -1z" />
                        <path
                            d="M19 4a3 3 0 1 1 -.651 5.93l-2.002 3.202a3 3 0 1 1 -4.927 .337l-1.378 -1.655a3 3 0 1 1 1.538 -1.282l1.378 1.654a2.994 2.994 0 0 1 1.693 -.115l2.002 -3.203a3 3 0 0 1 2.347 -4.868z" />
                    </svg>

                    <p class="text-sm leading-4 m-0" style="margin:0;  width: 100%; " title="Shared Hub">Shared hub
                    </p>
                    <svg id="icon2" class="transform rotate-180" width="24" height="24"
                        viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"
                        style="margin: unset;">
                        <path d="M18 15L12 9L6 15" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                            stroke-linejoin="round" />
                    </svg>
                </button>

                <div id="menu2" class="hidden flex justify-start flex-col items-start ">
                    <a href="shared-index" class="w-full">
                        <button
                            class="!pl-8 flex justify-start items-center gap-2 hover:text-white focus:bg-gray-700 focus:text-white hover:bg-gray-700 text-gray-400 rounded !px-3 !py-3  w-full "
                            fdprocessedid="osprrr">
                            <div class="h-1.5 w-1.5 !rounded-full !bg-white"></div>
                            <p class="text-[13px] leading-4 !text-white !mb-0 !list-disc sub-menu-list">Dashboard</p>
                        </button>
                    </a>
                    <!-- <a href="uncategorised">
                    <button class="flex justify-start items-center gap-2 hover:text-white focus:bg-gray-700 focus:text-white hover:bg-gray-700 text-gray-400 rounded px-3 py-2  w-full">
                    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M8 19C10.2091 19 12 17.2091 12 15C12 12.7909 10.2091 11 8 11C5.79086 11 4 12.7909 4 15C4 17.2091 5.79086 19 8 19Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                        <path d="M10.85 12.15L19 4" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                        <path d="M18 5L20 7" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                        <path d="M15 8L17 10" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                    <p class="text-[13px] leading-4  ">Inbox</p>
                    </button>
                    </a> -->

                </div>
            </div>
            <div class="hidden mt-0 pl-2 pb-2 w-full" style="">
                <button onclick="showMenu3(true)"
                    class="focus:outline-none hover:text-indigo-400 text-left  text-white flex gap-3 justify-between items-center w-full py-2 space-x-14  ">
                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75  group-hover:text-gray-900 text-white"
                        width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-shield-check">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path
                            d="M11.998 2l.118 .007l.059 .008l.061 .013l.111 .034a.993 .993 0 0 1 .217 .112l.104 .082l.255 .218a11 11 0 0 0 7.189 2.537l.342 -.01a1 1 0 0 1 1.005 .717a13 13 0 0 1 -9.208 16.25a1 1 0 0 1 -.502 0a13 13 0 0 1 -9.209 -16.25a1 1 0 0 1 1.005 -.717a11 11 0 0 0 7.531 -2.527l.263 -.225l.096 -.075a.993 .993 0 0 1 .217 -.112l.112 -.034a.97 .97 0 0 1 .119 -.021l.115 -.007zm3.71 7.293a1 1 0 0 0 -1.415 0l-3.293 3.292l-1.293 -1.292l-.094 -.083a1 1 0 0 0 -1.32 1.497l2 2l.094 .083a1 1 0 0 0 1.32 -.083l4 -4l.083 -.094a1 1 0 0 0 -.083 -1.32z" />
                    </svg>
                    <p class="text-sm leading-4 m-0" style="margin:0; width: 100%;" title="Private Hub">Private hub
                    </p>
                    <!-- <svg id="icon3" class="transform" width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18 15L12 9L6 15" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                     -->
                </button>
                <div id="menu3" class="hidden flex justify-start flex-col items-start pb-5 " style="margin:0;">
                    <!-- <button class="flex justify-start items-center gap-2 hover:text-white focus:bg-gray-700 focus:text-white hover:bg-gray-700 text-gray-400 rounded px-3 py-2  w-52">
                    <svg class="fill-stroke" width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M15 10L11 14L17 20L21 4L3 11L7 13L9 19L12 15" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                    <p class="text-[13px] leading-4  ">Messages</p>
                    </button> -->

                </div>
            </div>

            <div class="mt-0 pl-2 w-[185px]"
                style="
                        height: 37px;display:none
                    ">
                <button onclick="showMenu4(true)"
                    class="focus:outline-none hover:text-indigo-400 text-left  text-white flex justify-between items-center w-full py-11 space-x-14  ">
                    <a>
                        <p class="text-[16px] leading-5 uppercase w-max" id="maintitle"
                            title="YouTube Music & Topic">YouTube Music & Topic</p>
                    </a>
                    <svg id="icon4" class="transform" width="24" height="24" viewBox="0 0 24 24"
                        fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18 15L12 9L6 15" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                            stroke-linejoin="round" />
                    </svg>
                </button>
            </div>
            <div id="menu4"
                style="
                top: 34px;
                    position: relative;
                "
                class="hidden flex justify-start flex-col !-mt-3 items-start pb-0 " style="margin:0;">
                <ul class="leading-[3]">
                    <a href="/topic">
                        <li class="pl-4 text-white !text-[13px] flex items-center gap-2"
                            title="Various Artists/Release Topic channel queries">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                fill="currentColor" class="bi bi-list-ul" viewBox="0 0 16 16">
                                <path fill-rule="evenodd"
                                    d="M5 11.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5m-3 1a1 1 0 1 0 0-2 1 1 0 0 0 0 2m0 4a1 1 0 1 0 0-2 1 1 0 0 0 0 2m0 4a1 1 0 1 0 0-2 1 1 0 0 0 0 2" />
                            </svg>
                            <span><?php if (strlen('Various Artists/Release Topic channel queries') <= 15) {
                                echo 'Various Artists/Release Topic channel queries';
                            } else {
                                echo substr('Various Artists/Release Topic channel queries', 0, 15) . '...';
                            } ?></span>
                        </li>
                    </a>
                    <a href="/topic2">
                        <li class="pl-4 text-white !text-[13px] flex items-center gap-2" title="Misc. YouTube Errors">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                fill="currentColor" class="bi bi-list-ul" viewBox="0 0 16 16">
                                <path fill-rule="evenodd"
                                    d="M5 11.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5m-3 1a1 1 0 1 0 0-2 1 1 0 0 0 0 2m0 4a1 1 0 1 0 0-2 1 1 0 0 0 0 2m0 4a1 1 0 1 0 0-2 1 1 0 0 0 0 2" />
                            </svg>
                            <span><?php if (strlen('Misc. YouTube Errors') <= 15) {
                                echo 'Misc. YouTube Errors';
                            } else {
                                echo substr('Misc. YouTube Errors', 0, 15) . '...';
                            } ?></span>
                        </li>
                    </a>

                </ul>
            </div>
            <div style="display:none" class="mt-1 pl-2 w-[185px]">
                <button
                    class="focus:outline-none hover:text-indigo-400 text-left  text-white flex justify-between items-center w-full py-5 space-x-14  ">
                    <a href="/Log">
                        <p class="text-[13px] leading-5 uppercase w-max" title="Moderation Escalation">Moderation
                            Escalation</p>
                    </a>
                    <svg id="icon4" class="transform" width="24" height="24" viewBox="0 0 24 24"
                        fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M18 15L12 9L6 15" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                            stroke-linejoin="round" />
                    </svg>
                </button>
            </div>


            <div class="mt-0 pl-2 pb-4 w-[185px]">
                <button Onclick="window.onbeforeunload = null;window.location.href = 'customer'"
                    class="flex jusitfy-start items-center w-full group gap-3 focus:outline-none text-white hover:text-indigo-400   rounded ">
                    <p style="margin: auto 0;">
                        <svg xmlns="http://www.w3.org/2000/svg"
                            class="flex-shrink-0 text-gray-500 transition duration-75 text-white" width="24"
                            height="24" viewBox="0 0 24 24" fill="currentColor"
                            class="icon icon-tabler icons-tabler-filled icon-tabler-radar">
                            <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                            <path
                                d="M12 10a2 2 0 0 1 1.678 .911l.053 .089h7.269l.117 .007a1 1 0 0 1 .883 .993c0 5.523 -4.477 10 -10 10a1 1 0 0 1 -1 -1v-7.269l-.089 -.053a2 2 0 0 1 -.906 -1.529l-.005 -.149a2 2 0 0 1 2 -2m9.428 -1.334a1 1 0 0 1 -1.884 .668a8 8 0 1 0 -10.207 10.218a1 1 0 0 1 -.666 1.886a10 10 0 1 1 12.757 -12.772m-4.628 -.266a1 1 0 0 1 -1.6 1.2a4 4 0 1 0 -5.6 5.6a1 1 0 0 1 -1.2 1.6a6 6 0 1 1 8.4 -8.4" />
                        </svg>
                    </p>

                    <p style="margin: auto 0;" class="text-sm leading-4 ">Csat</p>
                </button>
            </div>


            <div class="mt-0 pl-2 pb-2 w-full">
                <button Onclick="window.onbeforeunload = null;window.location.href = 'settings'"
                    class="flex group jusitfy-start items-center w-full gap-3 focus:outline-none text-white  hover:text-indigo-400 rounded ">
                    <p style="margin: auto 0;">
                        <svg xmlns="http://www.w3.org/2000/svg"
                            class="flex-shrink-0 text-gray-500 transition duration-75  text-white" width="24"
                            height="24" viewBox="0 0 24 24" fill="currentColor"
                            class="icon icon-tabler icons-tabler-filled icon-tabler-settings">
                            <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                            <path
                                d="M14.647 4.081a.724 .724 0 0 0 1.08 .448c2.439 -1.485 5.23 1.305 3.745 3.744a.724 .724 0 0 0 .447 1.08c2.775 .673 2.775 4.62 0 5.294a.724 .724 0 0 0 -.448 1.08c1.485 2.439 -1.305 5.23 -3.744 3.745a.724 .724 0 0 0 -1.08 .447c-.673 2.775 -4.62 2.775 -5.294 0a.724 .724 0 0 0 -1.08 -.448c-2.439 1.485 -5.23 -1.305 -3.745 -3.744a.724 .724 0 0 0 -.447 -1.08c-2.775 -.673 -2.775 -4.62 0 -5.294a.724 .724 0 0 0 .448 -1.08c-1.485 -2.439 1.305 -5.23 3.744 -3.745a.722 .722 0 0 0 1.08 -.447c.673 -2.775 4.62 -2.775 5.294 0zm-2.647 4.919a3 3 0 1 0 0 6a3 3 0 0 0 0 -6z" />
                        </svg>
                    </p>
                    <p style="margin: auto 0;" class="text-sm leading-4 ">Settings</p>
                </button>
            </div>




            {{-- <div class="flex items-center w-full mt-4 hover:bg-gray-700 rounded">
                <a class="flex items-center w-full h-12 px-3 mt-2  ">
                    <div class="p-[6px] bg-[#c3ceff] rounded-[6px] cursor-pointer" onClick="setsublist()">
                        <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" fill="currentColor" class="bi bi-caret-down-fill ${sublist ? '' : 'rotate-[-90deg]'}" viewBox="0 0 16 16">
                            <path d="M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" />
                        </svg>
                    </div>
                    <a href="/0"><span class="ml-2 text-sm font-normal text-white tracking-[.8px] cursor-pointer">sgdfisbfdisbfsdfb</span></a>
                </a>
            </div> --}}


        </div>


        <!-- ********************* Min Menu icon ****************************** -->


        <div id="left-menu-list1" class="mt-6 hidden pb-4 h-[33rem] overflow-y-auto w-full">

            <div class="mt-0 pl-2 pb-4 w-[185px]">
                <div class="text-white">

                    <svg style="display: none;cursor:pointer" id="light-close-menu2"
                        xmlns="http://www.w3.org/2000/svg" width="30" height="30" fill="currentColor"
                        class="bi bi-list light-close-menu2" viewBox="0 0 16 16">
                        <path fill-rule="evenodd"
                            d="M2.5 12a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5" />
                    </svg>

                </div>
            </div>

            <div class="w-full h-full flex flex-col !space-y-4">

                <button style="justify-content: center; "
                    Onclick="window.onbeforeunload=null;window.location.href='dashboard'"
                    class="!p-0 flex justify-center items-center w-full  gap-2 focus:outline-none text-white hover:text-indigo-400   rounded ">
                    <svg xmlns="http://www.w3.org/2000/svg" class="text-gray-500 transition duration-75 text-white"
                        width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-chart-pie">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path
                            d="M9.883 2.207a1.9 1.9 0 0 1 2.087 1.522l.025 .167l.005 .104v7a1 1 0 0 0 .883 .993l.117 .007h6.8a2 2 0 0 1 2 2a1 1 0 0 1 -.026 .226a10 10 0 1 1 -12.27 -11.933l.27 -.067l.11 -.02z" />
                        <path
                            d="M14 3.5v5.5a1 1 0 0 0 1 1h5.5a1 1 0 0 0 .943 -1.332a10 10 0 0 0 -6.11 -6.111a1 1 0 0 0 -1.333 .943z" />
                    </svg>

                </button>

                <button style="justify-content: center;"
                    Onclick="window.onbeforeunload = null;window.location.href = 'inbox'"
                    class="!p-0 flex jusitfy-center items-center w-full gap-2 focus:outline-none text-white  hover:text-indigo-400 rounded ">
                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75  text-white" width="24"
                        height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-layout-2">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path d="M8 3a3 3 0 0 1 3 3v1a3 3 0 0 1 -3 3h-2a3 3 0 0 1 -3 -3v-1a3 3 0 0 1 3 -3z" />
                        <path d="M8 12a3 3 0 0 1 3 3v3a3 3 0 0 1 -3 3h-2a3 3 0 0 1 -3 -3v-3a3 3 0 0 1 3 -3z" />
                        <path d="M18 3a3 3 0 0 1 3 3v3a3 3 0 0 1 -3 3h-2a3 3 0 0 1 -3 -3v-3a3 3 0 0 1 3 -3z" />
                        <path d="M18 14a3 3 0 0 1 3 3v1a3 3 0 0 1 -3 3h-2a3 3 0 0 1 -3 -3v-1a3 3 0 0 1 3 -3z" />
                    </svg>
                </button>

                <button id="data-popover-otl-forms" style="justify-content: center;"
                    class="!p-0 focus:outline-none hover:text-indigo-400 text-left  text-white flex justify-center items-center w-full py-2 space-x-14  ">

                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75 group-hover:text-gray-900 text-white"
                        width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-layout-bottombar-expand">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path
                            d="M18 3a3 3 0 0 1 2.995 2.824l.005 .176v12a3 3 0 0 1 -2.824 2.995l-.176 .005h-12a3 3 0 0 1 -2.995 -2.824l-.005 -.176v-12a3 3 0 0 1 2.824 -2.995l.176 -.005h12zm0 2h-12a1 1 0 0 0 -.993 .883l-.007 .117v9h14v-9a1 1 0 0 0 -.883 -.993l-.117 -.007zm-5.387 3.21l.094 .083l2 2a1 1 0 0 1 -1.32 1.497l-.094 -.083l-1.293 -1.292l-1.293 1.292a1 1 0 0 1 -1.32 .083l-.094 -.083a1 1 0 0 1 -.083 -1.32l.083 -.094l2 -2a1 1 0 0 1 1.32 -.083z" />
                    </svg>

                </button>
                <button id="data-popover-Support-in"
                    class="!p-0 flex jusitfy-start items-center w-full justify-center gap-2 focus:outline-none text-white focus:text-indigo-400 rounded">
                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75 group-hover:text-gray-900 text-white"
                        width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-help-octagon">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path
                            d="M14.897 1a4 4 0 0 1 2.664 1.016l.165 .156l4.1 4.1a4 4 0 0 1 1.168 2.605l.006 .227v5.794a4 4 0 0 1 -1.016 2.664l-.156 .165l-4.1 4.1a4 4 0 0 1 -2.603 1.168l-.227 .006h-5.795a3.999 3.999 0 0 1 -2.664 -1.017l-.165 -.156l-4.1 -4.1a4 4 0 0 1 -1.168 -2.604l-.006 -.227v-5.794a4 4 0 0 1 1.016 -2.664l.156 -.165l4.1 -4.1a4 4 0 0 1 2.605 -1.168l.227 -.006h5.793zm-2.897 14a1 1 0 0 0 -.993 .883l-.007 .117l.007 .127a1 1 0 0 0 1.986 0l.007 -.117l-.007 -.127a1 1 0 0 0 -.993 -.883zm1.368 -6.673a2.98 2.98 0 0 0 -3.631 .728a1 1 0 0 0 1.44 1.383l.171 -.18a.98 .98 0 0 1 1.11 -.15a1 1 0 0 1 -.34 1.886l-.232 .012a1 1 0 0 0 .111 1.994a3 3 0 0 0 1.371 -5.673z" />
                    </svg>
                </button>
                <button id="data-popover-Shared-in"
                    class="!p-0 flex jusitfy-start items-center w-full justify-center gap-2 focus:outline-none text-white focus:text-indigo-400 rounded">
                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75 group-hover:text-gray-900 text-white"
                        width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-chart-dots">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path
                            d="M3 2a1 1 0 0 1 1 1v17h17a1 1 0 0 1 .993 .883l.007 .117a1 1 0 0 1 -1 1h-18a1 1 0 0 1 -1 -1v-18a1 1 0 0 1 1 -1z" />
                        <path
                            d="M19 4a3 3 0 1 1 -.651 5.93l-2.002 3.202a3 3 0 1 1 -4.927 .337l-1.378 -1.655a3 3 0 1 1 1.538 -1.282l1.378 1.654a2.994 2.994 0 0 1 1.693 -.115l2.002 -3.203a3 3 0 0 1 2.347 -4.868z" />
                    </svg>
                </button>
                <button id="data-popover-Private-in"
                    class="!p-0 flex jusitfy-start items-center w-full justify-center gap-2 focus:outline-none text-white focus:text-indigo-400 rounded">
                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75  group-hover:text-gray-900 text-white"
                        width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-shield-check">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path
                            d="M11.998 2l.118 .007l.059 .008l.061 .013l.111 .034a.993 .993 0 0 1 .217 .112l.104 .082l.255 .218a11 11 0 0 0 7.189 2.537l.342 -.01a1 1 0 0 1 1.005 .717a13 13 0 0 1 -9.208 16.25a1 1 0 0 1 -.502 0a13 13 0 0 1 -9.209 -16.25a1 1 0 0 1 1.005 -.717a11 11 0 0 0 7.531 -2.527l.263 -.225l.096 -.075a.993 .993 0 0 1 .217 -.112l.112 -.034a.97 .97 0 0 1 .119 -.021l.115 -.007zm3.71 7.293a1 1 0 0 0 -1.415 0l-3.293 3.292l-1.293 -1.292l-.094 -.083a1 1 0 0 0 -1.32 1.497l2 2l.094 .083a1 1 0 0 0 1.32 -.083l4 -4l.083 -.094a1 1 0 0 0 -.083 -1.32z" />
                    </svg>
                </button>
                <button style="justify-content: center;"
                    Onclick="window.onbeforeunload=null;window.location.href='customer'"
                    class="!p-0 flex justify-center items-center w-full  gap-2 focus:outline-none text-white hover:text-indigo-400   rounded ">
                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75 text-white" width="24"
                        height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-radar">
                        <path stroke="none" d="
                    M0 0h24v24H0z" fill="none" />
                        <path
                            d="M12 10a2 2 0 0 1 1.678 .911l.053 .089h7.269l.117 .007a1 1 0 0 1 .883 .993c0 5.523 -4.477 10 -10 10a1 1 0 0 1 -1 -1v-7.269l-.089 -.053a2 2 0 0 1 -.906 -1.529l-.005 -.149a2 2 0 0 1 2 -2m9.428 -1.334a1 1 0 0 1 -1.884 .668a8 8 0 1 0 -10.207 10.218a1 1 0 0 1 -.666 1.886a10 10 0 1 1 12.757 -12.772m-4.628 -.266a1 1 0 0 1 -1.6 1.2a4 4 0 1 0 -5.6 5.6a1 1 0 0 1 -1.2 1.6a6 6 0 1 1 8.4 -8.4" />
                    </svg>
                </button>

                <button style="justify-content: center;"
                    Onclick="window.onbeforeunload = null;window.location.href = 'settings'"
                    class="!p-0 flex jusitfy-center items-center w-full  gap-2 focus:outline-none text-white  hover:text-indigo-400 rounded ">
                    <svg xmlns="http://www.w3.org/2000/svg"
                        class="flex-shrink-0 text-gray-500 transition duration-75  group-hover:text-gray-900 text-white"
                        width="24" height="24" viewBox="0 0 24 24" fill="currentColor"
                        class="icon icon-tabler icons-tabler-filled icon-tabler-settings">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path
                            d="M14.647 4.081a.724 .724 0 0 0 1.08 .448c2.439 -1.485 5.23 1.305 3.745 3.744a.724 .724 0 0 0 .447 1.08c2.775 .673 2.775 4.62 0 5.294a.724 .724 0 0 0 -.448 1.08c1.485 2.439 -1.305 5.23 -3.744 3.745a.724 .724 0 0 0 -1.08 .447c-.673 2.775 -4.62 2.775 -5.294 0a.724 .724 0 0 0 -1.08 -.448c-2.439 1.485 -5.23 -1.305 -3.745 -3.744a.724 .724 0 0 0 -.447 -1.08c-2.775 -.673 -2.775 -4.62 0 -5.294a.724 .724 0 0 0 .448 -1.08c-1.485 -2.439 1.305 -5.23 3.744 -3.745a.722 .722 0 0 0 1.08 -.447c.673 -2.775 4.62 -2.775 5.294 0zm-2.647 4.919a3 3 0 1 0 0 6a3 3 0 0 0 0 -6z" />
                    </svg>
                </button>


            </div>
        </div>


        {{-- <div id="left-menu-list1" class="mt-8 hidden pb-4 h-[33rem] overflow-y-auto w-full">
            <div class="w-full h-full flex flex-col space-y-5">
                <button Onclick="window.onbeforeunload = null;window.location.href = '/mytodo'"
                    class="flex jusitfy-start items-center w-full justify-center gap-2 focus:outline-none text-white focus:text-indigo-400 rounded">
                    <svg class="fill-stroke" width="24" height="24" viewBox="0 0 24 24" fill="none"
                        xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M12 11C14.2091 11 16 9.20914 16 7C16 4.79086 14.2091 3 12 3C9.79086 3 8 4.79086 8 7C8 9.20914 9.79086 11 12 11Z"
                            stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                            stroke-linejoin="round" />
                        <path
                            d="M6 21V19C6 17.9391 6.42143 16.9217 7.17157 16.1716C7.92172 15.4214 8.93913 15 10 15H14C15.0609 15 16.0783 15.4214 16.8284 16.1716C17.5786 16.9217 18 17.9391 18 19V21"
                            stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                            stroke-linejoin="round" />
                    </svg>
                </button>
                <button id="data-popover-Support-in"
                    class="flex jusitfy-start items-center w-full justify-center gap-2 focus:outline-none text-white focus:text-indigo-400 rounded">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor"
                        aria-hidden="true" class="w-5 h-5">
                        <path fill-rule="evenodd"
                            d="M2.25 2.25a.75.75 0 000 1.5H3v10.5a3 3 0 003 3h1.21l-1.172 3.513a.75.75 0 001.424.474l.329-.987h8.418l.33.987a.75.75 0 001.422-.474l-1.17-3.513H18a3 3 0 003-3V3.75h.75a.75.75 0 000-1.5H2.25zm6.04 16.5l.5-1.5h6.42l.5 1.5H8.29zm7.46-12a.75.75 0 00-1.5 0v6a.75.75 0 001.5 0v-6zm-3 2.25a.75.75 0 00-1.5 0v3.75a.75.75 0 001.5 0V9zm-3 2.25a.75.75 0 00-1.5 0v1.5a.75.75 0 001.5 0v-1.5z"
                            clip-rule="evenodd"></path>
                    </svg>
                </button>
                <button id="data-popover-Shared-in"
                    class="flex jusitfy-start items-center w-full justify-center gap-2 focus:outline-none text-white focus:text-indigo-400 rounded">
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                        class="bi bi-share-fill" viewBox="0 0 16 16">
                        <path
                            d="M11 2.5a2.5 2.5 0 1 1 .603 1.628l-6.718 3.12a2.5 2.5 0 0 1 0 1.504l6.718 3.12a2.5 2.5 0 1 1-.488.876l-6.718-3.12a2.5 2.5 0 1 1 0-3.256l6.718-3.12A2.5 2.5 0 0 1 11 2.5" />
                    </svg>
                </button>
                <button id="data-popover-Private-in"
                    class="flex jusitfy-start items-center w-full justify-center gap-2 focus:outline-none text-white focus:text-indigo-400 rounded">
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                        class="bi bi-lock-fill" viewBox="0 0 16 16">
                        <path
                            d="M8 1a2 2 0 0 1 2 2v4H6V3a2 2 0 0 1 2-2m3 6V3a3 3 0 0 0-6 0v4a2 2 0 0 0-2 2v5a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V9a2 2 0 0 0-2-2" />
                    </svg>
                </button>
                <button Onclick="window.onbeforeunload = null;window.location.href = 'settings'"
                    class="flex jusitfy-start items-center w-full justify-center gap-2 focus:outline-none text-white focus:text-indigo-400 rounded">
                    <svg class="cursor-pointer" width="24" height="24" viewBox="0 0 24 24" fill="none"
                        xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M10.325 4.317C10.751 2.561 13.249 2.561 13.675 4.317C13.7389 4.5808 13.8642 4.82578 14.0407 5.032C14.2172 5.23822 14.4399 5.39985 14.6907 5.50375C14.9414 5.60764 15.2132 5.65085 15.4838 5.62987C15.7544 5.60889 16.0162 5.5243 16.248 5.383C17.791 4.443 19.558 6.209 18.618 7.753C18.4769 7.98466 18.3924 8.24634 18.3715 8.51677C18.3506 8.78721 18.3938 9.05877 18.4975 9.30938C18.6013 9.55999 18.7627 9.78258 18.9687 9.95905C19.1747 10.1355 19.4194 10.2609 19.683 10.325C21.439 10.751 21.439 13.249 19.683 13.675C19.4192 13.7389 19.1742 13.8642 18.968 14.0407C18.7618 14.2172 18.6001 14.4399 18.4963 14.6907C18.3924 14.9414 18.3491 15.2132 18.3701 15.4838C18.3911 15.7544 18.4757 16.0162 18.617 16.248C19.557 17.791 17.791 19.558 16.247 18.618C16.0153 18.4769 15.7537 18.3924 15.4832 18.3715C15.2128 18.3506 14.9412 18.3938 14.6906 18.4975C14.44 18.6013 14.2174 18.7627 14.0409 18.9687C13.8645 19.1747 13.7391 19.4194 13.675 19.683C13.249 21.439 10.751 21.439 10.325 19.683C10.2611 19.4192 10.1358 19.1742 9.95929 18.968C9.7828 18.7618 9.56011 18.6001 9.30935 18.4963C9.05859 18.3924 8.78683 18.3491 8.51621 18.3701C8.24559 18.3911 7.98375 18.4757 7.752 18.617C6.209 19.557 4.442 17.791 5.382 16.247C5.5231 16.0153 5.60755 15.7537 5.62848 15.4832C5.64942 15.2128 5.60624 14.9412 5.50247 14.6906C5.3987 14.44 5.23726 14.2174 5.03127 14.0409C4.82529 13.8645 4.58056 13.7391 4.317 13.675C2.561 13.249 2.561 10.751 4.317 10.325C4.5808 10.2611 4.82578 10.1358 5.032 9.95929C5.23822 9.7828 5.39985 9.56011 5.50375 9.30935C5.60764 9.05859 5.65085 8.78683 5.62987 8.51621C5.60889 8.24559 5.5243 7.98375 5.383 7.752C4.443 6.209 6.209 4.442 7.753 5.382C8.753 5.99 10.049 5.452 10.325 4.317Z"
                            stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                        <path
                            d="M12 15C13.6569 15 15 13.6569 15 12C15 10.3431 13.6569 9 12 9C10.3431 9 9 10.3431 9 12C9 13.6569 10.3431 15 12 15Z"
                            stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>
            </div>
        </div> --}}
    </div>
    <script>
        // let icon1 = document.getElementById("icon1");
        let menu1 = document.getElementById("menu1");
        let menu2 = document.getElementById("menu2");
        let menu3 = document.getElementById("menu3");
        // let menu4 = document.getElementById("menu4");
        let menu5 = document.getElementById("menu5");

        menu1.classList.toggle("hidden");
        const showMenu1 = (flag) => {
            if (flag) {
                icon1.classList.toggle("rotate-180");
                menu1.classList.toggle("hidden");
            }
        };
        let icon2 = document.getElementById("icon2");

        const showMenu2 = (flag) => {
            if (flag) {
                icon2.classList.toggle("rotate-180");
                menu2.classList.toggle("hidden");

            }
        };
        let icon3 = document.getElementById("icon3");

        const showMenu3 = (flag) => {
            if (flag) {
                icon3.classList.toggle("rotate-180");
                menu3.classList.toggle("hidden");
            }
        };
        // let icon4 = document.getElementById("icon4");

        // const showMenu4 = (flag) => {
        //   if (flag) {
        //     icon4.classList.toggle("rotate-180");
        //     menu4.classList.toggle("hidden");
        //   }
        // };

        let icon5 = document.getElementById("icon5");

        const showMenu5 = (flag) => {
            if (flag) {
                icon5.classList.toggle("rotate-180");
                menu5.classList.toggle("hidden");
            }
        };

        const text = "YouTube Music&Topic";

        $('#maintitle').html(text.length <= 25 ? text : (text.substring(0, 10) + "..."))

        // let Main = document.getElementById("Main");
        // let open = document.getElementById("open");
        // let close = document.getElementById("close");

        // const showNav = (flag) => {
        //   if (flag) {
        //     Main.classList.toggle("-translate-x-full");
        //     Main.classList.toggle("translate-x-0");
        //     open.classList.toggle("hidden");
        //     close.classList.toggle("hidden");
        //   }
        // };
    </script>
    <script>
        console.log('location', location.pathname);
        // if(location.pathname == "/account_closure" || location.pathname == "/revenue_share" || location.pathname == "/content_mapping" || location.pathname == "/youtube_oac"){}
        if (location.pathname == "/account_closure") {
            showMenu5(true);
            document.querySelector('a[href="account_closure"] li').classList.add('bg-[#374151]')
        } else if (location.pathname == "/revenue_share") {
            showMenu5(true);
            document.querySelector('a[href="revenue_share"] li').classList.add('bg-[#374151]')
        } else if (location.pathname == "/content_mapping") {
            showMenu5(true);
            document.querySelector('a[href="content_mapping"] li').classList.add('bg-[#374151]')
        } else if (location.pathname == "/youtube_oac") {
            showMenu5(true);
            document.querySelector('a[href="youtube_oac"] li').classList.add('bg-[#374151]')
        } else if (location.pathname == "/allmail") {
            showMenu1(true);
            document.querySelectorAll('#menu1 button')[0].classList.add('bg-[#374151]');
        } else if (location.pathname == "/upcbased") {
            showMenu1(true);
            document.querySelectorAll('#menu1 button')[1].classList.add('bg-[#374151]');
        } else if (location.pathname == "/userbased") {
            showMenu1(true);
            document.querySelectorAll('#menu1 button')[2].classList.add('bg-[#374151]');
        } else if (location.pathname == "/alluncategorised") {
            showMenu1(true);
            document.querySelectorAll('#menu1 button')[3].classList.add('bg-[#374151]');
        } else if (location.pathname == "/agedetails") {
            showMenu1(true);
            document.querySelectorAll('#menu1 button')[4].classList.add('bg-[#374151]');
        } else if (location.pathname == "/log") {
            showMenu1(true);
            document.querySelectorAll('#menu1 button')[5].classList.add('bg-[#374151]');
        } else if (location.pathname == "/duplicate") {
            showMenu1(true);
            document.querySelectorAll('#menu1 button')[6].classList.add('bg-[#374151]');
        } else if (location.pathname == "/shared-index") {
            showMenu2(true);
            document.querySelector('a[href="shared-index"] button').classList.add('bg-[#374151]')
        }
    </script>
</body>

</html>
