<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        textarea {
            padding: 8px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        table, th, td {
            border: 1px solid black;
        }
        th, td {
            padding: 10px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
    </style>
</head>
<body>
    <h1>Query: </h1>
    <form method="POST" action="/process-live_socket">
        @csrf
        <textarea name="query" id="query" cols="30" rows="10"></textarea>
        <button type="submit">Submit</button>
    </form>
    <h1>Excuted:</h1>
    @if(isset($actions))
    <div>
        <table>
            <thead>
                <tr>
                    {{-- Generate the table headers dynamically based on the first item keys --}}
                    @if(isset($actions[0]))
                        @foreach(array_keys((array) $actions[0]) as $header)
                            <th>{{ ucwords(str_replace('_', ' ', $header)) }}</th>
                        @endforeach
                    @endif
                </tr>
            </thead>
            <tbody>
                @foreach($actions as $action)
                <tr>
                    {{-- Loop through the action object dynamically --}}
                    @foreach($action as $value)
                        <td>{{ $value }}</td>
                    @endforeach
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    @endif
    <script>
        console.log('actions', @json($actions ?? ''));
    </script>
</body>
</html>