<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\Uncatecontroller;
use App\Http\Controllers\Userconfirmcontroller;
use App\Http\Controllers\Allmailcontroller;
use App\Http\Controllers\Chatcontroller;
use App\Http\Controllers\CustomerControll;
use App\Http\Controllers\Playcontroller;
use App\Http\Controllers\HeaderControll;
use App\Http\Controllers\Acceptecontroller;
use App\Http\Controllers\Getcontroller;
use App\Http\Controllers\Getshortcontroller;
use App\Http\Controllers\GetRNcontroller;
use App\Http\Controllers\Adcontroller;
use App\Http\Controllers\Dashcontroller;
use App\Http\Controllers\Heatmapcontroller;
use App\Http\Controllers\Sharedindexcontroller;
use App\Http\Controllers\GetdataController;
use App\Http\Controllers\RevenueshareController;
use App\Http\Controllers\ContentmappingController;
use App\Http\Controllers\YoutubeController;
use App\Http\Controllers\LivetestController;
use App\Http\Controllers\ChatbotController;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Request;
use App\Http\Controllers\AccountclosureController;
use App\Http\Controllers\OpencallController;
use App\Http\Controllers\YoutubetopicController;
use App\Http\Controllers\AiController;
use App\Http\Controllers\DashboardAiController;
use App\Http\Controllers\HumanticController;
use App\Http\Controllers\AllmailPlayController;
use App\Http\Controllers\CronController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::post('/clear-session', function () {
    Session::forget('text_quest');
    return response()->json(['success' => true]);
});

Route::get('/cronset', [CronController::class, 'cronset']);

Route::get('/escalationcron', [CronController::class, 'escalationcron']);

Route::get('/duplicatetickets', [CronController::class, 'duplicatetickets']);


Route::get('/pageerror', function () {
    return view('pageerror');
});

Route::get('/escalation_mod_cron', function() {
    return view('/escalation_mod_cron');
});

Route::get('/agging_cron', function() {
    return view('/agging_cron');
});

Route::get('/Atest', function () {
    return view('Atest');
});

// ------------------ Get Method -----------------------------------

Route::get('/biasdetect', [AiController::class, 'biasdetect']);

Route::get('/langdetect', [AiController::class, 'langdetect']);

Route::get('/aisuggest1', [AiController::class, 'aisuggest1']);

Route::get('/aisuggest', [AiController::class, 'aisuggest']);

Route::get('/superai', [AiController::class, 'index']);
Route::get('/aiserach', [AiController::class, 'index1']);
Route::post('/process-superai2', [AiController::class, 'show2']);

Route::post('/process-superai', [AiController::class, 'show']);
Route::post('/process-superai1', [AiController::class, 'show1']);

Route::get('/live_socket', function() { return view('live_socket'); });
Route::post('/process-live_socket', [LivetestController::class, 'playCkeck']);

Route::post('/get-response', [ChatbotController::class, 'getResponse']);

Route::post('/add-bookmark', [ChatbotController::class, 'addBookmark']);

Route::post('/get-booklist', function(Request $request) {
    $res = DB::table('comm_chatbot')->where('userid', $_POST['id'])->where('blocklist', '0')->get();
    return response()->json(['datas_list' => $res]);
});

Route::post('/trash-booklist', [ChatbotController::class, 'trashBooklist']);
Route::post('/edit-booklist', [ChatbotController::class, 'EditBooklist']);


Route::get('/topic', [YoutubetopicController::class, 'formdetails']);
Route::get('/topic2', [YoutubetopicController::class, 'formdetails1']);

Route::get('/getallvalues_revenue', [RevenueshareController::class, 'getallvalues_revenue'])->name('getallvalues_revenue');
Route::get('/getallvalues_revenue1', [RevenueshareController::class, 'getallvalues_revenue1'])->name('getallvalues_revenue1');

Route::get('/revenueform/{key}/{username}', [RevenueshareController::class, 'forms'])->name('revenueform');
Route::get('/content_forms/{key}/{username}', [ContentmappingController::class, 'forms'])->name('content_forms');
Route::get('/youtube_oacs/{key}/{username}', [YoutubeController::class, 'forms'])->name('youtube_oacs');
Route::get('/account_form/{key}/{username}', [AccountclosureController::class, 'forms'])->name('account_form');

Route::get('/staff_login', [LoginController::class, 'staff_login'])->name('staff_login');
Route::post('/login', [LoginController::class, 'processLogin']);
Route::get('/login', [LoginController::class, 'showLoginForm'])->name('login');
Route::get('/accountlogin', [LoginController::class, 'accountlogin'])->name('accountlogin');
    
Route::get('/formlogout/{key}', [LoginController::class, 'formlogout'])->name('formlogout');

Route::middleware('expirelink')->get('/Contentmappingform', [ContentmappingController::class, 'form'])->name('Contentmappingform');
Route::middleware('expirelink')->get('/youtubeoac', [YoutubeController::class, 'form'])->name('youtubeoac');
Route::middleware('expirelink')->get('/accountclosureform', [AccountclosureController::class, 'form'])->name('accountclosureform');
Route::middleware('expirelink')->get('/revenueshareforms', [RevenueshareController::class, 'form'])->name('revenueshareforms');

Route::get('/revenueformsubmit', [RevenueshareController::class, 'revenueformsubmit'])->name('revenueformsubmit');
Route::post('/oacformsubmit', [YoutubeController::class, 'oacformsubmit'])->name('oacformsubmit');
Route::post('/contentformsubmit', [ContentmappingController::class, 'contentformsubmit'])->name('contentformsubmit');
Route::post('/formsubmit', [AccountclosureController::class, 'formsubmit'])->name('formsubmit');

Route::group(['middleware' => ['web', 'auth:staff']], function () {

    Route::post('/commentry', [AllmailPlayController::class, 'Thread'])->name('internalthread');
    Route::post('/requestdone', [AllmailPlayController::class, 'requestdone'])->name('requestdone');

    Route::get('/mailmodify', [OpencallController::class, 'mailmodify'])->name('mailmodify');
Route::post('/toggle/update', [OpencallController::class, 'update'])->name('toggle.update');
Route::post('/toggle/insert', [OpencallController::class, 'insert'])->name('toggle.insert');


    Route::get('/upcbased', [AllmailPlayController::class, 'upcbased'])->name('upcbased');
    Route::get('/userbased', [AllmailPlayController::class, 'userbased'])->name('userbased');
    Route::get('/duplicate', [AllmailPlayController::class, 'duplicate'])->name('duplicate');

    Route::post('/removeduplicateid', [AllmailPlayController::class, 'removeduplicateid'])->name('removeduplicateid');

    Route::post('/allmailnew', [AllmailPlaycontroller::class, 'allmailnew'])->name('allmailnew');
    Route::post('/allmailplayai', [AllmailPlayController::class, 'allmailplayai'])->name('allmailplayai');
    //Route::get('/allmail1', [AllmailPlayController::class, 'allmailplay111'])->name('allmail1');

    Route::post('/allmailplay1', [AllmailPlayController::class, 'allmailplay1'])->name('allmailplay1');
    Route::post('/storeAssignee', [AllmailPlayController::class, 'storeAssignee'])->name('storeAssignee');
    Route::post('/storeAssignee1', [AllmailPlayController::class, 'storeAssignee1'])->name('storeAssignee1');
    Route::post('/storeAssignee3', [AllmailPlayController::class, 'storeAssignee3'])->name('storeAssignee3');
    Route::post('/Schedule', [AllmailPlayController::class, 'Schedule'])->name('Schedule');
    Route::post('/Actionpopup', [AllmailPlayController::class, 'Actionpopup'])->name('Actionpopup');
    Route::get('/allmail', [AllmailPlayController::class, 'allmailplay'])->name('allmail');

    
    Route::get('/gettasks', [GetdataController::class, 'GetTasks']);
    Route::get('/gettasks1', [GetdataController::class, 'GetTasks1']);
    Route::post('/slackcreate', [OpencallController::class, 'sSlackCreate']);
    Route::post('/asanacreate', [OpencallController::class, 'aAsanacreate']);
//Route::group(['middleware' => ['auth']], function () {
    Route::get('/exportform1', [YoutubeController::class, 'exportform1'])->name('exportform1');
    Route::get('/exportform2', [ContentmappingController::class, 'exportform2'])->name('exportform2');
    Route::get('/exportform3', [RevenueshareController::class, 'exportform3'])->name('exportform3');
    Route::get('/exportform', [AccountclosureController::class, 'exportform'])->name('exportform');

    Route::get('/updatestore', [ContentmappingController::class, 'updatestore'])->name('updatestore');

    Route::get('/content_mapping', [ContentmappingController::class, 'formdetails'])->name('content_mapping');
    Route::get('/contentlink', [ContentmappingController::class, 'link'])->name('contentlink');
    Route::get('/checkreleasestatus', [ContentmappingController::class, 'checkreleasestatus'])->name('checkreleasestatus');
    
  
    
    Route::get('/revenue_share', [RevenueshareController::class, 'formdetails'])->name('revenue_share');
    Route::get('/revenuelink', [RevenueshareController::class, 'link'])->name('revenuelink');
    
    Route::post('/revenuesubtaskcreate', [RevenueshareController::class, 'subtaskcreate'])->name('revenuesubtaskcreate');
    Route::post('/postcommentsinasana', [RevenueshareController::class, 'postcomments'])->name('postcommentsinasana');
    
    Route::get('/getcomments', [RevenueshareController::class, 'getcomments'])->name('getcomments');
    Route::post('/commentinslack', [RevenueshareController::class, 'commentinslack'])->name('commentinslack');
    
    Route::get('/getcommentslack', [RevenueshareController::class, 'getcommentslack'])->name('getcommentslack');
    Route::post('/revenueasanaapprove', [RevenueshareController::class, 'revenueasanaapprove'])->name('revenueasanaapprove');
    Route::post('/revenueslackapprove', [RevenueshareController::class, 'revenueslackapprove'])->name('revenueslackapprove');
    
    
    Route::get('/youtube_oac', [YoutubeController::class, 'formdetails'])->name('youtube_oac');
 
    Route::get('/youtubelink', [YoutubeController::class, 'link'])->name('youtubelink');
    Route::post('/verifyslack', [YoutubeController::class, 'verifyslack'])->name('verifyslack');
    
    Route::post('/verifyupc', [YoutubeController::class, 'verifyupc'])->name('verifyupc');
    Route::post('/commentslack', [YoutubeController::class, 'commentslack'])->name('commentslack');
    
    Route::get('/fsacheck', [YoutubeController::class, 'fsacheck'])->name('fsacheck');

    
    Route::post('/subtaskcreate1', [AccountclosureController::class, 'subtaskcreate1'])->name('subtaskcreate1');
    Route::post('/subtaskcreate2', [AccountclosureController::class, 'subtaskcreate2'])->name('subtaskcreate2');

    Route::get('/account_closure', [AccountclosureController::class, 'formdetails'])->name('account_closure');
    Route::get('/accountclosurelink', [AccountclosureController::class, 'link'])->name('accountclosurelink');

    Route::get('/verifyrfs', [AccountclosureController::class, 'verifyrfs'])->name('verifyrfs');
    Route::get('/verifydisapprove', [AccountclosureController::class, 'verifydisapprove'])->name('verifydisapprove');
    Route::get('/verifyartist', [AccountclosureController::class, 'verifyartist'])->name('verifyartist');
    Route::get('/verifypaypal', [AccountclosureController::class, 'verifypaypal'])->name('verifypaypal');
    
    Route::get('/verifysoundlink', [AccountclosureController::class, 'verifysoundlink'])->name('verifysoundlink');
    Route::get('/getcomments1', [AccountclosureController::class, 'getcomments1'])->name('getcomments1');
    Route::post('/postcomments1', [AccountclosureController::class, 'postcomments1'])->name('postcomments1');
    Route::get('/getcomments2', [AccountclosureController::class, 'getcomments2'])->name('getcomments2');
    Route::post('/postcomments2', [AccountclosureController::class, 'postcomments2'])->name('postcomments2');

    Route::get('/getstatus', [AccountclosureController::class, 'getstatus'])->name('getstatus');
    Route::get('/getstatus1', [AccountclosureController::class, 'getstatus1'])->name('getstatus1');

    Route::get('/actiondone', [AccountclosureController::class, 'actiondone'])->name('actiondone');


    Route::get('/updatereleasestatus', [ContentmappingController::class, 'updatereleasestatus'])->name('updatereleasestatus');

    Route::get('/', function () {
        // $data = Auth::user()->uid;
        return view('login');
    });
   

    // Route::post('/addThread', [GetdataController::class, 'AddThread']);

    // Route::post('/addThread', 'GetdataController@AddThread')->name('AddThread');
    Route::post('/addThread', [GetdataController::class, 'AddThread']);
    Route::get('/your-route', [GetdataController::class, 'GetMethod']);
    Route::get('/gettask', [GetdataController::class, 'GetTask']);
    Route::get('/getuserdet', [GetdataController::class, 'Getuserdet']);

    Route::post('/postidlog', [GetdataController::class, 'ShowIdLog']);
    Route::post('/createtask', [GetdataController::class, 'Showcreatetask']);
    Route::post('/updatetask', [GetdataController::class, 'Updatetask']);
    Route::post('/trashtask', [GetdataController::class, 'Trashtask']);
    Route::post('/upadteStatus', [GetdataController::class, 'UpadteStatus']);
    Route::post('/getelement', [GetdataController::class, 'Getelement']);


    // Route::get('/contents', function () {return view('contents');});
    // Route::get('/logout', 'LoginController@logout')->name('logout');
    Route::get('/logout', [LoginController::class, 'logout'])->name('logout');
    Route::get('/contents', [GetRNcontroller::class, 'showcontents'])->name('contents');
    Route::get('/inbox', [Uncatecontroller::class, 'inbox'])->name('inbox');

    // Route::get('/logout', [LoginController::class, 'logout']);
    Route::get('/uncategorised', [Uncatecontroller::class, 'showUncate'])->name('uncategorised');
    Route::get('/alluncategorised', [Uncatecontroller::class, 'showUncate1'])->name('alluncategorised');

    Route::get('/userconfirm', [Userconfirmcontroller::class, 'conformation'])->name('userconfirm');
    Route::get('/playground', function () { return view('playground'); });
    Route::get('/playground1', [Playcontroller::class, 'dtghdth'])->name('playground1');
//Route::get('/allmail', [Allmailcontroller::class, 'showallmail'])->name('allmail');
    Route::get('/mytodo', [Allmailcontroller::class, 'showmytodo'])->name('mytodo');

   // Route::get('/userbased', [Allmailcontroller::class, 'showuserbased'])->name('userbased');
   // Route::get('/upcbased', [Allmailcontroller::class, 'showupcbased'])->name('upcbased');
    Route::get('/settings', [Allmailcontroller::class, 'showsettings'])->name('settings');
    Route::get('/autonomous-level', [Allmailcontroller::class, 'showautonomouslevel'])->name('autonomous-level');
    Route::get('/departments', [Allmailcontroller::class, 'showgroups'])->name('departments');
 //   Route::get('/groups', [Allmailcontroller::class, 'showgroups'])->name('groups');
    Route::get('/chat', [Chatcontroller::class, 'myAction'])->name('chat');
    Route::get('/customer', [CustomerControll::class, 'customer'])->name('customer');
    Route::get('/header/header', [HeaderControll::class, 'totablelist'])->name('/header/header');
    Route::get('/req_conformation', [Acceptecontroller::class, 'showAccepted'])->name('req_conformation');
    Route::get('/auto-escalation', [Allmailcontroller::class, 'showescalation'])->name('auto-escalation');
    Route::get('/Content', [Allmailcontroller::class, 'showContent'])->name('Content');
    Route::get('/Roles', [Allmailcontroller::class, 'showRoles'])->name('Roles');
    Route::get('/Mailsign', [Allmailcontroller::class, 'showMailsign'])->name('Mailsign');
    // Route::get('/Nav-Shortcut', [Allmailcontroller::class, 'showShortcut'])->name('Nav-Shortcut');
    Route::get('/shortcut', [Allmailcontroller::class, 'showshortcut'])->name('shortcut');
    Route::get('/tags', [Allmailcontroller::class, 'showtags'])->name('tags');
    Route::get('/contactgrouplist', [Allmailcontroller::class, 'showcontactgrouplist'])->name('contactgrouplist');
    Route::get('/dashboard', [Dashcontroller::class, 'showdashboard'])->name('dashboard');
    Route::get('/heatmap', [Heatmapcontroller::class, 'showdheatmap'])->name('heatmap');
    Route::get('/shared-index', [Sharedindexcontroller::class, 'showdsharedindex'])->name('shared-index');
    Route::get('/staff-dashboard', [Sharedindexcontroller::class, 'showdstaffdashboard'])->name('staff-dashboard');




    Route::get('/conversion', function () {return view('conversion');});











    Route::get('/sale-settings', [Adcontroller::class, 'showsalesettings'])->name('sale-settings');
    Route::get('/agedetails', [Adcontroller::class, 'showagedetails'])->name('agedetails');
    Route::get('/super-agedetails', [Adcontroller::class, 'showsuperagedetails'])->name('super-agedetails');
    Route::get('/test', [Allmailcontroller::class, 'showtest'])->name('test');




    Route::get('/header/topnav', [HeaderControll::class, 'totopnav'])->name('/header/topnav');

   // Route::get('/sSlackCreate', [OpencallController::class, 'sSlackCreate'])->name('sSlackCreate');

   Route::post('/update-confirmation-email', [AccountclosureController::class, 'updateconfemail'])->name('update-confirmation-email');

    
   
   Route::get('/getcontactlist', [Getcontroller::class, 'getcontactlist'])->name('getcontactlist');


    Route::get('/modtimesettings', [OpencallController::class, 'modtimesettings'])->name('modtimesettings');

        
    Route::post('/updatemod', [OpencallController::class, 'updatemod'])->name('updatemod');


    // ------------------ Post Method -----------------------------------
    Route::post('/logout', [LoginController::class, 'logout'])->name('logout');

    
    // Route::post('/logout', [LoginController::class, 'logout']);
    // Route::post('/logout', 'LoginController@logout')->name('logout');
    Route::post('/uncategorised', [Uncatecontroller::class, 'settingmail'])->name('uncatemail');
    Route::post('/userconfirm', [Userconfirmcontroller::class, 'conformail'])->name('userconfirmmail');
    Route::post('/playground1', [Playcontroller::class, 'chatpo'])->name('share-playground1');
   //
   // Route::post('/allmail', [Allmailcontroller::class, 'getallmail'])->name('allmail');

    Route::post('/chat', [Chatcontroller::class, 'profile'])->name('upload');
    Route::post('/customer', [CustomerControll::class, 'unchart'])->name('sent-customer');
    // Route::post('/autonomous-level', 'Getcontroller@getlevel')->name('autonomouslevel');
    Route::post('/autonomous-level', [Getcontroller::class, 'getlevel'])->name('autonomouslevel');
    Route::post('/ptnshortcut', [Getshortcontroller::class, 'getptnshortcut'])->name('ptnshortcut');
    Route::post('/contents', [GetRNcontroller::class, 'getcontents'])->name('con-tents');
    Route::post('/eff_report_ar', [DashboardAiController::class, 'Report1']);
    Route::get('/guideline', function() {
        return view('/guideline');
    });
    Route::get('/humantic', function() {
        return view('/humantic');
    });
    Route::post('/funnyQ', [HumanticController::class, 'FunnyQ']);
    Route::post('/sensormatch', [OpencallController::class, 'sensormatch']);
    Route::post('/upc', [OpencallController::class, 'upc']);
    Route::post('/Catogrisedmove', [AllmailPlayController::class, 'Catogrisedmove'])->name('Catogrisedmove');
    Route::post('/Fetchloadtemplate', [AllmailPlayController::class, 'Fetchloadtemplate'])->name('Fetchloadtemplate');
    Route::post('/Fetchloadtemplatess', [AllmailPlayController::class, 'Fetchloadtemplatess'])->name('Fetchloadtemplatess');
    Route::post('/upc-release', [OpencallController::class, 'upcrelease'])->name('upcrelease');
    
    Route::post('/get-notify', [OpencallController::class, 'Getnotify'])->name('getnotify');
    Route::post('/get-action-required', [OpencallController::class, 'Getactionrequired'])->name('getactionrequired');
    Route::post('/process-over', [OpencallController::class, 'Overdue'])->name('overdue');
    Route::post('/process-multi', [OpencallController::class, 'MultipleAssign'])->name('multipleassign');
    Route::get('/process-age', [OpencallController::class, 'Showage'])->name('showage');

    Route::view('/{path?}', 'welcome');
    Route::get('/non-nothing', function () {
        return response()->view('errors.404', [], 404);
    });
    Route::fallback(function () {
        return response()->view('errors.404', [], 404);
    });
    

});
