<?php

$results = DB::table('comm_tbl_status')
    ->where('userid', '=', Auth::guard('staff')->user()->uid)
    ->get();
$time1_parts = explode(',', $results[0]->schedule);
$starttime = $time1_parts[0];
$endtime = $results[0]->schedule != 'null' ? $time1_parts[1] : 0;
$staffs = DB::table('comm_staffs')
    ->where('uid', '!=', Auth::guard('staff')->user()->uid)
    ->get();

$jsonFilePath = public_path('emoji.json');
if (file_exists($jsonFilePath)) {
    $jsonContents = file_get_contents($jsonFilePath);
    $data = json_decode($jsonContents, true);
    $first100Records = array_slice($data['emojis'], 0, 300);
}

?>

<!DOCTYPE html>
<html lang="en" id="main-containers">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <!-- <link rel="stylesheet" href="https://unpkg.com/ionicons@5.0.1/dist/css/ionicons.min.css"> -->
    <link rel="stylesheet" href="<?php echo e(asset('header/header.css')); ?>">
    <link rel="stylesheet" href="/header/header.css">
    <link rel="stylesheet" type="text/css" href="/css/content1.css" media="screen" />

    
    <script src="<?php echo e(asset('js/cdntailwindcss.js')); ?>"></script>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">


    <!-- <link rel="stylesheet" type="text/css" href="/css/custom.css" media="screen" /> -->
    
    
    <link rel="icon" type="image/png" href="<?php echo e(asset('images/favicon.png')); ?>" id="favicon">
    <link rel="stylesheet" type="text/css" href="/style.css" media="screen" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css">
    <title id="titlemm">Smarthub - RN</title>
    <script src="https://www.gstatic.com/firebasejs/8.2.1/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.2.1/firebase-database.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <!-- <script src="https://unpkg.com/flowbite@1.5.3/dist/flowbite.js"></script> -->


    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <input type="hidden" name="unread">
    <style>
        * {
            font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
        }
    </style>
    <style>
        :root {
            --primary-light-bg: #111827;
            --primary-light-text: #ffffff;
            --second-light-bg: #1d222b;


            --primary-dark-bg: #ffffff;
            --primary-dark-text: #111827;
            --second-dark-bg: #f2f2f2;
        }

        .primary-dark-bg {
            background-color: var(--primary-dark-bg);
            color: var(--primary-dark-text);
        }

        .primary-light-bg {
            background-color: var(--primary-light-bg) !important;
            color: var(--primary-light-text) !important;
        }

        .second-dark-bg {
            background-color: var(--second-dark-bg);
        }

        .second-light-bg {
            background-color: var(--second-light-bg) !important;
        }

        .\!border-none {
            border-style: double !important;
        }
    </style>
    <script>
        function notification_message() {
            $('#notification-message-list').toggle();
        }

        function statuses_bar() {
            $('#bar_popup').toggle()
        }

        function myGreeting() {
            $('#completed_message').removeClass('opacity-100 top-4')
            $('#completed_message').addClass('opacity-0 top-0');
        }

        function meg_calling() {
            $('#completed_message').addClass('opacity-100 top-4');
            const myTimeout = setTimeout(myGreeting, 2000);
        }

        function auto_suggest_out1(e) {
            var checked = $(e).prop('checked');
            if (checked) {
                $('#Mutenotifications').html(
                    '<path fill="#dc2626" d="M5.164 14H15c-1.5-1-2-5.902-2-7q0-.396-.06-.776zm6.288-10.617A5 5 0 0 0 8.995 2.1a1 1 0 1 0-1.99 0A5 5 0 0 0 3 7c0 .898-.335 4.342-1.278 6.113zM10 15a2 2 0 1 1-4 0zm-9.375.625a.53.53 0 0 0 .75.75l14.75-14.75a.53.53 0 0 0-.75-.75z"/>'
                );
                meg_calling();
            } else {
                $('#Mutenotifications').html(
                    '<path fill="#dc2626" d="M8 16a2 2 0 0 0 2-2H6a2 2 0 0 0 2 2m.995-14.901a1 1 0 1 0-1.99 0A5 5 0 0 0 3 6c0 1.098-.5 6-2 7h14c-1.5-1-2-5.902-2-7 0-2.42-1.72-4.44-4.005-4.901"/>'
                );

            }
            fetchDataFromDatabase(checked ? 1 : 0, '', '', '', '');
        }

        function auto_suggest_out2(e) {
            var checked = $(e).prop('checked');
            if (checked) {
                $('#Mutenotifications1').html(
                    '<path d="M5.99979 0.277754C6.09715 0.396493 6.15679 0.54163 6.17104 0.694522C6.1853 0.847413 6.15352 1.00108 6.07979 1.13577C5.50134 2.19713 5.19941 3.38705 5.20182 4.59582C5.20182 8.61688 8.4797 11.8729 12.5196 11.8729C13.0475 11.8723 13.5585 11.8189 14.0525 11.7129C14.2036 11.6806 14.3609 11.6933 14.5049 11.7495C14.6488 11.8056 14.7732 11.9028 14.8625 12.0289C14.957 12.1602 15.0052 12.3191 14.9996 12.4807C14.9939 12.6424 14.9348 12.7976 14.8315 12.9219C14.0471 13.8853 13.0577 14.6616 11.9354 15.1941C10.813 15.7266 9.58597 16.0019 8.34371 16C3.73387 16 0 12.2859 0 7.70987C0 4.26581 2.11393 1.31177 5.12382 0.0597512C5.2737 -0.00394975 5.44024 -0.0171312 5.59827 0.0221987C5.75631 0.0615287 5.89725 0.151233 5.99979 0.277754Z" fill="#F59E0B"/><rect x="0.0365884" y="0.698318" width="2.55606" height="21.8579" rx="1.27803" transform="matrix(-0.750461 -0.660915 0.677284 -0.735722 0.334251 17.2363)" fill="#F59E0B" stroke="#F5F5F5"/>'
                );
                meg_calling();
            } else {
                $('#Mutenotifications1').html(
                    '<path fill="#f59e0b" d="M6 .278a.77.77 0 0 1 .08.858 7.2 7.2 0 0 0-.878 3.46c0 4.021 3.278 7.277 7.318 7.277q.792-.001 1.533-.16a.79.79 0 0 1 .81.316.73.73 0 0 1-.031.893A8.35 8.35 0 0 1 8.344 16C3.734 16 0 12.286 0 7.71 0 4.266 2.114 1.312 5.124.06A.75.75 0 0 1 6 .278"/>'
                );
            }

            fetchDataFromDatabase('', checked ? 1 : 0, '', '', '');
        }

        function auto_suggest_out3(e) {
            var startTime = $('#startTime').val();
            var endTime = $('#endTime').val();
            var checked = $(e).prop('checked');
            if (startTime == '' && endTime == '') {
                $(e).prop('checked', false);
            } else {
                fetchDataFromDatabase('', '', checked ? 1 : 0, startTime, endTime);
            }
        }

        setInterval(() => {
            if (window.navigator.onLine) {
                $('#onLine').removeClass('bg-amber-600');
                $('#onLine').addClass('bg-green-600');
            } else {
                $('#onLine').removeClass('bg-green-600');
                $('#onLine').addClass('bg-amber-600');
            }
        }, 2000);

        function fetchDataFromDatabase(tog1, tog2, tog3, startTime, endTime) {

            var checked1 = ($('#auto_suggest_out1__').prop('checked') ? 1 : 0);
            var checked2 = ($('#auto_suggest_out2__').prop('checked') ? 1 : 0);
            var checked3 = ($('#auto_suggest_out3__').prop('checked') ? 1 : 0);

            // console.log('fetchDataFromDatabase',checked1, checked2, checked3, startTime, endTime);

            $.ajax({
                type: 'POST',
                url: "<?php echo e(route('autonomous-level')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: {
                    ref: "statusbar",
                    tog1: checked1,
                    tog2: checked2,
                    tog3: checked3,
                    startend_Time: (startTime == '' && endTime == '' ? 'NULL' : startTime + ',' + endTime),
                    status: (window.navigator.onLine ? 1 : 0)
                },
                success: function(response) {
                    // console.log(response);
                },
                error: function(xhr, status, error) {
                    // console.error(error);
                }
            });
        }

        window.addEventListener('beforeunload', function(event) {
            // console.log('Window is being closed or navigated away from.');
            // Additional actions you want to perform before the window is closed
        });

        var favicon = document.getElementById('favicon');




        function speeddial(e) {
            $('#dialmenu').toggle();
            if ($('#dialmenu').css('display') == 'block') {
                $('#speeddial').html(
                    '<path d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8z"/>'
                );
                $('#dialmenu1').hide();
                // $('#dialmenu demodel').css({'right':'0'})
                // $('#dialmenu').show();
            } else {
                $('#speeddial').html(
                    '<path d="M16 8c0 3.866-3.582 7-8 7a9 9 0 0 1-2.347-.306c-.584.296-1.925.864-4.181 1.234-.2.032-.352-.176-.273-.362.354-.836.674-1.95.77-2.966C.744 11.37 0 9.76 0 8c0-3.866 3.582-7 8-7s8 3.134 8 7M5 8a1 1 0 1 0-2 0 1 1 0 0 0 2 0m4 0a1 1 0 1 0-2 0 1 1 0 0 0 2 0m3 1a1 1 0 1 0 0-2 1 1 0 0 0 0 2"/>'
                );

            }
        }
        // alert()
        function searchNames(data) {
            var filter, table, tr, td, i, txtValue;
            filter = data.value.toUpperCase();
            var nameElements = document.querySelectorAll('#name-list');
            tr = document.querySelectorAll('.stafflist');
            for (i = 0; i < nameElements.length; i++) {
                td = nameElements[i];
                if (td) {
                    txtValue = td.textContent || td.innerText;
                    if (txtValue.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                    } else {
                        tr[i].style.display = "none";
                    }
                }
            }
        }

        function upusers(name, image, id) {
            sessionStorage.setItem("name", name);
            sessionStorage.setItem("id", id);
            sessionStorage.setItem("image", image);
            $('#uSERNMAE').html(name);
            $('#uSERImage').attr('src', image);
            $('#dialmenu').hide();
            $('#dialmenu1').show();
            sddsssss(id);
            massageCalling(id, image);
        }

        function lastchat() {
            var name, id, image;
            name = sessionStorage.getItem("name");
            id = sessionStorage.getItem("id");
            image = sessionStorage.getItem("image");
            $('#uSERNMAE').html(name);
            $('#uSERImage').attr('src', image);
            $('#dialmenu').hide();
            $('#dialmenu1').show();
            massageCalling();

        }

        function back1() {
            $('#dialmenu').show();
            $('#dialmenu1').hide();
        }
        // alert()
        function profiledp(images) {
            if (images) {
                $('#profile-view').attr('src', images);
            }
            $('#dp-p1').toggle();
        }

        function emoji() {
            $('#message_pad').css({
                'height': '17rem'
            })
            $('#bot-bar').css({
                'height': '10rem',
                'display': 'block'
            })
            $('#bot-bar1').css({
                'height': '10rem',
                'display': 'flex'
            })
            // $('#bot-bar1').html('<img src="'+base64String+'" alt="view" class="h-[127px] rounded-lg object-cover"/>');
        }

        function emoji_close() {
            $('#message_pad').css({
                'height': '27rem'
            })
            $('#bot-bar').css({
                'height': '0',
                'display': 'none'
            })
            $('#bot-bar1').css({
                'height': '0',
                'display': 'none'
            })
            $('#bot-bar1 img').attr('src', '');
        }

        function emoji_add(e) {
            // console.log('emoji_add',e);
            var input = $('#message').val();
            $('#message').val(input + e);
        }

        $(document).ready(function() {
            $('#theme-toggle').click(function() {
                $('#theme-toggle-dark-icon').toggle();
                $('#theme-toggle-light-icon').toggle();
                // $('#dialmenu').toggle('dark')
                // var app = document.getElementById('dialmenu');
                // app.classList.toggle('dark');


                if ($('#theme-toggle-dark-icon').css('display') == 'block') {
                    $('.primary-dark-bg').addClass('primary-light-bg');
                    $('.second-dark-bg').addClass('second-light-bg');
                }

                if ($('#theme-toggle-light-icon').css('display') == 'block') {
                    $('.primary-dark-bg').removeClass('primary-light-bg');
                    $('.second-dark-bg').removeClass('second-light-bg');
                }

            })

            $('.light-open-menu2').on('click', function() {
                $('.light-open-menu2').hide();
                $('.light-close-menu2').show();
                $('#navigation_bar_point').removeClass('w-[16%]');
                $('#navigation_bar_point').addClass('w-[5%] transition-all');
                $('#sideernav-container').removeClass('sm:w-[15rem] ');
                $('#sideernav-container').addClass('w-[5rem] transition-all');
                $('.headflex').html(`
                <div class="headflex">
                        <div style=" ">
                            <img src="https://smarthub.rn-test.com/images/rn-logo-white.svg" onclick="window.onbeforeunload = null;window.location.href = 'https://smarthub.rn-test.com/dashboard'" alt="routenote-logo1" style="height: 52px;">
                        </div> 
                    </div>`);
                $('#left-menu-list').hide();
                $('#content-listing').removeClass('w-full');
                $('#content-listing').addClass('w-[95%] transition-all');
                $('#left-menu-list1').toggle();
                $('#max-logo').hide();
                $('#min-logo').show();



            })

            $('.light-close-menu2').on('click', function() {
                $('.light-close-menu2').hide();
                $('.light-open-menu2').show();
                $('#navigation_bar_point').removeClass('w-[5%]');
                $('#navigation_bar_point').addClass('w-[16%] transition-all');
                $('#sideernav-container').removeClass('w-[5rem]');
                $('#sideernav-container').addClass('sm:w-[15rem] transition-all');
                $('#left-menu-list').show();
                $('#content-listing').removeClass('w-[95%]');
                $('#content-listing').addClass('w-full transition-all');
                $('#left-menu-list1').toggle();
                $('#max-logo').show();
                $('#min-logo').hide();
                $('.headflex').html(`
                <div class="headflex" style="flex-direction: row;">
                        <div style=" ">
                            <img src="https://smarthub.rn-test.com/images/rn-logo-white.svg" onclick="window.onbeforeunload = null;window.location.href = 'https://smarthub.rn-test.com/dashboard'" alt="routenote-logo0" style="height: 52px;">
                        </div>
                        <div style="text-align: right;">
                        <div style="line-height: 18px;">Smart Hub</div>
                        <div class="aispan">Powered by AI</div>
                        </div>
                    </div>`);
            })
        })




        // ******************** Store *****************************
        var firebaseConfig = {
            apiKey: "AIzaSyAalKYqMlAD7kHD9_dUWyrGdTjfS4Z11UE",
            authDomain: "runchat-6c3ca.firebaseapp.com",
            projectId: "runchat-6c3ca",
            storageBucket: "runchat-6c3ca.appspot.com",
            messagingSenderId: "17478807369",
            appId: "1:17478807369:web:5f57693170b71a460eb498",
            measurementId: "G-Q01Y5EM0CY"
        };
        firebase.initializeApp(firebaseConfig);
        const db = firebase.database();
        var messagesRef = db.ref('messages');

        function getCurrentId() {
            return db.ref("messages").once("value").then(function(snapshot) {
                var currentId = snapshot.val() || 0;
                var count = Object.keys(currentId).length;
                return count;
            });
        }

        function ddddd(events) {
            // console.log('events',events)
            events.forEach((value, i) => {
                db.ref('messages/' + value).update({
                    read: true
                });
            })
        }
        let totalHeight = [];

        function sddsssss(uid) {
            var valueListener = messagesRef.on("value", function(snapshot) {
                var dataArray = snapshot.val();
                var line = dataArray == null ? 0 : 1;
                if (line > 0) {
                    var mes_sent = dataArray.filter(m => m.incoming_msg_id == '<?php echo Auth::guard('staff')->user()->uid; ?>' && m
                        .outgoing_msg_id == uid || m.incoming_msg_id == uid && m.outgoing_msg_id ==
                        '<?php echo Auth::guard('staff')->user()->uid; ?>');
                    if (mes_sent.length > 0) {
                        let unreadids = [];
                        mes_sent.forEach((item, index) => {
                            if (item.outgoing_msg_id != uid) {
                                if (item.read == false && item.incoming_msg_id == uid) {
                                    unreadids.push(item.msg_id);
                                    totalHeight = [];
                                }
                            }
                        });
                        if (unreadids.length > 0) {
                            ddddd(unreadids);
                        }

                    }
                }
                messagesRef.off("value", valueListener);
                return false;
            });
        }


        const massageCalling = (uid, image) => {

            db.ref('messages').on("value", function(snapshot) {
                var dataArray = snapshot.val();
                var line = dataArray == null ? 0 : 1;

                if (line > 0) {
                    var mes_sent = dataArray.filter(m => m.incoming_msg_id == '<?php echo Auth::guard('staff')->user()->uid; ?>' && m
                        .outgoing_msg_id == uid || m.incoming_msg_id == uid && m.outgoing_msg_id ==
                        '<?php echo Auth::guard('staff')->user()->uid; ?>');
                    // console.log('massageCalling',mes_sent)
                    document.getElementById("message_pad").innerHTML = '';
                    if (mes_sent.length > 0) {
                        let counts = [];
                        let uidds = '';
                        let unreadid = [];
                        mes_sent.forEach((item, index) => {
                            // console.log('massageCalling',item,sessionStorage.getItem("id"))
                            var message = '';
                            if (item.outgoing_msg_id == sessionStorage.getItem("id")) {
                                if (item.msg.startsWith("data:image")) {
                                    message = `
                                    <div class="text-start flex justify-end">
                                        <div>
                                            <div class="flex items-center gap-2">
                                                <img src="` + item.msg + `" alt="img" class="w-[200px] h-[150px] rounded-lg"/>
                                                <img src="<?php echo e(Auth::guard('staff')->user()->image); ?>" alt="user" class="w-8 h-8 rounded-full"/>
                                            </div>
                                            <div class="text-[12px] text-gray-500 text-end">` + item.datetime + `</div>
                                        </div>
                                    </div>
                                `;
                                } else {
                                    message =
                                        `
                                    <div class="text-start flex justify-end">
                                        <div>
                                            <div class="flex items-center gap-2">
                                                <div class="space-y-1"><div class="rounded-l-lg rounded-b-lg w-fit text-gray-900 bg-[#f5f5f5] text-[14px] shadow-lg px-3 py-2">` +
                                        item.msg +
                                        `</div><div class="text-[12px] text-gray-500 text-end">` + item
                                        .datetime + `</div></div>
                                                <img src="<?php echo e(Auth::guard('staff')->user()->image); ?>" alt="user" class="w-8 h-8 rounded-full -mt-[13px]"/>
                                            </div>
                                        </div>
                                    </div>
                                `;
                                }

                            } else {
                                if (item.read == false) {
                                    counts.push(item.read);
                                    unreadid.push(item.msg_id);
                                    totalHeight.push(item.msg_id);
                                }
                                uidds = item.incoming_msg_id;
                                // console.log('uidds',item)
                                if (item.msg.startsWith("data:image")) {
                                    message = `
                                        <div class="text-start">
                                            <div class="flex items-center gap-2">
                                                <img src="` + sessionStorage.getItem("image") + `" alt="user" class="w-8 h-8 rounded-full"/>
                                                <div>
                                                    <img src="` + item.msg + `" alt="img" class="w-[200px] h-[150px] rounded-lg"/>
                                                    <div class="text-[12px] text-gray-500">` + item.datetime + `</div>
                                                </div>
                                            </div>
                                        </div>
                                    `;
                                } else {
                                    message = `
                                        <div class="text-start">
                                            <div class=" flex items-center gap-2">
                                                <img src="` + sessionStorage.getItem("image") +
                                        `" alt="user" class="w-8 h-8 rounded-full"/>
                                                <div class="space-y-1">
                                                    <div class="rounded-r-lg rounded-b-lg w-fit text-[14px] !text-[#a5a5a5] bg-white shadow-sm px-3 !pl-1 py-2">` +
                                        item.msg + `</div>
                                                    <div class="text-[12px] text-gray-500 ">` + item.datetime + `</div>
                                                </div>
                                            </div>
                                        </div>
                                    `;
                                }
                            }
                            document.getElementById("message_pad").innerHTML += message;
                        });
                        const listin = document.querySelectorAll('#notify_counts');
                        listin.forEach((items, index) => {
                            // console.log('items',$(listin[index]).data('id') == uidds ? 1 : 0,uidds)
                            if ($(listin[index]).data('id') == uidds) {
                                listin[index].innerHTML = counts.length;
                                // console.log('listin[index]',listin[index],counts.length)
                                if (counts.length > 0) {
                                    listin[index].style.display = 'flex';
                                } else {
                                    listin[index].style.display = 'none';
                                }
                                var unit = [...new Set(totalHeight)];
                                // console.log('unit',unit)


                                // if (unit.length > 0) {
                                //     $('#totalcount_in').css('display', 'flex');
                                //     $('#totalcount_in').html(unit.length);
                                //     favicon.href = "<?php echo e(asset('images/routenotelogo4.png')); ?>";
                                //     $('title').html(unit.length + ' New Messages');
                                // } else {
                                //     $('#totalcount_in').css('display', 'none');
                                //     favicon.href = "<?php echo e(asset('images/favicon.png')); ?>";
                                //     $('title').html('Smarthub - RN');

                                // }
                            }
                        })
                        $(document).ready(function() {

                            var container = document.getElementById('message_pad');
                            var totalHeight = Array.from(container.children).reduce((acc, cur) => acc +
                                cur.offsetHeight, 0);
                            $("#message_pad").animate({
                                scrollTop: totalHeight
                            }, "slow")
                        })



                    } else {
                        $('#message_pad').html(
                            '<div class="flex items-center justify-center text-gray-900 h-full w-full">No data available</div>'
                        );
                    }
                } else {
                    $('#message_pad').html(
                        '<div class="flex items-center justify-center text-gray-900 h-full w-full">No data available</div>'
                    );
                }
            });

        }




        async function msgSent(event) {
            event.preventDefault();
            var id = await getCurrentId();
            var message = $('#message').val();
            var message_img = $('#bot-bar1 img').attr('src') || '';
            // console.log('message_img',message_img !='' ? message_img : message)
            db.ref("messages/" + id).set({
                msg_id: id,
                incoming_msg_id: '<?php echo Auth::guard('staff')->user()->uid; ?>',
                outgoing_msg_id: sessionStorage.getItem("id"),
                msg: message_img != '' ? message_img : message,
                datetime: '<?php echo date('h:i a'); ?>',
                read: false
            });
            $('#message').val('');
            emoji_close();
            massageCalling(sessionStorage.getItem("id"));


        }

        $(document).ready(function() {

            $('#data-popover-otl-forms').click(function() {
                $('#data-popover-otlforms').toggle();

            });
            $('#data-popover-Support-in').click(function() {
                $('#data-popover-Support').toggle();
                $('#data-popover-Shared').hide();
                $('#data-popover-Private').hide();
            });
            $('#data-popover-Shared-in').click(function() {
                $('#data-popover-Shared').toggle();
                $('#data-popover-Support').hide();
                $('#data-popover-Private').hide();
            });
            $('#data-popover-Private-in').click(function() {
                $('#data-popover-Private').toggle();
                $('#data-popover-Support').hide();
                $('#data-popover-Shared').hide();
            });

            $('#content-listing').click(function() {
                $('#data-popover-Support').hide();
                $('#data-popover-Shared').hide();
                $('#data-popover-Private').hide();
            })
        });
        // ******************** Store *****************************//
    </script>
</head>
<?php
$user = Auth::guard('staff')->user();
$value = DB::table('comm_staffs')
    ->where('uid', '!=', $user->uid)
    ->get();
?>

<body class="m-0 p-0 bg-[#111827]">

    <div class="w-full h-full flex items-start">
        <div class="w-[16%] max-w-[20rem] h-full transition-all ease-in-out transition duration-500"
            id="navigation_bar_point">
            
            <?php echo $__env->make('includes/siderbarnav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        </div>

        <!-- ********************** Support hub **************************** -->

        <div id="data-popover-Support"
            class="absolute p-2 overflow-auto h-[220px] hidden top-[10rem] z-10 left-[4rem] font-sans text-sm font-normal break-words whitespace-normal bg-white border rounded-lg shadow-lg w-max border-blue-gray-50 text-blue-gray-500 shadow-blue-gray-500/10 focus:outline-none">
            <ul class="space-y-2">
                <!-- <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="/dashboard" class="!text-gray-900">Dashboard</a>
                </li> -->
                <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="/allmail" class="!text-gray-900">All Mails</a>
                </li>
                <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="/upcbased" class="!text-gray-900">UPC Based</a>
                </li>
                <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="/userbased" class="!text-gray-900">User Based</a>
                </li>
                <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="alluncategorised"
                        class="!text-gray-900">Uncategorised</a></li>
                <!-- <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="/super-agedetails" class="!text-gray-900">Aging
                        Report</a></li>  -->

            </ul>
        </div>
        <div id="data-popover-otlforms"
            class="absolute p-2 overflow-auto h-[170px] hidden top-[10rem] z-10 left-[4rem] font-sans text-sm font-normal break-words whitespace-normal bg-white border rounded-lg shadow-lg w-max border-blue-gray-50 text-blue-gray-500 shadow-blue-gray-500/10 focus:outline-none">
            <ul class="space-y-2">
                <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="account_closure" class="!text-gray-900">Account
                        Closure</a>
                </li>
                <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="revenue_share" class="!text-gray-900">Revenue
                        Share</a>
                </li>
                <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="content_mapping" class="!text-gray-900">Content
                        Mapping</a>
                </li>
                <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="youtube_oac" class="!text-gray-900">Youtube
                        OAC</a>
                </li>


            </ul>
        </div>
        <!-- ********************** Shared hub **************************** -->

        <div id="data-popover-Shared"
            class="absolute p-2 overflow-auto m-h-[220px] hidden top-[12rem] z-10 left-[4rem] font-sans text-sm font-normal break-words whitespace-normal bg-white border rounded-lg shadow-lg w-max border-blue-gray-50 text-blue-gray-500 shadow-blue-gray-500/10 focus:outline-none">
            <ul class="space-y-2">
                <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="shared-index"
                        class="!text-gray-900">Dashboard</a></li>
                <!-- <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="allmail" class="!text-gray-900">Inbox</a></li> -->

            </ul>
        </div>
        <!-- ********************** Private hub **************************** -->

        <div id="data-popover-Private"
            class="absolute p-2 overflow-auto m-h-[220px] hidden top-[14rem] z-10 left-[4rem] font-sans text-sm font-normal break-words whitespace-normal bg-white border rounded-lg shadow-lg w-max border-blue-gray-50 text-blue-gray-500 shadow-blue-gray-500/10 focus:outline-none">
            <!-- <ul class="space-y-2">
                <li class="p-1 hover:bg-slate-200 rounded-sm"><a href="#" class="!text-gray-900">Messages</a></li>

            </ul> -->
        </div>
        <!-- ************************ Look **************************** -->

        <?php
        $result4 = DB::table('comm_tbl_smthub_ticket')
            ->where('commentry_user', '=', Auth::guard('staff')->user()->name)
            ->get();
        $messagelist = count($result4) > 0 ? json_decode($result4[0]->commentry_assign) : [];
        //   dd(json_decode($result4[0]->commentry_assign));
        ?>

        <script>
            function closing() {
                $('#popover-right').toggle();
            }
        </script>

        <div id="popover-right"
            class="pop_btns z-[100] absolute hidden right-24 w-[500px] max-h-[19rem] overflow-y-auto top-[11.25rem] z-10 p-4 font-sans text-sm font-normal break-words whitespace-normal bg-white border rounded-lg shadow-lg w-max border-blue-gray-50 text-blue-gray-500 shadow-blue-gray-500/10 focus:outline-none"
            style="width: 500px;padding: 0;">
            <div class="sticky top-0 w-full flex justify-between cursor-pointer p-2 bg-[#000] text-white z-10">
                <span class="font-medium text-xl">Comments</span> 
                <svg  onclick="closing()" xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="cursor-pointer bi bi-x-circle-fill" viewBox="0 0 16 16">
                    <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0M5.354 4.646a.5.5 0 1 0-.708.708L7.293 8l-2.647 2.646a.5.5 0 0 0 .708.708L8 8.707l2.646 2.647a.5.5 0 0 0 .708-.708L8.707 8l2.647-2.646a.5.5 0 0 0-.708-.708L8 7.293z">
                    </path>
                </svg>                 
            </div>
            <div id="spdjgsgrsr" class="p-2 space-y-3"></div>
            <form id="myForm" class="p-2 space-y-2" onsubmit="handleKeyPress(event)">
                <div class="relative h-full w-full">
                    <div contentEditable id="mytextarea1" required
                    class="peer h-full w-full min-h-20 rounded-[7px] resize-none !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50"
                    cols="30" rows="5" onkeyup="textSuggestion1(event)"></div>
                    <?php 
                        $res_ = DB::table('comm_staffs')->select('name', 'uid')->get(); 
                    ?>
                    <ol id="suggestions1" class="absolute bg-white shadow-md p-4 border rounded-md z-[999] space-y-3 max-h-[200px] overflow-y-auto" style="display: none;">
                        <?php $__currentLoopData = $res_; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="flex items-center gap-1 cursor-pointer" onclick="selectSuggestion1('<?php echo e($item->name); ?>')">
                                <div class="h-8 w-8 rounded-full text-white text-xs bg-gray-600 p-2 grid place-items-center"><?php echo e(substr($item->name, 0, 2)); ?></div>
                                <span class="text-sm font-medium"><?php echo e($item->name); ?></span>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ol>
                    <script>
                        function textSuggestion1(event) {
                            const selection = window.getSelection();
                            const cursorPos = selection.getRangeAt(0).startOffset; 
                            const value = event.target.innerText;
                            if(value[cursorPos - 1] === "@") {
                                document.getElementById('suggestions1').style.display = "block";
                            }else {
                                document.getElementById('suggestions1').style.display = "none";
                            }
                        }
                        function selectSuggestion1(name) {
                            let text = document.getElementById('mytextarea1').innerText.slice(0, -1);
                            document.getElementById('mytextarea1').innerHTML = text + " <b>@" + name.toString() + "</b> ";
                            document.getElementById('suggestions1').style.display = "none";
                        }                                    
                    </script>
                </div>
                <div id="dropdown1" style="overflow-y: scroll;
    max-height: 121px;border-radius: 20px;"
                    class="dropdown"></div>
                <button
                    class="relative grid select-none items-center whitespace-nowrap rounded-lg bg-gray-900 py-1.5 px-3 font-sans text-xs font-bold uppercase text-white"
                    type="submit">Submit</button>
            </form>
        </div>
        <style>
            /* Simple styles for the dropdown list */
            .dropdown {
                position: absolute;
                border: 1px solid #ddd;
                background-color: #fff;
                display: none;
                z-index: 1000;
            }

            .dropdown-item {
                padding: 8px 12px;
                cursor: pointer;
            }

            .dropdown-item:hover {
                background-color: #f1f1f1;
            }
        </style>

        <?php
        $names = DB::table('comm_staffs')->get();
        ?>
        <script>
            $(document).ready(function() {
                const names = <?php echo json_encode($names, 15, 512) ?>;
                let timeout;
                const $textarea = $('#mytextarea1');
                const $dropdown = $('#dropdown1');

                $textarea.on('keyup', function(e) {
                    const cursorPosition = $textarea.prop("selectionStart");
                    const textBeforeCursor = $textarea.val().substring(0, cursorPosition);
                    const lastAtPos = textBeforeCursor.lastIndexOf('@');

                    if (lastAtPos !== -1) {
                        const query = textBeforeCursor.substring(lastAtPos + 1).toLowerCase();

                        if (timeout) clearTimeout(timeout);

                        timeout = setTimeout(() => {
                            let filteredNames;
                            if (query) {
                                filteredNames = names.filter(name => name.name.toLowerCase().startsWith(
                                    query));
                            } else {
                                filteredNames = names;
                            }

                            if (filteredNames.length) {
                                let dropdownHTML = '';
                                filteredNames.forEach(name => {
                                    dropdownHTML +=
                                        `<div class="dropdown-item">${name.name}</div>`;
                                });

                                $dropdown.html(dropdownHTML).show();
                                positionDropdown($textarea, cursorPosition);
                            } else {
                                $dropdown.hide();
                            }
                        }, 300);
                    } else {
                        $dropdown.hide();
                    }
                });

                $dropdown.on('click', '.dropdown-item', function() {
                    const selectedName = $(this).text();
                    const cursorPosition = $textarea.prop("selectionStart");
                    const textBeforeCursor = $textarea.val().substring(0, cursorPosition);
                    const lastAtPos = textBeforeCursor.lastIndexOf('@');
                    const newText = textBeforeCursor.substring(0, lastAtPos) + '@' + selectedName + ' ' +
                        $textarea.val().substring(cursorPosition);

                    $textarea.val(newText);
                    $dropdown.hide();
                    $textarea.focus();
                });

                function positionDropdown($textarea, cursorPosition) {
                    const textareaOffset = $textarea.offset();
                    const textBeforeCursor = $textarea.val().substring(0, cursorPosition);
                    const textareaFontSize = parseInt($textarea.css('font-size'));
                    const lines = textBeforeCursor.split('\n');
                    const lineHeight = textareaFontSize * 1.2; // Adjust this multiplier if necessary
                    //const topPosition = textareaOffset.top + (lines.length * lineHeight) - $textarea.scrollTop();
                    //  const leftPosition = textareaOffset.left + (lines[lines.length - 1].length * textareaFontSize * 0.6); // Adjust this multiplier if necessary

                    $dropdown.css({
                        top: 27 + 'px',
                        // left: leftPosition + 'px'
                    });
                }
            });

            function noti_click(){
                $('#notify-view').toggle();
            }

            document.body.addEventListener('click', function(event) {
                if (!event.target.closest('.noti_')) {
                    $('#notify-view').hide();
                }
            });
        </script>

        <div id="content-listing" class="w-full h-full overflow-hidden">
            <div class="w-full h-16 flex items-center justify-between gap-2" style="background-color: #111827; padding: 1rem 2.5rem 1rem 2.5rem;">
                <div class="text-white w-full text-center">
                    <h6 class="font-sans">You are using the Pre-Beta Version</h6>
                </div>
                <!--text2-->
                <div class="relative flex items-center gap-4">
                    
                    <!-- *********** notification-message-list ********** -->
                    <div class="noti_ relative">
                        <svg xmlns="http://www.w3.org/2000/svg" onclick="noti_click()" width="18" height="18" fill="#fff" class="cursor-pointer bi bi-bell-fill" viewBox="0 0 16 16">
                            <path d="M8 16a2 2 0 0 0 2-2H6a2 2 0 0 0 2 2m.995-14.901a1 1 0 1 0-1.99 0A5 5 0 0 0 3 6c0 1.098-.5 6-2 7h14c-1.5-1-2-5.902-2-7 0-2.42-1.72-4.44-4.005-4.901"/>
                        </svg>
                        <div id="beight" class="hidden absolute h-5 w-5 rounded-full grid place-items-center bg-red-600 text-medum text-white text-xs -top-2 -right-2"></div>
                    </div>
                    <ul id="notify-view"
                        role="menu"
                        class="noti_ hidden absolute z-[999] top-[1.7rem] right-[8rem] min-w-[25rem] overflow-auto rounded-lg border border-slate-200 bg-white p-1.5 shadow-lg shadow-sm focus:outline-none" >
                    </ul>
                    <script>
                        function formatTimeDifference(timestamp) {
                            const now = new Date(); // Current time
                            const givenTime = new Date(timestamp); // Input timestamp
                            const diffInSeconds = Math.floor((now - givenTime) / 1000); // Difference in seconds

                            if (diffInSeconds < 10) {
                                return "a few seconds ago";
                            } else if (diffInSeconds < 60) {
                                return `${diffInSeconds} seconds ago`;
                            } else if (diffInSeconds < 3600) { // Less than an hour
                                const minutes = Math.floor(diffInSeconds / 60);
                                return `${minutes} minute${minutes > 1 ? "s" : ""} ago`;
                            } else if (diffInSeconds < 86400) { // Less than a day
                                const hours = Math.floor(diffInSeconds / 3600);
                                return `${hours} hour${hours > 1 ? "s" : ""} ago`;
                            } else {
                                const days = Math.floor(diffInSeconds / 86400);
                                return `${days} day${days > 1 ? "s" : ""} ago`;
                            }
                        }
                        function callbackNotify() {
                            $.ajax({
                                type: 'POST',
                                url: "<?php echo e(route('getnotify')); ?>",
                                headers: {
                                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
                                },
                                data: {
                                    'ref': 'get',
                                    'ids': "<?= Auth::guard('staff')->user()->uid ?>",
                                },
                                success: function (response) {
                                    console.log('response', response);
                                    if(response.length > 0) {
                                        $('#beight').removeClass('hidden');
                                        $('#beight').text(response.length);
                                        $('#notify-view').empty();
                                        response.forEach((item, index) => {
                                            $('#notify-view').append(`
                                                <li key="${index}" onclick="readmessage('${item.id}', '${item.tickid}', '${item.path}')"
                                                    role="menuitem"
                                                    class=" cursor-pointer text-slate-800 flex w-full text-sm items-center rounded-md p-3 transition-all hover:bg-slate-100 focus:bg-slate-100 active:bg-slate-100"
                                                >
                                                    <img
                                                    alt="tania andrew"
                                                    src="${item.image}"
                                                    class="relative inline-block h-10 w-10 rounded-full object-cover object-center"
                                                    />
                                                    <div class="flex flex-col gap-1 ml-4">
                                                    <p class="text-slate-800 font-medium">
                                                        You are mentioned in ticket #${item.tickid} by ${item.name}
                                                    </p>
                                                    <p class="text-slate-500 text-sm flex items-center">
                                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" class="w-4 h-4 mr-1 text-slate-400">
                                                        <path fill-rule="evenodd" d="M10 18a8 8 0 1 0 0-16 8 8 0 0 0 0 16Zm.75-13a.75.75 0 0 0-1.5 0v5c0 .414.336.75.75.75h4a.75.75 0 0 0 0-1.5h-3.25V5Z" clip-rule="evenodd" />
                                                        </svg>
                                                
                                                        ${formatTimeDifference(item.datetime)}
                                                    </p>
                                                    </div>
                                                </li>
                                            `);
                                        })
                                    }else {
                                        $('#notify-view').empty();
                                        $('#beight').addClass('hidden');
                                        $('#notify-view').append(`
                                                    <li
                                                    role="menuitem"
                                                    class="!flex-col cursor-pointer text-slate-800 text-center flex w-full text-sm items-center rounded-md p-3 transition-all hover:bg-slate-100 focus:bg-slate-100 active:bg-slate-100" >
                                                    <svg width="250" height="200" style="mix-blend-mode: darken;height: 80px;" viewBox="0 0 250 200" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                        <rect width="250" height="200" fill="white"/>
                                                        <path fill-rule="evenodd" clip-rule="evenodd" d="M63 134H154C154.515 134 155.017 133.944 155.5 133.839C155.983 133.944 156.485 134 157 134H209C212.866 134 216 130.866 216 127C216 123.134 212.866 120 209 120H203C199.134 120 196 116.866 196 113C196 109.134 199.134 106 203 106H222C225.866 106 229 102.866 229 99C229 95.134 225.866 92 222 92H200C203.866 92 207 88.866 207 85C207 81.134 203.866 78 200 78H136C139.866 78 143 74.866 143 71C143 67.134 139.866 64 136 64H79C75.134 64 72 67.134 72 71C72 74.866 75.134 78 79 78H39C35.134 78 32 81.134 32 85C32 88.866 35.134 92 39 92H64C67.866 92 71 95.134 71 99C71 102.866 67.866 106 64 106H24C20.134 106 17 109.134 17 113C17 116.866 20.134 120 24 120H63C59.134 120 56 123.134 56 127C56 130.866 59.134 134 63 134ZM226 134C229.866 134 233 130.866 233 127C233 123.134 229.866 120 226 120C222.134 120 219 123.134 219 127C219 130.866 222.134 134 226 134Z" fill="#F3F7FF"/>
                                                        <path fill-rule="evenodd" clip-rule="evenodd" d="M113.119 112.307C113.04 112.86 113 113.425 113 114C113 120.627 118.373 126 125 126C131.627 126 137 120.627 137 114C137 113.425 136.96 112.86 136.881 112.307H166V139C166 140.657 164.657 142 163 142H87C85.3431 142 84 140.657 84 139V112.307H113.119Z" fill="white"/>
                                                        <path fill-rule="evenodd" clip-rule="evenodd" d="M138 112C138 119.18 132.18 125 125 125C117.82 125 112 119.18 112 112C112 111.767 112.006 111.536 112.018 111.307H84L93.5604 83.0389C93.9726 81.8202 95.1159 81 96.4023 81H153.598C154.884 81 156.027 81.8202 156.44 83.0389L166 111.307H137.982C137.994 111.536 138 111.767 138 112Z" fill="white"/>
                                                        <path fill-rule="evenodd" clip-rule="evenodd" d="M136.098 112.955C136.098 118.502 131.129 124 125 124C118.871 124 113.902 118.502 113.902 112.955C113.902 112.775 113.908 111.596 113.918 111.419H93L101.161 91.5755C101.513 90.6338 102.489 90 103.587 90H146.413C147.511 90 148.487 90.6338 148.839 91.5755L157 111.419H136.082C136.092 111.596 136.098 112.775 136.098 112.955Z" fill="#E8F0FE"/>
                                                        <path fill-rule="evenodd" clip-rule="evenodd" d="M85.25 111.512V138C85.25 138.966 86.0335 139.75 87 139.75H163C163.966 139.75 164.75 138.966 164.75 138V111.512L155.255 83.4393C155.015 82.7285 154.348 82.25 153.598 82.25H96.4023C95.6519 82.25 94.985 82.7285 94.7446 83.4393L85.25 111.512Z" stroke="#1F64E7" stroke-width="2.5"/>
                                                        <path d="M98 111C101.937 111 106.185 111 110.745 111C112.621 111 112.621 112.319 112.621 113C112.621 119.627 118.117 125 124.897 125C131.677 125 137.173 119.627 137.173 113C137.173 112.319 137.173 111 139.05 111H164M90.5737 111H93H90.5737Z" stroke="#1F64E7" stroke-width="2.5" stroke-linecap="round" stroke-linejoin="round"/>
                                                        <path d="M150.1 58.3027L139 70.7559M124.1 54V70.7559V54ZM98 58.3027L109.1 70.7559L98 58.3027Z" stroke="#75A4FE" stroke-width="2.5" stroke-linecap="round" stroke-linejoin="round"/>
                                                        </svg>

                                                    <p class="text-slate-800 font-medium w-full">
                                                        No data found.
                                                    </p>
                                                </li>
                                            `);
                                    }
                                }
                            });
                        }

                        function readmessage(id, tick, path) {
                            $.ajax({
                                type: 'POST',
                                url: "<?php echo e(route('getnotify')); ?>",
                                headers: {
                                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
                                },
                                data: {
                                    'ref': "read",
                                    'ids': id,
                                },
                                success: function (response) {
                                    if(response == 'done') {
                                        $('#beight').addClass('hidden');
                                        callbackNotify();
                                        window.location.replace(path);
                                    }
                                }
                            });
                        }
                        // setTimeout(()=> {callbackNotify()}, 1000)
                        // document.addEventListener("DOMContentLoaded", () => {
                        //     const interval = setInterval(() => {
                                callbackNotify();
                        //     }, 1500); // Check every 100ms
                        // });

                    </script>

                    <!-- *********** notification-message-list ********** -->
                    
                        <span
                            class="text-white text-sm cursor-pointer" Onclick="statuses_bar()"><?php echo e(Auth::guard('staff')->user()->name); ?></span>
                        <img src="https://smarthub.rn-test.com/images/rn-logo-white.svg" alt="avatar" Onclick="statuses_bar()"
                            class="relative inline-block h-8 w-8 !rounded-full  object-cover object-center cursor-pointer" />
                   

                    <ul id="bar_popup"
                        class="hidden absolute !z-[999] top-[1.8rem] right-[0rem] min-w-[180px] overflow-auto rounded-lg bg-gray-700 p-1.5 shadow-lg shadow-sm focus:outline-none">
                        <a href="/dashboard" class="group">
                            <li role="menuitem"
                                class="cursor-pointer text-slate-800 flex w-full text-sm items-center rounded-md !p-3 transition-all hover:bg-slate-100 focus:bg-slate-100 active:bg-slate-100">
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor"
                                    class="w-5 h-5 text-slate-400">
                                    <path fill-rule="evenodd"
                                        d="M1 11.27c0-.246.033-.492.099-.73l1.523-5.521A2.75 2.75 0 0 1 5.273 3h9.454a2.75 2.75 0 0 1 2.651 2.019l1.523 5.52c.066.239.099.485.099.732V15a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2v-3.73Zm3.068-5.852A1.25 1.25 0 0 1 5.273 4.5h9.454a1.25 1.25 0 0 1 1.205.918l1.523 5.52c.006.02.01.041.015.062H14a1 1 0 0 0-.86.49l-.606 1.02a1 1 0 0 1-.86.49H8.236a1 1 0 0 1-.894-.553l-.448-.894A1 1 0 0 0 6 11H2.53l.015-.062 1.523-5.52Z"
                                        clip-rule="evenodd" />
                                </svg>

                                <div class="text-white font-medium ml-2 group-hover:text-slate-400">
                                    Dashboard
                                </div>
                            </li>
                        </a>
                        <a href="/settings" class="group">
                            <li role="menuitem"
                                class="cursor-pointer text-slate-800 flex w-full text-sm items-center rounded-md !p-3 transition-all hover:bg-slate-100 focus:bg-slate-100 active:bg-slate-100">
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor"
                                    class="w-5 h-5 text-slate-400">
                                    <path fill-rule="evenodd"
                                        d="M7.84 1.804A1 1 0 0 1 8.82 1h2.36a1 1 0 0 1 .98.804l.331 1.652a6.993 6.993 0 0 1 1.929 1.115l1.598-.54a1 1 0 0 1 1.186.447l1.18 2.044a1 1 0 0 1-.205 1.251l-1.267 1.113a7.047 7.047 0 0 1 0 2.228l1.267 1.113a1 1 0 0 1 .206 1.25l-1.18 2.045a1 1 0 0 1-1.187.447l-1.598-.54a6.993 6.993 0 0 1-1.929 1.115l-.33 1.652a1 1 0 0 1-.98.804H8.82a1 1 0 0 1-.98-.804l-.331-1.652a6.993 6.993 0 0 1-1.929-1.115l-1.598.54a1 1 0 0 1-1.186-.447l-1.18-2.044a1 1 0 0 1 .205-1.251l1.267-1.114a7.05 7.05 0 0 1 0-2.227L1.821 7.773a1 1 0 0 1-.206-1.25l1.18-2.045a1 1 0 0 1 1.187-.447l1.598.54A6.992 6.992 0 0 1 7.51 3.456l.33-1.652ZM10 13a3 3 0 1 0 0-6 3 3 0 0 0 0 6Z"
                                        clip-rule="evenodd" />
                                </svg>

                                <div class="text-white font-medium ml-2 group-hover:text-slate-400">
                                    Settings
                                </div>
                            </li>
                        </a>
                        <hr class="my-2 border-slate-200" role="menuitem" />
                        <a href="<?php echo e(route('logout')); ?>" class="group">
                            <li role="menuitem"
                                class="cursor-pointer text-slate-800 flex w-full text-sm items-center rounded-md !p-3 transition-all hover:bg-slate-100 focus:bg-slate-100 active:bg-slate-100">
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor"
                                    class="w-5 h-5 text-slate-400">
                                    <path fill-rule="evenodd"
                                        d="M3 4.25A2.25 2.25 0 0 1 5.25 2h5.5A2.25 2.25 0 0 1 13 4.25v2a.75.75 0 0 1-1.5 0v-2a.75.75 0 0 0-.75-.75h-5.5a.75.75 0 0 0-.75.75v11.5c0 .414.336.75.75.75h5.5a.75.75 0 0 0 .75-.75v-2a.75.75 0 0 1 1.5 0v2A2.25 2.25 0 0 1 10.75 18h-5.5A2.25 2.25 0 0 1 3 15.75V4.25Z"
                                        clip-rule="evenodd" />
                                    <path fill-rule="evenodd"
                                        d="M19 10a.75.75 0 0 0-.75-.75H8.704l1.048-.943a.75.75 0 1 0-1.004-1.114l-2.5 2.25a.75.75 0 0 0 0 1.114l2.5 2.25a.75.75 0 1 0 1.004-1.114l-1.048-.943h9.546A.75.75 0 0 0 19 10Z"
                                        clip-rule="evenodd" />
                                </svg>

                                <div class="text-white font-medium ml-2 group-hover:text-slate-400">
                                    Sign Out
                                </div>
                            </li>
                        </a>
                    </ul>
                    <script>
                        document.addEventListener('click', function(event) {
                            const guideline = document.getElementById("bar_popup");
                            const avatar = document.querySelector('img[Onclick="statuses_bar()"]');
                            if (!guideline.contains(event.target) && event.target !== avatar) {
                                $('#bar_popup').hide();
                            }
                        });
                    </script>
                </div>

                

            </div>
            <div id="completed_message"
                class="tracking-wider transition-all opacity-0 w-max ease-out h-max text-base right-1/2 left-1/2 flex items-center gap-2 bg-white p-3 absolute top-0 rounded-lg shadow-lg z-10">
                
                <img src="<?php echo e(asset('images/tick.gif')); ?>" alt="tick" class="w-6 h-6">
                <span>Successfully...! :)</span>
            </div>

            
            
            <section id="dialmenu" class="hidden ">
                <div id="demodel"
                    class="transition-all z-10 primary-dark-bg space-y-4 shadow-lg h-[593.51px] w-[380px] absolute right-16 bottom-20 overflow-hidden">
                    <div class="flex bg-[#04042a] items-center justify-between gap-2 pt-5 pb-4 px-4">
                        <div class="flex items-center gap-2">
                            <div class="h-auto w-[48px] dark:text-white">
                                
                                <svg width="60" height="60" viewBox="0 0 60 60" class="w-full h-[48px]"
                                    fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <g clip-path="url(#clip0_38_13)">
                                        <rect width="60" height="60" rx="30" fill="#04042A" />
                                        <mask id="mask0_38_13" style="mask-type:luminance" maskUnits="userSpaceOnUse"
                                            x="0" y="0" width="60" height="60">
                                            <path d="M60 0H0V60H60V0Z" fill="white" />
                                        </mask>
                                        <g mask="url(#mask0_38_13)">
                                            <mask id="mask1_38_13" style="mask-type:luminance"
                                                maskUnits="userSpaceOnUse" x="0" y="0" width="60" height="60">
                                                <path d="M60 0H0V60H60V0Z" fill="white" />
                                            </mask>
                                            <g mask="url(#mask1_38_13)">
                                                <path
                                                    d="M35.88 1.01986C34.5 0.719863 33.12 0.599863 31.68 0.359863H27.96C26.4 0.599863 24.84 0.779863 23.28 1.07986C11.64 3.59986 2.22 13.5599 0.42 25.2599C0.24 26.2799 0.12 27.2999 0 28.3199V32.0399C0.24 33.5399 0.42 35.0399 0.72 36.4799C3.3 48.4799 12.9 57.5399 25.02 59.5799C39.6 61.9799 53.82 53.2799 58.2 39.2399C63.54 22.3199 53.22 4.67986 35.88 1.01986ZM29.82 56.0999C15.48 56.0999 3.9 44.5199 3.9 30.1799C3.9 15.8399 15.54 4.19986 29.88 4.25986C44.16 4.25986 55.74 15.8999 55.74 30.1799C55.74 44.4599 44.16 56.0999 29.82 56.0999Z"
                                                    fill="white" />
                                                <path
                                                    d="M37.5802 43.34C34.8802 43.7 31.2801 41.24 30.2001 38.36C30.3801 38.3 30.5601 38.24 30.6801 38.18C36.4401 35.96 39.7401 30.2 38.6601 24.2C37.5801 18.26 32.4201 14 26.3001 14H14.0001V18.08H14.9001C18.8001 18.08 22.7001 18.02 26.5401 18.08C30.9801 18.14 34.5201 21.68 34.7001 26.06C34.8801 30.44 31.6401 34.22 27.2001 34.7C26.6001 34.76 26.0001 34.76 25.4601 34.82C25.1001 36.56 25.8201 39.5 27.2001 41.6C29.6001 45.38 33.0801 47.3 37.6401 47.6V49.7C40.2201 48.26 42.7401 46.94 45.3201 45.5C42.6801 44.06 40.2202 42.68 37.5802 41.3V43.34Z"
                                                    fill="white" />
                                            </g>
                                        </g>
                                    </g>
                                    <defs>
                                        <clipPath id="clip0_38_13">
                                            <rect width="60" height="60" rx="30" fill="white" />
                                        </clipPath>
                                    </defs>
                                </svg>
                            </div>
                            <h6
                                class="block text-white font-sans text-lg antialiased font-semibold leading-relaxed tracking-normal">
                                
                                Inernal Chat
                            </h6>
                        </div>
                        <svg xmlns="http://www.w3.org/2000/svg" fill="#fff" id="speeddial1"
                            onclick="speeddial(this)" class="w-5 h-5 bi bi-chat-dots-fill" viewBox="0 0 16 16">
                            <path
                                d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8z">
                            </path>
                        </svg>
                    </div>
                    <div class="w-full px-4 primary-dark-bg">
                        <div class="relative h-10 w-full min-w-[200px] ">
                            <div class="absolute inset-y-0 start-0 flex items-center ps-3 pointer-events-none">
                                <svg class="w-4 h-4 text-gray-500 dark:text-gray-400" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20">
                                    <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                                        stroke-width="2" d="m19 19-4-4m0-7A7 7 0 1 1 1 8a7 7 0 0 1 14 0Z"></path>
                                </svg>
                            </div>
                            <input type="serach" id="myInput" onkeyup="searchNames(this)" placeholder="Serach"
                                class="ps-10 peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50">
                        </div>
                    </div>
                    <div class="w-full flex justify-center">
                        <div class="border-b mt-1 w-11/12"></div>
                    </div>
                    <div class="p-4 primary-dark-bg dark:!bg-[#1f2937] space-y-4 h-[26rem]">
                        <?php $__currentLoopData = $staffs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="stafflist flex items-center gap-2 justify-between">
                                <div class="flex items-center gap-2">
                                    <div class="h-auto w-[55px]" onclick="profiledp('<?php echo e($items->image); ?>')">
                                        <img src="<?php echo e($items->image); ?>" alt="logo"
                                            class="rounded-full w-full h-[55px]">
                                    </div>
                                    <h6 id="name-list"
                                        onclick="upusers('<?php echo e($items->name); ?>','<?php echo e($items->image); ?>','<?php echo e($items->uid); ?>')"
                                        class="block font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900 primary-dark-bg">
                                        <?php echo e($items->name); ?></h6>
                                </div>
                                <div class="text-sm text-slate-400 space-y-2">
                                    
                                    <div id="notify_counts" data-id="<?php echo e($items->uid); ?>"
                                        class="hidden float-right h-6 w-6 rounded-full bg-gray-900 text-white flex items-center justify-center font-semibold">
                                        0</div>
                                </div>
                            </div>
                            <script>
                                // console.log('massageCalling',)
                                massageCalling('<?php echo $items->uid; ?>');
                            </script>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </section>

            <section id="dialmenu1" class="hidden">
                <div style="z-index: 1000 !important;"
                    class="transition-all  text-white overflow-hidden shadow-lg h-[593.51px] bf-[#fff] w-[380px] absolute right-16 bottom-20">
                    <div class="flex bg-[#04042a] items-center gap-2 pt-3 pb-4 px-4">
                        <div onclick="back1()"
                            class="hover:bg-gray-200 hover:text-[#04042a] rounded-full w-10 h-10 flex items-center justify-center">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                fill="currentColor" class="cursor-pointer bi bi-arrow-left" viewBox="0 0 16 16">
                                <path fill-rule="evenodd"
                                    d="M15 8a.5.5 0 0 0-.5-.5H2.707l3.147-3.146a.5.5 0 1 0-.708-.708l-4 4a.5.5 0 0 0 0 .708l4 4a.5.5 0 0 0 .708-.708L2.707 8.5H14.5A.5.5 0 0 0 15 8" />
                            </svg>
                        </div>
                        <div class="h-auto w-[60px]">
                            <img src="https://docs.material-tailwind.com/img/face-2.jpg" id="uSERImage"
                                alt="logo" class="rounded-full w-full h-[60px]">
                        </div>
                        <h6 id="uSERNMAE"
                            class="block font-sans text-lg antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">

                        </h6>
                    </div>
                    
                    <div id="message_pad"
                        class="transition-all p-4 py-8 space-y-3 overflow-y-auto bg-[#fff] m-h-[25rem]">
                        <div class="flex items-center justify-center h-full w-full">
                            <div class="flex flex-wrap gap-2 animate-[spin_2s_ease-in-out_infinite]">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    viewBox="0 0 24 24"
                                    style="fill: rgba(0, 0, 0, 1);transform: scaleY(-1);msFilter:progid:DXImageTransform.Microsoft.BasicImage(rotation=2, mirror=1);">
                                    <circle cx="12" cy="20" r="2"></circle>
                                    <circle cx="12" cy="4" r="2"></circle>
                                    <circle cx="6.343" cy="17.657" r="2"></circle>
                                    <circle cx="17.657" cy="6.343" r="2"></circle>
                                    <circle cx="4" cy="12" r="2.001"></circle>
                                    <circle cx="20" cy="12" r="2"></circle>
                                    <circle cx="6.343" cy="6.344" r="2"></circle>
                                    <circle cx="17.657" cy="17.658" r="2"></circle>
                                </svg>
                            </div>
                        </div>
                    </div>
                    <div id="bot-bar" class="relative hidden transition-all ">
                        <div id="bot-bar1" class="h-0 flex flex-wrap p-4 gap-2 overflow-y-auto">
                            <?php $__currentLoopData = $first100Records; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itmes): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="p-1 hover:bg-gray-300 rounded-full cursor-pointer"
                                    onclick="emoji_add('<?php echo e($itmes); ?>')"><?php echo e($itmes); ?></div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <div class="absolute bg-white p-[6px] rounded-full cursor-pointer right-[6px] -top-[22px] shadow-lg"
                            onclick="emoji_close()">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                fill="currentColor" class="bi bi-chevron-down" viewBox="0 0 16 16">
                                <path fill-rule="evenodd"
                                    d="M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708" />
                            </svg>
                        </div>
                    </div>
                    <div class="p-4 flex items-center gap-2 bg-[#f5f5f5] absolute bottom-0 w-full">
                        <div class="relative h-10 w-full ">
                            <form onsubmit="msgSent(event)"
                                class="pe-3 peer flex items-center gap-4 h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700 text-gray-900 shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50">
                                <input type="file" id="fileInput" class="hidden" onchange="imgeupload(this)">
                                <span class="cursor-pointer" onclick="emoji()">🙂</span>
                                <input type="text" placeholder="Type something here" class="w-full "
                                    id="message">
                                <svg xmlns="http://www.w3.org/2000/svg"
                                    onclick="document.getElementById('fileInput').click()"
                                    class="text-[--primary-dark-text] ionicon w-9 h-9 cursor-pointer"
                                    viewBox="0 0 512 512">
                                    <path
                                        d="M216.08 192v143.85a40.08 40.08 0 0080.15 0l.13-188.55a67.94 67.94 0 10-135.87 0v189.82a95.51 95.51 0 10191 0V159.74"
                                        fill="none" stroke="currentColor" stroke-linecap="round"
                                        stroke-miterlimit="10" stroke-width="32" />
                                </svg>
                                <button class="cursor-pointer" type="submit">
                                    <svg xmlns="http://www.w3.org/2000/svg"
                                        class="ionicon w-5 h-5 text-[--primary-dark-text]" viewBox="0 0 512 512">
                                        <path
                                            d="M470.3 271.15L43.16 447.31a7.83 7.83 0 01-11.16-7V327a8 8 0 016.51-7.86l247.62-47c17.36-3.29 17.36-28.15 0-31.44l-247.63-47a8 8 0 01-6.5-7.85V72.59c0-5.74 5.88-10.26 11.16-8L470.3 241.76a16 16 0 010 29.39z"
                                            fill="none" stroke="currentColor" stroke-linecap="round"
                                            stroke-linejoin="round" stroke-width="32" />
                                    </svg>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </section>
            <div style="display: none">
                <div onclick="speeddial(this)"
                    class="z-10 h-12 w-12 rounded-full bg-gray-900 fixed bottom-8 right-8 cursor-pointer flex justify-center items-center">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="#fff" id="speeddial"
                        class="w-5 h-5 bi bi-chat-dots-fill" viewBox="0 0 16 16">
                        <path
                            d="M16 8c0 3.866-3.582 7-8 7a9 9 0 0 1-2.347-.306c-.584.296-1.925.864-4.181 1.234-.2.032-.352-.176-.273-.362.354-.836.674-1.95.77-2.966C.744 11.37 0 9.76 0 8c0-3.866 3.582-7 8-7s8 3.134 8 7M5 8a1 1 0 1 0-2 0 1 1 0 0 0 2 0m4 0a1 1 0 1 0-2 0 1 1 0 0 0 2 0m3 1a1 1 0 1 0 0-2 1 1 0 0 0 0 2" />
                    </svg>
                </div>
                <div id="totalcount_in"
                    class="z-10 hidden h-6 w-6 bg-red-600 rounded-full text-white flex items-center justify-center fixed bottom-[4.3rem] right-8">
                    0</div>
            </div>


            <div style="display: block">
                <?php echo $__env->make('includes.chatbot', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                
                <div id="totalcount_in2"
                    class="z-10 hidden h-6 w-6 bg-red-600 rounded-full text-white flex items-center justify-center fixed bottom-[4.3rem] right-8">
                    0</div>
            </div>







            




            <div class="w-full h-full bg-white">
                <?php echo $__env->yieldContent('content'); ?>
            </div>
        </div>

    </div>
    <script>
        function imgeupload(input) {
            emoji()

            if (input.files && input.files[0]) {
                const reader = new FileReader();

                reader.onload = function(e) {
                    const base64String = e.target.result;
                    $('#bot-bar1').html('<img src="' + base64String +
                        '" alt="view" class="h-[127px] rounded-lg object-cover"/>');
                };

                reader.readAsDataURL(input.files[0]);
            }
        }

        function statusop() {
            <?php if($results[0]->out_offices == 1) { ?>
            $('#Mutenotifications').html(
                '<path fill="#dc2626" d="M5.164 14H15c-1.5-1-2-5.902-2-7q0-.396-.06-.776zm6.288-10.617A5 5 0 0 0 8.995 2.1a1 1 0 1 0-1.99 0A5 5 0 0 0 3 7c0 .898-.335 4.342-1.278 6.113zM10 15a2 2 0 1 1-4 0zm-9.375.625a.53.53 0 0 0 .75.75l14.75-14.75a.53.53 0 0 0-.75-.75z"/>'
            );
            <?php } if($results[0]->out_offices == 1) { ?>
            $('#Mutenotifications1').html(
                '<path d="M5.99979 0.277754C6.09715 0.396493 6.15679 0.54163 6.17104 0.694522C6.1853 0.847413 6.15352 1.00108 6.07979 1.13577C5.50134 2.19713 5.19941 3.38705 5.20182 4.59582C5.20182 8.61688 8.4797 11.8729 12.5196 11.8729C13.0475 11.8723 13.5585 11.8189 14.0525 11.7129C14.2036 11.6806 14.3609 11.6933 14.5049 11.7495C14.6488 11.8056 14.7732 11.9028 14.8625 12.0289C14.957 12.1602 15.0052 12.3191 14.9996 12.4807C14.9939 12.6424 14.9348 12.7976 14.8315 12.9219C14.0471 13.8853 13.0577 14.6616 11.9354 15.1941C10.813 15.7266 9.58597 16.0019 8.34371 16C3.73387 16 0 12.2859 0 7.70987C0 4.26581 2.11393 1.31177 5.12382 0.0597512C5.2737 -0.00394975 5.44024 -0.0171312 5.59827 0.0221987C5.75631 0.0615287 5.89725 0.151233 5.99979 0.277754Z" fill="#F59E0B"/><rect x="0.0365884" y="0.698318" width="2.55606" height="21.8579" rx="1.27803" transform="matrix(-0.750461 -0.660915 0.677284 -0.735722 0.334251 17.2363)" fill="#F59E0B" stroke="#F5F5F5"/>'
            );
            <?php } if($results[0]->out_offices == 1) { ?>
            <?php } ?>
        }
        statusop();
    </script>
</body>

</html>
<?php /**PATH D:\xampp\htdocs\myinfo\smart-hub 6\Smarthub23Nov2024\resources\views/includes/layout.blade.php ENDPATH**/ ?>