
<?php $__env->startSection('content'); ?>
<!DOCTYPE html>
<html lang="en">
<body>
    <?php
        $result = DB::table('comm_tag')->where('view',0)->get();
    ?>

    <div class="p-4 overflow-y-auto" style="height:40rem;">
    <nav aria-label="breadcrumb" class="w-max">
    <ol class="flex flex-wrap items-center w-full px-4 py-2 rounded-md bg-blue-gray-50 bg-opacity-60">
        <li
        class="flex items-center font-sans text-sm antialiased font-normal leading-normal transition-colors duration-300 cursor-pointer text-blue-gray-900 hover:text-light-blue-500">
        <a href="/settings" class="opacity-60">
            <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4" viewBox="0 0 20 20"
            fill="currentColor">
            <path
                d="M10.707 2.293a1 1 0 00-1.414 0l-7 7a1 1 0 001.414 1.414L4 10.414V17a1 1 0 001 1h2a1 1 0 001-1v-2a1 1 0 011-1h2a1 1 0 011 1v2a1 1 0 001 1h2a1 1 0 001-1v-6.586l.293.293a1 1 0 001.414-1.414l-7-7z">
            </path>
            </svg>
        </a>
        <span
            class="mx-2 font-sans text-sm antialiased font-normal leading-normal pointer-events-none select-none text-blue-gray-500">
            /
        </span>
        </li>
        <li
        class="flex items-center font-sans text-sm antialiased font-normal leading-normal transition-colors duration-300 cursor-pointer text-blue-gray-900 hover:text-light-blue-500">
        <a href="/tags" class="opacity-60">
            <span>
                Tags
            </span>
        </a>
        </li>
    </ol>
    </nav>
        <div class="flex items-center justify-between">
            <h5 class="block mb-2 font-sans text-xl antialiased font-bold leading-snug tracking-normal text-blue-gray-900">
            Tags&nbsp; <span style="color: red;">*</span>
            </h5>
            <div class="flex items-center gap-3">
                <div class="w-72">
                    <div class="relative h-10 w-full min-w-[200px] ">
                        <div class="absolute inset-y-0 start-0 flex items-center ps-3 pointer-events-none">
                            <!-- <svg class="w-4 h-4 text-gray-500 darks:text-gray-400" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20">
                                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m19 19-4-4m0-7A7 7 0 1 1 1 8a7 7 0 0 1 14 0Z"/>
                            </svg> -->
                        </div>
                        <!-- <input type="search" id="myInput" onkeyup="myFunction()" placeholder="Serach" class="ps-10 peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" /> -->
                    </div>
                </div>
                <button Onclick="signindialog()"
                    class="flex items-center gap-1 align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                    type="button" Onclick="signindialog()">
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-tags" viewBox="0 0 16 16">
                        <path d="M3 2v4.586l7 7L14.586 9l-7-7zM2 2a1 1 0 0 1 1-1h4.586a1 1 0 0 1 .707.293l7 7a1 1 0 0 1 0 1.414l-4.586 4.586a1 1 0 0 1-1.414 0l-7-7A1 1 0 0 1 2 6.586z"/>
                        <path d="M5.5 5a.5.5 0 1 1 0-1 .5.5 0 0 1 0 1m0 1a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3M1 7.086a1 1 0 0 0 .293.707L8.75 15.25l-.043.043a1 1 0 0 1-1.414 0l-7-7A1 1 0 0 1 0 7.586V3a1 1 0 0 1 1-1z"/>
                    </svg>
                    <span>Add Tags</span>
                </button>
            </div>
        </div>
        <br>
        <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
            <table id="myTable" class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
                    <tr>
                        <th scope="col" class="px-6 py-3">
                            Tag Name
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Enable/Disable
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Autonomous levels
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Modify
                        </th>
                    </tr>
                </thead>
                <tbody class="overflow-y-auto" id="ddddd"></tbody>
            </table>
            <input type="hidden" id="kbkbkjbkbk">
            <input type="hidden" id="kbkbkjbkbk6">
            <script>
                var data = <?php echo json_encode($result, 15, 512) ?>;
                const rowsPerPage = 6; 
		        let currentPage = 1; 
                $(document).ready(function() {
                function displayTable(page) { 
                    const table = document.getElementById("myTable"); 
                    const startIndex = (page - 1) * rowsPerPage; 
                    const endIndex = startIndex + rowsPerPage; 
                    const slicedData = data.slice(startIndex, endIndex); 


                    const tbody = document.getElementById("ddddd");
                    tbody.innerHTML = '';
                    slicedData.forEach((item, index) => {
                        // Create a new table row
                        const newRow = document.createElement("tr");
                        newRow.classList.add("odd:bg-white", "odd:darks:bg-gray-900", "even:bg-gray-50", "even:darks:bg-gray-800", "border-b", "darks:border-gray-700");

                        // Construct the inner HTML of the row
                        newRow.innerHTML = `
                            <td scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                ${item.tag_name}
                            </td>
                            <td class="px-6 py-3">
                                <label class="inline-flex items-center cursor-pointer">
                                    <input type="checkbox" ${item.show_hide === 1 ? 'checked' : ''} value="" class="sr-only peer" data-id="${item.id}" Onclick="tags_en_dn(this)">
                                    <div class="relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-gray-300 darks:peer-focus:ring-blue-800 rounded-full peer darks:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all darks:border-gray-600 peer-checked:bg-gray-900"></div>
                                </label>
                            </td>
                            <td class="px-6 py-3">
                                <div class="flex items-center gap-3">
                                    <span>Semi-autonomous</span>
                                    <label class="inline-flex items-center cursor-pointer">
                                        <input type="checkbox" ${item.autonomous_level === 1 ? 'checked' : ''} value="" data-id="${item.id}" name="second_nin_model${index}" class="sr-only peer" Onclick="min_tags_en_dn(this)">
                                        <div class="relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-gray-300 darks:peer-focus:ring-blue-800 rounded-full peer darks:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all darks:border-gray-600 peer-checked:bg-gray-900"></div>
                                    </label>
                                    <span>Autonomous</span>
                                </div>
                            </td>
                            <td class="px-6 py-3 cursor-pointer">
                                <button onclick="Fun_edit(${item.id})" class="select-none rounded-lg bg-gray-900 py-1 px-4 text-center align-middle font-sans text-xs font-bold text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button">
                                    Edit
                                </button>
                                <button onclick="trash_roles(${item.id})" class="select-none rounded-lg bg-gray-900 py-1 px-4 text-center align-middle font-sans text-xs font-bold text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button">
                                    Remove
                                </button>
                            </td>
                        `;

                        // Append the new row to the tbody
                        tbody.appendChild(newRow);
                    });


                    

                    // Update pagination 
                    updatePagination(page); 
                }
                function updatePagination(currentPage) {
                    const pageCount = Math.ceil(data.length / rowsPerPage);
                    const paginationContainer = $("#pagination");
                    paginationContainer.empty();

                    for (let i = 1; i <= pageCount; i++) {
                        const pageLink = $(`<button
                            class="relative h-10 max-h-[40px] w-10 max-w-[40px] select-none rounded-lg bg-gray-900 text-center align-middle font-sans text-xs font-medium uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                            type="button">
                            <span class="absolute transform -translate-x-1/2 -translate-y-1/2 top-1/2 left-1/2">
                            `+i+`
                            </span>
                            </button>`);
                        pageLink.on("click", function() {
                            displayTable(i);
                        });
                        if (i === currentPage) {
                            pageLink.css("font-weight", "bold");
                        }
                        paginationContainer.append(pageLink);
                        paginationContainer.append(" ");
                    }
                }
                displayTable(currentPage);
            });


            function myFunction() {
                var input, filter, table, tr, td, i, txtValue;
                input = document.getElementById("myInput");
                filter = input.value.toUpperCase();
                table = document.getElementById("myTable");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[0];
                    if (td) {
                    txtValue = td.textContent || td.innerText;
                    
                    if (txtValue.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                    } else {
                        tr[i].style.display = "none";
                    }
                    }       
                }
            }
            function signindialog() {
            $('#drop_add').show();
            }
            function signindialog_close() {
                $('#drop_add').hide();
            }
            function triggercal() {
                console.log('dddd', $('input[name=triggercal]').val());
            }

            function tags_en_dn(event) {
                var ids = $(event).data('id');

                var checking = $(event).prop('checked') ? 1 : 0;
                // console.log("Data ID:", checking);

                $.ajax({
                    type: "post",
                    url: "<?php echo e(route('autonomous-level')); ?>",
                    headers: {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    },
                    data: {
                        ref: 'tab_target',
                        id: ids,
                        checking: checking
                    },
                });
            }

            //----- min midel ------
            function min_tags_en_dn(event) {
                var checking = $(event).prop('checked') ? 1 : 0;
                var id = $(event).data('id');
                if(checking == 1) {
                    $('#min_drop_add').show();
                    // $('#min_drop_add_hsj').attr('data-id',$(event).attr('name'));
                    $('#kbkbkjbkbk').val($(event).attr('name'));
                    $('#kbkbkjbkbk6').val($(event).data('id'));
                    
                }else if(checking == 0) {
                    $.ajax({
                        type: "post",
                        url: "<?php echo e(route('autonomous-level')); ?>",
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        },
                        data: {
                            ref: 'tab_target_level_trash',
                            id: id,
                        },
                        success: function(result) {
                            alert('Removed Successfully')
                        }
                    });
                }
            }
            function trash_roles(id) {
                $.ajax({
                    type: "post",
                    url: "<?php echo e(route('autonomous-level')); ?>",
                    headers: {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    },
                    data: {
                        ref: 'tabs_trash',
                        id: id,
                    },
                    success: function(result) {
                        if(result.message) {
                            alert('Removed Successfully');
                            location.reload();
                        }
                    }
                });
            }

            function Fun_edit(id) {
                location.replace('https://smarthub.rn-test.com/tags?ids='+id);
            }
            // ------- min close -----
            function min_tags_en_dn_close(event) {
                $('#min_drop_add').hide();
                var Id_name = $('#kbkbkjbkbk').val();
                $('input[name='+Id_name+']').prop('checked',false);
            }
            </script>
        </div><br>
        <div class="flex items-center justify-end gap-4">
            <div class="flex items-center gap-2">
                <div id="pagination"></div>
            </div>
        </div> 
    </div>

    <!-- **************** Model Add Tags ****************** -->
    <div id="drop_add" class="overflow-y-auto hidden bg-stone-500/50 h-screen w-full absolute inset-0 z-20">
        <div class="w-full h-full flex justify-center overflow-y-auto mt-16">
            <div class="h-max overflow-y-auto w-max bg-white rounded-lg p-8">
                <div class="relative flex flex-col text-gray-700 bg-transparent shadow-none rounded-xl bg-clip-border">
                    <div class="w-full flex items-center justify-between">
                        <h5 class="block mb-2 font-sans text-xl antialiased font-bold leading-snug tracking-normal text-blue-gray-900">
                        Add Tags
                        </h5>
                        <button data-ripple-darks="true" data-dialog-close="true" Onclick="signindialog_close()" class="relative h-8 max-h-[32px] w-8 max-w-[32px] select-none rounded-lg text-center align-middle font-sans text-xs font-medium uppercase text-blue-gray-500 transition-all hover:bg-blue-gray-500/10 active:bg-blue-gray-500/30 disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button" style="position: relative; overflow: hidden;"><span class="absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 transform"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" class="h-5 w-5"><path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12"></path></svg></span></button></div>
                        <div class="relative mt-3">
                            <div class="h-max p-6 rounded-lg" style="width: 55rem;">
                                <form class="w-full flex items-center" onsubmit="tagNavigation(event)">
                                    <div class="w-full flex items-baseline gap-12 ">
                                        <div class="flex flex-col gap-4 mb-1 w-1/2">
                                            <h6
                                                class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                                                Tab Name&nbsp;<span style="color:red;">*</span>
                                            </h6>
                                            <div class="w-full">
                                                <div class="relative h-10 w-full min-w-[200px] ">
                                                    <input type="text" placeholder="Tab Name" value="<?php echo e($getresult[0]->tag_name ?? ''); ?>" required name="mainName" autocompleted="off"
                                                    class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                                                </div>
                                            </div>
                                            <h6
                                                class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                                                Suggest
                                            </h6>
                                            <div class="w-full">
                                                <div class="relative h-10 w-full min-w-[200px] ">
                                                    <input type="text" placeholder="Synonyms (Use ;  to add multiple tags)" value="<?php echo e($getresult[0]->sub_tags ?? ''); ?>" required name="SuggestName" autocompleted="off"
                                                    class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                                                </div>
                                            </div>
                                            <button
                                                class="w-1/4 mt-1 block w-full select-none rounded-lg bg-gray-900 py-3 px-6 text-center align-middle font-sans text-xs font-bold uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                                                type="submit" id="uplink_dta"><?php if($_GET['ids'] ?? '' && $_GET['ids'] != '') {echo "Update"; }else {echo "Save";} ?></button>
                                        </div>
                                        <div class="w-1/2">
                                            <div class="flex items-center justify-evenly w-full">
                                                <div class="flex flex-col gap-6">
                                                    <h6
                                                        class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                                                        Enable/Disable 
                                                    </h6>
                                                    <div class="relative">
                                                        <label class="inline-flex items-center cursor-pointer">
                                                            <input type="checkbox" name="triggercal" value="" class="sr-only peer" <?php if($getresult && $getresult[0]->show_hide === 1) {echo "checked";}?> >
                                                            <div class="relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-gray-300 darks:peer-focus:ring-blue-800 rounded-full peer darks:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all darks:border-gray-600 peer-checked:bg-gray-900"></div>
                                                        </label>
                                                    </div>
                                                </div>
                                                <div class="flex flex-col gap-6">
                                                    <h6
                                                        class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                                                        Autonomous level&nbsp;<span class="hidden" id="cololoe" style="color:red;">*</span>
                                                    </h6>
                                                    <div class="relative">
                                                        <label class="inline-flex items-center cursor-pointer">
                                                            <input type="checkbox" value="Yes" class="sr-only peer" <?php if($getresult && $getresult[0]->autonomous_level === 1){echo "checked"; } ?> name="triggercal_optal" Onclick="tags_en_dn_add(this)">
                                                            <div class="relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-gray-300 darks:peer-focus:ring-blue-800 rounded-full peer darks:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all darks:border-gray-600 peer-checked:bg-gray-900"></div>
                                                        </label>
                                                    </div>
                                                </div>
                                            </div><br>
                                            <div id="add_extra" class="hidden w-full flex gap-2">
                                                <div  class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer px-4">
                                                    <input id="bordered-radio-1" Onclick="option_click2(0)" type="radio" value="0" <?php if($getresult && $getresult[0]->autonomous_type == 0){echo "checked"; } ?> name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                                                    <label for="bordered-radio-1" class="w-max py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer">ASANA-Ticket</label>
                                                </div>
                                                <div class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer px-4">
                                                    <input id="bordered-radio-2" Onclick="option_click2(1)" type="radio" value="1" <?php if($getresult && $getresult[0]->autonomous_type == 1){echo "checked"; } ?> name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                                                    <label for="bordered-radio-2" class="w-max py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer">Fully-Autonomous</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <!-- <div class="absolute -top-2 -right-2 h-6 w-6 rounded-full bg-black text-white flex items-center justify-center cursor-pointer" Onclick="add_multiple_tags()">+</div> -->
                        </div>
                        <script> 
                       
                        
                            <?php if($getresult && $getresult[0]->autonomous_level == 1){ ?>
                                $('#add_extra').show();
                            <?php } ?>
                        </script>
                        <div id="demo-part"></div>

                    <!-- <form class="max-w-screen-lg mt-1 mb-2 w-80 sm:w-96" onsubmit="Navigation(event)">
                        <div class="flex flex-col gap-6 mb-1">
                        <h6
                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                            Tab Name&nbsp;<span style="color:red;">*</span>
                        </h6>
                        <div class="w-full">
                            <div class="relative h-10 w-full min-w-[200px] ">
                                <input type="text" placeholder="Tab Name" required name="mainName" autocompleted="off"
                                class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                            </div>
                        </div>
                        
                        <h6
                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                            Tab Suggest
                        </h6>
                        <div class="w-full">
                            <div class="relative h-10 w-full min-w-[200px] ">
                                <input type="text" placeholder="Synonyms (Use ;  to add multiple tags)" required name="mainLink"
                                class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                            </div>
                        </div>
                            <div class="flex items-center justify-between w-full">
                                <div class="flex flex-col gap-6">
                                    <h6
                                        class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                                        Enable/Disable
                                    </h6>
                                    <div class="relative">
                                        <label class="inline-flex items-center cursor-pointer">
                                            <input type="checkbox" value="" class="sr-only peer">
                                            <div class="relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-gray-300 darks:peer-focus:ring-blue-800 rounded-full peer darks:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all darks:border-gray-600 peer-checked:bg-gray-900"></div>
                                        </label>
                                    </div>
                                </div>
                                <div class="flex flex-col gap-6">
                                    <h6
                                        class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                                        Autonomous level&nbsp;<span style="color:red;">*</span>
                                    </h6>
                                    <div class="relative">
                                        <label class="inline-flex items-center cursor-pointer">
                                            <input type="checkbox" value="Yes" class="sr-only peer" name="triggercal">
                                            <div class="relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-gray-300 darks:peer-focus:ring-blue-800 rounded-full peer darks:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all darks:border-gray-600 peer-checked:bg-gray-900"></div>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="w-full mt-6 ">
                            <div class="w-full flex gap-2">
                                <div  class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer">
                                    <input id="bordered-radio-1" type="radio" value="" name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                                    <label for="bordered-radio-1" class="w-full py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer">ASANA-Ticket</label>
                                </div>
                                <div class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer">
                                    <input id="bordered-radio-2" type="radio" value="" name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                                    <label for="bordered-radio-2" class="w-full py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer">Fully-Autonomous</label>
                                </div>
                            </div>
                        </div>
                        <button
                        class="mt-6 block w-full select-none rounded-lg bg-gray-900 py-3 px-6 text-center align-middle font-sans text-xs font-bold uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                        type="submit">
                            save
                        </button>
                        
                    </form> -->
                </div>  
            </div>
        </div>
    </div>
    <!-- **************** Model Add Tags End ****************** -->


    <!-- **************** MIN Model Add Tags Start ****************** -->
    <input type="hidden" id="radio_as_full">
    <input type="hidden" id="radio_as_full2">
    <div id="min_drop_add" class="overflow-y-auto hidden bg-stone-500/50 h-screen w-full absolute inset-0 z-20">
        <div class="w-full h-full flex items-center justify-center">
            <div class="h-max w-max bg-white rounded-lg p-8">
                <div class="relative flex flex-col text-gray-700 bg-transparent shadow-none rounded-xl bg-clip-border">
                    <div class="flex items-center justify-between w-full">
                        <h5 class="block mb-2 font-sans text-base antialiased font-bold leading-snug tracking-normal text-blue-gray-900">Autonomous Level</h5>
                        <button data-ripple-darks="true" data-dialog-close="true" id="min_drop_add_hsj" Onclick="min_tags_en_dn_close(this)" class="relative h-8 max-h-[32px] w-8 max-w-[32px] select-none rounded-lg text-center align-middle font-sans text-xs font-medium uppercase text-blue-gray-500 transition-all hover:bg-blue-gray-500/10 active:bg-blue-gray-500/30 disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button" style="position: relative; overflow: hidden;"><span class="absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 transform"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" class="h-5 w-5"><path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12"></path></svg></span></button></div>
                    </div>
                    <div class="w-full mt-6 ">
                        <div class="w-full flex gap-2">
                            <div  class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer px-4">
                                <input id="bordered-radio-1" Onclick="option_click(0)" type="radio" value="0" name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                                <label for="bordered-radio-1" class="w-max py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer">ASANA-Ticket</label>
                            </div>
                            <div class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer px-4">
                                <input id="bordered-radio-2" Onclick="option_click(1)" type="radio" value="1" name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                                <label for="bordered-radio-2" class="w-max py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer">Fully-Autonomous</label>
                            </div>
                        </div>
                    </div>
                    <button
                        class="mt-6 block w-full select-none rounded-lg bg-gray-900 py-3 px-6 text-center align-middle font-sans text-xs font-bold uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                        type="submit" Onclick="showMenu11()">
                            Update
                    </button>
                </div>
            </div>
        </div>
    </div>
    <script>

        function tags_en_dn_add(event) {
            var checking = $(event).prop('checked') ? 1 : 0;
            if(checking == 1) {
                $('#add_extra').show();
                $('#cololoe').css('display','inline-block');
            }else {
                $('#add_extra').hide();
                $('#cololoe').hide();
            }
        }

        function option_click(e) {
            $('#radio_as_full').val(e);
        }
        function option_click2(e) {
            $('#radio_as_full2').val(e);
        }
        function showMenu11() {
            var sid = $('#kbkbkjbkbk6').val();
            var opt = $('#radio_as_full').val();

        

            if(sid == '') {
                alert('Enable button');
            }else if(opt == '') {
                alert('Please Select option');
            }else {
                $.ajax({
                    type: "post",
                    url: "<?php echo e(route('autonomous-level')); ?>",
                    headers: {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    },
                    data: {
                        ref: 'tab_target_level',
                        id: sid,
                        levelid: 1,
                        checking: opt
                    },
                    success: function(result) {
                        $('#min_drop_add').hide();
                        alert('Upated Successfully')
                    }
                });
            }
        }
        let k = 0;

        function add_multiple_tags() {
            var innerbox = `
            <div id="boxsss`+k+`" class="relative mt-3">
                <div class="h-max shadow-md p-6 rounded-lg" style="width: 55rem;">
                    <form class="w-full flex items-center" onsubmit="Navigation(event)">
                        <div class="w-full flex items-baseline gap-12 ">
                            <div class="flex flex-col gap-4 mb-1 w-1/2">
                                <h6
                                    class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                                    Tab Name&nbsp;<span style="color:red;">*</span>
                                </h6>
                                <div class="w-full">
                                    <div class="relative h-10 w-full min-w-[200px] ">
                                        <input type="text" placeholder="Tab Name" required name="mainName" autocompleted="off"
                                        class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                                    </div>
                                </div>
                                <h6
                                    class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                                    Suggest
                                </h6>
                                <div class="w-full">
                                    <div class="relative h-10 w-full min-w-[200px] ">
                                        <input type="text" placeholder="Synonyms (Use ;  to add multiple tags)" name="SuggestName" autocompleted="off"
                                        class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                                    </div>
                                </div>
                                <button
                                    class="w-1/4 mt-1 block w-full select-none rounded-lg bg-gray-900 py-3 px-6 text-center align-middle font-sans text-xs font-bold uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                                    type="submit">
                                        Update
                                </button>
                            </div>
                            <div class="w-1/2">
                                <div class="flex items-center justify-evenly w-full">
                                    <div class="flex flex-col gap-6">
                                        <h6
                                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                                            Enable/Disable
                                        </h6>
                                        <div class="relative">
                                            <label class="inline-flex items-center cursor-pointer">
                                                <input type="checkbox" value="" class="sr-only peer">
                                                <div class="relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-gray-300 darks:peer-focus:ring-blue-800 rounded-full peer darks:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all darks:border-gray-600 peer-checked:bg-gray-900"></div>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="flex flex-col gap-6">
                                        <h6
                                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                                            Autonomous level&nbsp;<span style="color:red;">*</span>
                                        </h6>
                                        <div class="relative">
                                            <label class="inline-flex items-center cursor-pointer">
                                                <input type="checkbox" class="sr-only peer" name="triggercal" value="${k}" Onclick="tags_en_dn_addpo(this)">
                                                <div class="relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-gray-300 darks:peer-focus:ring-blue-800 rounded-full peer darks:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all darks:border-gray-600 peer-checked:bg-gray-900"></div>
                                            </label>
                                        </div>
                                    </div>
                                </div><br>
                                <div id="add_extra${k}" class="hidden w-full flex gap-2">
                                    <div  class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer px-4">
                                        <input id="bordered-radio-1" Onclick="option_click(0)" type="radio" value="0" name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                                        <label for="bordered-radio-1" class="w-max py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer">ASANA-Ticket</label>
                                    </div>
                                    <div class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer px-4">
                                        <input id="bordered-radio-2" Onclick="option_click(1)" type="radio" value="1" name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                                        <label for="bordered-radio-2" class="w-max py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer">Fully-Autonomous</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="absolute -top-2 -right-2 h-6 w-6 rounded-full bg-black text-white flex items-center justify-center cursor-pointer" onclick="removeLastDiv(`+k+`)">-</div>
            </div>
            `;
            // $('#demo-part').append(innerbox);
            console.log('k',k)
            k++;
        }

        function removeLastDiv(e) {
            console.log('boxsss',e,$("#boxsss"+e).remove())
        }
        function tags_en_dn_addpo(event) {
            var checking = $(event).prop('checked') ? 1 : 0;
            var num = $(event).val();
            if(checking == 1) {
                $('#add_extra'+num).show();
            }else {
                $('#add_extra'+num).hide();
            }
        }


        // ****************** tagNavigation *************** 

        function tagNavigation(event) {
            event.preventDefault();

            var txt = $('#uplink_dta').text();

            var t_name = $('input[name=mainName]').val();
            var Suggest = $('input[name=SuggestName]').val();
            var en_dn = $('input[name=triggercal]').prop('checked') ? 1 : 0;
            var Auto_level = $('input[name=triggercal_optal]').prop('checked') ? 1 : 0;
            var choose = Auto_level == 1 ? Number($('#radio_as_full2').val()) : 'Null';

            console.log('all',t_name,Suggest,en_dn,Auto_level,choose);

            $.ajax({
                    type: "post",
                    url: "<?php echo e(route('autonomous-level')); ?>",
                    headers: {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    },
                    data: {
                        ref: (txt == 'Save' ? 'tab_insert' : 'tab_update'),
                        t_name: t_name,
                        Suggest: Suggest,
                        en_dn: en_dn,
                        Auto_level: Auto_level,
                        choose: choose,
                        ids: '<?php echo $_GET['ids'] ?? ''; ?>',
                    },
                    success: function(result) {
                        if(result.message == 'upcompleted') {
                            $('#drop_add').hide();
                            alert('Tag Updated Successfully');
                            location.replace('https://smarthub.rn-test.com/tags'); 
                        }else{
                            $('#drop_add').hide();
                            alert('Tag Added Successfully');
                            location.reload();
                        }
                    }
                });
        }

        <?php if($_GET['ids'] ?? '' && $_GET['id'] != '') {?>
            $('#drop_add').show();
        <?php } ?>

    </script>
    <!-- **************** MIN Model Add Tags End ****************** -->
</body>
</html>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('includes.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/smart-hub/resources/views/tags.blade.php ENDPATH**/ ?>