
<?php $__env->startSection('content'); ?>

    <?php
    $result = DB::table('comm_auto_escalation as cu')
    ->join('comm_action as gm', 'cu.action', '=', 'gm.id')
    ->select('cu.*', 'gm.*') // Change this to select the specific columns you need
    ->get();

    ?>

    <div class="p-4" style="width:98%;">
    <nav aria-label="breadcrumb" class="w-max">
    <ol class="flex flex-wrap items-center w-full px-4 py-2 rounded-md bg-blue-gray-50 bg-opacity-60">
        <li
        class="flex items-center font-sans text-sm antialiased font-normal leading-normal transition-colors duration-300 cursor-pointer text-blue-gray-900 hover:text-light-blue-500">
        <a href="/settings" class="opacity-60">
            <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4" viewBox="0 0 20 20"
            fill="currentColor">
            <path
                d="M10.707 2.293a1 1 0 00-1.414 0l-7 7a1 1 0 001.414 1.414L4 10.414V17a1 1 0 001 1h2a1 1 0 001-1v-2a1 1 0 011-1h2a1 1 0 011 1v2a1 1 0 001 1h2a1 1 0 001-1v-6.586l.293.293a1 1 0 001.414-1.414l-7-7z">
            </path>
            </svg>
        </a>
        <span
            class="mx-2 font-sans text-sm antialiased font-normal leading-normal pointer-events-none select-none text-blue-gray-500">
            /
        </span>
        </li>
        <li
        class="flex items-center font-sans text-sm antialiased font-normal leading-normal transition-colors duration-300 cursor-pointer text-blue-gray-900 hover:text-light-blue-500">
        <a href="/auto-escalation" class="opacity-60">
            <span>
                Auto-Escalation
            </span>
        </a>
        </li>
    </ol>
    </nav>
        <div class="flex items-center justify-between">
            <h1 class="text-2xl font-medium">Auto escalation configuration</h1>
            <button
                class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                type="button" Onclick="autoescale()">Update</button>
        </div>
        <div class="relative  shadow-md sm:rounded-lg">
            <table class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400">
                    <tr>
                        <th scope="col" class="px-6 py-3">
                            Action
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Elapse time(excluding weekends)
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Escalation email
                        
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $result; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr key="<?php echo e($key); ?>" class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                            <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                <?php echo e($items->action_name); ?>

                            </th>
                            <td class="px-6 py-3 flex items-center">
                                <input type="number" id="counter<?php echo e($key); ?>" class="border p-1.5 rounded-lg" value="<?php echo e($items->elapetime); ?>">&nbsp;hrs
                            </td>
                            <td class="px-6 py-3 cursor-pointer">
                                <input id="levelone<?php echo e($key); ?>" class="border p-1.5 rounded-lg" value="<?php echo e($items->level_one_escalation); ?>">
                            </td>
                            
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
            <script>
                 function autoescale() {
                    $.ajax({
                        type: "post",
                        url: "<?php echo e(route('autonomous-level')); ?>",
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        },
                        data: {
                            ref: "auto_escalation",
                            Elapsetime1: $('#counter0').val(),
                            Elapsetime2: $('#counter1').val(),
                            Elapsetime3: $('#counter2').val(),
                            Elapsetime4: $('#counter3').val(),
                            Elapsetime5: $('#counter4').val(),
                            Elapsetime6: $('#counter5').val(),
                            Elapsetime7: $('#counter6').val(),
                            Elapsetime8: $('#counter7').val(),
                            Elapsetime9: $('#counter8').val(),

                            levelone1: $('#levelone0').val(),
                            levelone2: $('#levelone1').val(),
                            levelone3: $('#levelone2').val(),
                            levelone4: $('#levelone3').val(),
                            levelone5: $('#levelone4').val(),
                            levelone6: $('#levelone5').val(),
                            levelone7: $('#levelone6').val(),
                            levelone8: $('#levelone7').val(),
                            levelone9: $('#levelone8').val(),

                            leveltwo1: "mclanguardian@gmail.com",
                            leveltwo2: "mclanguardian@gmail.com",
                            leveltwo3: "mclanguardian@gmail.com",
                            leveltwo4: "mclanguardian@gmail.com",
                            leveltwo5: "mclanguardian@gmail.com",
                            leveltwo6: "mclanguardian@gmail.com",
                            leveltwo7: "mclanguardian@gmail.com",
                            leveltwo8: "mclanguardian@gmail.com",
                            leveltwo9: "mclanguardian@gmail.com",

                            // leveltwo1: $('#leveltwo0').val(),
                            // leveltwo2: $('#leveltwo1').val(),
                            // leveltwo3: $('#leveltwo2').val(),
                            // leveltwo4: $('#leveltwo3').val(),
                            // leveltwo5: $('#leveltwo4').val(),
                            // leveltwo6: $('#leveltwo5').val(),
                            // leveltwo7: $('#leveltwo6').val(),
                            // leveltwo8: $('#leveltwo7').val(),
                        },
                        success: function(response) {
                            if (response.message) {
                                alert('updated successfully..!');
                            }
                        },
                        error: function() {}
                    });
                }
            </script>
        </div>
    </div>
<?php $__env->stopSection(); ?> 
<?php echo $__env->make('includes.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/smart-hub/resources/views/auto-escalation.blade.php ENDPATH**/ ?>