<?php $__env->startSection('content'); ?>
    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="shortcut icon" href="../images/favicon.png">
        <title>Smarthub - RN</title>
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">



        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">


        <style>
            /* slide nav bar css */
            #menu5 span {
                width: max-content !important;
            }

            .ok_btn {
                background-color: #0069d9;
                color: #fff;
                padding: 5px 20px;
                border: none;
                border-radius: 5px;
            }

            .sou-yt-pupop {
                height: 19rem;
                width: 30rem;
                background-color: white;
                position: absolute;
                top: 1rem;
                right: 2rem;
                box-shadow: 4px 6px 11px -1px #ddd;
                border-radius: 8px;
                padding: 1rem;
                display: none;
            }

            .sou-pay-pupop {
                height: 19rem;
                width: 39rem;
                background-color: white;
                position: absolute;
                top: 22rem;
                right: 2rem;
                box-shadow: 4px 6px 11px -1px #ddd;
                border-radius: 8px;
                padding: 1rem;
                display: none;
            }


            html,
            body,
            .main_container {
                font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Helvetica, Arial, sans-serif !important;
                margin: 0;
                padding: 0;
                height: 100%;
            }

            .main {
                font-size: 18px;
                margin: 2rem 0 0;
            }

            .main_body_container {
                display: flex;
                width: 100%;
                height: 100%;
            }

            .compose_btn {
                border-radius: 25px !important;
                font-size: 14px !important;
                height: 30px;
                width: 45%;
                background-color: #4573d2;
                color: #fff;
                border: 2px solid #4573d2;
                font-weight: 500;
            }

            .compose_btn:hover {
                background-color: #fff;
                color: #4573d2;
            }

            .dropdown-content a {
                position: relative !important;
                left: -21px !important;
                padding: 8px 0px 13px 0px !important;
            }

            #yourDataTableId_wrapper {
                top: -27px;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button {
                background-color: #fff !important;
                color: #186ed5 !important;
                border: 1px solid #0d71e9 !important;
                font-weight: 500 !important;
                padding: 2px 10px !important;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button.current {
                background-color: #186ed5 !important;
                color: #fff !important;
                border: 1px solid #0d71e9 !important;
                font-weight: bold !important;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
                background: #82afe5 !important;
                color: #fff !important;
                border: 1px solid #0d71e9 !important;
            }

            #yourDataTableId {
                border-collapse: collapse;
                width: 100%;
                border: 0;
                border-radius: 10px;
                overflow: hidden;
            }

            #yourDataTableId th {
                background: #111827;
                padding: 10px 0;
                text-align: center;
            }

            #yourDataTableId td {
                border: 1px solid #ddd;
                padding: 8px;
                text-align: center;
            }

            .dataTables_info,
            .dataTables_paginate,
            .dataTables_length {
                padding-top: 20px !important;
                padding-bottom: 20px !important;
            }

            .dataTables_wrapper .dataTables_filter {
                padding: 20px 0 !important;
                position: relative !important;
            }

            #yourDataTableId_filter label {
                color: #000 !important;
                display: flex !important;
                margin: auto;
                justify-content: center;
                place-items: center;
            }

            #yourDataTableId_filter input {
                height: 30px !important;
                width: 150px !important;
                border: 1px solid #b1b1b1 !important;
                border-radius: 10px !important;
                box-shadow: inset 0px 0px 7px -2px #716d6d !important;
                padding: 10px !important;
            }

            .dataTables_length select {
                border: 1px solid #efefef !important;
            }

            .test[data-title] {
                position: relative;
            }

            /* Tooltip text */
            .test[data-title]::after {
                content: attr(data-title);
                position: absolute;
                transform: translateX(-50%);
                background-color: black;
                color: white;
                padding: 5px;
                border-radius: 3px;
                white-space: nowrap;
                opacity: 0;
                transition: opacity 0.3s;
                z-index: 1;
            }

            /* Tooltip display on hover */
            .test[data-title]:hover::after {
                opacity: 1;
            }

            textarea {
                text-decoration: none;
            }

            .login {
                border-color: #1345ac !important;
                box-shadow: none;
                background-color: #1345AB !important;
                position: relative;
            }

            .modal-header {
                display: -ms-flexbox;
                display: flex;
                -ms-flex-align: start;
                align-items: flex-start;
                -ms-flex-pack: justify;
                justify-content: space-between;
                padding: 1rem 1rem;
                border-bottom: 1px solid #dee2e6;
                border-top-left-radius: calc(.3rem - 1px);
                border-top-right-radius: calc(.3rem - 1px);
                background-color: #4573d1;
            }

            .modalabel {
                font-size: 14px;
                line-height: 28px;
                font-weight: bold;
                color: #1345ac;
            }

            .modal {
                overflow: auto !important;
            }


            .green {
                padding: 10px;
                background: green;
                color: #fff;
                border-radius: 7px;
            }

            .red {
                padding: 10px;
                background: red;
                color: #fff;
                border-radius: 7px;

            }

            .full {
                width: auto;
                height: auto;
                border-radius: 6px;
                overflow: auto;
            }

            summary {
                height: 50px;
            }

            .number {
                background-color: #ccc;
                position: relative;
                z-index: 1;
                color: #0069d9;
                border: 2px solid;
                border-radius: 20px;
                padding: 7px 13px;
            }

            .open_div {
                padding: 20px;
                display: none;
                color: #000000;
                font-size: 16px;
                background-color: #f8f8f8;
                margin-top: 20px;
                border-radius: 6px;
                box-shadow: 3px 3px 4px -4px;
            }

            #sentence_1 {
                font-weight: 600;
                cursor: pointer;
            }

            .open_div span {
                font-size: 14px;
                font-weight: 500;
            }

            .mail {
                background: lightgreen;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #000;
            }

            .remove {
                background: lightgrey;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #000;
            }

            .actiondone11 {
                background: #0069d9;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #fff;
            }

            .modal-dialog {
                max-width: 500px;
                position: relative;
                left: 0;
            }

            .modal-body {
                z-index: 11;
            }

            .modal-content {
                box-shadow: 0px 0px 10px -2px #000 !important;
            }

            #payment_div,
            #send_mail,
            #request_div {
                padding: 20px;
                background-color: #ffffff00;
                position: relative;
                height: 100%;
                top: 0;
                width: 0%;
                position: absolute;
                left: 50%;
                display: none;
            }

            .email_send_divv {
                padding: 20px;
                background-color: #ffffff00;
                position: relative;
                height: 100%;
                top: 0;
                width: 0%;
                position: absolute;
                left: 50%;
                display: none;
            }
        </style>



        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
        <script type="module" src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.esm.js"></script>
        <script nomodule src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.js"></script>

        <!-- Include Bootstrap CSS and JS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

        <!-- jQuery UI library -->
        <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/themes/smoothness/jquery-ui.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.min.css">
        <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js">
        </script>
        <script>
            $.noConflict();
            jQuery(document).ready(function($) {
                $('#yourDataTableId').DataTable({
                    "pageLength": 10,
                    "stripeClasses": []
                });
            });
        </script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>


        <script>
            function toggleDiv() {

                $('#div1').toggle();
                // $('#div2').hide();
                // $('#div3').hide();
                // $('#div4').hide();
                // $('#div5').hide();

            }

            function toggleDiv2() {

               // $('#div1').hide();
                $('#div2').toggle();
                // $('#div3').hide();
                // $('#div4').hide();
                // $('#div5').hide();

            }

            function toggleDiv3() {

                // $('#div1').hide();
                // $('#div2').hide();
                $('#div3').toggle();
                // $('#div4').hide();
                // $('#div5').hide();

            }

            function toggleDiv4() {

                // $('#div1').hide();
                // $('#div2').hide();
                // $('#div3').hide();
                $('#div4').toggle();
                //$('#div5').hide();

            }

            function toggleDiv5() {

                // $('#div1').hide();
                // $('#div2').hide();
                // $('#div3').hide();
                // $('#div4').hide();
                $('#div5').toggle();

            }

            function oacslack_create(id, comment) {

                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                $('#sou-yt-pupop').toggle();
                $('#sou-yt-pupop').css('display', 'block');

                $('#commentslack').val('Can ypu please confirm the follow youtube channel is eligible for upgrade?' + comment);
                $('#formid').val(id);
            }

            function commentslack() {
                var cmts = document.getElementById('commentslack').value;
                var formid = document.getElementById('formid').value;

                $.ajax({
                    type: 'POST',
                    url: '<?php echo e(route('commentslack')); ?>',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        id: formid,
                        cmts: cmts
                    },
                    success: function(result) {
                        $('#commentslack').val('');
                        $('#div4text').text('Admin Action Completed');
                        $('.div4pending').css('display', 'none');
                        $('.div4done').css('display', 'block');
                        // $('.modal-dialog').css('left', '-6%');
                        // $('.modal-dialog').css('max-width', '70%');
                        // $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                        // $('#sou-yt-pupop').toggle();
                        $('#slackhide').css('display', 'none');
                        $('#slackshow').css('display', 'block');

                        $('#ts').text(result.ts);
                        const getmessages = result.getmessages;
                        const replymessages = result.replymessages;
                        const userData = result.userData;
                        // console.log(result);
                        // if (getmessages && getmessages.length > 0) {
                        //     renderMessages(getmessages, replymessages, userData);
                        // }
                        $('#data-container1').empty();
                        if (getmessages.length > 0) {
                            var htmlContent = '';
                            $.each(getmessages, function(index, messages) {
                                var user = 'Smarthub-Support';
                                var firstTwoLetters = user.substring(0, 1);
                                var iconUrl = '';

                                // Logic to check userData and set user and iconUrl
                                if (messages.user) {
                                    if (userData.length > 0) {
                                        $.each(userData, function(i, datas) {
                                            if (messages.user == datas.user.id) {
                                                user = datas.user.real_name || 'Smarthub-Support';
                                                firstTwoLetters = user.substring(0, 1);
                                                iconUrl = datas.image_32 || '';
                                                return false; // Break the loop
                                            }
                                        });
                                    } else {
                                        user = messages.user;
                                        firstTwoLetters = user.substring(0, 2);
                                        iconUrl = messages.bot_profile.icons.image_36 || '';
                                    }
                                }

                                var count = 0;
                                var replyHtml = '';
                                if (replymessages.length > 0) {
                                    $.each(replymessages, function(i, message) {
                                        if (message.messages[0].text == messages.text) {
                                            $.each(message.messages, function(j, m) {
                                                if (m.text != messages.text) {
                                                    count++;
                                                    $.each(userData, function(k, datas) {
                                                        if (m.user == datas.user
                                                            .id) {
                                                            var user1 = datas.user
                                                                .real_name;
                                                            var firstTwoLetters1 =
                                                                user1.substring(0,
                                                                    1);
                                                            var iconUrl1 = datas
                                                                .image_32 || '';

                                                            replyHtml += `
                                                        <div class="reply_cont">
                                                            <div style="margin: auto 0;background: #ffab40;padding: 5px 10px;border-radius: 6px;">
                                                                <span>
                                                                    ${iconUrl1 ? `<img src="${iconUrl1}" alt="User Icon" style="width: 100%; border-radius: 50%;">` : firstTwoLetters1}
                                                                </span>
                                                            </div>
                                                            <div>
                                                                <div>
                                                                    <div style="font-weight: 600;">${user1}</div>
                                                                </div>
                                                                <div class="replay_text">
                                                                    ${m.text}
                                                                </div>
                                                            </div>
                                                        </div>
                                                    `;
                                                            return false; // Break the loop
                                                        }
                                                    });
                                                }
                                            });
                                        }
                                    });
                                }

                                htmlContent += `
                            <div id="data-container2" style="width:100%;display: flex;align-items: start;gap: 1rem;margin: 12px 0;">
                                <div style="height:3.5rem;width:3.5rem;background-color:#ffab40;border-radius:50%;display: flex;justify-content: center;align-items: center;">
                                    ${iconUrl ? `<img src="${iconUrl}" alt="User Icon" style="width: 100%; border-radius: 50%;">` : firstTwoLetters}
                                </div>
                                <div style="width: 86%;">
                                    <div style="display: flex;gap: 1rem;">
                                        <span>${user}</span><span style="color:#b4b4b4;"></span>
                                    </div>
                                    <div style="margin-top: 5px;">${messages.text}</div>
                                    <div class="reply_div">
                                        ${count != 0 ? count + '&nbsp; <strong onclick="toggleReplies(this, event)">reply</strong>' : ''}
                                        <div class="replay_div_slide" style="display: none;">
                                            ${replyHtml}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        `;
                            });

                            $('#data-container1').html(htmlContent);
                            $('.modal-dialog').css('left', '-6%');
                            $('.modal-dialog').css('max-width', '70%');
                            $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                            $('#sou-yt-pupop').css('display', 'block');
                            $('#request5').css('display', 'none');
                            $('#request5_d').css('display', 'block');
                            $('.ttop').css({
                                'bottom': '-5px',
                                'position': 'relative'
                            });

                        }

                    }
                })


            }


            // Toggle replies
            function toggleReplies(element, event) {
                event.preventDefault();
                const slideDiv = $(element).next('.replay_div_slide');
                slideDiv.toggle();
            }





            function upc_done(id) {

                $.ajax({
                    type: 'POST',
                    url: '<?php echo e(route('verifyupc')); ?>',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        id: id,
                    },
                    success: function(result) {
                        $('.modal-dialog').css('left', '-6%');
                        $('.modal-dialog').css('max-width', '55%');
                        $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                        $('.upc_done').css('display', 'block');
                        $('#div3text').text('Completed');
                        $('.div3pending').css('display', 'none');
                        $('.div3done').css('display', 'block');
                        $('#number3div').css('background-color', '#0069d9');
                        $('#div3number').css('color', 'white');
                        $('#matchcolor').css('display', 'none');
                        $('#matchcolor2').css('display', 'none');
                        $('.upcshow').css('display', 'block');
                        setTimeout(function() {
                            $('.upc_done').css('display', 'none');
                            $('.modal-dialog').css('left', '0');
                            $('.modal-dialog').css('max-width', '500px');
                            $('.modal-dialog').css('transition', 'max-width 0.4s ease');

                        }, 2000);
                    }
                })
            }

            function request6(id) {
                $.ajax({
                    type: 'POST',
                    url: '<?php echo e(route('verifyslack')); ?>',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        id: id,
                    },
                    success: function(result) {
                        $('.modal-dialog').css('left', '-6%');
                        $('.modal-dialog').css('max-width', '55%');
                        $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                        $('.eligibledone').css('display', 'block');
                        $('#div4text').text('Completed');
                        $('#number4div').css('background', '#0069d9');
                        $('#div4number').css('color', '#fff');
                        setTimeout(function() {
                            $('.eligibledone').css('display', 'none');
                            $('.modal-dialog').css('left', '0');
                            $('.modal-dialog').css('max-width', '500px');
                            $('.modal-dialog').css('transition', 'max-width 0.4s ease');

                        }, 2000);
                    }
                })

            }



            function request7() {

                $('#noteligible').css('display', 'block');
                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('height', '700px');
                $('.modal-content').css('height', 'inherit');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
            }




            function request5() {

                var cmts = document.getElementById('commentslack').value;
                var formid = document.getElementById('formid').value;

                $.ajax({
                    type: 'POST',
                    url: '<?php echo e(route('commentslack')); ?>',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        id: formid,
                    },
                    success: function(result) {



                        const getmessages = result.getmessages;
                        const replymessages = result.replymessages;
                        const userData = result.userData;

                        $('#data-container1').empty();
                        if (getmessages.length > 0) {
                            var htmlContent = '';
                            $.each(getmessages, function(index, messages) {
                                var user = 'Smarthub-Support';
                                var firstTwoLetters = user.substring(0, 1);
                                var iconUrl = '';

                                // Logic to check userData and set user and iconUrl
                                if (messages.user) {
                                    if (userData.length > 0) {
                                        $.each(userData, function(i, datas) {
                                            if (messages.user == datas.user.id) {
                                                user = datas.user.real_name || 'Smarthub-Support';
                                                firstTwoLetters = user.substring(0, 1);
                                                iconUrl = datas.image_32 || '';
                                                return false; // Break the loop
                                            }
                                        });
                                    } else {
                                        user = messages.user;
                                        firstTwoLetters = user.substring(0, 2);
                                        iconUrl = messages.bot_profile.icons.image_36 || '';
                                    }
                                }

                                var count = 0;
                                var replyHtml = '';
                                if (replymessages.length > 0) {
                                    $.each(replymessages, function(i, message) {
                                        if (message.messages[0].text == messages.text) {
                                            $.each(message.messages, function(j, m) {
                                                if (m.text != messages.text) {
                                                    count++;
                                                    $.each(userData, function(k, datas) {
                                                        if (m.user == datas.user
                                                            .id) {
                                                            var user1 = datas.user
                                                                .real_name;
                                                            var firstTwoLetters1 =
                                                                user1.substring(0,
                                                                    1);
                                                            var iconUrl1 = datas
                                                                .image_32 || '';

                                                            replyHtml += `
                                                        <div class="reply_cont">
                                                            <div style="margin: auto 0;background: #ffab40;padding: 5px 10px;border-radius: 6px;">
                                                                <span>
                                                                    ${iconUrl1 ? `<img src="${iconUrl1}" alt="User Icon" style="width: 100%; border-radius: 50%;">` : firstTwoLetters1}
                                                                </span>
                                                            </div>
                                                            <div>
                                                                <div>
                                                                    <div style="font-weight: 600;">${user1}</div>
                                                                </div>
                                                                <div class="replay_text">
                                                                    ${m.text}
                                                                </div>
                                                            </div>
                                                        </div>
                                                    `;
                                                            return false; // Break the loop
                                                        }
                                                    });
                                                }
                                            });
                                        }
                                    });
                                }

                                htmlContent += `
                            <div id="data-container2" style="width:100%;display: flex;align-items: start;gap: 1rem;margin: 12px 0;">
                                <div style="height:3.5rem;width:3.5rem;background-color:#ffab40;border-radius:50%;display: flex;justify-content: center;align-items: center;">
                                    ${iconUrl ? `<img src="${iconUrl}" alt="User Icon" style="width: 100%; border-radius: 50%;">` : firstTwoLetters}
                                </div>
                                <div style="width: 86%;">
                                    <div style="display: flex;gap: 1rem;">
                                        <span>${user}</span><span style="color:#b4b4b4;"></span>
                                    </div>
                                    <div style="margin-top: 5px;">${messages.text}</div>
                                    <div class="reply_div">
                                        ${count != 0 ? count + '&nbsp; <strong onclick="toggleReplies(this, event)">reply</strong>' : ''}
                                        <div class="replay_div_slide" style="display: none;">
                                            ${replyHtml}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        `;
                            });

                            $('#data-container1').html(htmlContent);
                            $('.modal-dialog').css('left', '-6%');
                            $('.modal-dialog').css('max-width', '70%');
                            $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                            $('#sou-yt-pupop').css('display', 'block');
                            $('#request5').css('display', 'none');
                            $('#request5_d').css('display', 'block');
                            $('.ttop').css({
                                'bottom': '-5px',
                                'position': 'relative'
                            });
                        }



                    }
                })



            }

            function request5_d() {
                $('.modal-dialog').css('left', '0');
                $('.modal-dialog').css('max-width', '500px');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                $('#sou-yt-pupop').css('display', 'none');
                $('#request5_d').css('display', 'none');
                $('#request5').css('display', 'block');
                $('#request5').css('padding', '2px 1rem');
            }




            $(document).ready(function() {
                var analysisData = <?php echo json_encode($data); ?>;
                var analysisData1 = <?php echo json_encode($data1); ?>;
                var analysisData2 = <?php echo json_encode($data2); ?>;


                $('.view').click(function() {
                    var formId = $(this).data('form-id');
                    var details = analysisData;
                    var detail = details.find(function(item) {
                        return item.id == formId;
                    });

                    $('#email').text(detail.email);
                    $('#userID').text(detail.userid);
                    $('#username').text(detail.username);

                    $('#artist_channel_id').text(detail.artist_channel_id);

                    $('#artist_name').text(detail.artist_name);

                    $('#country1').text(detail.country);

                    $('#topic_channel_url').text(detail.topic_channel_url);

                    $('#artist_channel_url').text(detail.artist_channel_url);
                    $('#official_video_url').text(detail.video_url);
                    $('#topic_video_url').text(detail.topic_video_url);
                    $('#cms_url').html(`
<p style=" overflow: hidden;text-overflow: ellipsis; margin:unset;white-space: nowrap;
">https://studio.youtube.com/owner/yuBh-tAjfHp4y72H26jJgw/art_tracks?o=yuBh-tAjfHp4y72H26jJgw&amp;filter=%5B%7B%22name%22%3A%22${detail.topic_video_url}%22%2C%22value%22%3A%7B%22name%22%3A%22IS%22%2C%22value%22%3A%22JIOFFfHmplg%22%7D%7D%5D&amp;sort=%7B%22columnType%22%3A%22updatedOn%22%2C%22sortOrder%22%3A%22DESCENDING%22%7D&nbsp;&nbsp;</p>
<img onclick="copyLink(this)" id="cmsurl2" value="https://studio.youtube.com/owner/yuBh-tAjfHp4y72H26jJgw/art_tracks?o=yuBh-tAjfHp4y72H26jJgw&amp;filter=%5B%7B%22name%22%3A%22${detail.topic_video_url}%22%2C%22value%22%3A%7B%22name%22%3A%22IS%22%2C%22value%22%3A%22JIOFFfHmplg%22%7D%7D%5D&amp;sort=%7B%22columnType%22%3A%22updatedOn%22%2C%22sortOrder%22%3A%22DESCENDING%22%7D" src="https://smarthub.rn-test.com/images/copy.png" title="copy" style="cursor:pointer; height: 20px ">  
<span class="cmsurl2"style=" display: none;color: rgb(14, 130, 255);">Copied</span>
`);

                    $('#dashboard1').html('<a href="' + detail.dashboard +
                        '" data-lightbox="image" target="_blank"><span style="  color: #0e82ff;">View</span></a>'
                    );


                    var link = $('#exportdata');

                    link.attr('href', '<?php echo e(route('exportform1')); ?>?id=' + detail.id);
                    $('#viewpop').modal('show');
                });





                $('.analysis1').click(function() {
                    var formId = $(this).data('form-id');

                    var matchingEntry = analysisData.find(function(item) {
                        return item.id === formId;
                    });
                    console.log(matchingEntry);
                    if (matchingEntry) {
                        $('#formid').val(matchingEntry.id);

                        $('#artistname').text(matchingEntry.artist_name);

                        $('#country').text(matchingEntry.country);


                        $('#artistchannelid').text(matchingEntry.artist_channel_id);


                        $('#topicchannleurl').text(matchingEntry.topic_channel_url);

                        $('#dashboard').html(`
<a
href="${matchingEntry.dashboard}"
data-lightbox="image" target="_blank">
<span style="  color: #0e82ff;">View</span>
</a>
`);


                        $('#artistchannelurl').html(`
${matchingEntry.artist_channel_url} &nbsp;&nbsp;
`);
$('#artistchannelurl11').html(`
<img onclick="copyLink(this)" id="artistchannelurl1" value="${matchingEntry.artist_channel_url}" src="https://smarthub.rn-test.com/images/copy.png" title="copy" style="cursor:pointer;height: 15px;position: absolute;">  
`);

                        $('#videourl').html(`
${matchingEntry.video_url} &nbsp;&nbsp;
`);

$('#videourl11').html(`
<img onclick="copyLink(this)" 
id="videourl1" value="${matchingEntry.video_url}" src="https://smarthub.rn-test.com/images/copy.png" title="copy" style="cursor:pointer;height: 15px;position: absolute;">  
`);
                        $('#topicchannleurl').html(`
${matchingEntry.topic_channel_url} &nbsp;&nbsp;
`);

$('#topicchannleur11').html(`
<img onclick="copyLink(this)" id="topichannelurl1" value="${matchingEntry.topic_channel_url}" src="https://smarthub.rn-test.com/images/copy.png" title="copy" style="cursor:pointer;height: 15px;position: absolute;">  
`);
                        $('#topicvideourl').html(`
${matchingEntry.topic_video_url} &nbsp;&nbsp;
`);


$('#topicvideourl11').html(`
<img onclick="copyLink(this)" id="topicvideourl1" value="${matchingEntry.topic_video_url}" src="https://smarthub.rn-test.com/images/copy.png" title="copy" style="cursor:pointer;height: 15px;position: absolute;">  
`);

                        $('#cmsurl').html(`
<p style=" max-width: 335px; overflow: hidden;text-overflow: ellipsis;margin:unset;white-space: nowrap;
">https://studio.youtube.com/owner/yuBh-tAjfHp4y72H26jJgw/art_tracks?o=yuBh-tAjfHp4y72H26jJgw&amp;filter=%5B%7B%22name%22%3A%22${matchingEntry.topic_video_url}%22%2C%22value%22%3A%7B%22name%22%3A%22IS%22%2C%22value%22%3A%22JIOFFfHmplg%22%7D%7D%5D&amp;sort=%7B%22columnType%22%3A%22updatedOn%22%2C%22sortOrder%22%3A%22DESCENDING%22%7D&nbsp;&nbsp;</p>
`);

$('#cmsurl11').html(`
<img onclick="copyLink(this)" id="cmsurl1" value="https://studio.youtube.com/owner/yuBh-tAjfHp4y72H26jJgw/art_tracks?o=yuBh-tAjfHp4y72H26jJgw&amp;filter=%5B%7B%22name%22%3A%22${matchingEntry.topic_video_url}%22%2C%22value%22%3A%7B%22name%22%3A%22IS%22%2C%22value%22%3A%22JIOFFfHmplg%22%7D%7D%5D&amp;sort=%7B%22columnType%22%3A%22updatedOn%22%2C%22sortOrder%22%3A%22DESCENDING%22%7D" src="https://smarthub.rn-test.com/images/copy.png" title="copy" style="cursor:pointer;height: 15px;position: absolute;">  
`);


                        var matchingEntry1 = analysisData1.find(function(item) {
                            return item.formid === matchingEntry.id.toString();
                        });

                      

                        $('#div1').html(`
<span style="padding: 10px;">EMAIL: ${matchingEntry.email}</span><br>
`);




                        $('#div2').html(`
<ul>
<li style="display:flex;gap:3%"><p id="nofsa1">No FSA</p><p id="nofsa"> <svg class="w-6 h-6 text-gray-800 dark:text-white"
aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
width="24" height="24" fill="green" viewBox="0 0 24 24"
style="position: absolute;z-index: 1;width: 20px;">
<path stroke="#fff" stroke-linecap="round"
stroke-linejoin="round" stroke-width="2"
d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
</path>
</svg></p></li>
<li style="display:flex;"><p id="nogame1" >No gaming/CID Amber</p><p id="nogame"> <svg class="w-6 h-6 text-gray-800 dark:text-white"
aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
width="24" height="24" fill="green" viewBox="0 0 24 24"
style="position: absolute;z-index: 1;width: 20px;">
<path stroke="#fff" stroke-linecap="round"
stroke-linejoin="round" stroke-width="2"
d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
</path>
</svg></p></li>
<li style="display:flex;gap:3%"><p id="nored1">No Red Flag</p><p id="nored"> <svg class="w-6 h-6 text-gray-800 dark:text-white"
aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
width="24" height="24" fill="green" viewBox="0 0 24 24"
style="position: absolute;z-index: 1;width: 20px;">
<path stroke="#fff" stroke-linecap="round"
stroke-linejoin="round" stroke-width="2"
d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
</path>
</svg></p></li>
<li style="display:flex;gap:3%"><p id="noyellow1">No Yellow Flag</p><p id="noyellow"> <svg class="w-6 h-6 text-gray-800 dark:text-white"
aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
width="24" height="24" fill="green" viewBox="0 0 24 24"
style="position: absolute;z-index: 1;width: 20px;">
<path stroke="#fff" stroke-linecap="round"
stroke-linejoin="round" stroke-width="2"
d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
</path>
</svg></p></li>

</ul>
`);


                       // let arttrack = matchingEntry.upc.split(' - ')[0];
                        let arttrack = matchingEntry.upc.replace('UPC: ', '').split(' - ')[0];
                        console.log('arttrack', arttrack)

                        async function getDevices(arttrack_upc) {
                            const settings = {
                                method: 'POST',
                                headers: {
                                    'Content-Type': 'application/x-www-form-urlencoded',
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                data: {
                                    upc: arttrack_upc
                                }
                            };
                            try {
                                const fetchResponse = await fetch("/sensormatch", settings);
                                const data = await fetchResponse.json();
                                console.log('data', data)
                                $('#div3sub').html(`
<span style="display: flex; gap: 8px;">
<svg class="upcshow w-6 h-6 text-gray-800 dark:text-white setsvg" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green" viewBox="0 0 24 24" style="top: -1px;display: none;z-index: 1;width: 20px;l;left: -21px;">
<path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
</path>
</svg>
<span>${matchingEntry.upc}</span></span><br> 
<a target="_blank" href="https://routenotetest.com/rn22/node/${data}"><button  style="background: rgb(0, 105, 217);position:unset" >View</button></a>
<button id="matchcolor" style=" background: #008809;" onclick="upc_done('${matchingEntry.id}')">Yes</button>
<button id="matchcolor2" onclick="request7()" style=" background: red; ">No</button>
`);

                        if (matchingEntry.upc_verified == 1) {
                            $('#matchcolor').css('display', 'none');
                            $('#matchcolor2').css('display', 'none');
                            $('.upcshow').css('display', 'block');
                            $('#div3text').text('Completed');
                            $('.div3pending').css('display', 'none');
                            $('.div3done').css('display', 'block');
                            $('#number3div').css('background-color', '#0069d9');
                            $('#div3number').css('color', 'white');
                            console.log('matchcolor', document.getElementById('matchcolor'))
                        } else {
                            $('#div3text').text('Admin Action Needed');
                            $('.div3pending').css('display', 'block');
                            $('.div3done').css('display', 'none');
                            $('#number3div').css('background-color', '#ccc');
                            $('#div3number').css('color', 'black');
                        }
                                // return data;
                            } catch (e) {
                                return e;
                            }
                        }
                        getDevices(arttrack);

                        

                        $('#slackhide').html(`
                        <div style="text-align:left;">
                                                <strong>
                                                    <ul style="margin: 0;">
                                                        <li> Is this release is in PeterMod hub ? </li><br>
                                                      <li>  
                                                        <button  id="hidereleasepm1" style="display:none; color:white;background: red;border-radius: 10px;padding: 0 15px;">No</button>
                                                        <button id="showreleasepm1" style="display:none; border-radius: 10px; color:white;background: #008809;padding: 0 15px;" >Yes</button>
                                                        </li>
                                                    </ul>
                                                  
                                                </strong>
                                                </div><br>
<button
onclick="oacslack_create('${matchingEntry.id}','${matchingEntry.topic_channel_url}')"
id="btnsief"
style="background: #fff;padding: 10px 14px;border: none;border-radius: 6px;color: black;margin:29px 16px -4px 39px;font-weight:bold;width: 81%;cursor: pointer;top: 4px;position: relative;">
#poorpeter slack channel
<span><img
src="https://smarthub.rn-test.com/images/slack.png"
style="top: -23px;left: -3px;width: 36px;height: 30px;position: relative;"
alt="logo">
</span>
</button>
`);



                        $('#slackshow').html(`
                        <div style="text-align:left;">
                                                <strong>
                                                    <ul style="margin: 0;">
                                                        <li> Is this release is in PeterMod hub ? </li><br>
                                                      <li>  <button  id="hidereleasepm" style="display:none;color:white;background: red;padding:0 15px;border-radius: 10px;">No</button>
<button id="showreleasepm" style="display:none;border-radius: 10px; color:white;background: #008809;padding:0 15px" >Yes</button>
                                                        </li>
                                                    </ul>
                                                  
                                                </strong>
                                                </div><br>
<div style="display: flex;justify-content: center; gap: 10px;">
<div style="cursor: pointer;color: #1010ffde;"><span
id="request5" onclick="request5()"
style="padding: 8px 1rem; background: #0069d9;  color: #fff;  border-radius: 5px;  font-weight: 600;">View
Comments</span>
<span onclick="request5_d()" id="request5_d"
style="background: rgb(0, 105, 217);color: rgb(255, 255, 255); border-radius: 5px;font-weight: 600;display: none;width: 141px;">
View Comments</span>
</div>
<div id="eligible" style="cursor: pointer;color: #1010ffde;"
onclick="request6('${matchingEntry.id}')"><span
style="padding: 8px 1rem;background: #008809;color: #fff;border-radius: 5px;font-weight: 600;">Eligible</span>
</div>
<div id="noteligible1" style="cursor: pointer;color: #1010ffde;"
onclick="request7()"><span
style="padding: 8px 1rem;background: #ec0000;color: #fff;border-radius: 5px;font-weight: 600;">
Not Eligible</span>
</div>
</div>
`);



                        if (matchingEntry1) {
                            $('#div4text').text('Admin Action Completed');
                            $('.div4pending').css('display', 'none');
                            $('.div4done').css('display', 'block');
                            $('#slackshow').css('display', 'block');
                            $('#slackhide').css('display', 'none');
                        }
                        if (matchingEntry.slack_verified == 1) {
                            $('#div4text').text('Completed');
                            $('.div4pending').css('display', 'none');
                            $('.div4done').css('display', 'block');
                            $('#number4div').css('background-color', '#0069d9');
                            $('#div4number').css('color', 'white');
                            $('#slackshow').css('display', 'block');
                            $('#slackhide').css('display', 'none');
                            $('#noteligible1').css('display', 'none');
                            $('#eligible').css({
                                'pointer-events': 'none',
                                'cursor': 'not-allowed',
                            });
                        }

                        $.ajax({
                            url: 'fsacheck',
                            method: 'GET',
                            data: {
                                uid: matchingEntry.userid,
                                upc:arttrack,
                            },
                            dataType: 'json',
                            success: function(response) {
                                console.log(response);
                    if (response.fsacheck == '0') {
                                    $('.div2done').css('display', 'block');
                                    $('.div2pending').css('display', 'none');
                                    $('#numberdiv2').css('background-color', '#0069d9');
                                    $('#div2number').css('color', 'white');
                                    $('#div2text').text('Completed');

                                } else {
                                    $('.div2done').css('display', 'none');
                                    $('.div2pending').css('display', 'block');
                                    $('#numberdiv2').css('background-color', '#ccc');
                                    $('#div2number').css('color', 'black');
                                    $('#div2text').text('Admin Action Needed');
                                    $('#nofsa1').text('FSA - YES');
                                    $('#noyellow1').text('Gaming/CID Amber - YES');
                                    $('#nored1').text('Red Flag - YES');
                                    $('#nogame1').text('Yellow Flag - YES');
                                    $('#nofsa').css('display', 'none');
                                    $('#nogame').css('display', 'none');
                                    $('#nored').css('display', 'none');
                                    $('#noyellow').css('display', 'none');

                                }


                                if (response.petermod == 1) {
    $('#btnsief').css('display', 'block');
                  
    $('#showreleasepm').css('display', 'block');
                            $('#hidereleasepm').css('display', 'none');
                            $('#showreleasepm1').css('display', 'block');
                            $('#hidereleasepm1').css('display', 'none');
                        } else {
                            $('#div4text').text('Completed');
                            $('.div4pending').css('display', 'none');
                            $('.div4done').css('display', 'block');
                            $('#number4div').css('background-color', '#0069d9');
                            $('#div4number').css('color', 'white');
                            $('#btnsief').css('display', 'none');
                  
                  $('#showreleasepm').css('display', 'none');
                                          $('#hidereleasepm').css('display', 'block');
                                          $('#showreleasepm1').css('display', 'none');
                                          $('#hidereleasepm1').css('display', 'block');
                        }


                            }
                        })

                   



                        var matchingEntry2 = analysisData2.find(function(item) {
                            return item.form_id === matchingEntry.form_id && item.type === 'account';
                        })

                        if (matchingEntry2) {
                    $('#reject').css('display', 'none');
                    $('#request').css('display', 'none');
                    $('#approve').css('display', 'none');
                    $('#divlasttext').css('display', 'flex');
                    if (matchingEntry2.status == 'approve') {
                        $('#approve').css({
                            'pointer-events': 'none',
                            'cursor': 'not-allowed',
                        });
                         $('#divlasttext').css('display', 'flex');
                         $('#textfinal').text('Approved');
                       // $('#approvetext').text('Approved & Assigned it to Luna');
                       // $('#reject').css('display', 'none');
                       // $('#request').css('display', 'none');
                    } else if (matchingEntry2.status == 'request') {
                        $('#request').css({
                            'pointer-events': 'none',
                            'cursor': 'not-allowed',
                        });
                        $('#divlasttext').css('display', 'flex');
                         $('#textfinal').text('Requested Information');
                        // $('#requesttext').text('Requested Information');

                        // $('#approve').css('display', 'none');
                        // $('#reject').css('display', 'none');
                        // $('#request').css('display', 'block');
                    } else {
                        $('#reject').css({
                            'pointer-events': 'none',
                            'cursor': 'not-allowed',
                        });
                        $('#divlasttext').css('display', 'flex');
                         $('#textfinal').text('Rejected');
                        // $('#rejecttext').text('Rejected');

                        // $('#approve').css('display', 'none');
                        // // $('#reject').css('display', 'block');
                        // $('#request').css('display', 'none');

                    }
                } else {
                    $('#divlasttext').css('display', 'none');
                    $('#reject').css('display', 'flex');
                    $('#request').css('display', 'flex');
                    $('#approve').css('display', 'flex');

                }
                       
        //                 if (matchingEntry2 ) {
        //                     if (matchingEntry2.status == 'approve') {
        //                         $('#approve').css({
        //                             'pointer-events': 'none',
        //                             'cursor': 'not-allowed',
        //                         });
        //                         $('#approve').css('display', 'block');
        //                         $('#approvetext').text('Approved & Assigned to Luna');
        //                         $('#reject').css('display', 'none');
        //                         $('#request').css('display', 'none');
        //                     } else if (matchingEntry2.status == 'request') {
        //                         $('#request').css({
        //                             'pointer-events': 'none',
        //                             'cursor': 'not-allowed',
        //                         });
        //                         $('#requesttext').text('Requested Information');

        //                         $('#approve').css('display', 'none');
        //                         $('#reject').css('display', 'none');
        //                         $('#request').css('display', 'block');
        //                     } else {
        //                         $('#reject').css({
        //                             'pointer-events': 'none',
        //                             'cursor': 'not-allowed',
        //                         });
        //                         $('#rejecttext').text('Rejected');

        //                         $('#approve').css('display', 'none');
        //                         $('#reject').css('display', 'block');
        //                         $('#request').css('display', 'none');

        //                     }
        //                 }else{
                  
        //           $('#reject').css('display', 'flex');
        //           $('#request').css('display', 'flex');
        //           $('#approve').css('display', 'flex');

        //   }
                    }
                    $('#analysismodal1').modal('show');


                })
            });
            function request() {
            var analysisData = <?php echo json_encode($data); ?>;
            var formId = $('#formid').val();
            var matchingEntry = analysisData.find(function(item) {
                    return item.id == formId;
                });
                console.log(matchingEntry);
                $('#requestto').text(matchingEntry.email);
                $('#requestname').text(`Dear ${matchingEntry.username},
Youtube OAC form request is under-progress status. Please provide the following details to proceed







Many Warm Regards,
The RouteNote Team`);
            $('#requestmail').modal('show');
            $('#analysismodal1').modal('hide');
            $('#approvemodal').modal('hide');
        }
            function reject() {
                var analysisData = <?php echo json_encode($data); ?>;
            var formId = $('#formid').val();
            var matchingEntry = analysisData.find(function(item) {
                    return item.id == formId;
                });
                console.log(matchingEntry);
                $('#rejectto').text(matchingEntry.email);
                $('#rejectname').text(`Dear ${matchingEntry.username},
Youtube OAC form rejected for the following reasons:






Many Warm Regards,
The RouteNote Team`);
                $('#rejectmail').modal('show');
                $('#analysismodal1').modal('hide');
                $('#approvemodal').modal('hide');

            }

            function mailsent(value) {
                if(value == 'reject'){
                var body = $('#rejectname').val();
                var to = $('#rejectto').text();
            }else if(value == 'request'){
                var body = $('#requestname').val();
                var to = $('#requestto').text();
            }else{
                var body = '';
                var to = $('#approveto').val();
            }

            $.ajax({
                type: 'GET',
                data: {
                    formid: $('#formid').val(),
                    value: value,
                    type: 'oac',
                    body:body,
                    to:to
                },
                    url: 'actiondone',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },

                    success: function(result) {
                       // console.log(result);
                        $('#mailsentinfo').modal('show');
                        $('#requestmail').modal('hide');
                        $('#rejectmail').modal('hide');
                    }
                })
            }

            function approve() {
                var analysisData = <?php echo json_encode($data); ?>;
            var formId = $('#formid').val();
            var matchingEntry = analysisData.find(function(item) {
                    return item.id == formId;
                });
                console.log(matchingEntry);
                $('#approveto').val(matchingEntry.email);
                $.ajax({
                    type: 'GET',
                    data: {
                        formid: $('#formid').val(),
                        value: 'approve',
                        type: 'oac',
                        to:$('#approveto').val()
                    },
                    url: 'actiondone',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },

                    success: function(result) {
                        $('#approvemodal').modal('show');
                        $('#analysismodal1').modal('hide');
                    }
                })

            }
        </script>

    <body>


        <!-- Full Container Start -->
        <div class="full_container_start" style="width: 100%;overflow: scroll;height: 75vh;padding:17px">

            <h4>Youtube OAC OTL Forms</h4><br>


            <table id="yourDataTableId" style="font-size: 14px;" class="stripe border">
                <thead
                    style="width: 100%;background-color: #807a7a; justify-content: space-between;color: #fff;font-size: 14px; font-weight: 500;text-align: center;">
                    <tr>
                        <th style="width:5%">#</th>
                        <th style="width:10%">Form Type</th>
                        <th style="width:10%">UserName</th>
                        <th style="width:10%">Submitted On</th>

                        <th style="width:15%">Form Details</th>
                        <th style="width:10%">Smarthub Report</th>
                    </tr>
                </thead>
                <tbody id="tbody">
                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($item->id); ?></td>
                            <td>Youtube OAC Form</td>
                            <td><?php echo e($item->username); ?>

                            </td>
                            <td><?php echo e($item->submitted_at); ?></td>
                            <td><button class="btn btn-secondary view" style="border-radius: 9px;background-color: #0069d9;"
                                    data-form-id="<?php echo e($item->id); ?>">View Details</button></td>
                            <td><button class="btn btn-secondary analysis1"
                                    style="width: 128px;height: 37px;border-radius: 9px;background-color: #0069d9;"
                                    data-form-id="<?php echo e($item->id); ?>">View Details</button></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </tbody>
            </table>
        </div>


        <div class="modal fade show" id="revenueshare" tabindex="-1" aria-labelledby="customPopupLabel"
            style="display: none; padding-left: 17px;background: #0400008c;" aria-modal="true" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width: 107%;height: ;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Content Mapping Request Form
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span onclick="revenue_request_close()" style="color: #fff">×</span>
                        </button>
                    </div>
                    <div class="modal-body" style="width: 100%">


                    </div>
                </div>
            </div>
        </div>

        <!-- Modal HTML -->
        <div class="modal fade" id="analysismodal1" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width: 122%;height: ;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Processing the Official
                            Artist Channel </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span style="color: #fff">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">




                        <div class="full">
                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">
                                    <span class="number" style="background-color: #0069d9;"> <span
                                            style="color:#fff;font-weight: bold">1</span></span>

                                    <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                            d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>
                                    <span class="hover_txt" >Completed</span>

                                </div>

                                <div style="padding: 20px;">
                                    <span id="sentence_1" onclick="toggleDiv()" style="font-size: medium;"> Checking
                                        Email Address</span>

                                    <div class="open_div" id="div1" style="display:grid;">

                                    </div>
                                </div>
                            </div>
                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">
                                    <span class="number" id="numberdiv2" style="background-color: #0069d9;"> <span
                                            style="color:#fff;font-weight: bold" id="div2number">2</span></span>

                                    <svg class="div2done w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>

                                    <svg class="div2pending exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24"
                                        height="24" fill="#fff" viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                        <path stroke="red" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                                    </svg>


                                    <span id="div2text" class="hover_txt">Completed</span>

                                </div>

                                <div style="padding: 20px;">
                                    <span id="sentence_1" onclick="toggleDiv2()" style="font-size: medium;"> Action
                                        Required</span>

                                    <div class="open_div" id="div2" style="padding: 20px 28px !important;display:grid;">

                                    </div>
                                </div>
                            </div>


                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">



                                    <span id="number3div" class="number" style="background-color: #ccc;"><span
                                            id="div3number" style="color:black;font-weight: bold">3</span></span>

                                    <svg class="div3pending exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24"
                                        height="24" fill="#fff" viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                        <path stroke="red" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                                    </svg>

                                    <svg class="div3done w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="display:none;position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>


                                    <span class="hover_txt" id="div3text">Admin Action
                                        Needed</span>

                                </div>

                                <div style="padding: 20px;">
                                    <span id="sentence_1" onclick="toggleDiv3()" style="font-size: medium;">Review the
                                        UPC</span>

                                    <div class="open_div" id="div3" style="width: 100%;display:grid;padding: 15px">

                                        <div style="width:100%;">

                                            <style>
                                                .slack_btns button {
                                                    padding: 7px 10px;
                                                    font-size: 14px;
                                                    border: none;
                                                    background: #ec0000;
                                                    border-radius: 5px;
                                                    color: #fff;
                                                    margin: 0 2px;
                                                    font-weight: bold;
                                                }
                                            </style>
                                            <div style="text-align:left;">
                                                <strong>
                                                    <ul style="">
                                                        <li> Is this Upc matches the art track?</li>
                                                    </ul>
                                                </strong>
                                                <div class="slack_btns" id="div3sub"
                                                    style="text-align:left;">

                                                </div> 


                                            </div>

                                        </div>
                                    </div>
                                    <style>
                                        .ass-crt-suf-popup {
                                            height: auto;
                                            width: 28rem;
                                            background-color: #fff;
                                            position: absolute;
                                            right: 6rem;
                                            top: 17rem;
                                            border-radius: 8px;
                                            box-shadow: 0px 2px 7px 1px #dddddd96;
                                            display: none;
                                            overflow: hidden;
                                        }

                                        .ass-crt-suf-popup .suf-header {
                                            height: 3rem;
                                            width: 100%;
                                            background-color: #0069d9;
                                            color: #fff;
                                            padding: 12px 1rem;
                                            font-weight: bolder;
                                        }
                                    </style>

                                    <div class="email_send_div eligibledone" id="email_send_div"
                                        style="display: none;width: 300px;height: 150px;position: absolute;top: 20%;border: 1px solid;padding: 0;z-index: ;left: 63%;border-radius: 9px; box-shadow: 1px 1px 13px -3px #000;overflow: hidden;z-index: 1; background: #fff;">
                                        <div
                                            style="display: flex; justify-content: space-between;padding: 10px;background-color: #4573d1;color: #fff;font-weight: bold;z-index: 11111;position: relative;">
                                            <span>INFO</span>
                                            <span onclick="close_mail()" style="color: #fff">&times;</span>
                                        </div>

                                        <div style="padding: 40px;">
                                            Eligible for upgrade.
                                        </div>
                                    </div>

                                    <div class="email_send_div upc_done" id="email_send_div"
                                        style="display: none;width: 300px;height: 150px;position: absolute;top: 20%;border: 1px solid;padding: 0;z-index: ;left: 63%;border-radius: 9px; box-shadow: 1px 1px 13px -3px #000;overflow: hidden;z-index: 1; background: #fff;">
                                        <div
                                            style="display: flex; justify-content: space-between;padding: 10px;background-color: #4573d1;color: #fff;font-weight: bold;z-index: 11111;position: relative;">
                                            <span>INFO</span>
                                            <span onclick="close_mail()" style="color: #fff">&times;</span>
                                        </div>

                                        <div style="padding: 40px;">
                                            UPC Matched with art track.
                                        </div>
                                    </div>


                                    <div class="ass-crt-suf-popup3" id="noteligible"
                                        style="box-shadow: 4px 6px 11px -1px #ddd;display:none;overflow: hidden;border-radius: 7px;position: absolute;right: 2rem;top: 2rem; ">


                                        <div id=" " style=" width: 100%;">
                                            <div class="modal-content" style="border: none !important;">
                                                <div class="modal-header">
                                                    <h5 style="color: white;" class="modal-title" id="customPopupLabel">
                                                        Email</h5>
                                                    <button type="button" class="close">
                                                        <span onclick="close_mail()" style="color: #fff">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <label class="modalabel">To:</label><br>
                                                    <label disabled class="login-form__input">
                                                        mcldevtest@gmail.com</label><br>
                                                    <label class="modalabel">Subject:</label><br>
                                                    <input class="login-form__input" type="text" name="Email"
                                                        id="name" size="59px" value=" Not Eligible for Upgrade">
                                                    <br><br>
                                                    <label class="modalabel">Body:</label><br>

                                                    <textarea class="login-form__input" type="text" name="Email" id="name"
                                                        style="position: relative;height: 150px;width: 100%;text-align: left">Dear sellerrnn,
                                                    Your request is not Eligible for Upgrade.



                                                    Many Warm Regards,
                                                    The RouteNote Team

                                                    </textarea>

                                                </div>
                                                <div class="modal-footer">

                                                    <button type="button" class="btn btn-secondary"
                                                        onclick="close()">Close</button>
                                                    <button type="submit" class="btn btn-secondary login maill"
                                                        onclick="noteligiblesend()">Send</button>
                                                </div>
                                            </div>
                                        </div>

                                    </div>


                                </div>


                                <div class="sou-yt-pupop" id="sou-yt-pupop">
                                    <div class="yt-header">
                                        <div>All Activity in&nbsp;<span><img
                                                    src="https://smarthub.rn-test.com/images/slack.png"
                                                    style="height: 28px;" alt="logo" /></span></div>
                                    </div>
                                    <div id="data-container1"
                                        style="height: 12rem;width: 100%;padding: 1.5rem;overflow:auto">




                                    </div>
                                    <div style="display: flex;align-items: baseline;gap: 1rem;">
                                        <input type="text" id="commentslack" style="width: 85%;padding: 6px;"
                                            placeholder="comments *"><input type="hidden" id="formid">
                                        <button
                                            style="background: #0069d9;padding: 7px 14px;border: none;border-radius: 6px;color: #fff;margin-top:1rem"
                                            Onclick="commentslack()">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                                fill="currentColor" class="bi bi-send" viewBox="0 0 16 16">
                                                <path
                                                    d="M15.854.146a.5.5 0 0 1 .11.54l-5.819 14.547a.75.75 0 0 1-1.329.124l-3.178-4.995L.643 7.184a.75.75 0 0 1 .124-1.33L15.314.037a.5.5 0 0 1 .54.11ZM6.636 10.07l2.761 4.338L14.13 2.576zm6.787-8.201L1.591 6.602l4.339 2.76z" />
                                            </svg>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">



                                <span id="number4div" class="number" style="background-color: #ccc;"><span
                                        id="div4number" style="color:black;font-weight: bold">4</span></span>

                                <svg class="div4pending exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                    aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    fill="#fff" viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                    <path stroke="red" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                                </svg>

                                <svg class="div4done w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="display:none;position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>


                                <span class="hover_txt" id="div4text">Admin Action
                                    Needed</span>

                            </div>


                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv4()" style="font-size: medium;"> Review the
                                    release with Slack</span>

                                <div class="open_div" id="div4" style="width: 26rem;display:grid;">

                                    <div style="width:100%;">

                                        <div style="text-align: center;">

                                            <style>
                                                .slack_btns button {
                                                    padding: 7px 10px;
                                                    font-size: 14px;
                                                    border: none;
                                                    background: #ec0000;
                                                    border-radius: 5px;
                                                    color: #fff;
                                                    margin: 0 2px;
                                                    font-weight: bold;
                                                }
                                            </style>


                                            <div id="slackhide" style="display: grid;"> 
                                            </div>
                                            <div id="slackshow" style="display:none;line-height: 30px;"> 
                                            </div>


                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">
                                <span class="number" style="background-color: #0069d9;"> <span
                                        style="color:#fff;font-weight: bold">5</span></span>

                                <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>
                                <span class="hover_txt">Completed</span>

                            </div>

                            <div style="padding: 20px;width: 100%;">
                                <span id="sentence_1" onclick="toggleDiv5()" style="font-size: medium;">Reviewing the
                                    Submitted Form Details</span>

                                <div class="open_div" id="div5" style="width: 100%;display:grid;">





                                    <link rel="stylesheet"
                                        href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css">
                                    <script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js"></script>

                                    <style>
                                        .artist_form_div {
                                            display: grid;
                                            row-gap: 10px;
                                        }

                                        .artist_form {
                                            display: flex;
                                            width: 101%;
                                        }


                                        .artist_form span {
                                            width: 60%;
                                        }

                                        .artist_form strong {
                                            width: 94%;
                                        }

                                        .artist_form_links {
                                            display: grid;
                                        }
                                    </style>


                                    <div class="artist_form_div">
                                        <div class="artist_form">
                                            <span> Artist name</span>
                                            <strong id="artistname"> </strong>
                                        </div>
                                        <div class="artist_form">
                                            <span>Country of residence</span>
                                            <strong id="country"> </strong>
                                        </div>
                                        <div class="artist_form">
                                            <span>Artist Channel ID</span>
                                            <strong id="artistchannelid"></strong>
                                        </div>
                                        <div class="artist_form"
                                            style="border-bottom: 1px solid #b5b5b5;padding-bottom: 10px;">
                                            <span>Channel Dashboard Screenshot </span>
                                            <strong id="dashboard">:</strong>
                                        </div>

                                        <div class="artist_form_links">
                                            <span style="display:flex;">
                                        <span>Artist channel URL</span> <span  id="artistchannelurl11"></span></span>
                                            <strong style="color: #0e82ff;" id="artistchannelurl">
                                            </strong>
                                            <span class="artistchannelurl1"style="display:none;">Copied</span>
                                        </div>
                                        <div class="artist_form_links">
                                        <span style="display:flex;">
                                            <span>Official music video URL</span><span id="videourl11"></span></span>
                                            <strong style="color: #0e82ff;" id="videourl"></strong>
                                            <span class="videourl1"style="display:none;">Copied</span>
                                        </div>
                                        <div class="artist_form_links">
                                        <span style="display:flex;">
                                            <span> Topic channel URL</span><span id="topicchannleurl11"></span></span>
                                            <strong style="color: #0e82ff;" id="topicchannleurl"></strong>
                                            <span class="topichannelurl1"style="display:none;">Copied</span>
                                        </div>
                                        <div class="artist_form_links">
                                        <span style="display:flex;">
                                            <span>Topic video URL</span><span id="topicvideourl11"></span></span>
                                            <strong style="color: #0e82ff;" id="topicvideourl"></strong>
                                            <span
                                                class="topicvideourl1"style="display:none;color:0e82ff;postion">Copied</span>
                                        </div>

                                        <div class="artist_form_links">
                                        <span style="display:grid;">
                                            <span style="display: flex;gap: 10px;">YouTube CMS URL    
                                                <span  id="cmsurl11"></span>
                                            </span>

                                            <strong style="color: #0e82ff;" id="cmsurl"> </strong>
                                            <span class="cmsurl1"style="display:none;">Copied</span>
                                        </div>
                                    </div>


                                    <script>
                                        // function copyLink() {
                                        function copyLink(element) {
                                            var value = element.getAttribute("value");
                                            var id = element.getAttribute("id");

                                            $("#" + id).css('display', 'none');
                                            $("." + id).css('display', 'block');
                                            navigator.clipboard.writeText(value)
                                                .then(() => {
                                                    // Success message
                                                    //alert("Link copied to clipboard: " + linkText);
                                                    $("." + id).text('copied');
                                                    $("." + id).css('color', '#0e82ff');

                                                    setTimeout(function() {


                                                        $("#" + id).css('display', 'block');
                                                        $("." + id).css('display', 'none');
                                                    }, 2000);
                                                })
                                                .catch(err => {
                                                    // Handle errors
                                                    console.error('Failed to copy: ', err);
                                                });
                                        }
                                    </script>


                                </div>
                            </div>
                        </div>

                        <div id="divlasttext" style="display: none;">
                            <div style="padding: 20px;position: relative;display: block ruby;" class="hover_div">

                                <span class="number " style="background:#0069d9"><span 
                                        style="color:white;font-weight: bold">6</span></span>

                                <svg class="divlastdone w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;left: 43px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>
                           

                                <span class="hover_txt" >Completed</span>
                                <div style="padding: 20px;">
                                <span id="textfinal" style=" font-weight: 600;font-size: medium;"></span>

                                <div style="width: 100%;display:flex;">
                                   
                                  


                                </div>
                            </div>
                            </div>

                           
                        </div>

                        <div class="bar"
                            style="width: 6px;left: 52px;position: absolute;background-color: #0069d9;top: 30px;bottom: 30px;">
                        </div>
                    </div>

                    <style>
                        .frm_vals {
                            padding: 3px 5px;
                            background: #eee;
                            border: none;
                            border-radius: 5px;
                            display: block;
                            width: 100%;
                        }

                        .ap_rej_btns {
                            padding: 5px 5px;
                            border: 1px solid;
                            border-radius: 8px;
                            color: #fff;
                        }

                        .form_input input {
                            width: 95%;
                            border: 1px solid #ccc;
                            padding: 5px;
                            border-radius: 6px;
                            margin-top: 5px;
                        }

                        .user_detailss {
                            display: flex;

                            background: #f7f7f7;
                            border-radius: 10px;
                            padding: 10px;
                        }

                        .user_detailss span {
                            margin: auto 0;
                        }
                    </style>

                    <div style="display: flex;padding: 10px;justify-content: end;gap: 10px;">
                        <button id="approve" onclick="approve()" class="!h-[2.5rem] w-max rounded-md bg-green-600 !py-2 !px-4 border border-transparent text-center text-sm text-white transition-all shadow-md hover:shadow-lg focus:bg-green-700 focus:shadow-none active:bg-green-700 hover:bg-green-700 active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none !ml-2 flex items-center gap-1" type="button">
                                <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none"
                                    viewBox="0 0 24 24">
                                    <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                                        stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"></path>
                                </svg>
                                <div id="approvetext" class="font-sans text-xs">Confirm the Request</div>
                            </button>
                            <button id="reject" onclick="reject()" class="!h-[2.5rem] w-max rounded-md bg-red-600 !py-2 !px-4 border border-transparent text-center text-sm text-white transition-all shadow-md hover:shadow-lg focus:bg-red-700 focus:shadow-none active:bg-red-700 hover:bg-red-700 active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none !ml-2 flex items-center gap-1" type="button">
                                <svg class="w-6 h-6 text-gray-800 dark:text-white " aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd"></path></svg>
                                <div id="rejecttext" class="font-sans text-xs">Reject</div>
                            </button>
                            <button id="request" onclick="request()" class="!h-[2.5rem] w-max rounded-md bg-[#fcba03] !py-2 !px-4 border border-transparent text-center text-sm text-slate-800 transition-all shadow-md hover:shadow-lg focus:bg-amber-700 focus:shadow-none active:bg-amber-700 hover:bg-amber-700 active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none !ml-2 flex items-center gap-1" type="button">
                                <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd"></path>
                                </svg>
                                <div id="rejecttext" class="text-white font-sans text-xs">Request Information</div>
                            </button>
                        
                    </div>


                </div>

            </div>
        </div>
        </div>




        </div>

        <!-- Modal HTML -->



        <!-- Modal HTML -->
        <div class="modal fade" id="approvemodal" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width:130%">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">
                            INFO</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="modal-body">
                        <input type="hidden" id="approveto">
                            Youtube Official Artist Channel Request has now been submitted for the upgarde successfully..
                        </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" id="approvesend"
                                    data-dismiss="modal">Close</button>
                            </div>

                    </div>
                </div>
            </div>
        </div>


            <div class="modal fade" id="requestmail" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
                aria-hidden="true">
                <div class="modal-dialog" role="document"
                    style="max-width: 500px !important;left: 0 !important;transition: max-width 0.4s ease 0s;">
                    <div class="modal-content" style="width:122%">
                        <div class="modal-header">
                            <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true" style="color: white;">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <label class="modalabel">To:</label>
                            <label disabled="" class="login-form__input" id="requestto"> mcldevtest@gmail.com</label><br>
                            <label class="modalabel">Subject:</label>
                            <input class="login-form__input" type="text" name="Email" id="name"
                                size="59px" value="Youtube OAC - Request for more Information">
                            <br><br>
                            <label class="modalabel">Body:</label><br>
                            <textarea class="login-form__input" type="text" name="Email" id="requestname"
                                style="position: relative;height: 150px;width: 100%;text-align: left">Dear sellerrnn,
Account Closure form request is under-progress status. Please provide the following details to proceed






Many Warm Regards,
The RouteNote Team

</textarea>
                        </div>

                        <div class="modal-footer">
                            <button type="submit" class="btn btn-secondary login maill"
                                onclick="mailsent('request')">Send</button>
                            <button type="button" class="btn btn-secondary" id="approvesend"
                                data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>





            <div class="modal fade" id="rejectmail" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
                aria-hidden="true">
                <div class="modal-dialog" role="document"
                    style="max-width: 500px !important;left: 0 !important;transition: max-width 0.4s ease 0s;">
                    <div class="modal-content" style="width:122%">
                        <div class="modal-header">
                            <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true" style="color: white;">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <label class="modalabel">To:</label>
                            <label disabled="" class="login-form__input" id="rejectto"> mcldevtest@gmail.com</label><br>
                            <label class="modalabel">Subject:</label>
                            <input class="login-form__input" type="text" name="Email" id="name"
                                size="59px" value="Youtube OAC - Reject">
                            <br><br>
                            <label class="modalabel">Body:</label><br>
                            <textarea class="login-form__input" type="text" name="Email" id="rejectname"
                                style="position: relative;height: 150px;width: 100%;text-align: left">
</textarea>
                        </div>

                        <div class="modal-footer">
                            <button type="submit" class="btn btn-secondary login maill"
                                onclick="mailsent('reject')">Send</button>
                            <button type="button" class="btn btn-secondary" id="approvesend"
                                data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>



            <div class="modal fade" id="mailsentinfo" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
                aria-hidden="true">
                <div class="modal-dialog" role="document"
                    style="max-width: 500px !important;left: 0 !important;transition: max-width 0.4s ease 0s;">
                    <div class="modal-content" style="">
                        <div class="modal-header">
                            <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true" style="color: white;">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            Email sent successfully.
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" id="approvesend"
                                data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>


            <!-- Modal HTML -->



            <!-- Modal HTML -->


            <!-- Modal HTML -->

        </div>





        <style>
            .ass-crt-suf-popup {
                height: auto;
                width: 28rem;
                background-color: #fff;
                position: absolute;
                right: 6rem;
                top: 17rem;
                border-radius: 8px;
                box-shadow: 0px 2px 7px 1px #dddddd96;
                display: none;
                overflow: hidden;
            }

            .ass-crt-suf-popup .suf-header {
                height: 3rem;
                width: 100%;
                background-color: #0069d9;
                color: #fff;
                padding: 12px 1rem;
                font-weight: bolder;
            }

            .hover_div:hover {
                cursor: pointer;
            }

            .hover_div:hover .hover_txt {
                display: block;
                cursor: pointer;
                color: #01216a;
            }

            .hover_txt {
                width: max-content;
                left: 50px;
                top: 20px;
                display: none;
                position: absolute;
                z-index: 9999;
                background: white;
                padding: 3px 14px;
                box-shadow: 0px 0px 15px 0px;
                border-radius: 7px;
            }

            input {
                width: 100%;
            }
        </style>




        </div>
        </div>
        <!-- Full Container End -->


        <div class="modal fade" id="viewpop" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" style="margin-right: auto;" role="document">
                <div class="modal-content" style="width:auto !important;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Youtube OAC Form
                            Details</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div style="right: 10px;position: absolute;"><a id="exportdata" href=""> <img
                                    src="<?php echo e(asset('images/upload.png')); ?>" style="width: 30px;border-radius: 50%;box-shadow: 0 0 10px #bbb;"></a></div>

                        <div>
                            <label class="modalabel">Email:</label>
                            <label disabled class="login-form__input" id="email"> </label>
                        </div>
                        <div><label class="modalabel">Username:</label>
                            <label disabled class="login-form__input" id="username"> </label>
                        </div>
                        <div> <label class="modalabel">User ID:</label>
                            <label disabled class="login-form__input" id="userID"> </label>
                        </div>
                        <hr style="margin-top: 0rem !important;">
                        <div>
                            <label class="modalabel">Artist name:</label>
                            <label disabled class="login-form__input" id="artist_name"> </label>
                        </div>
                        <div><label class="modalabel">Country of residence:</label>
                            <label disabled class="login-form__input" id="country1"> </label>
                        </div>
                        <div> <label class="modalabel">Artist Channel ID:</label>
                            <label disabled class="login-form__input" id="artist_channel_id"> </label>
                        </div>
                        <div> <label class="modalabel">Channel Dashboard Screenshot</label>
                            <label id="dashboard1"></label>
                        </div>
                        <hr style="margin-top: 0rem !important;">
                        <div>
                            <label class="modalabel">Artist channel URL:</label>
                            <label disabled class="login-form__input" id="artist_channel_url"> </label>
                        </div>
                        <div><label class="modalabel">Official music video URL:</label>
                            <label disabled class="login-form__input" id="official_video_url"> </label>
                        </div>
                        <div><label class="modalabel">Topic channel URL:</label>
                            <label disabled class="login-form__input" id="topic_channel_url"> </label>
                        </div>
                        <div><label class="modalabel">Topic video URL:</label>
                            <label disabled class="login-form__input" id="topic_video_url"> </label>
                        </div>
                        <div><label class="modalabel">YouTube CMS URL:</label>
                            <label id="cms_url" style="display: flex !important;justify-content: space-between;"> </label>
                        </div>
                    </div>



                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>

            </div>
        </div>

        </div>


    </body>

    </html>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('includes.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\myinfo\smart-hub 6\Smarthub23Nov2024\resources\views/oac.blade.php ENDPATH**/ ?>