<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        textarea {
            padding: 8px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        table, th, td {
            border: 1px solid black;
        }
        th, td {
            padding: 10px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
    </style>
</head>
<body>
    <h1>Query: </h1>
    <form method="POST" action="/process-live_socket">
        <?php echo csrf_field(); ?>
        <textarea name="query" id="query" cols="30" rows="10"></textarea>
        <button type="submit">Submit</button>
    </form>
    <h1>Excuted:</h1>
    <?php if(isset($actions)): ?>
    <div>
        <table>
            <thead>
                <tr>
                    
                    <?php if(isset($actions[0])): ?>
                        <?php $__currentLoopData = array_keys((array) $actions[0]); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $header): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <th><?php echo e(ucwords(str_replace('_', ' ', $header))); ?></th>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $actions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $action): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    
                    <?php $__currentLoopData = $action; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <td><?php echo e($value); ?></td>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
    <?php endif; ?>
    <script>
        console.log('actions', <?php echo json_encode($actions ?? '', 15, 512) ?>);
    </script>
</body>
</html><?php /**PATH /var/www/html/smart-hub/resources/views/live_socket.blade.php ENDPATH**/ ?>